/* =============================================================

	Smooth Scroll 3.2
	Animate scrolling to anchor links, by Chris Ferdinandi.
	http://gomakethings.com

	Easing support contributed by Willem Liu.
	https://github.com/willemliu

	Easing functions forked from Gaëtan Renaudeau.
	https://gist.github.com/gre/1650294

	URL history support contributed by Robert Pate.
	https://github.com/robertpateii

	Fixed header support contributed by Arndt von Lucadou.
	https://github.com/a-v-l

	Infinite loop bugs in iOS and Chrome (when zoomed) by Alex Guzman.
	https://github.com/alexguzman

	Free to use under the MIT License.
	http://gomakethings.com/mit/

 * ============================================================= */

window.smoothScroll=function(e,t,n){"use strict";if("querySelector"in t&&"addEventListener"in e&&Array.prototype.forEach){var r=t.querySelectorAll("[data-scroll]");var i=function(n,r,i,s){var o=e.pageYOffset;var u=t.querySelector("[data-scroll-header]");var a=u===null?0:u.offsetHeight;var f=0;var l,c;var h=function(e,t){if(e=="easeInQuad")return t*t;if(e=="easeOutQuad")return t*(2-t);if(e=="easeInOutQuad")return t<.5?2*t*t:-1+(4-2*t)*t;if(e=="easeInCubic")return t*t*t;if(e=="easeOutCubic")return--t*t*t+1;if(e=="easeInOutCubic")return t<.5?4*t*t*t:(t-1)*(2*t-2)*(2*t-2)+1;if(e=="easeInQuart")return t*t*t*t;if(e=="easeOutQuart")return 1- --t*t*t*t;if(e=="easeInOutQuart")return t<.5?8*t*t*t*t:1-8*--t*t*t*t;if(e=="easeInQuint")return t*t*t*t*t;if(e=="easeOutQuint")return 1+ --t*t*t*t*t;if(e=="easeInOutQuint")return t<.5?16*t*t*t*t*t:1+16*--t*t*t*t*t;return t};var p=function(e,t){if(e==="true"&&history.pushState){history.pushState({pos:t.id},"","#"+t.id)}};var d=function(e){var t=-77;if(e.offsetParent){do{t+=e.offsetTop;e=e.offsetParent}while(e)}t=t-a;if(t>=0){return t}else{return 0}};var v=d(n);var m=v-o;var g=function(){var n=e.pageYOffset;if(c==v||n==v||e.innerHeight+n>=t.body.scrollHeight){clearInterval(b)}};var y=function(){f+=16;l=f/r;l=l>1?1:l;c=o+m*h(i,l);e.scrollTo(0,c);g()};p(s,n);var b=setInterval(y,16)};var s=function(e){var n=this.getAttribute("href");var r=t.querySelector(n);var s=this.getAttribute("data-speed");var o=this.getAttribute("data-easing");var u=this.getAttribute("data-url");e.preventDefault();if(r){i(r,s||500,o||"easeInOutCubic",u||"false")}};Array.prototype.forEach.call(r,function(e,t){e.addEventListener("click",s,false)});e.onpopstate=function(t){if(t.state===null&&e.location.hash===""){e.scrollTo(0,0)}}}}(window,document);

//
// SmoothScroll for websites v1.4.0 (Balazs Galambosi)
// http://www.smoothscroll.net/
//
// Licensed under the terms of the MIT license.
//
// You may use it in your theme if you credit me.
// It is also free to use on any individual website.
//
// Exception:
// The only restriction is to not publish any
// extension for browsers or native application
// without getting a written permission first.
//

!function(){function e(){z.keyboardSupport&&m("keydown",a)}function t(){if(!A&&document.body){A=!0;var t=document.body,o=document.documentElement,n=window.innerHeight,r=t.scrollHeight;if(B=document.compatMode.indexOf("CSS")>=0?o:t,D=t,e(),top!=self)X=!0;else if(r>n&&(t.offsetHeight<=n||o.offsetHeight<=n)){var a=document.createElement("div");a.style.cssText="position:absolute; z-index:-10000; top:0; left:0; right:0; height:"+B.scrollHeight+"px",document.body.appendChild(a);var i;T=function(){i||(i=setTimeout(function(){L||(a.style.height="0",a.style.height=B.scrollHeight+"px",i=null)},500))},setTimeout(T,10),m("resize",T);var l={attributes:!0,childList:!0,characterData:!1};if(M=new V(T),M.observe(t,l),B.offsetHeight<=n){var c=document.createElement("div");c.style.clear="both",t.appendChild(c)}}z.fixedBackground||L||(t.style.backgroundAttachment="scroll",o.style.backgroundAttachment="scroll")}}function o(){M&&M.disconnect(),h(I,r),h("mousedown",i),h("keydown",a),h("resize",T),h("load",t)}function n(e,t,o){if(p(t,o),1!=z.accelerationMax){var n=Date.now(),r=n-R;if(r<z.accelerationDelta){var a=(1+50/r)/2;a>1&&(a=Math.min(a,z.accelerationMax),t*=a,o*=a)}R=Date.now()}if(q.push({x:t,y:o,lastX:0>t?.99:-.99,lastY:0>o?.99:-.99,start:Date.now()}),!P){var i=e===document.body,l=function(n){for(var r=Date.now(),a=0,c=0,u=0;u<q.length;u++){var d=q[u],s=r-d.start,f=s>=z.animationTime,m=f?1:s/z.animationTime;z.pulseAlgorithm&&(m=x(m));var h=d.x*m-d.lastX>>0,w=d.y*m-d.lastY>>0;a+=h,c+=w,d.lastX+=h,d.lastY+=w,f&&(q.splice(u,1),u--)}i?window.scrollBy(a,c):(a&&(e.scrollLeft+=a),c&&(e.scrollTop+=c)),t||o||(q=[]),q.length?_(l,e,1e3/z.frameRate+1):P=!1};_(l,e,0),P=!0}}function r(e){A||t();var o=e.target,r=u(o);if(!r||e.defaultPrevented||e.ctrlKey)return!0;if(w(D,"embed")||w(o,"embed")&&/\.pdf/i.test(o.src)||w(D,"object"))return!0;var a=-e.wheelDeltaX||e.deltaX||0,i=-e.wheelDeltaY||e.deltaY||0;return K&&(e.wheelDeltaX&&b(e.wheelDeltaX,120)&&(a=-120*(e.wheelDeltaX/Math.abs(e.wheelDeltaX))),e.wheelDeltaY&&b(e.wheelDeltaY,120)&&(i=-120*(e.wheelDeltaY/Math.abs(e.wheelDeltaY)))),a||i||(i=-e.wheelDelta||0),1===e.deltaMode&&(a*=40,i*=40),!z.touchpadSupport&&v(i)?!0:(Math.abs(a)>1.2&&(a*=z.stepSize/120),Math.abs(i)>1.2&&(i*=z.stepSize/120),n(r,a,i),e.preventDefault(),void l())}function a(e){var t=e.target,o=e.ctrlKey||e.altKey||e.metaKey||e.shiftKey&&e.keyCode!==N.spacebar;document.contains(D)||(D=document.activeElement);var r=/^(textarea|select|embed|object)$/i,a=/^(button|submit|radio|checkbox|file|color|image)$/i;if(r.test(t.nodeName)||w(t,"input")&&!a.test(t.type)||w(D,"video")||y(e)||t.isContentEditable||e.defaultPrevented||o)return!0;if((w(t,"button")||w(t,"input")&&a.test(t.type))&&e.keyCode===N.spacebar)return!0;var i,c=0,d=0,s=u(D),f=s.clientHeight;switch(s==document.body&&(f=window.innerHeight),e.keyCode){case N.up:d=-z.arrowScroll;break;case N.down:d=z.arrowScroll;break;case N.spacebar:i=e.shiftKey?1:-1,d=-i*f*.9;break;case N.pageup:d=.9*-f;break;case N.pagedown:d=.9*f;break;case N.home:d=-s.scrollTop;break;case N.end:var m=s.scrollHeight-s.scrollTop-f;d=m>0?m+10:0;break;case N.left:c=-z.arrowScroll;break;case N.right:c=z.arrowScroll;break;default:return!0}n(s,c,d),e.preventDefault(),l()}function i(e){D=e.target}function l(){clearTimeout(E),E=setInterval(function(){F={}},1e3)}function c(e,t){for(var o=e.length;o--;)F[j(e[o])]=t;return t}function u(e){var t=[],o=document.body,n=B.scrollHeight;do{var r=F[j(e)];if(r)return c(t,r);if(t.push(e),n===e.scrollHeight){var a=s(B)&&s(o),i=a||f(B);if(X&&d(B)||!X&&i)return c(t,$())}else if(d(e)&&f(e))return c(t,e)}while(e=e.parentElement)}function d(e){return e.clientHeight+10<e.scrollHeight}function s(e){var t=getComputedStyle(e,"").getPropertyValue("overflow-y");return"hidden"!==t}function f(e){var t=getComputedStyle(e,"").getPropertyValue("overflow-y");return"scroll"===t||"auto"===t}function m(e,t){window.addEventListener(e,t,!1)}function h(e,t){window.removeEventListener(e,t,!1)}function w(e,t){return(e.nodeName||"").toLowerCase()===t.toLowerCase()}function p(e,t){e=e>0?1:-1,t=t>0?1:-1,(Y.x!==e||Y.y!==t)&&(Y.x=e,Y.y=t,q=[],R=0)}function v(e){return e?(O.length||(O=[e,e,e]),e=Math.abs(e),O.push(e),O.shift(),clearTimeout(H),H=setTimeout(function(){window.localStorage&&(localStorage.SS_deltaBuffer=O.join(","))},1e3),!g(120)&&!g(100)):void 0}function b(e,t){return Math.floor(e/t)==e/t}function g(e){return b(O[0],e)&&b(O[1],e)&&b(O[2],e)}function y(e){var t=e.target,o=!1;if(-1!=document.URL.indexOf("www.youtube.com/watch"))do if(o=t.classList&&t.classList.contains("html5-video-controls"))break;while(t=t.parentNode);return o}function S(e){var t,o,n;return e*=z.pulseScale,1>e?t=e-(1-Math.exp(-e)):(o=Math.exp(-1),e-=1,n=1-Math.exp(-e),t=o+n*(1-o)),t*z.pulseNormalize}function x(e){return e>=1?1:0>=e?0:(1==z.pulseNormalize&&(z.pulseNormalize/=S(1)),S(e))}function k(e){for(var t in e)C.hasOwnProperty(t)&&(z[t]=e[t])}var D,M,T,E,H,C={frameRate:150,animationTime:400,stepSize:100,pulseAlgorithm:!0,pulseScale:4,pulseNormalize:1,accelerationDelta:50,accelerationMax:3,keyboardSupport:!0,arrowScroll:50,touchpadSupport:!1,fixedBackground:!0,excluded:""},z=C,L=!1,X=!1,Y={x:0,y:0},A=!1,B=document.documentElement,O=[],K=/^Mac/.test(navigator.platform),N={left:37,up:38,right:39,down:40,spacebar:32,pageup:33,pagedown:34,end:35,home:36},q=[],P=!1,R=Date.now(),j=function(){var e=0;return function(t){return t.uniqueID||(t.uniqueID=e++)}}(),F={};window.localStorage&&localStorage.SS_deltaBuffer&&(O=localStorage.SS_deltaBuffer.split(","));var I,_=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||function(e,t,o){window.setTimeout(e,o||1e3/60)}}(),V=window.MutationObserver||window.WebKitMutationObserver||window.MozMutationObserver,$=function(){var e;return function(){if(!e){var t=document.createElement("div");t.style.cssText="height:10000px;width:1px;",document.body.appendChild(t);{var o=document.body.scrollTop;document.documentElement.scrollTop}window.scrollBy(0,1),e=document.body.scrollTop!=o?document.body:document.documentElement,window.scrollBy(0,-1),document.body.removeChild(t)}return e}}(),U=window.navigator.userAgent,W=/Edge/.test(U),G=/chrome/i.test(U)&&!W,J=/safari/i.test(U)&&!W,Q=/mobile/i.test(U),Z=(G||J)&&!Q;"onwheel"in document.createElement("div")?I="wheel":"onmousewheel"in document.createElement("div")&&(I="mousewheel"),I&&Z&&(m(I,r),m("mousedown",i),m("load",t)),k.destroy=o,window.SmoothScrollOptions&&k(window.SmoothScrollOptions),"function"==typeof define&&define.amd?define(function(){return k}):"object"==typeof exports?module.exports=k:window.SmoothScroll=k}();

// jQuery RoyalSlider plugin. Custom build. Copyright Dmitry Semenov, http://dimsemenov.com 
// jquery.royalslider v9.5.1

(function(e){function t(t,r){var i,s=this,o=window.navigator,u=o.userAgent.toLowerCase();s.uid=e.rsModules.uid++;s.ns=".rs"+s.uid;var a=document.createElement("div").style,f=["webkit","Moz","ms","O"],l="",c=0,h;for(i=0;i<f.length;i++)h=f[i],!l&&h+"Transform"in a&&(l=h),h=h.toLowerCase(),window.requestAnimationFrame||(window.requestAnimationFrame=window[h+"RequestAnimationFrame"],window.cancelAnimationFrame=window[h+"CancelAnimationFrame"]||window[h+"CancelRequestAnimationFrame"]);window.requestAnimationFrame||(window.requestAnimationFrame=function(e,t){var n=(new Date).getTime(),r=Math.max(0,16-(n-c)),i=window.setTimeout(function(){e(n+r)},r);c=n+r;return i});window.cancelAnimationFrame||(window.cancelAnimationFrame=function(e){clearTimeout(e)});s.isIPAD=u.match(/(ipad)/);s.isIOS=s.isIPAD||u.match(/(iphone|ipod)/);i=function(e){e=/(chrome)[ \/]([\w.]+)/.exec(e)||/(webkit)[ \/]([\w.]+)/.exec(e)||/(opera)(?:.*version|)[ \/]([\w.]+)/.exec(e)||/(msie) ([\w.]+)/.exec(e)||0>e.indexOf("compatible")&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(e)||[];return{browser:e[1]||"",version:e[2]||"0"}}(u);f={};i.browser&&(f[i.browser]=!0,f.version=i.version);f.chrome&&(f.webkit=!0);s._a=f;s.isAndroid=-1<u.indexOf("android");s.slider=e(t);s.ev=e(s);s._b=e(document);s.st=e.extend({},e.fn.royalSlider.defaults,r);s._c=s.st.transitionSpeed;s._d=0;!s.st.allowCSS3||f.webkit&&!s.st.allowCSS3OnWebkit||(i=l+(l?"T":"t"),s._e=i+"ransform"in a&&i+"ransition"in a,s._e&&(s._f=l+(l?"P":"p")+"erspective"in a));l=l.toLowerCase();s._g="-"+l+"-";s._h="vertical"===s.st.slidesOrientation?!1:!0;s._i=s._h?"left":"top";s._j=s._h?"width":"height";s._k=-1;s._l="fade"===s.st.transitionType?!1:!0;s._l||(s.st.sliderDrag=!1,s._m=10);s._n="z-index:0; display:none; opacity:0;";s._o=0;s._p=0;s._q=0;e.each(e.rsModules,function(e,t){"uid"!==e&&t.call(s)});s.slides=[];s._r=0;(s.st.slides?e(s.st.slides):s.slider.children().detach()).each(function(){s._s(this,!0)});s.st.randomizeSlides&&s.slides.sort(function(){return.5-Math.random()});s.numSlides=s.slides.length;s._t();s.st.startSlideId?s.st.startSlideId>s.numSlides-1&&(s.st.startSlideId=s.numSlides-1):s.st.startSlideId=0;s._o=s.staticSlideId=s.currSlideId=s._u=s.st.startSlideId;s.currSlide=s.slides[s.currSlideId];s._v=0;s.pointerMultitouch=!1;s.slider.addClass((s._h?"rsHor":"rsVer")+(s._l?"":" rsFade"));a='<div class="rsOverflow"><div class="rsContainer">';s.slidesSpacing=s.st.slidesSpacing;s._w=(s._h?s.slider.width():s.slider.height())+s.st.slidesSpacing;s._x=Boolean(0<s._y);1>=s.numSlides&&(s._z=!1);s._a1=s._z&&s._l?2===s.numSlides?1:2:0;s._b1=6>s.numSlides?s.numSlides:6;s._c1=0;s._d1=0;s.slidesJQ=[];for(i=0;i<s.numSlides;i++)s.slidesJQ.push(e('<div style="'+(s._l?"":i!==s.currSlideId?s._n:"z-index:0;")+'" class="rsSlide "></div>'));s._e1=a=e(a+"</div></div>");var p=s.ns,l=function(e,t,n,r,i){s._j1=e+t+p;s._k1=e+n+p;s._l1=e+r+p;i&&(s._m1=e+i+p)};i=o.pointerEnabled;s.pointerEnabled=i||o.msPointerEnabled;s.pointerEnabled?(s.hasTouch=!1,s._n1=.2,s.pointerMultitouch=Boolean(1<o[(i?"m":"msM")+"axTouchPoints"]),i?l("pointer","down","move","up","cancel"):l("MSPointer","Down","Move","Up","Cancel")):(s.isIOS?s._j1=s._k1=s._l1=s._m1="":l("mouse","down","move","up"),"ontouchstart"in window||"createTouch"in document?(s.hasTouch=!0,s._j1+=" touchstart"+p,s._k1+=" touchmove"+p,s._l1+=" touchend"+p,s._m1+=" touchcancel"+p,s._n1=.5,s.st.sliderTouch&&(s._f1=!0)):(s.hasTouch=!1,s._n1=.2));s.st.sliderDrag&&(s._f1=!0,f.msie||f.opera?s._g1=s._h1="move":f.mozilla?(s._g1="-moz-grab",s._h1="-moz-grabbing"):f.webkit&&-1!=o.platform.indexOf("Mac")&&(s._g1="-webkit-grab",s._h1="-webkit-grabbing"),s._i1());s.slider.html(a);s._o1=s.st.controlsInside?s._e1:s.slider;s._p1=s._e1.children(".rsContainer");s.pointerEnabled&&s._p1.css((i?"":"-ms-")+"touch-action",s._h?"pan-y":"pan-x");s._q1=e('<div class="rsPreloader"></div>');o=s._p1.children(".rsSlide");s._r1=s.slidesJQ[s.currSlideId];s._s1=0;s._e?(s._t1="transition-property",s._u1="transition-duration",s._v1="transition-timing-function",s._w1=s._x1=s._g+"transform",s._f?(f.webkit&&!f.chrome&&s.slider.addClass("rsWebkit3d"),s._y1="translate3d(",s._z1="px, ",s._a2="px, 0px)"):(s._y1="translate(",s._z1="px, ",s._a2="px)"),s._l?s._p1[s._g+s._t1]=s._g+"transform":(f={},f[s._g+s._t1]="opacity",f[s._g+s._u1]=s.st.transitionSpeed+"ms",f[s._g+s._v1]=s.st.css3easeInOut,o.css(f))):(s._x1="left",s._w1="top");var d;e(window).on("resize"+s.ns,function(){d&&clearTimeout(d);d=setTimeout(function(){s.updateSliderSize()},50)});s.ev.trigger("rsAfterPropsSetup");s.updateSliderSize();s.st.keyboardNavEnabled&&s._b2();s.st.arrowsNavHideOnTouch&&(s.hasTouch||s.pointerMultitouch)&&(s.st.arrowsNav=!1);s.st.arrowsNav&&(o=s._o1,e('<div class="rsArrow rsArrowLeft"><div class="rsArrowIcn"></div></div><div class="rsArrow rsArrowRight"><div class="rsArrowIcn"></div></div>').appendTo(o),s._c2=o.children(".rsArrowLeft").click(function(e){e.preventDefault();s.prev()}),s._d2=o.children(".rsArrowRight").click(function(e){e.preventDefault();s.next()}),s.st.arrowsNavAutoHide&&!s.hasTouch&&(s._c2.addClass("rsHidden"),s._d2.addClass("rsHidden"),o.one("mousemove.arrowshover",function(){s._c2.removeClass("rsHidden");s._d2.removeClass("rsHidden")}),o.hover(function(){s._e2||(s._c2.removeClass("rsHidden"),s._d2.removeClass("rsHidden"))},function(){s._e2||(s._c2.addClass("rsHidden"),s._d2.addClass("rsHidden"))})),s.ev.on("rsOnUpdateNav",function(){s._f2()}),s._f2());if(s._f1)s._p1.on(s._j1,function(e){s._g2(e)});else s.dragSuccess=!1;var v=["rsPlayBtnIcon","rsPlayBtn","rsCloseVideoBtn","rsCloseVideoIcn"];s._p1.click(function(t){if(!s.dragSuccess){var r=e(t.target).attr("class");if(-1!==e.inArray(r,v)&&s.toggleVideo())return!1;if(s.st.navigateByClick&&!s._h2){if(e(t.target).closest(".rsNoDrag",s._r1).length)return!0;s._i2(t)}s.ev.trigger("rsSlideClick",t)}}).on("click.rs","a",function(e){if(s.dragSuccess)return!1;s._h2=!0;setTimeout(function(){s._h2=!1},3)});s.ev.trigger("rsAfterInit")}e.rsModules||(e.rsModules={uid:0});t.prototype={constructor:t,_i2:function(e){e=e[this._h?"pageX":"pageY"]-this._j2;e>=this._q?this.next():0>e&&this.prev()},_t:function(){var e;e=this.st.numImagesToPreload;if(this._z=this.st.loop)2===this.numSlides?(this._z=!1,this.st.loopRewind=!0):2>this.numSlides&&(this.st.loopRewind=this._z=!1);this._z&&0<e&&(4>=this.numSlides?e=1:this.st.numImagesToPreload>(this.numSlides-1)/2&&(e=Math.floor((this.numSlides-1)/2)));this._y=e},_s:function(t,r){function i(e,t){t?u.images.push(e.attr(t)):u.images.push(e.text());if(f){f=!1;u.caption="src"===t?e.attr("alt"):e.contents();u.image=u.images[0];u.videoURL=e.attr("data-rsVideo");var n=e.attr("data-rsw"),r=e.attr("data-rsh");"undefined"!==typeof n&&!1!==n&&"undefined"!==typeof r&&!1!==r?(u.iW=parseInt(n,10),u.iH=parseInt(r,10)):s.st.imgWidth&&s.st.imgHeight&&(u.iW=s.st.imgWidth,u.iH=s.st.imgHeight)}}var s=this,o,u={},a,f=!0;t=e(t);s._k2=t;s.ev.trigger("rsBeforeParseNode",[t,u]);if(!u.stopParsing)return t=s._k2,u.id=s._r,u.contentAdded=!1,s._r++,u.images=[],u.isBig=!1,u.hasCover||(t.hasClass("rsImg")?(a=t,o=!0):(a=t.find(".rsImg"),a.length&&(o=!0)),o?(u.bigImage=a.eq(0).attr("data-rsBigImg"),a.each(function(){var t=e(this);t.is("a")?i(t,"href"):t.is("img")?i(t,"src"):i(t)})):t.is("img")&&(t.addClass("rsImg rsMainSlideImage"),i(t,"src"))),a=t.find(".rsCaption"),a.length&&(u.caption=a.remove()),u.content=t,s.ev.trigger("rsAfterParseNode",[t,u]),r&&s.slides.push(u),0===u.images.length&&(u.isLoaded=!0,u.isRendered=!1,u.isLoading=!1,u.images=null),u},_b2:function(){var e=this,t,n,r=function(t){37===t?e.prev():39===t&&e.next()};e._b.on("keydown"+e.ns,function(i){e._l2||(n=i.keyCode,37!==n&&39!==n||t||(r(n),t=setInterval(function(){r(n)},700)))}).on("keyup"+e.ns,function(e){t&&(clearInterval(t),t=null)})},goTo:function(e,t){e!==this.currSlideId&&this._m2(e,this.st.transitionSpeed,!0,!t)},destroy:function(t){this.ev.trigger("rsBeforeDestroy");this._b.off("keydown"+this.ns+" keyup"+this.ns+" "+this._k1+" "+this._l1);this._p1.off(this._j1+" click");this.slider.data("royalSlider",null);e.removeData(this.slider,"royalSlider");e(window).off("resize"+this.ns);this.loadingTimeout&&clearTimeout(this.loadingTimeout);t&&this.slider.remove();this.ev=this.slider=this.slides=null},_n2:function(t,r){function i(r,i,u){r.isAdded?(s(i,r),o(i,r)):(u||(u=a.slidesJQ[i]),r.holder?u=r.holder:(u=a.slidesJQ[i]=e(u),r.holder=u),r.appendOnLoaded=!1,o(i,r,u),s(i,r),a._p2(r,u,t),r.isAdded=!0)}function s(e,n){n.contentAdded||(a.setItemHtml(n,t),t||(n.contentAdded=!0))}function o(e,t,n){a._l&&(n||(n=a.slidesJQ[e]),n.css(a._i,(e+a._d1+d)*a._w))}function u(e){if(c){if(e>h-1)return u(e-h);if(0>e)return u(h+e)}return e}var a=this,f,l,c=a._z,h=a.numSlides;if(!isNaN(r))return u(r);var p=a.currSlideId,d,v=t?Math.abs(a._o2-a.currSlideId)>=a.numSlides-1?0:1:a._y,m=Math.min(2,v),g=!1,y=!1,b;for(l=p;l<p+1+m;l++)if(b=u(l),(f=a.slides[b])&&(!f.isAdded||!f.positionSet)){g=!0;break}for(l=p-1;l>p-1-m;l--)if(b=u(l),(f=a.slides[b])&&(!f.isAdded||!f.positionSet)){y=!0;break}if(g)for(l=p;l<p+v+1;l++)b=u(l),d=Math.floor((a._u-(p-l))/a.numSlides)*a.numSlides,(f=a.slides[b])&&i(f,b);if(y)for(l=p-1;l>p-1-v;l--)b=u(l),d=Math.floor((a._u-(p-l))/h)*h,(f=a.slides[b])&&i(f,b);if(!t)for(m=u(p-v),p=u(p+v),v=m>p?0:m,l=0;l<h;l++)m>p&&l>m-1||!(l<v||l>p)||(f=a.slides[l])&&f.holder&&(f.holder.detach(),f.isAdded=!1)},setItemHtml:function(t,r){var i=this,s=function(){if(!t.images)t.isRendered=!0,t.isLoaded=!0,t.isLoading=!1,a(!0);else if(!t.isLoading){var r,s;t.content.hasClass("rsImg")?(r=t.content,s=!0):r=t.content.find(".rsImg:not(img)");r&&!r.is("img")&&r.each(function(){var r=e(this),i='<img class="rsImg" src="'+(r.is("a")?r.attr("href"):r.text())+'" />';s?t.content=e(i):r.replaceWith(i)});r=s?t.content:t.content.find("img.rsImg");l();r.eq(0).addClass("rsMainSlideImage");t.iW&&t.iH&&(t.isLoaded||i._q2(t),a());t.isLoading=!0;if(t.isBig)e("<img />").on("load.rs error.rs",function(t){e(this).off("load.rs error.rs");o([this],!0)}).attr("src",t.image);else{t.loaded=[];t.numStartedLoad=0;r=function(r){e(this).off("load.rs error.rs");t.loaded.push(this);t.loaded.length===t.numStartedLoad&&o(t.loaded,!1)};for(var u=0;u<t.images.length;u++){var f=e("<img />");t.numStartedLoad++;f.on("load.rs error.rs",r).attr("src",t.images[u])}}}},o=function(e,n){if(e.length){var r=e[0];if(n!==t.isBig)(r=t.holder.children())&&1<r.length&&c();else if(t.iW&&t.iH)u();else if(t.iW=r.width,t.iH=r.height,t.iW&&t.iH)u();else{var i=new Image;i.onload=function(){i.width?(t.iW=i.width,t.iH=i.height,u()):setTimeout(function(){i.width&&(t.iW=i.width,t.iH=i.height);u()},1e3)};i.src=r.src}}else u()},u=function(){t.isLoaded=!0;t.isLoading=!1;a();c();f()},a=function(){if(!t.isAppended&&i.ev){var e=i.st.visibleNearby,n=t.id-i._o;r||t.appendOnLoaded||!i.st.fadeinLoadedSlide||0!==n&&(!(e||i._r2||i._l2)||-1!==n&&1!==n)||(e={visibility:"visible",opacity:0},e[i._g+"transition"]="opacity 400ms ease-in-out",t.content.css(e),setTimeout(function(){t.content.css("opacity",1)},16));t.holder.find(".rsPreloader").length?t.holder.append(t.content):t.holder.html(t.content);t.isAppended=!0;t.isLoaded&&(i._q2(t),f());t.sizeReady||(t.sizeReady=!0,setTimeout(function(){i.ev.trigger("rsMaybeSizeReady",t)},100))}},f=function(){!t.loadedTriggered&&i.ev&&(t.isLoaded=t.loadedTriggered=!0,t.holder.trigger("rsAfterContentSet"),i.ev.trigger("rsAfterContentSet",t))},l=function(){i.st.usePreloader&&t.holder.html(i._q1.clone())},c=function(e){i.st.usePreloader&&(e=t.holder.find(".rsPreloader"),e.length&&e.remove())};t.isLoaded?a():r?!i._l&&t.images&&t.iW&&t.iH?s():(t.holder.isWaiting=!0,l(),t.holder.slideId=-99):s()},_p2:function(e,t,n){this._p1.append(e.holder);e.appendOnLoaded=!1},_g2:function(t,r){var i=this,s,o="touchstart"===t.type;i._s2=o;i.ev.trigger("rsDragStart");if(e(t.target).closest(".rsNoDrag",i._r1).length)return i.dragSuccess=!1,!0;!r&&i._r2&&(i._t2=!0,i._u2());i.dragSuccess=!1;if(i._l2)o&&(i._v2=!0);else{o&&(i._v2=!1);i._w2();if(o){var u=t.originalEvent.touches;if(u&&0<u.length)s=u[0],1<u.length&&(i._v2=!0);else return}else t.preventDefault(),s=t,i.pointerEnabled&&(s=s.originalEvent);i._l2=!0;i._b.on(i._k1,function(e){i._x2(e,r)}).on(i._l1,function(e){i._y2(e,r)});i._z2="";i._a3=!1;i._b3=s.pageX;i._c3=s.pageY;i._d3=i._v=(r?i._e3:i._h)?s.pageX:s.pageY;i._f3=0;i._g3=0;i._h3=r?i._i3:i._p;i._j3=(new Date).getTime();if(o)i._e1.on(i._m1,function(e){i._y2(e,r)})}},_k3:function(e,t){if(this._l3){var n=this._m3,r=e.pageX-this._b3,i=e.pageY-this._c3,s=this._h3+r,o=this._h3+i,u=t?this._e3:this._h,s=u?s:o,o=this._z2;this._a3=!0;this._b3=e.pageX;this._c3=e.pageY;"x"===o&&0!==r?this._f3=0<r?1:-1:"y"===o&&0!==i&&(this._g3=0<i?1:-1);o=u?this._b3:this._c3;r=u?r:i;t?s>this._n3?s=this._h3+r*this._n1:s<this._o3&&(s=this._h3+r*this._n1):this._z||(0>=this.currSlideId&&0<o-this._d3&&(s=this._h3+r*this._n1),this.currSlideId>=this.numSlides-1&&0>o-this._d3&&(s=this._h3+r*this._n1));this._h3=s;200<n-this._j3&&(this._j3=n,this._v=o);t?this._q3(this._h3):this._l&&this._p3(this._h3)}},_x2:function(e,t){var n=this,r,i="touchmove"===e.type;if(!n._s2||i){if(i){if(n._r3)return;var s=e.originalEvent.touches;if(s){if(1<s.length)return;r=s[0]}else return}else r=e,n.pointerEnabled&&(r=r.originalEvent);n._a3||(n._e&&(t?n._s3:n._p1).css(n._g+n._u1,"0s"),function o(){n._l2&&(n._t3=requestAnimationFrame(o),n._u3&&n._k3(n._u3,t))}());if(n._l3)e.preventDefault(),n._m3=(new Date).getTime(),n._u3=r;else if(s=t?n._e3:n._h,r=Math.abs(r.pageX-n._b3)-Math.abs(r.pageY-n._c3)-(s?-7:7),7<r){if(s)e.preventDefault(),n._z2="x";else if(i){n._v3(e);return}n._l3=!0}else if(-7>r){if(!s)e.preventDefault(),n._z2="y";else if(i){n._v3(e);return}n._l3=!0}}},_v3:function(e,t){this._r3=!0;this._a3=this._l2=!1;this._y2(e)},_y2:function(t,r){function i(e){return 100>e?100:500<e?500:e}function s(e,t){if(o._l||r)f=(-o._u-o._d1)*o._w,l=Math.abs(o._p-f),o._c=l/t,e&&(o._c+=250),o._c=i(o._c),o._x3(f,!1)}var o=this,u,a,f,l;u=-1<t.type.indexOf("touch");if(!o._s2||u)if(o._s2=!1,o.ev.trigger("rsDragRelease"),o._u3=null,o._l2=!1,o._r3=!1,o._l3=!1,o._m3=0,cancelAnimationFrame(o._t3),o._a3&&(r?o._q3(o._h3):o._l&&o._p3(o._h3)),o._b.off(o._k1).off(o._l1),u&&o._e1.off(o._m1),o._i1(),!o._a3&&!o._v2&&r&&o._w3){var c=e(t.target).closest(".rsNavItem");c.length&&o.goTo(c.index())}else{a=r?o._e3:o._h;if(!o._a3||"y"===o._z2&&a||"x"===o._z2&&!a)if(!r&&o._t2){o._t2=!1;if(o.st.navigateByClick){o._i2(o.pointerEnabled?t.originalEvent:t);o.dragSuccess=!0;return}o.dragSuccess=!0}else{o._t2=!1;o.dragSuccess=!1;return}else o.dragSuccess=!0;o._t2=!1;o._z2="";var h=o.st.minSlideOffset;u=u?t.originalEvent.changedTouches[0]:o.pointerEnabled?t.originalEvent:t;var p=a?u.pageX:u.pageY,d=o._d3;u=o._v;var v=o.currSlideId,m=o.numSlides,g=a?o._f3:o._g3,y=o._z;Math.abs(p-d);u=p-u;a=(new Date).getTime()-o._j3;a=Math.abs(u)/a;if(0===g||1>=m)s(!0,a);else{if(!y&&!r)if(0>=v){if(0<g){s(!0,a);return}}else if(v>=m-1&&0>g){s(!0,a);return}if(r){f=o._i3;if(f>o._n3)f=o._n3;else if(f<o._o3)f=o._o3;else{p=a*a/.006;c=-o._i3;d=o._y3-o._z3+o._i3;0<u&&p>c?(c+=o._z3/(15/(p/a*.003)),a=a*c/p,p=c):0>u&&p>d&&(d+=o._z3/(15/(p/a*.003)),a=a*d/p,p=d);c=Math.max(Math.round(a/.003),50);f+=p*(0>u?-1:1);if(f>o._n3){o._a4(f,c,!0,o._n3,200);return}if(f<o._o3){o._a4(f,c,!0,o._o3,200);return}}o._a4(f,c,!0)}else c=function(e){var t=Math.floor(e/o._w);e-t*o._w>h&&t++;return t},d+h<p?0>g?s(!1,a):(c=c(p-d),o._m2(o.currSlideId-c,i(Math.abs(o._p-(-o._u-o._d1+c)*o._w)/a),!1,!0,!0)):d-h>p?0<g?s(!1,a):(c=c(d-p),o._m2(o.currSlideId+c,i(Math.abs(o._p-(-o._u-o._d1-c)*o._w)/a),!1,!0,!0)):s(!1,a)}}},_p3:function(e){e=this._p=e;this._e?this._p1.css(this._x1,this._y1+(this._h?e+this._z1+0:0+this._z1+e)+this._a2):this._p1.css(this._h?this._x1:this._w1,e)},updateSliderSize:function(e){var t,n;if(this.st.autoScaleSlider){var r=this.st.autoScaleSliderWidth,i=this.st.autoScaleSliderHeight;this.st.autoScaleHeight?(t=this.slider.width(),t!=this.width&&(this.slider.css("height",i/r*t),t=this.slider.width()),n=this.slider.height()):(n=this.slider.height(),n!=this.height&&(this.slider.css("width",r/i*n),n=this.slider.height()),t=this.slider.width())}else t=this.slider.width(),n=this.slider.height();if(e||t!=this.width||n!=this.height){this.width=t;this.height=n;this._b4=t;this._c4=n;this.ev.trigger("rsBeforeSizeSet");this.ev.trigger("rsAfterSizePropSet");this._e1.css({width:this._b4,height:this._c4});this._w=(this._h?this._b4:this._c4)+this.st.slidesSpacing;this._d4=this.st.imageScalePadding;for(t=0;t<this.slides.length;t++)e=this.slides[t],e.positionSet=!1,e&&e.images&&e.isLoaded&&(e.isRendered=!1,this._q2(e));if(this._e4)for(t=0;t<this._e4.length;t++)e=this._e4[t],e.holder.css(this._i,(e.id+this._d1)*this._w);this._n2();this._l&&(this._e&&this._p1.css(this._g+"transition-duration","0s"),this._p3((-this._u-this._d1)*this._w));this.ev.trigger("rsOnUpdateNav")}this._j2=this._e1.offset();this._j2=this._j2[this._i]},appendSlide:function(t,r){var i=this._s(t);if(isNaN(r)||r>this.numSlides)r=this.numSlides;this.slides.splice(r,0,i);this.slidesJQ.splice(r,0,e('<div style="'+(this._l?"position:absolute;":this._n)+'" class="rsSlide"></div>'));r<this.currSlideId&&this.currSlideId++;this.ev.trigger("rsOnAppendSlide",[i,r]);this._f4(r);r===this.currSlideId&&this.ev.trigger("rsAfterSlideChange")},removeSlide:function(e){var t=this.slides[e];t&&(t.holder&&t.holder.remove(),e<this.currSlideId&&this.currSlideId--,this.slides.splice(e,1),this.slidesJQ.splice(e,1),this.ev.trigger("rsOnRemoveSlide",[e]),this._f4(e),e===this.currSlideId&&this.ev.trigger("rsAfterSlideChange"))},_f4:function(e){var t=this;e=t.numSlides;e=0>=t._u?0:Math.floor(t._u/e);t.numSlides=t.slides.length;0===t.numSlides?(t.currSlideId=t._d1=t._u=0,t.currSlide=t._g4=null):t._u=e*t.numSlides+t.currSlideId;for(e=0;e<t.numSlides;e++)t.slides[e].id=e;t.currSlide=t.slides[t.currSlideId];t._r1=t.slidesJQ[t.currSlideId];t.currSlideId>=t.numSlides?t.goTo(t.numSlides-1):0>t.currSlideId&&t.goTo(0);t._t();t._l&&t._z&&t._p1.css(t._g+t._u1,"0ms");t._h4&&clearTimeout(t._h4);t._h4=setTimeout(function(){t._l&&t._p3((-t._u-t._d1)*t._w);t._n2();t._l||t._r1.css({display:"block",opacity:1})},14);t.ev.trigger("rsOnUpdateNav")},_i1:function(){this._f1&&this._l&&(this._g1?this._e1.css("cursor",this._g1):(this._e1.removeClass("grabbing-cursor"),this._e1.addClass("grab-cursor")))},_w2:function(){this._f1&&this._l&&(this._h1?this._e1.css("cursor",this._h1):(this._e1.removeClass("grab-cursor"),this._e1.addClass("grabbing-cursor")))},next:function(e){this._m2("next",this.st.transitionSpeed,!0,!e)},prev:function(e){this._m2("prev",this.st.transitionSpeed,!0,!e)},_m2:function(e,t,n,r,i){var s=this,o,u,a;s.ev.trigger("rsBeforeMove",[e,r]);a="next"===e?s.currSlideId+1:"prev"===e?s.currSlideId-1:e=parseInt(e,10);if(!s._z){if(0>a){s._i4("left",!r);return}if(a>=s.numSlides){s._i4("right",!r);return}}s._r2&&(s._u2(!0),n=!1);u=a-s.currSlideId;a=s._o2=s.currSlideId;var f=s.currSlideId+u;r=s._u;var l;s._z?(f=s._n2(!1,f),r+=u):r=f;s._o=f;s._g4=s.slidesJQ[s.currSlideId];s._u=r;s.currSlideId=s._o;s.currSlide=s.slides[s.currSlideId];s._r1=s.slidesJQ[s.currSlideId];var f=s.st.slidesDiff,c=Boolean(0<u);u=Math.abs(u);var h=Math.floor(a/s._y),p=Math.floor((a+(c?f:-f))/s._y),h=(c?Math.max(h,p):Math.min(h,p))*s._y+(c?s._y-1:0);h>s.numSlides-1?h=s.numSlides-1:0>h&&(h=0);a=c?h-a:a-h;a>s._y&&(a=s._y);if(u>a+f)for(s._d1+=(u-(a+f))*(c?-1:1),t*=1.4,a=0;a<s.numSlides;a++)s.slides[a].positionSet=!1;s._c=t;s._n2(!0);i||(l=!0);o=(-r-s._d1)*s._w;l?setTimeout(function(){s._j4=!1;s._x3(o,e,!1,n);s.ev.trigger("rsOnUpdateNav")},0):(s._x3(o,e,!1,n),s.ev.trigger("rsOnUpdateNav"))},_f2:function(){this.st.arrowsNav&&(1>=this.numSlides?(this._c2.css("display","none"),this._d2.css("display","none")):(this._c2.css("display","block"),this._d2.css("display","block"),this._z||this.st.loopRewind||(0===this.currSlideId?this._c2.addClass("rsArrowDisabled"):this._c2.removeClass("rsArrowDisabled"),this.currSlideId===this.numSlides-1?this._d2.addClass("rsArrowDisabled"):this._d2.removeClass("rsArrowDisabled"))))},_x3:function(t,r,i,s,o){function u(){var e;f&&(e=f.data("rsTimeout"))&&(f!==l&&f.css({opacity:0,display:"none",zIndex:0}),clearTimeout(e),f.data("rsTimeout",""));if(e=l.data("rsTimeout"))clearTimeout(e),l.data("rsTimeout","")}var a=this,f,l,c={};isNaN(a._c)&&(a._c=400);a._p=a._h3=t;a.ev.trigger("rsBeforeAnimStart");a._e?a._l?(a._c=parseInt(a._c,10),i=a._g+a._v1,c[a._g+a._u1]=a._c+"ms",c[i]=s?e.rsCSS3Easing[a.st.easeInOut]:e.rsCSS3Easing[a.st.easeOut],a._p1.css(c),s||!a.hasTouch?setTimeout(function(){a._p3(t)},5):a._p3(t)):(a._c=a.st.transitionSpeed,f=a._g4,l=a._r1,l.data("rsTimeout")&&l.css("opacity",0),u(),f&&f.data("rsTimeout",setTimeout(function(){c[a._g+a._u1]="0ms";c.zIndex=0;c.display="none";f.data("rsTimeout","");f.css(c);setTimeout(function(){f.css("opacity",0)},16)},a._c+60)),c.display="block",c.zIndex=a._m,c.opacity=0,c[a._g+a._u1]="0ms",c[a._g+a._v1]=e.rsCSS3Easing[a.st.easeInOut],l.css(c),l.data("rsTimeout",setTimeout(function(){l.css(a._g+a._u1,a._c+"ms");l.data("rsTimeout",setTimeout(function(){l.css("opacity",1);l.data("rsTimeout","")},20))},20))):a._l?(c[a._h?a._x1:a._w1]=t+"px",a._p1.animate(c,a._c,s?a.st.easeInOut:a.st.easeOut)):(f=a._g4,l=a._r1,l.stop(!0,!0).css({opacity:0,display:"block",zIndex:a._m}),a._c=a.st.transitionSpeed,l.animate({opacity:1},a._c,a.st.easeInOut),u(),f&&f.data("rsTimeout",setTimeout(function(){f.stop(!0,!0).css({opacity:0,display:"none",zIndex:0})},a._c+60)));a._r2=!0;a.loadingTimeout&&clearTimeout(a.loadingTimeout);a.loadingTimeout=o?setTimeout(function(){a.loadingTimeout=null;o.call()},a._c+60):setTimeout(function(){a.loadingTimeout=null;a._k4(r)},a._c+60)},_u2:function(e){this._r2=!1;clearTimeout(this.loadingTimeout);if(this._l)if(!this._e)this._p1.stop(!0),this._p=parseInt(this._p1.css(this._x1),10);else{if(!e){e=this._p;var t=this._h3=this._l4();this._p1.css(this._g+this._u1,"0ms");e!==t&&this._p3(t)}}else 20<this._m?this._m=10:this._m++},_l4:function(){var e=window.getComputedStyle(this._p1.get(0),null).getPropertyValue(this._g+"transform").replace(/^matrix\(/i,"").split(/, |\)$/g),t=0===e[0].indexOf("matrix3d");return parseInt(e[this._h?t?12:4:t?13:5],10)},_m4:function(e,t){return this._e?this._y1+(t?e+this._z1+0:0+this._z1+e)+this._a2:e},_k4:function(e){this._l||(this._r1.css("z-index",0),this._m=10);this._r2=!1;this.staticSlideId=this.currSlideId;this._n2();this._n4=!1;this.ev.trigger("rsAfterSlideChange")},_i4:function(e,t){var n=this,r=(-n._u-n._d1)*n._w;if(0!==n.numSlides&&!n._r2)if(n.st.loopRewind)n.goTo("left"===e?n.numSlides-1:0,t);else if(n._l){n._c=200;var i=function(){n._r2=!1};n._x3(r+("left"===e?30:-30),"",!1,!0,function(){n._r2=!1;n._x3(r,"",!1,!0,i)})}},_q2:function(e,t){if(!e.isRendered){var n=e.content,r="rsMainSlideImage",i,s=this.st.imageAlignCenter,o=this.st.imageScaleMode,u;e.videoURL&&(r="rsVideoContainer","fill"!==o?i=!0:(u=n,u.hasClass(r)||(u=u.find("."+r)),u.css({width:"100%",height:"100%"}),r="rsMainSlideImage"));n.hasClass(r)||(n=n.find("."+r));if(n){var a=e.iW,f=e.iH;e.isRendered=!0;if("none"!==o||s){r="fill"!==o?this._d4:0;u=this._b4-2*r;var l=this._c4-2*r,c,h,p={};"fit-if-smaller"===o&&(a>u||f>l)&&(o="fit");if("fill"===o||"fit"===o)c=u/a,h=l/f,c="fill"==o?c>h?c:h:"fit"==o?c<h?c:h:1,a=Math.ceil(a*c,10),f=Math.ceil(f*c,10);"none"!==o&&(p.width=a,p.height=f,i&&n.find(".rsImg").css({width:"100%",height:"100%"}));s&&(p.marginLeft=Math.floor((u-a)/2)+r,p.marginTop=Math.floor((l-f)/2)+r);n.css(p)}}}}};e.rsProto=t.prototype;e.fn.royalSlider=function(r){var i=arguments;return this.each(function(){var s=e(this);if("object"!==typeof r&&r){if((s=s.data("royalSlider"))&&s[r])return s[r].apply(s,Array.prototype.slice.call(i,1))}else s.data("royalSlider")||s.data("royalSlider",new t(s,r))})};e.fn.royalSlider.defaults={slidesSpacing:8,startSlideId:0,loop:!1,loopRewind:!1,numImagesToPreload:4,fadeinLoadedSlide:!0,slidesOrientation:"horizontal",transitionType:"move",transitionSpeed:600,controlNavigation:"bullets",controlsInside:!0,arrowsNav:!0,arrowsNavAutoHide:!0,navigateByClick:!0,randomizeSlides:!1,sliderDrag:!0,sliderTouch:!0,keyboardNavEnabled:!1,fadeInAfterLoaded:!0,allowCSS3:!0,allowCSS3OnWebkit:!0,addActiveClass:!1,autoHeight:!1,easeOut:"easeOutSine",easeInOut:"easeInOutSine",minSlideOffset:10,imageScaleMode:"fit-if-smaller",imageAlignCenter:!0,imageScalePadding:4,usePreloader:!0,autoScaleSlider:!1,autoScaleSliderWidth:800,autoScaleSliderHeight:400,autoScaleHeight:!0,arrowsNavHideOnTouch:!1,globalCaption:!1,slidesDiff:2};e.rsCSS3Easing={easeOutSine:"cubic-bezier(0.390, 0.575, 0.565, 1.000)",easeInOutSine:"cubic-bezier(0.445, 0.050, 0.550, 0.950)"};e.extend(jQuery.easing,{easeInOutSine:function(e,t,n,r,i){return-r/2*(Math.cos(Math.PI*t/i)-1)+n},easeOutSine:function(e,t,n,r,i){return r*Math.sin(t/i*(Math.PI/2))+n},easeOutCubic:function(e,t,n,r,i){return r*((t=t/i-1)*t*t+1)+n}})})(jQuery,window);(function(e){e.extend(e.rsProto,{_i5:function(){var t=this;"bullets"===t.st.controlNavigation&&(t.ev.one("rsAfterPropsSetup",function(){t._j5=!0;t.slider.addClass("rsWithBullets");for(var n='<div class="rsNav rsBullets">',r=0;r<t.numSlides;r++)n+='<div class="rsNavItem rsBullet"><span></span></div>';t._k5=n=e(n+"</div>");t._l5=n.appendTo(t.slider).children();t._k5.on("click.rs",".rsNavItem",function(n){t._m5||t.goTo(e(this).index())})}),t.ev.on("rsOnAppendSlide",function(e,n,r){r>=t.numSlides?t._k5.append('<div class="rsNavItem rsBullet"><span></span></div>'):t._l5.eq(r).before('<div class="rsNavItem rsBullet"><span></span></div>');t._l5=t._k5.children()}),t.ev.on("rsOnRemoveSlide",function(e,n){var r=t._l5.eq(n);r&&r.length&&(r.remove(),t._l5=t._k5.children())}),t.ev.on("rsOnUpdateNav",function(){var e=t.currSlideId;t._n5&&t._n5.removeClass("rsNavSelected");e=t._l5.eq(e);e.addClass("rsNavSelected");t._n5=e}))}});e.rsModules.bullets=e.rsProto._i5})(jQuery);(function(e){e.extend(e.rsProto,{_h6:function(){var t=this;"thumbnails"===t.st.controlNavigation&&(t._i6={drag:!0,touch:!0,orientation:"horizontal",navigation:!0,arrows:!0,arrowLeft:null,arrowRight:null,spacing:4,arrowsAutoHide:!1,appendSpan:!1,transitionSpeed:600,autoCenter:!0,fitInViewport:!0,firstMargin:!0,paddingTop:0,paddingBottom:0},t.st.thumbs=e.extend({},t._i6,t.st.thumbs),t._j6=!0,!1===t.st.thumbs.firstMargin?t.st.thumbs.firstMargin=0:!0===t.st.thumbs.firstMargin&&(t.st.thumbs.firstMargin=t.st.thumbs.spacing),t.ev.on("rsBeforeParseNode",function(t,n,r){n=e(n);r.thumbnail=n.find(".rsTmb").remove();r.thumbnail.length?r.thumbnail=e(document.createElement("div")).append(r.thumbnail).html():(r.thumbnail=n.attr("data-rsTmb"),r.thumbnail||(r.thumbnail=n.find(".rsImg").attr("data-rsTmb")),r.thumbnail=r.thumbnail?'<img src="'+r.thumbnail+'"/>':"")}),t.ev.one("rsAfterPropsSetup",function(){t._k6()}),t._n5=null,t.ev.on("rsOnUpdateNav",function(){var n=e(t._l5[t.currSlideId]);n!==t._n5&&(t._n5&&(t._n5.removeClass("rsNavSelected"),t._n5=null),t._l6&&t._m6(t.currSlideId),t._n5=n.addClass("rsNavSelected"))}),t.ev.on("rsOnAppendSlide",function(e,n,r){e="<div"+t._n6+' class="rsNavItem rsThumb">'+t._o6+n.thumbnail+"</div>";r>=t.numSlides?t._s3.append(e):t._l5.eq(r).before(e);t._l5=t._s3.children();t.updateThumbsSize()}),t.ev.on("rsOnRemoveSlide",function(e,n){var r=t._l5.eq(n);r&&(r.remove(),t._l5=t._s3.children(),t.updateThumbsSize())}))},_k6:function(){var t=this,n="rsThumbs",r=t.st.thumbs,i="",s,o,u=r.spacing;t._j5=!0;t._e3="vertical"===r.orientation?!1:!0;t._n6=s=u?' style="margin-'+(t._e3?"right":"bottom")+":"+u+'px;"':"";t._i3=0;t._p6=!1;t._m5=!1;t._l6=!1;t._q6=r.arrows&&r.navigation;o=t._e3?"Hor":"Ver";t.slider.addClass("rsWithThumbs rsWithThumbs"+o);i+='<div class="rsNav rsThumbs rsThumbs'+o+'"><div class="'+n+'Container">';t._o6=r.appendSpan?'<span class="thumbIco"></span>':"";for(var a=0;a<t.numSlides;a++)o=t.slides[a],i+="<div"+s+' class="rsNavItem rsThumb">'+o.thumbnail+t._o6+"</div>";i=e(i+"</div></div>");s={};r.paddingTop&&(s[t._e3?"paddingTop":"paddingLeft"]=r.paddingTop);r.paddingBottom&&(s[t._e3?"paddingBottom":"paddingRight"]=r.paddingBottom);i.css(s);t._s3=e(i).find("."+n+"Container");t._q6&&(n+="Arrow",r.arrowLeft?t._r6=r.arrowLeft:(t._r6=e('<div class="'+n+" "+n+'Left"><div class="'+n+'Icn"></div></div>'),i.append(t._r6)),r.arrowRight?t._s6=r.arrowRight:(t._s6=e('<div class="'+n+" "+n+'Right"><div class="'+n+'Icn"></div></div>'),i.append(t._s6)),t._r6.click(function(){var e=(Math.floor(t._i3/t._t6)+t._u6)*t._t6+t._v6;t._a4(e>t._n3?t._n3:e)}),t._s6.click(function(){var e=(Math.floor(t._i3/t._t6)-t._u6)*t._t6+t._v6;t._a4(e<t._o3?t._o3:e)}),r.arrowsAutoHide&&!t.hasTouch&&(t._r6.css("opacity",0),t._s6.css("opacity",0),i.one("mousemove.rsarrowshover",function(){t._l6&&(t._r6.css("opacity",1),t._s6.css("opacity",1))}),i.hover(function(){t._l6&&(t._r6.css("opacity",1),t._s6.css("opacity",1))},function(){t._l6&&(t._r6.css("opacity",0),t._s6.css("opacity",0))})));t._k5=i;t._l5=t._s3.children();t.msEnabled&&t.st.thumbs.navigation&&t._s3.css("-ms-touch-action",t._e3?"pan-y":"pan-x");t.slider.append(i);t._w3=!0;t._v6=u;r.navigation&&t._e&&t._s3.css(t._g+"transition-property",t._g+"transform");t._k5.on("click.rs",".rsNavItem",function(n){t._m5||t.goTo(e(this).index())});t.ev.off("rsBeforeSizeSet.thumbs").on("rsBeforeSizeSet.thumbs",function(){t._w6=t._e3?t._c4:t._b4;t.updateThumbsSize(!0)});t.ev.off("rsAutoHeightChange.thumbs").on("rsAutoHeightChange.thumbs",function(e,n){t.updateThumbsSize(!0,n)})},updateThumbsSize:function(e,t){var n=this,r=n._l5.first(),i={},s=n._l5.length;n._t6=(n._e3?r.outerWidth():r.outerHeight())+n._v6;n._y3=s*n._t6-n._v6;i[n._e3?"width":"height"]=n._y3+n._v6;n._z3=n._e3?n._k5.width():void 0!==t?t:n._k5.height();n._w3&&(n.isFullscreen||n.st.thumbs.fitInViewport)&&(n._e3?n._c4=n._w6-n._k5.outerHeight():n._b4=n._w6-n._k5.outerWidth());n._z3&&(n._o3=-(n._y3-n._z3)-n.st.thumbs.firstMargin,n._n3=n.st.thumbs.firstMargin,n._u6=Math.floor(n._z3/n._t6),n._y3<n._z3?(n.st.thumbs.autoCenter&&n._q3((n._z3-n._y3)/2),n.st.thumbs.arrows&&n._r6&&(n._r6.addClass("rsThumbsArrowDisabled"),n._s6.addClass("rsThumbsArrowDisabled")),n._l6=!1,n._m5=!1,n._k5.off(n._j1)):n.st.thumbs.navigation&&!n._l6&&(n._l6=!0,!n.hasTouch&&n.st.thumbs.drag||n.hasTouch&&n.st.thumbs.touch)&&(n._m5=!0,n._k5.on(n._j1,function(e){n._g2(e,!0)})),n._s3.css(i),e&&t&&n._m6(n.currSlideId),n._e&&(i[n._g+"transition-duration"]="0ms"))},setThumbsOrientation:function(e,t){this._w3&&(this.st.thumbs.orientation=e,this._k5.remove(),this.slider.removeClass("rsWithThumbsHor rsWithThumbsVer"),this._k6(),this._k5.off(this._j1),t||this.updateSliderSize(!0))},_q3:function(e){this._i3=e;this._e?this._s3.css(this._x1,this._y1+(this._e3?e+this._z1+0:0+this._z1+e)+this._a2):this._s3.css(this._e3?this._x1:this._w1,e)},_a4:function(t,n,r,i,s){var o=this;if(o._l6){n||(n=o.st.thumbs.transitionSpeed);o._i3=t;o._x6&&clearTimeout(o._x6);o._p6&&(o._e||o._s3.stop(),r=!0);var u={};o._p6=!0;o._e?(u[o._g+"transition-duration"]=n+"ms",u[o._g+"transition-timing-function"]=r?e.rsCSS3Easing[o.st.easeOut]:e.rsCSS3Easing[o.st.easeInOut],o._s3.css(u),o._q3(t)):(u[o._e3?o._x1:o._w1]=t+"px",o._s3.animate(u,n,r?"easeOutCubic":o.st.easeInOut));i&&(o._i3=i);o._y6();o._x6=setTimeout(function(){o._p6=!1;s&&(o._a4(i,s,!0),s=null)},n)}},_y6:function(){this._q6&&(this._i3===this._n3?this._r6.addClass("rsThumbsArrowDisabled"):this._r6.removeClass("rsThumbsArrowDisabled"),this._i3===this._o3?this._s6.addClass("rsThumbsArrowDisabled"):this._s6.removeClass("rsThumbsArrowDisabled"))},_m6:function(e,t){var n=0,r,i=e*this._t6+2*this._t6-this._v6+this._n3,s=Math.floor(this._i3/this._t6);this._l6&&(this._j6&&(t=!0,this._j6=!1),i+this._i3>this._z3?(e===this.numSlides-1&&(n=1),s=-e+this._u6-2+n,r=s*this._t6+this._z3%this._t6+this._v6-this._n3):0!==e?(e-1)*this._t6<=-this._i3+this._n3&&e-1<=this.numSlides-this._u6&&(r=(-e+1)*this._t6+this._n3):r=this._n3,r!==this._i3&&(n=void 0===r?this._i3:r,n>this._n3?this._q3(this._n3):n<this._o3?this._q3(this._o3):void 0!==r&&(t?this._q3(r):this._a4(r))),this._y6())}});e.rsModules.thumbnails=e.rsProto._h6})(jQuery);(function(e){e.extend(e.rsProto,{_f6:function(){var t=this;"tabs"===t.st.controlNavigation&&(t.ev.on("rsBeforeParseNode",function(t,n,r){n=e(n);r.thumbnail=n.find(".rsTmb").remove();r.thumbnail.length?r.thumbnail=e(document.createElement("div")).append(r.thumbnail).html():(r.thumbnail=n.attr("data-rsTmb"),r.thumbnail||(r.thumbnail=n.find(".rsImg").attr("data-rsTmb")),r.thumbnail=r.thumbnail?'<img src="'+r.thumbnail+'"/>':"")}),t.ev.one("rsAfterPropsSetup",function(){t._g6()}),t.ev.on("rsOnAppendSlide",function(e,n,r){r>=t.numSlides?t._k5.append('<div class="rsNavItem rsTab">'+n.thumbnail+"</div>"):t._l5.eq(r).before('<div class="rsNavItem rsTab">'+item.thumbnail+"</div>");t._l5=t._k5.children()}),t.ev.on("rsOnRemoveSlide",function(e,n){var r=t._l5.eq(n);r&&(r.remove(),t._l5=t._k5.children())}),t.ev.on("rsOnUpdateNav",function(){var e=t.currSlideId;t._n5&&t._n5.removeClass("rsNavSelected");e=t._l5.eq(e);e.addClass("rsNavSelected");t._n5=e}))},_g6:function(){var t=this,n;t._j5=!0;n='<div class="rsNav rsTabs">';for(var r=0;r<t.numSlides;r++)n+='<div class="rsNavItem rsTab">'+t.slides[r].thumbnail+"</div>";n=e(n+"</div>");t._k5=n;t._l5=n.children(".rsNavItem");t.slider.append(n);t._k5.click(function(n){n=e(n.target).closest(".rsNavItem");n.length&&t.goTo(n.index())})}});e.rsModules.tabs=e.rsProto._f6})(jQuery);(function(e){e.extend(e.rsProto,{_q5:function(){var t=this;t._r5={enabled:!1,keyboardNav:!0,buttonFS:!0,nativeFS:!1,doubleTap:!0};t.st.fullscreen=e.extend({},t._r5,t.st.fullscreen);if(t.st.fullscreen.enabled)t.ev.one("rsBeforeSizeSet",function(){t._s5()})},_s5:function(){var t=this;t._t5=!t.st.keyboardNavEnabled&&t.st.fullscreen.keyboardNav;if(t.st.fullscreen.nativeFS){t._u5={supportsFullScreen:!1,isFullScreen:function(){return!1},requestFullScreen:function(){},cancelFullScreen:function(){},fullScreenEventName:"",prefix:""};var n=["webkit","moz","o","ms","khtml"];if(!t.isAndroid)if("undefined"!=typeof document.cancelFullScreen)t._u5.supportsFullScreen=!0;else for(var r=0;r<n.length;r++)if(t._u5.prefix=n[r],"undefined"!=typeof document[t._u5.prefix+"CancelFullScreen"]){t._u5.supportsFullScreen=!0;break}t._u5.supportsFullScreen?(t.nativeFS=!0,t._u5.fullScreenEventName=t._u5.prefix+"fullscreenchange"+t.ns,t._u5.isFullScreen=function(){switch(this.prefix){case"":return document.fullScreen;case"webkit":return document.webkitIsFullScreen;default:return document[this.prefix+"FullScreen"]}},t._u5.requestFullScreen=function(e){return""===this.prefix?e.requestFullScreen():e[this.prefix+"RequestFullScreen"]()},t._u5.cancelFullScreen=function(e){return""===this.prefix?document.cancelFullScreen():document[this.prefix+"CancelFullScreen"]()}):t._u5=!1}t.st.fullscreen.buttonFS&&(t._v5=e('<div class="rsFullscreenBtn"><div class="rsFullscreenIcn"></div></div>').appendTo(t._o1).on("click.rs",function(){t.isFullscreen?t.exitFullscreen():t.enterFullscreen()}))},enterFullscreen:function(t){var n=this;if(n._u5)if(t)n._u5.requestFullScreen(e("html")[0]);else{n._b.on(n._u5.fullScreenEventName,function(e){n._u5.isFullScreen()?n.enterFullscreen(!0):n.exitFullscreen(!0)});n._u5.requestFullScreen(e("html")[0]);return}if(!n._w5){n._w5=!0;n._b.on("keyup"+n.ns+"fullscreen",function(e){27===e.keyCode&&n.exitFullscreen()});n._t5&&n._b2();t=e(window);n._x5=t.scrollTop();n._y5=t.scrollLeft();n._z5=e("html").attr("style");n._a6=e("body").attr("style");n._b6=n.slider.attr("style");e("body, html").css({overflow:"hidden",height:"100%",width:"100%",margin:"0",padding:"0"});n.slider.addClass("rsFullscreen");var r;for(r=0;r<n.numSlides;r++)t=n.slides[r],t.isRendered=!1,t.bigImage&&(t.isBig=!0,t.isMedLoaded=t.isLoaded,t.isMedLoading=t.isLoading,t.medImage=t.image,t.medIW=t.iW,t.medIH=t.iH,t.slideId=-99,t.bigImage!==t.medImage&&(t.sizeType="big"),t.isLoaded=t.isBigLoaded,t.isLoading=!1,t.image=t.bigImage,t.images[0]=t.bigImage,t.iW=t.bigIW,t.iH=t.bigIH,t.isAppended=t.contentAdded=!1,n._c6(t));n.isFullscreen=!0;n._w5=!1;n.updateSliderSize();n.ev.trigger("rsEnterFullscreen")}},exitFullscreen:function(t){var n=this;if(n._u5){if(!t){n._u5.cancelFullScreen(e("html")[0]);return}n._b.off(n._u5.fullScreenEventName)}if(!n._w5){n._w5=!0;n._b.off("keyup"+n.ns+"fullscreen");n._t5&&n._b.off("keydown"+n.ns);e("html").attr("style",n._z5||"");e("body").attr("style",n._a6||"");var r;for(r=0;r<n.numSlides;r++)t=n.slides[r],t.isRendered=!1,t.bigImage&&(t.isBig=!1,t.slideId=-99,t.isBigLoaded=t.isLoaded,t.isBigLoading=t.isLoading,t.bigImage=t.image,t.bigIW=t.iW,t.bigIH=t.iH,t.isLoaded=t.isMedLoaded,t.isLoading=!1,t.image=t.medImage,t.images[0]=t.medImage,t.iW=t.medIW,t.iH=t.medIH,t.isAppended=t.contentAdded=!1,n._c6(t,!0),t.bigImage!==t.medImage&&(t.sizeType="med"));n.isFullscreen=!1;t=e(window);t.scrollTop(n._x5);t.scrollLeft(n._y5);n._w5=!1;n.slider.removeClass("rsFullscreen");n.updateSliderSize();setTimeout(function(){n.updateSliderSize()},1);n.ev.trigger("rsExitFullscreen")}},_c6:function(t,n){var r=t.isLoaded||t.isLoading?'<img class="rsImg rsMainSlideImage" src="'+t.image+'"/>':'<a class="rsImg rsMainSlideImage" href="'+t.image+'"></a>';t.content.hasClass("rsImg")?t.content=e(r):t.content.find(".rsImg").eq(0).replaceWith(r);t.isLoaded||t.isLoading||!t.holder||t.holder.html(t.content)}});e.rsModules.fullscreen=e.rsProto._q5})(jQuery);(function(e){e.extend(e.rsProto,{_x4:function(){var t=this,n;t._y4={enabled:!1,stopAtAction:!0,pauseOnHover:!0,delay:2e3};!t.st.autoPlay&&t.st.autoplay&&(t.st.autoPlay=t.st.autoplay);t.st.autoPlay=e.extend({},t._y4,t.st.autoPlay);t.st.autoPlay.enabled&&(t.ev.on("rsBeforeParseNode",function(t,r,i){r=e(r);if(n=r.attr("data-rsDelay"))i.customDelay=parseInt(n,10)}),t.ev.one("rsAfterInit",function(){t._z4()}),t.ev.on("rsBeforeDestroy",function(){t.stopAutoPlay();t.slider.off("mouseenter mouseleave");e(window).off("blur"+t.ns+" focus"+t.ns)}))},_z4:function(){var t=this;t.startAutoPlay();t.ev.on("rsAfterContentSet",function(e,n){t._l2||t._r2||!t._a5||n!==t.currSlide||t._b5()});t.ev.on("rsDragRelease",function(){t._a5&&t._c5&&(t._c5=!1,t._b5())});t.ev.on("rsAfterSlideChange",function(){t._a5&&t._c5&&(t._c5=!1,t.currSlide.isLoaded&&t._b5())});t.ev.on("rsDragStart",function(){t._a5&&(t.st.autoPlay.stopAtAction?t.stopAutoPlay():(t._c5=!0,t._d5()))});t.ev.on("rsBeforeMove",function(e,n,r){t._a5&&(r&&t.st.autoPlay.stopAtAction?t.stopAutoPlay():(t._c5=!0,t._d5()))});t._e5=!1;t.ev.on("rsVideoStop",function(){t._a5&&(t._e5=!1,t._b5())});t.ev.on("rsVideoPlay",function(){t._a5&&(t._c5=!1,t._d5(),t._e5=!0)});e(window).on("blur"+t.ns,function(){t._a5&&(t._c5=!0,t._d5())}).on("focus"+t.ns,function(){t._a5&&t._c5&&(t._c5=!1,t._b5())});t.st.autoPlay.pauseOnHover&&(t._f5=!1,t.slider.hover(function(){t._a5&&(t._c5=!1,t._d5(),t._f5=!0)},function(){t._a5&&(t._f5=!1,t._b5())}))},toggleAutoPlay:function(){this._a5?this.stopAutoPlay():this.startAutoPlay()},startAutoPlay:function(){this._a5=!0;this.currSlide.isLoaded&&this._b5()},stopAutoPlay:function(){this._e5=this._f5=this._c5=this._a5=!1;this._d5()},_b5:function(){var e=this;e._f5||e._e5||(e._g5=!0,e._h5&&clearTimeout(e._h5),e._h5=setTimeout(function(){var t;e._z||e.st.loopRewind||(t=!0,e.st.loopRewind=!0);e.next(!0);t&&(e.st.loopRewind=!1)},e.currSlide.customDelay?e.currSlide.customDelay:e.st.autoPlay.delay))},_d5:function(){this._f5||this._e5||(this._g5=!1,this._h5&&(clearTimeout(this._h5),this._h5=null))}});e.rsModules.autoplay=e.rsProto._x4})(jQuery);(function(e){e.extend(e.rsProto,{_z6:function(){var t=this;t._a7={autoHideArrows:!0,autoHideControlNav:!1,autoHideBlocks:!1,autoHideCaption:!1,disableCSS3inFF:!0,youTubeCode:'<iframe src="http://www.youtube.com/embed/%id%?rel=1&showinfo=0&autoplay=1&wmode=transparent" frameborder="no"></iframe>',vimeoCode:'<iframe src="http://player.vimeo.com/video/%id%?byline=0&portrait=0&autoplay=1" frameborder="no" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>'};t.st.video=e.extend({},t._a7,t.st.video);t.ev.on("rsBeforeSizeSet",function(){t._b7&&setTimeout(function(){var e=t._r1,e=e.hasClass("rsVideoContainer")?e:e.find(".rsVideoContainer");t._c7&&t._c7.css({width:e.width(),height:e.height()})},32)});var n=t._a.mozilla;t.ev.on("rsAfterParseNode",function(r,i,s){r=e(i);if(s.videoURL){t.st.video.disableCSS3inFF&&n&&(t._e=t._f=!1);i=e('<div class="rsVideoContainer"></div>');var o=e('<div class="rsBtnCenterer"><div class="rsPlayBtn"><div class="rsPlayBtnIcon"></div></div></div>');r.hasClass("rsImg")?s.content=i.append(r).append(o):s.content.find(".rsImg").wrap(i).after(o)}});t.ev.on("rsAfterSlideChange",function(){t.stopVideo()})},toggleVideo:function(){return this._b7?this.stopVideo():this.playVideo()},playVideo:function(){var t=this;if(!t._b7){var n=t.currSlide;if(!n.videoURL)return!1;t._d7=n;var r=t._e7=n.content,n=n.videoURL,i,s;n.match(/youtu\.be/i)||n.match(/youtube\.com/i)?(s=/^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/,(s=n.match(s))&&11==s[7].length&&(i=s[7]),void 0!==i&&(t._c7=t.st.video.youTubeCode.replace("%id%",i))):n.match(/vimeo\.com/i)&&(s=/(www\.)?vimeo.com\/(\d+)($|\/)/,(s=n.match(s))&&(i=s[2]),void 0!==i&&(t._c7=t.st.video.vimeoCode.replace("%id%",i)));t.videoObj=e(t._c7);t.ev.trigger("rsOnCreateVideoElement",[n]);t.videoObj.length&&(t._c7=e('<div class="rsVideoFrameHolder"><div class="rsPreloader"></div><div class="rsCloseVideoBtn"><div class="rsCloseVideoIcn"></div></div></div>'),t._c7.find(".rsPreloader").after(t.videoObj),r=r.hasClass("rsVideoContainer")?r:r.find(".rsVideoContainer"),t._c7.css({width:r.width(),height:r.height()}).find(".rsCloseVideoBtn").off("click.rsv").on("click.rsv",function(e){t.stopVideo();e.preventDefault();e.stopPropagation();return!1}),r.append(t._c7),t.isIPAD&&r.addClass("rsIOSVideo"),t._f7(!1),setTimeout(function(){t._c7.addClass("rsVideoActive")},10),t.ev.trigger("rsVideoPlay"),t._b7=!0);return!0}return!1},stopVideo:function(){var e=this;return e._b7?(e.isIPAD&&e.slider.find(".rsCloseVideoBtn").remove(),e._f7(!0),setTimeout(function(){e.ev.trigger("rsOnDestroyVideoElement",[e.videoObj]);var t=e._c7.find("iframe");if(t.length)try{t.attr("src","")}catch(n){}e._c7.remove();e._c7=null},16),e.ev.trigger("rsVideoStop"),e._b7=!1,!0):!1},_f7:function(e,t){var n=[],r=this.st.video;r.autoHideArrows&&(this._c2&&(n.push(this._c2,this._d2),this._e2=!e),this._v5&&n.push(this._v5));r.autoHideControlNav&&this._k5&&n.push(this._k5);r.autoHideBlocks&&this._d7.animBlocks&&n.push(this._d7.animBlocks);r.autoHideCaption&&this.globalCaption&&n.push(this.globalCaption);this.slider[e?"removeClass":"addClass"]("rsVideoPlaying");if(n.length)for(r=0;r<n.length;r++)e?n[r].removeClass("rsHidden"):n[r].addClass("rsHidden")}});e.rsModules.video=e.rsProto._z6})(jQuery);(function(e){e.extend(e.rsProto,{_p4:function(){function t(){var e=n.currSlide;if(n.currSlide&&n.currSlide.isLoaded&&n._t4!==e){if(0<n._s4.length){for(r=0;r<n._s4.length;r++)clearTimeout(n._s4[r]);n._s4=[]}if(0<n._r4.length){var t;for(r=0;r<n._r4.length;r++)if(t=n._r4[r])n._e?(t.block.css(n._g+n._u1,"0s"),t.block.css(t.css)):t.block.stop(!0).css(t.css),n._t4=null,e.animBlocksDisplayed=!1;n._r4=[]}e.animBlocks&&(e.animBlocksDisplayed=!0,n._t4=e,n._u4(e.animBlocks))}}var n=this,r;n._q4={fadeEffect:!0,moveEffect:"top",moveOffset:20,speed:400,easing:"easeOutSine",delay:200};n.st.block=e.extend({},n._q4,n.st.block);n._r4=[];n._s4=[];n.ev.on("rsAfterInit",function(){t()});n.ev.on("rsBeforeParseNode",function(t,n,r){n=e(n);r.animBlocks=n.find(".rsABlock").css("display","none");r.animBlocks.length||(n.hasClass("rsABlock")?r.animBlocks=n.css("display","none"):r.animBlocks=!1)});n.ev.on("rsAfterContentSet",function(e,r){r.id===n.slides[n.currSlideId].id&&setTimeout(function(){t()},n.st.fadeinLoadedSlide?300:0)});n.ev.on("rsAfterSlideChange",function(){t()})},_v4:function(e,t){setTimeout(function(){e.css(t)},6)},_u4:function(t){var n=this,r,i,s,o,u,a,f;n._s4=[];t.each(function(t){r=e(this);i={};s={};o=null;var c=r.attr("data-move-offset"),c=c?parseInt(c,10):n.st.block.moveOffset;if(0<c&&((a=r.data("move-effect"))?(a=a.toLowerCase(),"none"===a?a=!1:"left"!==a&&"top"!==a&&"bottom"!==a&&"right"!==a&&(a=n.st.block.moveEffect,"none"===a&&(a=!1))):a=n.st.block.moveEffect,a&&"none"!==a)){var p;p="right"===a||"left"===a?!0:!1;var v;f=!1;n._e?(v=0,u=n._x1):(p?isNaN(parseInt(r.css("right"),10))?u="left":(u="right",f=!0):isNaN(parseInt(r.css("bottom"),10))?u="top":(u="bottom",f=!0),u="margin-"+u,f&&(c=-c),n._e?v=parseInt(r.css(u),10):(v=r.data("rs-start-move-prop"),void 0===v&&(v=parseInt(r.css(u),10),isNaN(v)&&(v=0),r.data("rs-start-move-prop",v))));s[u]=n._m4("top"===a||"left"===a?v-c:v+c,p);i[u]=n._m4(v,p)}c=r.attr("data-fade-effect");if(!c)c=n.st.block.fadeEffect;else if("none"===c.toLowerCase()||"false"===c.toLowerCase())c=!1;c&&(s.opacity=0,i.opacity=1);if(c||a)o={},o.hasFade=Boolean(c),Boolean(a)&&(o.moveProp=u,o.hasMove=!0),o.speed=r.data("speed"),isNaN(o.speed)&&(o.speed=n.st.block.speed),o.easing=r.data("easing"),o.easing||(o.easing=n.st.block.easing),o.css3Easing=e.rsCSS3Easing[o.easing],o.delay=r.data("delay"),isNaN(o.delay)&&(o.delay=n.st.block.delay*t);c={};n._e&&(c[n._g+n._u1]="0ms");c.moveProp=i.moveProp;c.opacity=i.opacity;c.display="none";n._r4.push({block:r,css:c});n._v4(r,s);n._s4.push(setTimeout(function(e,t,r,i){return function(){e.css("display","block");if(r){var s={};if(n._e){var o="";r.hasMove&&(o+=r.moveProp);r.hasFade&&(r.hasMove&&(o+=", "),o+="opacity");s[n._g+n._t1]=o;s[n._g+n._u1]=r.speed+"ms";s[n._g+n._v1]=r.css3Easing;e.css(s);setTimeout(function(){e.css(t)},24)}else setTimeout(function(){e.animate(t,r.speed,r.easing)},16)}delete n._s4[i]}}(r,i,o,t),6>=o.delay?12:o.delay))})}});e.rsModules.animatedBlocks=e.rsProto._p4})(jQuery);(function(e){e.extend(e.rsProto,{_w4:function(){var e=this;if(e.st.autoHeight){var t,n,r,i=!0,s=function(s){r=e.slides[e.currSlideId];(t=r.holder)&&(n=t.height())&&void 0!==n&&n>(e.st.minAutoHeight||30)&&(e._c4=n,e._e||!s?e._e1.css("height",n):e._e1.stop(!0,!0).animate({height:n},e.st.transitionSpeed),e.ev.trigger("rsAutoHeightChange",n),i&&(e._e&&setTimeout(function(){e._e1.css(e._g+"transition","height "+e.st.transitionSpeed+"ms ease-in-out")},16),i=!1))};e.ev.on("rsMaybeSizeReady.rsAutoHeight",function(e,t){r===t&&s()});e.ev.on("rsAfterContentSet.rsAutoHeight",function(e,t){r===t&&s()});e.slider.addClass("rsAutoHeight");e.ev.one("rsAfterInit",function(){setTimeout(function(){s(!1);setTimeout(function(){e.slider.append('<div style="clear:both; float: none;"></div>')},16)},16)});e.ev.on("rsBeforeAnimStart",function(){s(!0)});e.ev.on("rsBeforeSizeSet",function(){setTimeout(function(){s(!1)},16)})}}});e.rsModules.autoHeight=e.rsProto._w4})(jQuery);(function(e){e.extend(e.rsProto,{_d6:function(){var t=this;t.st.globalCaption&&(t.ev.on("rsAfterInit",function(){t.globalCaption=e('<div class="rsGCaption"></div>').appendTo(t.st.globalCaptionInside?t._e1:t.slider);t.globalCaption.html(t.currSlide.caption)}),t.ev.on("rsBeforeAnimStart",function(){t.globalCaption.html(t.currSlide.caption)}))}});e.rsModules.globalCaption=e.rsProto._d6})(jQuery);(function(e){e.rsProto._o4=function(){var e,t=this;if(t.st.addActiveClass)t.ev.on("rsOnUpdateNav",function(){e&&clearTimeout(e);e=setTimeout(function(){t._g4&&t._g4.removeClass("rsActiveSlide");t._r1&&t._r1.addClass("rsActiveSlide");e=null},50)})};e.rsModules.activeClass=e.rsProto._o4})(jQuery);(function(e){e.extend(e.rsProto,{_o5:function(){var t=this,n,r,i;t._p5={enabled:!1,change:!1,prefix:""};t.st.deeplinking=e.extend({},t._p5,t.st.deeplinking);if(t.st.deeplinking.enabled){var s=t.st.deeplinking.change,o=t.st.deeplinking.prefix,u="#"+o,a=function(){var e=window.location.hash;return e&&0<e.indexOf(o)&&(e=parseInt(e.substring(u.length),10),0<=e)?e-1:-1},f=a();-1!==f&&(t.st.startSlideId=f);s&&(e(window).on("hashchange"+t.ns,function(e){n||(e=a(),0>e||(e>t.numSlides-1&&(e=t.numSlides-1),t.goTo(e)))}),t.ev.on("rsBeforeAnimStart",function(){r&&clearTimeout(r);i&&clearTimeout(i)}),t.ev.on("rsAfterSlideChange",function(){r&&clearTimeout(r);i&&clearTimeout(i);i=setTimeout(function(){n=!0;window.location.replace((""+window.location).split("#")[0]+u+(t.currSlideId+1));r=setTimeout(function(){n=!1;r=null},60)},400)}));t.ev.on("rsBeforeDestroy",function(){r=i=null;s&&e(window).off("hashchange"+t.ns)})}}});e.rsModules.deeplinking=e.rsProto._o5})(jQuery);(function(e,t,n){function r(e){e=e||location.href;return"#"+e.replace(/^[^#]*#?(.*)$/,"$1")}"$:nomunge";var i="hashchange",s=document,o,u=e.event.special,a=s.documentMode,f="on"+i in t&&(a===n||7<a);e.fn[i]=function(e){return e?this.bind(i,e):this.trigger(i)};e.fn[i].delay=50;u[i]=e.extend(u[i],{setup:function(){if(f)return!1;e(o.start)},teardown:function(){if(f)return!1;e(o.stop)}});o=function(){function o(){var n=r(),s=v(c);n!==c?(p(c=n,s),e(t).trigger(i)):s!==c&&(location.href=location.href.replace(/#.*/,"")+s);a=setTimeout(o,e.fn[i].delay)}var u={},a,c=r(),h=function(e){return e},p=h,v=h;u.start=function(){a||o()};u.stop=function(){a&&clearTimeout(a);a=n};t.attachEvent&&!t.addEventListener&&!f&&function(){var t,n;u.start=function(){t||(n=(n=e.fn[i].src)&&n+r(),t=e('<iframe tabindex="-1" title="empty"/>').hide().one("load",function(){n||p(r());o()}).attr("src",n||"javascript:0").insertAfter("body")[0].contentWindow,s.onpropertychange=function(){try{"title"===event.propertyName&&(t.document.title=s.title)}catch(e){}})};u.stop=h;v=function(){return r(t.location.href)};p=function(n,r){var o=t.document,u=e.fn[i].domain;n!==r&&(o.title=s.title,o.open(),u&&o.write('<script>document.domain="'+u+'"</script>'),o.close(),t.location.hash=n)}}();return u}()})(jQuery,this);(function(e){e.rsProto._g7=function(){var t=this;t.st.visibleNearby&&t.st.visibleNearby.enabled&&(t._h7={enabled:!0,centerArea:.6,center:!0,breakpoint:0,breakpointCenterArea:.8,hiddenOverflow:!0,navigateByCenterClick:!1},t.st.visibleNearby=e.extend({},t._h7,t.st.visibleNearby),t.ev.one("rsAfterPropsSetup",function(){t._i7=t._e1.css("overflow","visible").wrap('<div class="rsVisibleNearbyWrap"></div>').parent();t.st.visibleNearby.hiddenOverflow||t._i7.css("overflow","visible");t._o1=t.st.controlsInside?t._i7:t.slider}),t.ev.on("rsAfterSizePropSet",function(){var e,n=t.st.visibleNearby;e=n.breakpoint&&t.width<n.breakpoint?n.breakpointCenterArea:n.centerArea;t._h?(t._b4*=e,t._i7.css({height:t._c4,width:t._b4/e}),t._d=t._b4*(1-e)/2/e):(t._c4*=e,t._i7.css({height:t._c4/e,width:t._b4}),t._d=t._c4*(1-e)/2/e);n.navigateByCenterClick||(t._q=t._h?t._b4:t._c4);n.center&&t._e1.css("margin-"+(t._h?"left":"top"),t._d)}))};e.rsModules.visibleNearby=e.rsProto._g7})(jQuery);

/**
 * Isotope v1.5.25
 * An exquisite jQuery plugin for magical layouts
 * http://isotope.metafizzy.co
 *
 * Commercial use requires one-time purchase of a commercial license
 * http://isotope.metafizzy.co/docs/license.html
 *
 * Non-commercial use is licensed under the MIT License
 *
 * Copyright 2013 Metafizzy
 */
 
(function(a,b,c){"use strict";var d=a.document,e=a.Modernizr,f=function(a){return a.charAt(0).toUpperCase()+a.slice(1)},g="Moz Webkit O Ms".split(" "),h=function(a){var b=d.documentElement.style,c;if(typeof b[a]=="string")return a;a=f(a);for(var e=0,h=g.length;e<h;e++){c=g[e]+a;if(typeof b[c]=="string")return c}},i=h("transform"),j=h("transitionProperty"),k={csstransforms:function(){return!!i},csstransforms3d:function(){var a=!!h("perspective");if(a){var c=" -o- -moz- -ms- -webkit- -khtml- ".split(" "),d="@media ("+c.join("transform-3d),(")+"modernizr)",e=b("<style>"+d+"{#modernizr{height:3px}}"+"</style>").appendTo("head"),f=b('<div id="modernizr" />').appendTo("html");a=f.height()===3,f.remove(),e.remove()}return a},csstransitions:function(){return!!j}},l;if(e)for(l in k)e.hasOwnProperty(l)||e.addTest(l,k[l]);else{e=a.Modernizr={_version:"1.6ish: miniModernizr for Isotope"};var m=" ",n;for(l in k)n=k[l](),e[l]=n,m+=" "+(n?"":"no-")+l;b("html").addClass(m)}if(e.csstransforms){var o=e.csstransforms3d?{translate:function(a){return"translate3d("+a[0]+"px, "+a[1]+"px, 0) "},scale:function(a){return"scale3d("+a+", "+a+", 1) "}}:{translate:function(a){return"translate("+a[0]+"px, "+a[1]+"px) "},scale:function(a){return"scale("+a+") "}},p=function(a,c,d){var e=b.data(a,"isoTransform")||{},f={},g,h={},j;f[c]=d,b.extend(e,f);for(g in e)j=e[g],h[g]=o[g](j);var k=h.translate||"",l=h.scale||"",m=k+l;b.data(a,"isoTransform",e),a.style[i]=m};b.cssNumber.scale=!0,b.cssHooks.scale={set:function(a,b){p(a,"scale",b)},get:function(a,c){var d=b.data(a,"isoTransform");return d&&d.scale?d.scale:1}},b.fx.step.scale=function(a){b.cssHooks.scale.set(a.elem,a.now+a.unit)},b.cssNumber.translate=!0,b.cssHooks.translate={set:function(a,b){p(a,"translate",b)},get:function(a,c){var d=b.data(a,"isoTransform");return d&&d.translate?d.translate:[0,0]}}}var q,r;e.csstransitions&&(q={WebkitTransitionProperty:"webkitTransitionEnd",MozTransitionProperty:"transitionend",OTransitionProperty:"oTransitionEnd otransitionend",transitionProperty:"transitionend"}[j],r=h("transitionDuration"));var s=b.event,t=b.event.handle?"handle":"dispatch",u;s.special.smartresize={setup:function(){b(this).bind("resize",s.special.smartresize.handler)},teardown:function(){b(this).unbind("resize",s.special.smartresize.handler)},handler:function(a,b){var c=this,d=arguments;a.type="smartresize",u&&clearTimeout(u),u=setTimeout(function(){s[t].apply(c,d)},b==="execAsap"?0:100)}},b.fn.smartresize=function(a){return a?this.bind("smartresize",a):this.trigger("smartresize",["execAsap"])},b.Isotope=function(a,c,d){this.element=b(c),this._create(a),this._init(d)};var v=["width","height"],w=b(a);b.Isotope.settings={resizable:!0,layoutMode:"masonry",containerClass:"isotope",itemClass:"isotope-item",hiddenClass:"isotope-hidden",hiddenStyle:{opacity:0,scale:.001},visibleStyle:{opacity:1,scale:1},containerStyle:{position:"relative",overflow:"hidden"},animationEngine:"best-available",animationOptions:{queue:!1,duration:800},sortBy:"original-order",sortAscending:!0,resizesContainer:!0,transformsEnabled:!0,itemPositionDataEnabled:!1},b.Isotope.prototype={_create:function(a){this.options=b.extend({},b.Isotope.settings,a),this.styleQueue=[],this.elemCount=0;var c=this.element[0].style;this.originalStyle={};var d=v.slice(0);for(var e in this.options.containerStyle)d.push(e);for(var f=0,g=d.length;f<g;f++)e=d[f],this.originalStyle[e]=c[e]||"";this.element.css(this.options.containerStyle),this._updateAnimationEngine(),this._updateUsingTransforms();var h={"original-order":function(a,b){return b.elemCount++,b.elemCount},random:function(){return Math.random()}};this.options.getSortData=b.extend(this.options.getSortData,h),this.reloadItems(),this.offset={left:parseInt(this.element.css("padding-left")||0,10),top:parseInt(this.element.css("padding-top")||0,10)};var i=this;setTimeout(function(){i.element.addClass(i.options.containerClass)},0),this.options.resizable&&w.bind("smartresize.isotope",function(){i.resize()}),this.element.delegate("."+this.options.hiddenClass,"click",function(){return!1})},_getAtoms:function(a){var b=this.options.itemSelector,c=b?a.filter(b).add(a.find(b)):a,d={position:"absolute"};return c=c.filter(function(a,b){return b.nodeType===1}),this.usingTransforms&&(d.left=0,d.top=0),c.css(d).addClass(this.options.itemClass),this.updateSortData(c,!0),c},_init:function(a){this.$filteredAtoms=this._filter(this.$allAtoms),this._sort(),this.reLayout(a)},option:function(a){if(b.isPlainObject(a)){this.options=b.extend(!0,this.options,a);var c;for(var d in a)c="_update"+f(d),this[c]&&this[c]()}},_updateAnimationEngine:function(){var a=this.options.animationEngine.toLowerCase().replace(/[ _\-]/g,""),b;switch(a){case"css":case"none":b=!1;break;case"jquery":b=!0;break;default:b=!e.csstransitions}this.isUsingJQueryAnimation=b,this._updateUsingTransforms()},_updateTransformsEnabled:function(){this._updateUsingTransforms()},_updateUsingTransforms:function(){var a=this.usingTransforms=this.options.transformsEnabled&&e.csstransforms&&e.csstransitions&&!this.isUsingJQueryAnimation;a||(delete this.options.hiddenStyle.scale,delete this.options.visibleStyle.scale),this.getPositionStyles=a?this._translate:this._positionAbs},_filter:function(a){var b=this.options.filter===""?"*":this.options.filter;if(!b)return a;var c=this.options.hiddenClass,d="."+c,e=a.filter(d),f=e;if(b!=="*"){f=e.filter(b);var g=a.not(d).not(b).addClass(c);this.styleQueue.push({$el:g,style:this.options.hiddenStyle})}return this.styleQueue.push({$el:f,style:this.options.visibleStyle}),f.removeClass(c),a.filter(b)},updateSortData:function(a,c){var d=this,e=this.options.getSortData,f,g;a.each(function(){f=b(this),g={};for(var a in e)!c&&a==="original-order"?g[a]=b.data(this,"isotope-sort-data")[a]:g[a]=e[a](f,d);b.data(this,"isotope-sort-data",g)})},_sort:function(){var a=this.options.sortBy,b=this._getSorter,c=this.options.sortAscending?1:-1,d=function(d,e){var f=b(d,a),g=b(e,a);return f===g&&a!=="original-order"&&(f=b(d,"original-order"),g=b(e,"original-order")),(f>g?1:f<g?-1:0)*c};this.$filteredAtoms.sort(d)},_getSorter:function(a,c){return b.data(a,"isotope-sort-data")[c]},_translate:function(a,b){return{translate:[a,b]}},_positionAbs:function(a,b){return{left:a,top:b}},_pushPosition:function(a,b,c){b=Math.round(b+this.offset.left),c=Math.round(c+this.offset.top);var d=this.getPositionStyles(b,c);this.styleQueue.push({$el:a,style:d}),this.options.itemPositionDataEnabled&&a.data("isotope-item-position",{x:b,y:c})},layout:function(a,b){var c=this.options.layoutMode;this["_"+c+"Layout"](a);if(this.options.resizesContainer){var d=this["_"+c+"GetContainerSize"]();this.styleQueue.push({$el:this.element,style:d})}this._processStyleQueue(a,b),this.isLaidOut=!0},_processStyleQueue:function(a,c){var d=this.isLaidOut?this.isUsingJQueryAnimation?"animate":"css":"css",f=this.options.animationOptions,g=this.options.onLayout,h,i,j,k;i=function(a,b){b.$el[d](b.style,f)};if(this._isInserting&&this.isUsingJQueryAnimation)i=function(a,b){h=b.$el.hasClass("no-transition")?"css":d,b.$el[h](b.style,f)};else if(c||g||f.complete){var l=!1,m=[c,g,f.complete],n=this;j=!0,k=function(){if(l)return;var b;for(var c=0,d=m.length;c<d;c++)b=m[c],typeof b=="function"&&b.call(n.element,a,n);l=!0};if(this.isUsingJQueryAnimation&&d==="animate")f.complete=k,j=!1;else if(e.csstransitions){var o=0,p=this.styleQueue[0],s=p&&p.$el,t;while(!s||!s.length){t=this.styleQueue[o++];if(!t)return;s=t.$el}var u=parseFloat(getComputedStyle(s[0])[r]);u>0&&(i=function(a,b){b.$el[d](b.style,f).one(q,k)},j=!1)}}b.each(this.styleQueue,i),j&&k(),this.styleQueue=[]},resize:function(){this["_"+this.options.layoutMode+"ResizeChanged"]()&&this.reLayout()},reLayout:function(a){this["_"+this.options.layoutMode+"Reset"](),this.layout(this.$filteredAtoms,a)},addItems:function(a,b){var c=this._getAtoms(a);this.$allAtoms=this.$allAtoms.add(c),b&&b(c)},insert:function(a,b){this.element.append(a);var c=this;this.addItems(a,function(a){var d=c._filter(a);c._addHideAppended(d),c._sort(),c.reLayout(),c._revealAppended(d,b)})},appended:function(a,b){var c=this;this.addItems(a,function(a){c._addHideAppended(a),c.layout(a),c._revealAppended(a,b)})},_addHideAppended:function(a){this.$filteredAtoms=this.$filteredAtoms.add(a),a.addClass("no-transition"),this._isInserting=!0,this.styleQueue.push({$el:a,style:this.options.hiddenStyle})},_revealAppended:function(a,b){var c=this;setTimeout(function(){a.removeClass("no-transition"),c.styleQueue.push({$el:a,style:c.options.visibleStyle}),c._isInserting=!1,c._processStyleQueue(a,b)},10)},reloadItems:function(){this.$allAtoms=this._getAtoms(this.element.children())},remove:function(a,b){this.$allAtoms=this.$allAtoms.not(a),this.$filteredAtoms=this.$filteredAtoms.not(a);var c=this,d=function(){a.remove(),b&&b.call(c.element)};a.filter(":not(."+this.options.hiddenClass+")").length?(this.styleQueue.push({$el:a,style:this.options.hiddenStyle}),this._sort(),this.reLayout(d)):d()},shuffle:function(a){this.updateSortData(this.$allAtoms),this.options.sortBy="random",this._sort(),this.reLayout(a)},destroy:function(){var a=this.usingTransforms,b=this.options;this.$allAtoms.removeClass(b.hiddenClass+" "+b.itemClass).each(function(){var b=this.style;b.position="",b.top="",b.left="",b.opacity="",a&&(b[i]="")});var c=this.element[0].style;for(var d in this.originalStyle)c[d]=this.originalStyle[d];this.element.unbind(".isotope").undelegate("."+b.hiddenClass,"click").removeClass(b.containerClass).removeData("isotope"),w.unbind(".isotope")},_getSegments:function(a){var b=this.options.layoutMode,c=a?"rowHeight":"columnWidth",d=a?"height":"width",e=a?"rows":"cols",g=this.element[d](),h,i=this.options[b]&&this.options[b][c]||this.$filteredAtoms["outer"+f(d)](!0)||g;h=Math.floor(g/i),h=Math.max(h,1),this[b][e]=h,this[b][c]=i},_checkIfSegmentsChanged:function(a){var b=this.options.layoutMode,c=a?"rows":"cols",d=this[b][c];return this._getSegments(a),this[b][c]!==d},_masonryReset:function(){this.masonry={},this._getSegments();var a=this.masonry.cols;this.masonry.colYs=[];while(a--)this.masonry.colYs.push(0)},_masonryLayout:function(a){var c=this,d=c.masonry;a.each(function(){var a=b(this),e=Math.ceil(a.outerWidth(!0)/d.columnWidth);e=Math.min(e,d.cols);if(e===1)c._masonryPlaceBrick(a,d.colYs);else{var f=d.cols+1-e,g=[],h,i;for(i=0;i<f;i++)h=d.colYs.slice(i,i+e),g[i]=Math.max.apply(Math,h);c._masonryPlaceBrick(a,g)}})},_masonryPlaceBrick:function(a,b){var c=Math.min.apply(Math,b),d=0;for(var e=0,f=b.length;e<f;e++)if(b[e]===c){d=e;break}var g=this.masonry.columnWidth*d,h=c;this._pushPosition(a,g,h);var i=c+a.outerHeight(!0),j=this.masonry.cols+1-f;for(e=0;e<j;e++)this.masonry.colYs[d+e]=i},_masonryGetContainerSize:function(){var a=Math.max.apply(Math,this.masonry.colYs);return{height:a}},_masonryResizeChanged:function(){return this._checkIfSegmentsChanged()},_fitRowsReset:function(){this.fitRows={x:0,y:0,height:0}},_fitRowsLayout:function(a){var c=this,d=this.element.width(),e=this.fitRows;a.each(function(){var a=b(this),f=a.outerWidth(!0),g=a.outerHeight(!0);e.x!==0&&f+e.x>d&&(e.x=0,e.y=e.height),c._pushPosition(a,e.x,e.y),e.height=Math.max(e.y+g,e.height),e.x+=f})},_fitRowsGetContainerSize:function(){return{height:this.fitRows.height}},_fitRowsResizeChanged:function(){return!0},_cellsByRowReset:function(){this.cellsByRow={index:0},this._getSegments(),this._getSegments(!0)},_cellsByRowLayout:function(a){var c=this,d=this.cellsByRow;a.each(function(){var a=b(this),e=d.index%d.cols,f=Math.floor(d.index/d.cols),g=(e+.5)*d.columnWidth-a.outerWidth(!0)/2,h=(f+.5)*d.rowHeight-a.outerHeight(!0)/2;c._pushPosition(a,g,h),d.index++})},_cellsByRowGetContainerSize:function(){return{height:Math.ceil(this.$filteredAtoms.length/this.cellsByRow.cols)*this.cellsByRow.rowHeight+this.offset.top}},_cellsByRowResizeChanged:function(){return this._checkIfSegmentsChanged()},_straightDownReset:function(){this.straightDown={y:0}},_straightDownLayout:function(a){var c=this;a.each(function(a){var d=b(this);c._pushPosition(d,0,c.straightDown.y),c.straightDown.y+=d.outerHeight(!0)})},_straightDownGetContainerSize:function(){return{height:this.straightDown.y}},_straightDownResizeChanged:function(){return!0},_masonryHorizontalReset:function(){this.masonryHorizontal={},this._getSegments(!0);var a=this.masonryHorizontal.rows;this.masonryHorizontal.rowXs=[];while(a--)this.masonryHorizontal.rowXs.push(0)},_masonryHorizontalLayout:function(a){var c=this,d=c.masonryHorizontal;a.each(function(){var a=b(this),e=Math.ceil(a.outerHeight(!0)/d.rowHeight);e=Math.min(e,d.rows);if(e===1)c._masonryHorizontalPlaceBrick(a,d.rowXs);else{var f=d.rows+1-e,g=[],h,i;for(i=0;i<f;i++)h=d.rowXs.slice(i,i+e),g[i]=Math.max.apply(Math,h);c._masonryHorizontalPlaceBrick(a,g)}})},_masonryHorizontalPlaceBrick:function(a,b){var c=Math.min.apply(Math,b),d=0;for(var e=0,f=b.length;e<f;e++)if(b[e]===c){d=e;break}var g=c,h=this.masonryHorizontal.rowHeight*d;this._pushPosition(a,g,h);var i=c+a.outerWidth(!0),j=this.masonryHorizontal.rows+1-f;for(e=0;e<j;e++)this.masonryHorizontal.rowXs[d+e]=i},_masonryHorizontalGetContainerSize:function(){var a=Math.max.apply(Math,this.masonryHorizontal.rowXs);return{width:a}},_masonryHorizontalResizeChanged:function(){return this._checkIfSegmentsChanged(!0)},_fitColumnsReset:function(){this.fitColumns={x:0,y:0,width:0}},_fitColumnsLayout:function(a){var c=this,d=this.element.height(),e=this.fitColumns;a.each(function(){var a=b(this),f=a.outerWidth(!0),g=a.outerHeight(!0);e.y!==0&&g+e.y>d&&(e.x=e.width,e.y=0),c._pushPosition(a,e.x,e.y),e.width=Math.max(e.x+f,e.width),e.y+=g})},_fitColumnsGetContainerSize:function(){return{width:this.fitColumns.width}},_fitColumnsResizeChanged:function(){return!0},_cellsByColumnReset:function(){this.cellsByColumn={index:0},this._getSegments(),this._getSegments(!0)},_cellsByColumnLayout:function(a){var c=this,d=this.cellsByColumn;a.each(function(){var a=b(this),e=Math.floor(d.index/d.rows),f=d.index%d.rows,g=(e+.5)*d.columnWidth-a.outerWidth(!0)/2,h=(f+.5)*d.rowHeight-a.outerHeight(!0)/2;c._pushPosition(a,g,h),d.index++})},_cellsByColumnGetContainerSize:function(){return{width:Math.ceil(this.$filteredAtoms.length/this.cellsByColumn.rows)*this.cellsByColumn.columnWidth}},_cellsByColumnResizeChanged:function(){return this._checkIfSegmentsChanged(!0)},_straightAcrossReset:function(){this.straightAcross={x:0}},_straightAcrossLayout:function(a){var c=this;a.each(function(a){var d=b(this);c._pushPosition(d,c.straightAcross.x,0),c.straightAcross.x+=d.outerWidth(!0)})},_straightAcrossGetContainerSize:function(){return{width:this.straightAcross.x}},_straightAcrossResizeChanged:function(){return!0}},b.fn.imagesLoaded=function(a){function h(){a.call(c,d)}function i(a){var c=a.target;c.src!==f&&b.inArray(c,g)===-1&&(g.push(c),--e<=0&&(setTimeout(h),d.unbind(".imagesLoaded",i)))}var c=this,d=c.find("img").add(c.filter("img")),e=d.length,f="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==",g=[];return e||h(),d.bind("load.imagesLoaded error.imagesLoaded",i).each(function(){var a=this.src;this.src=f,this.src=a}),c};var x=function(b){a.console&&a.console.error(b)};b.fn.isotope=function(a,c){if(typeof a=="string"){var d=Array.prototype.slice.call(arguments,1);this.each(function(){var c=b.data(this,"isotope");if(!c){x("cannot call methods on isotope prior to initialization; attempted to call method '"+a+"'");return}if(!b.isFunction(c[a])||a.charAt(0)==="_"){x("no such method '"+a+"' for isotope instance");return}c[a].apply(c,d)})}else this.each(function(){var d=b.data(this,"isotope");d?(d.option(a),d._init(c)):b.data(this,"isotope",new b.Isotope(a,this,c))});return this}})(window,jQuery);

/* ------------------------------------------------------------------------
 Class: prettyPhoto
 Use: Lightbox clone for jQuery
 Author: Stephane Caron (http://www.no-margin-for-errors.com)
 Version: 3.1.6
 ------------------------------------------------------------------------- */
!function(e){function t(){var e=location.href;return hashtag=-1!==e.indexOf("#prettyPhoto")?decodeURI(e.substring(e.indexOf("#prettyPhoto")+1,e.length)):!1,hashtag&&(hashtag=hashtag.replace(/<|>/g,"")),hashtag}function i(){"undefined"!=typeof theRel&&(location.hash=theRel+"/"+rel_index+"/")}function p(){-1!==location.href.indexOf("#prettyPhoto")&&(location.hash="prettyPhoto")}function o(e,t){e=e.replace(/[\[]/,"\\[").replace(/[\]]/,"\\]");var i="[\\?&]"+e+"=([^&#]*)",p=new RegExp(i),o=p.exec(t);return null==o?"":o[1]}e.prettyPhoto={version:"3.1.6"},e.fn.prettyPhoto=function(a){function s(){e(".pp_loaderIcon").hide(),projectedTop=scroll_pos.scrollTop+(I/2-f.containerHeight/2),projectedTop<0&&(projectedTop=0),$ppt.fadeTo(settings.animation_speed,1),$pp_pic_holder.find(".pp_content").animate({height:f.contentHeight,width:f.contentWidth},settings.animation_speed),$pp_pic_holder.animate({top:projectedTop,left:j/2-f.containerWidth/2<0?0:j/2-f.containerWidth/2,width:f.containerWidth},settings.animation_speed,function(){$pp_pic_holder.find(".pp_hoverContainer,#fullResImage").height(f.height).width(f.width),$pp_pic_holder.find(".pp_fade").fadeIn(settings.animation_speed),isSet&&"image"==h(pp_images[set_position])?$pp_pic_holder.find(".pp_hoverContainer").show():$pp_pic_holder.find(".pp_hoverContainer").hide(),settings.allow_expand&&(f.resized?e("a.pp_expand,a.pp_contract").show():e("a.pp_expand").hide()),!settings.autoplay_slideshow||P||v||e.prettyPhoto.startSlideshow(),settings.changepicturecallback(),v=!0}),m(),a.ajaxcallback()}function n(t){$pp_pic_holder.find("#pp_full_res object,#pp_full_res embed").css("visibility","hidden"),$pp_pic_holder.find(".pp_fade").fadeOut(settings.animation_speed,function(){e(".pp_loaderIcon").show(),t()})}function r(t){t>1?e(".pp_nav").show():e(".pp_nav").hide()}function l(e,t){if(resized=!1,d(e,t),imageWidth=e,imageHeight=t,(k>j||b>I)&&doresize&&settings.allow_resize&&!$){for(resized=!0,fitting=!1;!fitting;)k>j?(imageWidth=j-200,imageHeight=t/e*imageWidth):b>I?(imageHeight=I-200,imageWidth=e/t*imageHeight):fitting=!0,b=imageHeight,k=imageWidth;(k>j||b>I)&&l(k,b),d(imageWidth,imageHeight)}return{width:Math.floor(imageWidth),height:Math.floor(imageHeight),containerHeight:Math.floor(b),containerWidth:Math.floor(k)+2*settings.horizontal_padding,contentHeight:Math.floor(y),contentWidth:Math.floor(w),resized:resized}}function d(t,i){t=parseFloat(t),i=parseFloat(i),$pp_details=$pp_pic_holder.find(".pp_details"),$pp_details.width(t),detailsHeight=parseFloat($pp_details.css("marginTop"))+parseFloat($pp_details.css("marginBottom")),$pp_details=$pp_details.clone().addClass(settings.theme).width(t).appendTo(e("body")).css({position:"absolute",top:-1e4}),detailsHeight+=$pp_details.height(),detailsHeight=detailsHeight<=34?36:detailsHeight,$pp_details.remove(),$pp_title=$pp_pic_holder.find(".ppt"),$pp_title.width(t),titleHeight=parseFloat($pp_title.css("marginTop"))+parseFloat($pp_title.css("marginBottom")),$pp_title=$pp_title.clone().appendTo(e("body")).css({position:"absolute",top:-1e4}),titleHeight+=$pp_title.height(),$pp_title.remove(),y=i+detailsHeight,w=t,b=y+titleHeight+$pp_pic_holder.find(".pp_top").height()+$pp_pic_holder.find(".pp_bottom").height(),k=t}function h(e){return e.match(/youtube\.com\/watch/i)||e.match(/youtu\.be/i)?"youtube":e.match(/vimeo\.com/i)?"vimeo":e.match(/\b.mov\b/i)?"quicktime":e.match(/\b.swf\b/i)?"flash":e.match(/\biframe=true\b/i)?"iframe":e.match(/\bajax=true\b/i)?"ajax":e.match(/\bcustom=true\b/i)?"custom":"#"==e.substr(0,1)?"inline":"image"}function c(){if(doresize&&"undefined"!=typeof $pp_pic_holder){if(scroll_pos=_(),contentHeight=$pp_pic_holder.height(),contentwidth=$pp_pic_holder.width(),projectedTop=I/2+scroll_pos.scrollTop-contentHeight/2,projectedTop<0&&(projectedTop=0),contentHeight>I)return;$pp_pic_holder.css({top:projectedTop,left:j/2+scroll_pos.scrollLeft-contentwidth/2})}}function _(){return self.pageYOffset?{scrollTop:self.pageYOffset,scrollLeft:self.pageXOffset}:document.documentElement&&document.documentElement.scrollTop?{scrollTop:document.documentElement.scrollTop,scrollLeft:document.documentElement.scrollLeft}:document.body?{scrollTop:document.body.scrollTop,scrollLeft:document.body.scrollLeft}:void 0}function g(){I=e(window).height(),j=e(window).width(),"undefined"!=typeof $pp_overlay&&$pp_overlay.height(e(document).height()).width(j)}function m(){isSet&&settings.overlay_gallery&&"image"==h(pp_images[set_position])?(itemWidth=57,navWidth="facebook"==settings.theme||"pp_default"==settings.theme?50:30,itemsPerPage=Math.floor((f.containerWidth-100-navWidth)/itemWidth),itemsPerPage=itemsPerPage<pp_images.length?itemsPerPage:pp_images.length,totalPage=Math.ceil(pp_images.length/itemsPerPage)-1,0==totalPage?(navWidth=0,$pp_gallery.find(".pp_arrow_next,.pp_arrow_previous").hide()):$pp_gallery.find(".pp_arrow_next,.pp_arrow_previous").show(),galleryWidth=itemsPerPage*itemWidth,fullGalleryWidth=pp_images.length*itemWidth,$pp_gallery.css("margin-left",-(galleryWidth/2+navWidth/2)).find("div:first").width(galleryWidth+5).find("ul").width(fullGalleryWidth).find("li.selected").removeClass("selected"),goToPage=Math.floor(set_position/itemsPerPage)<totalPage?Math.floor(set_position/itemsPerPage):totalPage,e.prettyPhoto.changeGalleryPage(goToPage),$pp_gallery_li.filter(":eq("+set_position+")").addClass("selected")):$pp_pic_holder.find(".pp_content").unbind("mouseenter mouseleave")}function u(){if(settings.social_tools&&(facebook_like_link=settings.social_tools.replace("{location_href}",encodeURIComponent(location.href))),settings.markup=settings.markup.replace("{pp_social}",""),e("body").append(settings.markup),$pp_pic_holder=e(".pp_pic_holder"),$ppt=e(".ppt"),$pp_overlay=e("div.pp_overlay"),isSet&&settings.overlay_gallery){currentGalleryPage=0,toInject="";for(var t=0;t<pp_images.length;t++)pp_images[t].match(/\b(jpg|jpeg|png|gif)\b/gi)?(classname="",img_src=pp_images[t]):(classname="default",img_src=""),toInject+="<li class='"+classname+"'><a href='#'><img src='"+img_src+"' width='50' alt='' /></a></li>";toInject=settings.gallery_markup.replace(/{gallery}/g,toInject),$pp_pic_holder.find("#pp_full_res").after(toInject),$pp_gallery=e(".pp_pic_holder .pp_gallery"),$pp_gallery_li=$pp_gallery.find("li"),$pp_gallery.find(".pp_arrow_next").click(function(){return e.prettyPhoto.changeGalleryPage("next"),e.prettyPhoto.stopSlideshow(),!1}),$pp_gallery.find(".pp_arrow_previous").click(function(){return e.prettyPhoto.changeGalleryPage("previous"),e.prettyPhoto.stopSlideshow(),!1}),$pp_pic_holder.find(".pp_content").hover(function(){$pp_pic_holder.find(".pp_gallery:not(.disabled)").fadeIn()},function(){$pp_pic_holder.find(".pp_gallery:not(.disabled)").fadeOut()}),itemWidth=57,$pp_gallery_li.each(function(t){e(this).find("a").click(function(){return e.prettyPhoto.changePage(t),e.prettyPhoto.stopSlideshow(),!1})})}settings.slideshow&&($pp_pic_holder.find(".pp_nav").prepend('<a href="#" class="pp_play">Play</a>'),$pp_pic_holder.find(".pp_nav .pp_play").click(function(){return e.prettyPhoto.startSlideshow(),!1})),$pp_pic_holder.attr("class","pp_pic_holder "+settings.theme),$pp_overlay.css({opacity:0,height:e(document).height(),width:e(window).width()}).bind("click",function(){settings.modal||e.prettyPhoto.close()}),e("a.pp_close").bind("click",function(){return e.prettyPhoto.close(),!1}),settings.allow_expand&&e("a.pp_expand").bind("click",function(){return e(this).hasClass("pp_expand")?(e(this).removeClass("pp_expand").addClass("pp_contract"),doresize=!1):(e(this).removeClass("pp_contract").addClass("pp_expand"),doresize=!0),n(function(){e.prettyPhoto.open()}),!1}),$pp_pic_holder.find(".pp_previous, .pp_nav .pp_arrow_previous").bind("click",function(){return e.prettyPhoto.changePage("previous"),e.prettyPhoto.stopSlideshow(),!1}),$pp_pic_holder.find(".pp_next, .pp_nav .pp_arrow_next").bind("click",function(){return e.prettyPhoto.changePage("next"),e.prettyPhoto.stopSlideshow(),!1}),c()}a=jQuery.extend({hook:"rel",animation_speed:"fast",ajaxcallback:function(){},slideshow:5e3,autoplay_slideshow:!1,opacity:.8,show_title:!0,allow_resize:!0,allow_expand:!0,default_width:500,default_height:344,counter_separator_label:"/",theme:"pp_default",horizontal_padding:20,hideflash:!1,wmode:"opaque",autoplay:!0,modal:!1,deeplinking:!0,overlay_gallery:!0,overlay_gallery_max:30,keyboard_shortcuts:!0,changepicturecallback:function(){},callback:function(){},ie6_fallback:!0,markup:'<div class="pp_pic_holder"> 						<div class="ppt">&nbsp;</div> 						<div class="pp_top"> 							<div class="pp_left"></div> 							<div class="pp_middle"></div> 							<div class="pp_right"></div> 						</div> 						<div class="pp_content_container"> 							<div class="pp_left"> 							<div class="pp_right"> 								<div class="pp_content"> 									<div class="pp_loaderIcon"></div> 									<div class="pp_fade"> 										<a href="#" class="pp_expand" title="Expand the image">Expand</a> 										<div class="pp_hoverContainer"> 											<a class="pp_next" href="#">next</a> 											<a class="pp_previous" href="#">previous</a> 										</div> 										<div id="pp_full_res"></div> 										<div class="pp_details"> 											<div class="pp_nav"> 												<a href="#" class="pp_arrow_previous">Previous</a> 												<p class="currentTextHolder">0/0</p> 												<a href="#" class="pp_arrow_next">Next</a> 											</div> 											<p class="pp_description"></p> 											<div class="pp_social">{pp_social}</div> 											<a class="pp_close" href="#">Close</a> 										</div> 									</div> 								</div> 							</div> 							</div> 						</div> 						<div class="pp_bottom"> 							<div class="pp_left"></div> 							<div class="pp_middle"></div> 							<div class="pp_right"></div> 						</div> 					</div> 					<div class="pp_overlay"></div>',gallery_markup:'<div class="pp_gallery"> 								<a href="#" class="pp_arrow_previous">Previous</a> 								<div> 									<ul> 										{gallery} 									</ul> 								</div> 								<a href="#" class="pp_arrow_next">Next</a> 							</div>',image_markup:'<img id="fullResImage" src="{path}" />',flash_markup:'<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="{width}" height="{height}"><param name="wmode" value="{wmode}" /><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="{path}" /><embed src="{path}" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="{width}" height="{height}" wmode="{wmode}"></embed></object>',quicktime_markup:'<object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab" height="{height}" width="{width}"><param name="src" value="{path}"><param name="autoplay" value="{autoplay}"><param name="type" value="video/quicktime"><embed src="{path}" height="{height}" width="{width}" autoplay="{autoplay}" type="video/quicktime" pluginspage="http://www.apple.com/quicktime/download/"></embed></object>',iframe_markup:'<iframe src ="{path}" width="{width}" height="{height}" frameborder="no"></iframe>',inline_markup:'<div class="pp_inline">{content}</div>',custom_markup:"",social_tools:'<div class="twitter"><a href="http://twitter.com/share" class="twitter-share-button" data-count="none">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script></div><div class="facebook"><iframe src="//www.facebook.com/plugins/like.php?locale=en_US&href={location_href}&layout=button_count&show_faces=true&width=500&action=like&font&colorscheme=light&height=23" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:500px; height:23px;" allowTransparency="true"></iframe></div>'},a);var f,v,y,w,b,k,P,x=this,$=!1,I=e(window).height(),j=e(window).width();return doresize=!0,scroll_pos=_(),e(window).unbind("resize.prettyphoto").bind("resize.prettyphoto",function(){c(),g()}),a.keyboard_shortcuts&&e(document).unbind("keydown.prettyphoto").bind("keydown.prettyphoto",function(t){if("undefined"!=typeof $pp_pic_holder&&$pp_pic_holder.is(":visible"))switch(t.keyCode){case 37:e.prettyPhoto.changePage("previous"),t.preventDefault();break;case 39:e.prettyPhoto.changePage("next"),t.preventDefault();break;case 27:settings.modal||e.prettyPhoto.close(),t.preventDefault()}}),e.prettyPhoto.initialize=function(){return settings=a,"pp_default"==settings.theme&&(settings.horizontal_padding=16),theRel=e(this).attr(settings.hook),galleryRegExp=/\[(?:.*)\]/,isSet=galleryRegExp.exec(theRel)?!0:!1,pp_images=isSet?jQuery.map(x,function(t){return-1!=e(t).attr(settings.hook).indexOf(theRel)?e(t).attr("href"):void 0}):e.makeArray(e(this).attr("href")),pp_titles=isSet?jQuery.map(x,function(t){return-1!=e(t).attr(settings.hook).indexOf(theRel)?e(t).find("img").attr("alt")?e(t).find("img").attr("alt"):"":void 0}):e.makeArray(e(this).find("img").attr("alt")),pp_descriptions=isSet?jQuery.map(x,function(t){return-1!=e(t).attr(settings.hook).indexOf(theRel)?e(t).attr("title")?e(t).attr("title"):"":void 0}):e.makeArray(e(this).attr("title")),pp_images.length>settings.overlay_gallery_max&&(settings.overlay_gallery=!1),set_position=jQuery.inArray(e(this).attr("href"),pp_images),rel_index=isSet?set_position:e("a["+settings.hook+"^='"+theRel+"']").index(e(this)),u(this),settings.allow_resize&&e(window).bind("scroll.prettyphoto",function(){c()}),e.prettyPhoto.open(),!1},e.prettyPhoto.open=function(t){return"undefined"==typeof settings&&(settings=a,pp_images=e.makeArray(arguments[0]),pp_titles=e.makeArray(arguments[1]?arguments[1]:""),pp_descriptions=e.makeArray(arguments[2]?arguments[2]:""),isSet=pp_images.length>1?!0:!1,set_position=arguments[3]?arguments[3]:0,u(t.target)),settings.hideflash&&e("object,embed,iframe[src*=youtube],iframe[src*=vimeo]").css("visibility","hidden"),r(e(pp_images).size()),e(".pp_loaderIcon").show(),settings.deeplinking&&i(),settings.social_tools&&(facebook_like_link=settings.social_tools.replace("{location_href}",encodeURIComponent(location.href)),$pp_pic_holder.find(".pp_social").html(facebook_like_link)),$ppt.is(":hidden")&&$ppt.css("opacity",0).show(),$pp_overlay.show().fadeTo(settings.animation_speed,settings.opacity),$pp_pic_holder.find(".currentTextHolder").text(set_position+1+settings.counter_separator_label+e(pp_images).size()),"undefined"!=typeof pp_descriptions[set_position]&&""!=pp_descriptions[set_position]?$pp_pic_holder.find(".pp_description").show().html(unescape(pp_descriptions[set_position])):$pp_pic_holder.find(".pp_description").hide(),movie_width=parseFloat(o("width",pp_images[set_position]))?o("width",pp_images[set_position]):settings.default_width.toString(),movie_height=parseFloat(o("height",pp_images[set_position]))?o("height",pp_images[set_position]):settings.default_height.toString(),$=!1,-1!=movie_height.indexOf("%")&&(movie_height=parseFloat(e(window).height()*parseFloat(movie_height)/100-150),$=!0),-1!=movie_width.indexOf("%")&&(movie_width=parseFloat(e(window).width()*parseFloat(movie_width)/100-150),$=!0),$pp_pic_holder.fadeIn(function(){switch($ppt.html(settings.show_title&&""!=pp_titles[set_position]&&"undefined"!=typeof pp_titles[set_position]?unescape(pp_titles[set_position]):"&nbsp;"),imgPreloader="",skipInjection=!1,h(pp_images[set_position])){case"image":imgPreloader=new Image,nextImage=new Image,isSet&&set_position<e(pp_images).size()-1&&(nextImage.src=pp_images[set_position+1]),prevImage=new Image,isSet&&pp_images[set_position-1]&&(prevImage.src=pp_images[set_position-1]),$pp_pic_holder.find("#pp_full_res")[0].innerHTML=settings.image_markup.replace(/{path}/g,pp_images[set_position]),imgPreloader.onload=function(){f=l(imgPreloader.width,imgPreloader.height),s()},imgPreloader.onerror=function(){alert("Image cannot be loaded. Make sure the path is correct and image exist."),e.prettyPhoto.close()},imgPreloader.src=pp_images[set_position];break;case"youtube":f=l(movie_width,movie_height),movie_id=o("v",pp_images[set_position]),""==movie_id&&(movie_id=pp_images[set_position].split("youtu.be/"),movie_id=movie_id[1],movie_id.indexOf("?")>0&&(movie_id=movie_id.substr(0,movie_id.indexOf("?"))),movie_id.indexOf("&")>0&&(movie_id=movie_id.substr(0,movie_id.indexOf("&")))),movie="http://www.youtube.com/embed/"+movie_id,movie+=o("rel",pp_images[set_position])?"?rel="+o("rel",pp_images[set_position]):"?rel=1",settings.autoplay&&(movie+="&autoplay=1"),toInject=settings.iframe_markup.replace(/{width}/g,f.width).replace(/{height}/g,f.height).replace(/{wmode}/g,settings.wmode).replace(/{path}/g,movie);break;case"vimeo":f=l(movie_width,movie_height),movie_id=pp_images[set_position];var t=/http(s?):\/\/(www\.)?vimeo.com\/(\d+)/,i=movie_id.match(t);movie="http://player.vimeo.com/video/"+i[3]+"?title=0&byline=0&portrait=0",settings.autoplay&&(movie+="&autoplay=1;"),vimeo_width=f.width+"/embed/?moog_width="+f.width,toInject=settings.iframe_markup.replace(/{width}/g,vimeo_width).replace(/{height}/g,f.height).replace(/{path}/g,movie);break;case"quicktime":f=l(movie_width,movie_height),f.height+=15,f.contentHeight+=15,f.containerHeight+=15,toInject=settings.quicktime_markup.replace(/{width}/g,f.width).replace(/{height}/g,f.height).replace(/{wmode}/g,settings.wmode).replace(/{path}/g,pp_images[set_position]).replace(/{autoplay}/g,settings.autoplay);break;case"flash":f=l(movie_width,movie_height),flash_vars=pp_images[set_position],flash_vars=flash_vars.substring(pp_images[set_position].indexOf("flashvars")+10,pp_images[set_position].length),filename=pp_images[set_position],filename=filename.substring(0,filename.indexOf("?")),toInject=settings.flash_markup.replace(/{width}/g,f.width).replace(/{height}/g,f.height).replace(/{wmode}/g,settings.wmode).replace(/{path}/g,filename+"?"+flash_vars);break;case"iframe":f=l(movie_width,movie_height),frame_url=pp_images[set_position],frame_url=frame_url.substr(0,frame_url.indexOf("iframe")-1),toInject=settings.iframe_markup.replace(/{width}/g,f.width).replace(/{height}/g,f.height).replace(/{path}/g,frame_url);break;case"ajax":doresize=!1,f=l(movie_width,movie_height),doresize=!0,skipInjection=!0,e.get(pp_images[set_position],function(e){toInject=settings.inline_markup.replace(/{content}/g,e),$pp_pic_holder.find("#pp_full_res")[0].innerHTML=toInject,s()});break;case"custom":f=l(movie_width,movie_height),toInject=settings.custom_markup;break;case"inline":myClone=e(pp_images[set_position]).clone().append('<br clear="all" />').css({width:settings.default_width}).wrapInner('<div id="pp_full_res"><div class="pp_inline"></div></div>').appendTo(e("body")).show(),doresize=!1,f=l(e(myClone).width(),e(myClone).height()),doresize=!0,e(myClone).remove(),toInject=settings.inline_markup.replace(/{content}/g,e(pp_images[set_position]).html())}imgPreloader||skipInjection||($pp_pic_holder.find("#pp_full_res")[0].innerHTML=toInject,s())}),!1},e.prettyPhoto.changePage=function(t){currentGalleryPage=0,"previous"==t?(set_position--,set_position<0&&(set_position=e(pp_images).size()-1)):"next"==t?(set_position++,set_position>e(pp_images).size()-1&&(set_position=0)):set_position=t,rel_index=set_position,doresize||(doresize=!0),settings.allow_expand&&e(".pp_contract").removeClass("pp_contract").addClass("pp_expand"),n(function(){e.prettyPhoto.open()})},e.prettyPhoto.changeGalleryPage=function(e){"next"==e?(currentGalleryPage++,currentGalleryPage>totalPage&&(currentGalleryPage=0)):"previous"==e?(currentGalleryPage--,currentGalleryPage<0&&(currentGalleryPage=totalPage)):currentGalleryPage=e,slide_speed="next"==e||"previous"==e?settings.animation_speed:0,slide_to=currentGalleryPage*itemsPerPage*itemWidth,$pp_gallery.find("ul").animate({left:-slide_to},slide_speed)},e.prettyPhoto.startSlideshow=function(){"undefined"==typeof P?($pp_pic_holder.find(".pp_play").unbind("click").removeClass("pp_play").addClass("pp_pause").click(function(){return e.prettyPhoto.stopSlideshow(),!1}),P=setInterval(e.prettyPhoto.startSlideshow,settings.slideshow)):e.prettyPhoto.changePage("next")},e.prettyPhoto.stopSlideshow=function(){$pp_pic_holder.find(".pp_pause").unbind("click").removeClass("pp_pause").addClass("pp_play").click(function(){return e.prettyPhoto.startSlideshow(),!1}),clearInterval(P),P=void 0},e.prettyPhoto.close=function(){$pp_overlay.is(":animated")||(e.prettyPhoto.stopSlideshow(),$pp_pic_holder.stop().find("object,embed").css("visibility","hidden"),e("div.pp_pic_holder,div.ppt,.pp_fade").fadeOut(settings.animation_speed,function(){e(this).remove()}),$pp_overlay.fadeOut(settings.animation_speed,function(){settings.hideflash&&e("object,embed,iframe[src*=youtube],iframe[src*=vimeo]").css("visibility","visible"),e(this).remove(),e(window).unbind("scroll.prettyphoto"),p(),settings.callback(),doresize=!0,v=!1,delete settings}))},!pp_alreadyInitialized&&t()&&(pp_alreadyInitialized=!0,hashIndex=t(),hashRel=hashIndex,hashIndex=hashIndex.substring(hashIndex.indexOf("/")+1,hashIndex.length-1),hashRel=hashRel.substring(0,hashRel.indexOf("/")),setTimeout(function(){e("a["+a.hook+"^='"+hashRel+"']:eq("+hashIndex+")").trigger("click")},50)),this.unbind("click.prettyphoto").bind("click.prettyphoto",e.prettyPhoto.initialize)}}(jQuery);var pp_alreadyInitialized=!1;

/*
 * @name Owl Carousel - code name Phenix
 * @author Bartosz Wojciechowski
 * @release 2014
 * Licensed under MIT
 * 
 * @version 2.0.0-beta.1.9
 * @versionNotes Not compatibile with Owl Carousel <2.0.0
 */

(function(e,t,n,r){function d(t,n){t.owlCarousel={name:"Owl Carousel",author:"Bartosz Wojciechowski",version:"2.0.0-beta.1.9",released:"14.05.2014"};this.options=e.extend({},s,n);this._options=e.extend({},s,n);this.dom=e.extend({},o);this.width=e.extend({},u);this.num=e.extend({},a);this.pos=e.extend({},f);this.drag=e.extend({},l);this.speed=e.extend({},c);this.state=e.extend({},h);this.e=e.extend({},p);this.dom.el=t;this.dom.$el=e(t);this.init()}function v(e){var t,r,i=n.createElement("div"),s=e;for(t in s){r=s[t];if(typeof i.style[r]!=="undefined"){i=null;return[r,t]}}return[false]}function m(){return v(["transition","WebkitTransition","MozTransition","OTransition"])[1]}function g(){return v(["transform","WebkitTransform","MozTransform","OTransform","msTransform"])[0]}function y(){return v(["perspective","webkitPerspective","MozPerspective","OPerspective","MsPerspective"])[0]}function b(){return"ontouchstart"in t||!!navigator.msMaxTouchPoints}function w(){return t.navigator.msPointerEnabled}function E(){return t.devicePixelRatio>1}var s={items:3,loop:false,center:false,mouseDrag:true,touchDrag:true,pullDrag:true,freeDrag:false,margin:0,stagePadding:0,merge:false,mergeFit:true,autoWidth:false,autoHeight:false,startPosition:0,URLhashListener:false,nav:false,navRewind:true,navText:["prev","next"],slideBy:1,dots:true,dotsEach:false,dotData:false,lazyLoad:false,lazyContent:false,autoplay:false,autoplayTimeout:5e3,autoplayHoverPause:false,smartSpeed:250,fluidSpeed:false,autoplaySpeed:false,navSpeed:false,dotsSpeed:false,dragEndSpeed:false,responsive:{},responsiveRefreshRate:200,responsiveBaseElement:t,responsiveClass:false,video:false,videoHeight:false,videoWidth:false,animateOut:false,animateIn:false,fallbackEasing:"swing",callbacks:true,info:false,nestedItemSelector:false,itemElement:"div",stageElement:"div",navContainer:false,dotsContainer:false,themeClass:"owl-theme",baseClass:"owl-carousel",itemClass:"owl-item",centerClass:"center",activeClass:"active",navContainerClass:"owl-nav",navClass:["owl-prev","owl-next"],controlsClass:"owl-controls",dotClass:"owl-dot",dotsClass:"owl-dots",autoHeightClass:"owl-height"};var o={el:null,$el:null,stage:null,$stage:null,oStage:null,$oStage:null,$items:null,$oItems:null,$cItems:null,$cc:null,$navPrev:null,$navNext:null,$page:null,$nav:null,$content:null};var u={el:0,stage:0,item:0,prevWindow:0,cloneLast:0};var a={items:0,oItems:0,cItems:0,active:0,merged:[],nav:[],allPages:0};var f={start:0,max:0,maxValue:0,prev:0,current:0,currentAbs:0,currentPage:0,stage:0,items:[],lsCurrent:0};var l={start:0,startX:0,startY:0,current:0,currentX:0,currentY:0,offsetX:0,offsetY:0,distance:null,startTime:0,endTime:0,updatedX:0,targetEl:null};var c={onDragEnd:300,nav:300,css2speed:0};var h={isTouch:false,isScrolling:false,isSwiping:false,direction:false,inMotion:false,autoplay:false,lazyContent:false};var p={_onDragStart:null,_onDragMove:null,_onDragEnd:null,_transitionEnd:null,_resizer:null,_responsiveCall:null,_goToLoop:null,_checkVisibile:null,_autoplay:null,_pause:null,_play:null,_stop:null};d.prototype.init=function(){this.fireCallback("onInitBefore");if(!this.dom.$el.hasClass(this.options.baseClass)){this.dom.$el.addClass(this.options.baseClass)}if(!this.dom.$el.hasClass(this.options.themeClass)){this.dom.$el.addClass(this.options.themeClass)}if(this.options.rtl){this.dom.$el.addClass("owl-rtl")}this.browserSupport();this.sortOptions();this.setResponsiveOptions();if(this.options.autoWidth&&this.state.imagesLoaded!==true){var e=this.dom.$el.find("img");var t=this.options.nestedItemSelector?"."+this.options.nestedItemSelector:r;var n=this.dom.$el.children(t).width();if(e.length&&n<=0){this.preloadAutoWidthImages(e);return false}}this.width.prevWindow=this.windowWidth();this.createStage();this.fetchContent();this.eventsCall();this.addCustomEvents();this.internalEvents();this.dom.$el.addClass("owl-loading");this.refresh(true);this.dom.$el.removeClass("owl-loading").addClass("owl-loaded");this.fireCallback("onInitAfter")};d.prototype.sortOptions=function(){var e=this.options.responsive;this.responsiveSorted={};var t=[],n,r,i;for(n in e){t.push(n)}t=t.sort(function(e,t){return e-t});for(r=0;r<t.length;r++){i=t[r];this.responsiveSorted[i]=e[i]}};d.prototype.setResponsiveOptions=function(){if(this.options.responsive===false){return false}var e=this.windowWidth();var t=this.options.responsive;var n,r,i,s;for(i in this._options){if(i!=="responsive"){this.options[i]=this._options[i]}}for(n in this.responsiveSorted){if(n<=e){s=n;for(r in this.responsiveSorted[s]){this.options[r]=this.responsiveSorted[s][r]}}}this.num.breakpoint=s;if(this.options.responsiveClass){this.dom.$el.attr("class",function(e,t){return t.replace(/\b owl-responsive-\S+/g,"")}).addClass("owl-responsive-"+s)}};d.prototype.optionsLogic=function(){this.dom.$el.toggleClass("owl-center",this.options.center);if(this.options.slideBy&&this.options.slideBy==="page"){this.options.slideBy=this.options.items}else if(this.options.slideBy>this.options.items){this.options.slideBy=this.options.items}if(this.options.loop&&this.num.oItems<this.options.items){this.options.loop=false}if(this.num.oItems<=this.options.items&&!this.options.center){this.options.navRewind=false}if(this.options.autoWidth){this.options.stagePadding=false;this.options.dotsEach=1;this.options.merge=false}if(this.state.lazyContent){this.options.loop=false;this.options.merge=false;this.options.dots=false;this.options.freeDrag=false;this.options.lazyContent=true}if((this.options.animateIn||this.options.animateOut)&&this.options.items===1&&this.support3d){this.state.animate=true}else{this.state.animate=false}};d.prototype.createStage=function(){var t=n.createElement("div");var r=n.createElement(this.options.stageElement);t.className="owl-stage-outer";r.className="owl-stage";t.appendChild(r);this.dom.el.appendChild(t);this.dom.oStage=t;this.dom.$oStage=e(t);this.dom.stage=r;this.dom.$stage=e(r);t=null;r=null};d.prototype.createItem=function(){var e=n.createElement(this.options.itemElement);e.className=this.options.itemClass;return e};d.prototype.fetchContent=function(t){if(t){this.dom.$content=t instanceof jQuery?t:e(t)}else if(this.options.nestedItemSelector){this.dom.$content=this.dom.$el.find("."+this.options.nestedItemSelector).not(".owl-stage-outer")}else{this.dom.$content=this.dom.$el.children().not(".owl-stage-outer")}this.num.oItems=this.dom.$content.length;if(this.num.oItems!==0){this.initStructure()}};d.prototype.initStructure=function(){if(this.options.lazyContent&&this.num.oItems>=this.options.items*3){this.state.lazyContent=true}else{this.state.lazyContent=false}if(this.state.lazyContent){this.pos.currentAbs=this.options.items;this.dom.$content.remove()}else{this.createNormalStructure()}};d.prototype.createNormalStructure=function(){for(var e=0;e<this.num.oItems;e++){var t=this.fillItem(this.dom.$content,e);this.dom.$stage.append(t)}this.dom.$content=null};d.prototype.createCustomStructure=function(t){for(var n=0;n<t;n++){var r=this.createItem();var i=e(r);this.setData(i,false);this.dom.$stage.append(i)}};d.prototype.createLazyContentStructure=function(e){if(!this.state.lazyContent){return false}if(e&&this.dom.$stage.children().length===this.options.items*3){return false}this.dom.$stage.empty();this.createCustomStructure(3*this.options.items)};d.prototype.fillItem=function(t,n){var r=this.createItem();var i=t[n]||t;var s=this.traversContent(i);this.setData(r,false,s);return e(r).append(i)};d.prototype.traversContent=function(t){var n=e(t),r,i;if(this.options.dotData){r=n.find("[data-dot]").andSelf().data("dot")}if(this.options.URLhashListener){i=n.find("[data-hash]").andSelf().data("hash")}return{dot:r||false,hash:i||false}};d.prototype.setData=function(t,n,r){var i,s;if(r){i=r.dot;s=r.hash}var o={index:false,indexAbs:false,posLeft:false,clone:false,active:false,loaded:false,lazyLoad:false,current:false,width:false,center:false,page:false,hasVideo:false,playVideo:false,dot:i,hash:s};if(n){o=e.extend({},o,n.data("owl-item"))}e(t).data("owl-item",o)};d.prototype.updateLocalContent=function(){this.dom.$oItems=this.dom.$stage.find("."+this.options.itemClass).filter(function(){return e(this).data("owl-item").clone===false});this.num.oItems=this.dom.$oItems.length;for(var t=0;t<this.num.oItems;t++){var n=this.dom.$oItems.eq(t);n.data("owl-item").index=t}};d.prototype.checkVideoLinks=function(){if(!this.options.video){return false}var e,t;for(var n=0;n<this.num.items;n++){t=this.dom.$items.eq(n);if(t.data("owl-item").hasVideo){continue}e=t.find(".owl-video");if(e.length){this.state.hasVideos=true;this.dom.$items.eq(n).data("owl-item").hasVideo=true;e.css("display","none");this.getVideoInfo(e,t)}}};d.prototype.getVideoInfo=function(e,t){var n,r,i,s=e.data("vimeo-id"),o=e.data("youtube-id"),u=e.data("width")||this.options.videoWidth,a=e.data("height")||this.options.videoHeight,f=e.attr("href");if(s){r="vimeo";i=s}else if(o){r="youtube";i=o}else if(f){i=f.match(/(http:|https:|)\/\/(player.|www.)?(vimeo\.com|youtu(be\.com|\.be|be\.googleapis\.com))\/(video\/|embed\/|watch\?v=|v\/)?([A-Za-z0-9._%-]*)(\&\S+)?/);if(i[3].indexOf("youtu")>-1){r="youtube"}else if(i[3].indexOf("vimeo")>-1){r="vimeo"}i=i[6]}else{throw new Error("Missing video link.")}t.data("owl-item").videoType=r;t.data("owl-item").videoId=i;t.data("owl-item").videoWidth=u;t.data("owl-item").videoHeight=a;n={type:r,id:i};var l=u&&a?'style="width:'+u+"px;height:"+a+'px;"':"";e.wrap('<div class="owl-video-wrapper"'+l+"></div>");this.createVideoTn(e,n)};d.prototype.createVideoTn=function(t,n){function l(e){i='<div class="owl-video-play-icon"></div>';if(f.options.lazyLoad){r='<div class="owl-video-tn '+a+'" '+u+'="'+e+'"></div>'}else{r='<div class="owl-video-tn" style="opacity:1;background-image:url('+e+')"></div>'}t.after(r);t.after(i)}var r,i,s;var o=t.find("img");var u="src";var a="";var f=this;if(this.options.lazyLoad){u="data-src";a="owl-lazy"}if(o.length){l(o.attr(u));o.remove();return false}if(n.type==="youtube"){var c="http://img.youtube.com/vi/"+n.id+"/hqdefault.jpg";l(c)}else if(n.type==="vimeo"){e.ajax({type:"GET",url:"http://vimeo.com/api/v2/video/"+n.id+".json",jsonp:"callback",dataType:"jsonp",success:function(e){var t=e[0].thumbnail_large;l(t);if(f.options.loop){f.updateItemState()}}})}};d.prototype.stopVideo=function(){this.fireCallback("onVideoStop");var e=this.dom.$items.eq(this.state.videoPlayIndex);e.find(".owl-video-frame").remove();e.removeClass("owl-video-playing");this.state.videoPlay=false};d.prototype.playVideo=function(t){this.fireCallback("onVideoPlay");if(this.state.videoPlay){this.stopVideo()}var n,r,i=e(t.target||t.srcElement),s=i.closest("."+this.options.itemClass);var o=s.data("owl-item").videoType,u=s.data("owl-item").videoId,a=s.data("owl-item").videoWidth||Math.floor(s.data("owl-item").width-this.options.margin),f=s.data("owl-item").videoHeight||this.dom.$stage.height();if(o==="youtube"){n='<iframe width="'+a+'" height="'+f+'" src="http://www.youtube.com/embed/'+u+"?autoplay=1&v="+u+'" frameborder="0" allowfullscreen></iframe>'}else if(o==="vimeo"){n='<iframe src="http://player.vimeo.com/video/'+u+'?autoplay=1" width="'+a+'" height="'+f+'" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>'}s.addClass("owl-video-playing");this.state.videoPlay=true;this.state.videoPlayIndex=s.data("owl-item").indexAbs;r=e('<div style="height:'+f+"px; width:"+a+'px" class="owl-video-frame">'+n+"</div>");i.after(r)};d.prototype.loopClone=function(){if(!this.options.loop||this.state.lazyContent||this.num.oItems<this.options.items){return false}var t,n,r,i=this.options.items,s=this.num.oItems-1;if(this.options.stagePadding&&this.options.items===1){i+=1}this.num.cItems=i*2;for(r=0;r<i;r++){var o=this.dom.$oItems.eq(r).clone(true,true);var u=this.dom.$oItems.eq(s-r).clone(true,true);t=e(o[0]).addClass("cloned");n=e(u[0]).addClass("cloned");this.setData(t[0],o);this.setData(n[0],u);t.data("owl-item").clone=true;n.data("owl-item").clone=true;this.dom.$stage.append(t);this.dom.$stage.prepend(n);t=n=null}this.dom.$cItems=this.dom.$stage.find("."+this.options.itemClass).filter(function(){return e(this).data("owl-item").clone===true})};d.prototype.reClone=function(){if(this.dom.$cItems!==null){this.dom.$cItems.remove();this.dom.$cItems=null;this.num.cItems=0}if(!this.options.loop){return}this.loopClone()};d.prototype.calculate=function(){var e,t,n,r,i=0,s=0;this.width.el=this.dom.$el.width()-this.options.stagePadding*2;this.width.view=this.dom.$el.width();var o=this.width.el-this.options.margin*(this.options.items===1?0:this.options.items-1);this.width.el=this.width.el+this.options.margin;this.width.item=(o/this.options.items+this.options.margin).toFixed(3);this.dom.$items=this.dom.$stage.find(".owl-item");this.num.items=this.dom.$items.length;if(this.options.autoWidth){this.dom.$items.css("width","")}this.pos.items=[];this.num.merged=[];this.num.nav=[];if(this.options.rtl){r=this.options.center?-(this.width.el/2):0}else{r=this.options.center?this.width.el/2:0}this.width.mergeStage=0;for(e=0;e<this.num.items;e++){if(this.options.merge){var u=this.dom.$items.eq(e).find("[data-merge]").attr("data-merge")||1;if(this.options.mergeFit&&u>this.options.items){u=this.options.items}this.num.merged.push(parseInt(u));this.width.mergeStage+=this.width.item*this.num.merged[e]}else{this.num.merged.push(1)}if(this.options.loop){if(e>=this.num.cItems/2&&e<this.num.cItems/2+this.num.oItems){this.num.nav.push(this.num.merged[e])}}else{this.num.nav.push(this.num.merged[e])}var a=this.width.item*this.num.merged[e];if(this.options.autoWidth){a=this.dom.$items.eq(e).width()+this.options.margin;if(this.options.rtl){this.dom.$items[e].style.marginLeft=this.options.margin+"px"}else{this.dom.$items[e].style.marginRight=this.options.margin+"px"}}this.pos.items.push(r);this.dom.$items.eq(e).data("owl-item").posLeft=i;this.dom.$items.eq(e).data("owl-item").width=a;if(this.options.rtl){r+=a;i+=a}else{r-=a;i-=a}s-=Math.abs(a);if(this.options.center){this.pos.items[e]=!this.options.rtl?this.pos.items[e]-a/2:this.pos.items[e]+a/2}}if(this.options.autoWidth){this.width.stage=this.options.center?Math.abs(s):Math.abs(r)}else{this.width.stage=Math.abs(s)}var f=this.num.oItems+this.num.cItems;for(t=0;t<f;t++){this.dom.$items.eq(t).data("owl-item").indexAbs=t}this.setMinMax();this.setSizes()};d.prototype.setMinMax=function(){var e=this.dom.$oItems.eq(0).data("owl-item").indexAbs;this.pos.min=0;this.pos.minValue=this.pos.items[e];if(!this.options.loop){this.pos.max=this.num.oItems-1}if(this.options.loop){this.pos.max=this.num.oItems+this.options.items}if(!this.options.loop&&!this.options.center){this.pos.max=this.num.oItems-this.options.items}if(this.options.loop&&this.options.center){this.pos.max=this.num.oItems+this.options.items}this.pos.maxValue=this.pos.items[this.pos.max];if(!this.options.loop&&!this.options.center&&this.options.autoWidth||this.options.merge&&!this.options.center){var t=this.options.rtl?1:-1;for(i=0;i<this.pos.items.length;i++){if(this.pos.items[i]*t<this.width.stage-this.width.el){this.pos.max=i+1}}this.pos.maxValue=this.options.rtl?this.width.stage-this.width.el:-(this.width.stage-this.width.el);this.pos.items[this.pos.max]=this.pos.maxValue}if(this.options.center){this.pos.loop=this.pos.items[0]-this.pos.items[this.num.oItems]}else{this.pos.loop=-this.pos.items[this.num.oItems]}if(this.num.oItems<this.options.items&&!this.options.center){this.pos.max=0;this.pos.maxValue=this.pos.items[0]}};d.prototype.setSizes=function(){if(this.options.stagePadding!==false){this.dom.oStage.style.paddingLeft=this.options.stagePadding+"px";this.dom.oStage.style.paddingRight=this.options.stagePadding+"px"}if(this.options.rtl){t.setTimeout(function(){this.dom.stage.style.width=this.width.stage+"px"}.bind(this),0)}else{this.dom.stage.style.width=this.width.stage+"px"}for(var e=0;e<this.num.items;e++){if(!this.options.autoWidth){this.dom.$items[e].style.width=this.width.item-this.options.margin+"px"}if(this.options.rtl){this.dom.$items[e].style.marginLeft=this.options.margin+"px"}else{this.dom.$items[e].style.marginRight=this.options.margin+"px"}if(this.num.merged[e]!==1&&!this.options.autoWidth){this.dom.$items[e].style.width=this.width.item*this.num.merged[e]-this.options.margin+"px"}}this.width.stagePrev=this.width.stage};d.prototype.responsive=function(){if(!this.num.oItems){return false}var r=this.isElWidthChanged();if(!r){return false}var i=n.fullscreenElement||n.mozFullScreenElement||n.webkitFullscreenElement;if(i){if(e(i.parentNode).hasClass("owl-video-frame")){this.setSpeed(0);this.state.isFullScreen=true}}if(i&&this.state.isFullScreen&&this.state.videoPlay){return false}if(this.state.isFullScreen){this.state.isFullScreen=false;return false}if(this.state.videoPlay){if(this.state.orientation!==t.orientation){this.state.orientation=t.orientation;return false}}this.fireCallback("onResponsiveBefore");this.state.responsive=true;this.refresh();this.state.responsive=false;this.fireCallback("onResponsiveAfter")};d.prototype.refresh=function(e){if(this.state.videoPlay){this.stopVideo()}this.setResponsiveOptions();this.createLazyContentStructure(true);this.updateLocalContent();this.optionsLogic();if(this.num.oItems===0){if(this.dom.$page!==null){this.dom.$page.hide()}return false}this.dom.$stage.addClass("owl-refresh");this.reClone();this.calculate();this.dom.$stage.removeClass("owl-refresh");if(this.state.lazyContent){this.pos.currentAbs=this.options.items}this.initPosition(e);if(!this.state.lazyContent&&!e){this.jumpTo(this.pos.current,false)}this.checkVideoLinks();this.updateItemState();this.rebuildDots();this.updateControls();this.autoplay();this.autoHeight();this.state.orientation=t.orientation;this.watchVisibility()};d.prototype.updateItemState=function(e){if(this.state.lazyContent){this.updateLazyContent(e)}if(this.options.center){this.dom.$items.eq(this.pos.currentAbs).addClass(this.options.centerClass).data("owl-item").center=true}if(this.options.lazyLoad){this.lazyLoad()}};d.prototype.updateActiveItems=function(){var e,t,n,r,i,s,o,u,a;for(e=0;e<this.num.items;e++){this.dom.$items.eq(e).data("owl-item").active=false;this.dom.$items.eq(e).data("owl-item").current=false;this.dom.$items.eq(e).removeClass(this.options.activeClass).removeClass(this.options.centerClass)}this.num.active=0;stageX=this.pos.stage;view=this.options.rtl?this.width.view:-this.width.view;for(t=0;t<this.num.items;t++){n=this.dom.$items.eq(t);r=n.data("owl-item").posLeft;i=n.data("owl-item").width;u=this.options.rtl?r+i:r-i;if(this.op(r,"<=",stageX)&&this.op(r,">",stageX+view)||this.op(u,"<",stageX)&&this.op(u,">",stageX+view)){this.num.active++;if(this.options.freeDrag&&!a){a=true;this.pos.current=n.data("owl-item").index;this.pos.currentAbs=n.data("owl-item").indexAbs}n.data("owl-item").active=true;n.data("owl-item").current=true;n.addClass(this.options.activeClass);if(!this.options.lazyLoad){n.data("owl-item").loaded=true}if(this.options.loop&&(this.options.lazyLoad||this.options.center)){this.updateClonedItemsState(n.data("owl-item").index)}}}};d.prototype.updateClonedItemsState=function(e){var t,n,r;if(this.options.center){t=this.dom.$items.eq(this.pos.currentAbs).data("owl-item").index}for(r=0;r<this.num.items;r++){n=this.dom.$items.eq(r);if(n.data("owl-item").index===e){n.data("owl-item").current=true;if(n.data("owl-item").index===t){n.addClass(this.options.centerClass)}}}};d.prototype.updateLazyPosition=function(){var e=this.pos.goToLazyContent||0;this.pos.lcMovedBy=Math.abs(this.options.items-this.pos.currentAbs);if(this.options.items<this.pos.currentAbs){this.pos.lcCurrent+=this.pos.currentAbs-this.options.items;this.state.lcDirection="right"}else if(this.options.items>this.pos.currentAbs){this.pos.lcCurrent-=this.options.items-this.pos.currentAbs;this.state.lcDirection="left"}this.pos.lcCurrent=e!==0?e:this.pos.lcCurrent;if(this.pos.lcCurrent>=this.dom.$content.length){this.pos.lcCurrent=this.pos.lcCurrent-this.dom.$content.length}else if(this.pos.lcCurrent<-this.dom.$content.length+1){this.pos.lcCurrent=this.pos.lcCurrent+this.dom.$content.length}if(this.options.startPosition>0){this.pos.lcCurrent=this.options.startPosition;this._options.startPosition=this.options.startPosition=0}this.pos.lcCurrentAbs=this.pos.lcCurrent<0?this.pos.lcCurrent+this.dom.$content.length:this.pos.lcCurrent};d.prototype.updateLazyContent=function(e){if(this.pos.lcCurrent===r){this.pos.lcCurrent=0;this.pos.current=this.pos.currentAbs=this.options.items}if(!e){this.updateLazyPosition()}var t,n,i,s,o,u,a;this.pos.current=this.pos.currentAbs=this.options.items;this.setSpeed(0);if(this.state.lcDirection!==false){for(t=0;t<this.pos.lcMovedBy;t++){if(this.state.lcDirection==="right"){i=this.dom.$stage.find(".owl-item").eq(0);i.appendTo(this.dom.$stage)}if(this.state.lcDirection==="left"){i=this.dom.$stage.find(".owl-item").eq(-1);i.prependTo(this.dom.$stage)}i.data("owl-item").active=false}}this.dom.$items=this.dom.$stage.find(".owl-item");for(n=0;n<this.num.items;n++){s=this.pos.lcCurrent+n-this.options.items;if(s>=this.dom.$content.length){s=s-this.dom.$content.length}if(s<-this.dom.$content.length){s=s+this.dom.$content.length}o=this.dom.$content.eq(s);u=this.dom.$items.eq(n);a=u.data("owl-item");if(a.active===false||this.pos.goToLazyContent!==0||e===true){u.empty();u.append(o.clone(true,true));a.active=true;a.current=true;if(!this.options.lazyLoad){a.loaded=true}else{a.loaded=false}}}this.animStage(this.pos.items[this.options.items]);this.pos.goToLazyContent=0};d.prototype.eventsCall=function(){this.e._onDragStart=function(e){this.onDragStart(e)}.bind(this);this.e._onDragMove=function(e){this.onDragMove(e)}.bind(this);this.e._onDragEnd=function(e){this.onDragEnd(e)}.bind(this);this.e._transitionEnd=function(e){this.transitionEnd(e)}.bind(this);this.e._resizer=function(){this.responsiveTimer()}.bind(this);this.e._responsiveCall=function(){this.responsive()}.bind(this);this.e._preventClick=function(e){this.preventClick(e)}.bind(this);this.e._goToHash=function(){this.goToHash()}.bind(this);this.e._goToPage=function(e){this.goToPage(e)}.bind(this);this.e._ap=function(){this.autoplay()}.bind(this);this.e._play=function(){this.play()}.bind(this);this.e._pause=function(){this.pause()}.bind(this);this.e._playVideo=function(e){this.playVideo(e)}.bind(this);this.e._navNext=function(t){if(e(t.target).hasClass("disabled")){return false}t.preventDefault();this.next()}.bind(this);this.e._navPrev=function(t){if(e(t.target).hasClass("disabled")){return false}t.preventDefault();this.prev()}.bind(this)};d.prototype.responsiveTimer=function(){if(this.windowWidth()===this.width.prevWindow){return false}t.clearInterval(this.e._autoplay);t.clearTimeout(this.resizeTimer);this.resizeTimer=t.setTimeout(this.e._responsiveCall,this.options.responsiveRefreshRate);this.width.prevWindow=this.windowWidth()};d.prototype.internalEvents=function(){var e=b();var r=w();if(e&&!r){this.dragType=["touchstart","touchmove","touchend","touchcancel"]}else if(e&&r){this.dragType=["MSPointerDown","MSPointerMove","MSPointerUp","MSPointerCancel"]}else{this.dragType=["mousedown","mousemove","mouseup"]}if((e||r)&&this.options.touchDrag){this.on(n,this.dragType[3],this.e._onDragEnd)}else{this.dom.$stage.on("dragstart",function(){return false});if(this.options.mouseDrag){this.dom.stage.onselectstart=function(){return false}}else{this.dom.$el.addClass("owl-text-select-on")}}this.dom.$stage.on(this.dragType[2],".owl-video-play-icon",this.e._playVideo);if(this.options.URLhashListener){this.on(t,"hashchange",this.e._goToHash,false)}if(this.options.autoplayHoverPause){var i=this;this.dom.$stage.on("mouseover",this.e._pause);this.dom.$stage.on("mouseleave",this.e._ap)}if(this.transitionEndVendor){this.on(this.dom.stage,this.transitionEndVendor,this.e._transitionEnd,false)}if(this.options.responsive!==false){this.on(t,"resize",this.e._resizer,false)}this.updateEvents()};d.prototype.updateEvents=function(){if(this.options.touchDrag&&(this.dragType[0]==="touchstart"||this.dragType[0]==="MSPointerDown")){this.on(this.dom.stage,this.dragType[0],this.e._onDragStart,false)}else if(this.options.mouseDrag&&this.dragType[0]==="mousedown"){this.on(this.dom.stage,this.dragType[0],this.e._onDragStart,false)}else{this.off(this.dom.stage,this.dragType[0],this.e._onDragStart)}};d.prototype.onDragStart=function(e){var r=e.originalEvent||e||t.event;if(r.which===3){return false}if(this.dragType[0]==="mousedown"){this.dom.$stage.addClass("owl-grab")}this.fireCallback("onTouchStart");this.drag.startTime=(new Date).getTime();this.setSpeed(0);this.state.isTouch=true;this.state.isScrolling=false;this.state.isSwiping=false;this.drag.distance=0;var i=r.type==="touchstart";var s=i?e.targetTouches[0].pageX:r.pageX||r.clientX;var o=i?e.targetTouches[0].pageY:r.pageY||r.clientY;this.drag.offsetX=this.dom.$stage.position().left-this.options.stagePadding;this.drag.offsetY=this.dom.$stage.position().top;if(this.options.rtl){this.drag.offsetX=this.dom.$stage.position().left+this.width.stage-this.width.el+this.options.margin}if(this.state.inMotion&&this.support3d){var u=this.getTransformProperty();this.drag.offsetX=u;this.animStage(u)}else if(this.state.inMotion&&!this.support3d){this.state.inMotion=false;return false}this.drag.startX=s-this.drag.offsetX;this.drag.startY=o-this.drag.offsetY;this.drag.start=s-this.drag.startX;this.drag.targetEl=r.target||r.srcElement;this.drag.updatedX=this.drag.start;this.on(n,this.dragType[1],this.e._onDragMove,false);this.on(n,this.dragType[2],this.e._onDragEnd,false)};d.prototype.onDragMove=function(e){if(!this.state.isTouch){return}if(this.state.isScrolling){return}var n=0;var i=e.originalEvent||e||t.event;var s=i.type=="touchmove";var o=s?i.targetTouches[0].pageX:i.pageX||i.clientX;var u=s?i.targetTouches[0].pageY:i.pageY||i.clientY;this.drag.currentX=o-this.drag.startX;this.drag.currentY=u-this.drag.startY;this.drag.distance=this.drag.currentX-this.drag.offsetX;if(this.drag.distance<0){this.state.direction=this.options.rtl?"right":"left"}else if(this.drag.distance>0){this.state.direction=this.options.rtl?"left":"right"}if(this.options.loop){if(this.op(this.drag.currentX,">",this.pos.minValue)&&this.state.direction==="right"){this.drag.currentX-=this.pos.loop}else if(this.op(this.drag.currentX,"<",this.pos.maxValue)&&this.state.direction==="left"){this.drag.currentX+=this.pos.loop}}else{var a=this.options.rtl?this.pos.maxValue:this.pos.minValue;var f=this.options.rtl?this.pos.minValue:this.pos.maxValue;var l=this.options.pullDrag?this.drag.distance/5:0;this.drag.currentX=Math.max(Math.min(this.drag.currentX,a+l),f+l)}if(this.drag.distance>8||this.drag.distance<-8){if(i.preventDefault!==r){i.preventDefault()}else{i.returnValue=false}this.state.isSwiping=true}this.drag.updatedX=this.drag.currentX;if((this.drag.currentY>16||this.drag.currentY<-16)&&this.state.isSwiping===false){this.state.isScrolling=true;this.drag.updatedX=this.drag.start}this.animStage(this.drag.updatedX)};d.prototype.onDragEnd=function(e){if(!this.state.isTouch){return}if(this.dragType[0]==="mousedown"){this.dom.$stage.removeClass("owl-grab")}this.fireCallback("onTouchEnd");this.state.isTouch=false;this.state.isScrolling=false;this.state.isSwiping=false;if(this.drag.distance===0&&this.state.inMotion!==true){this.state.inMotion=false;return false}this.drag.endTime=(new Date).getTime();var t=this.drag.endTime-this.drag.startTime;var r=Math.abs(this.drag.distance);if(r>3||t>300){this.removeClick(this.drag.targetEl)}var i=this.closest(this.drag.updatedX);this.setSpeed(this.options.dragEndSpeed,false,true);this.animStage(this.pos.items[i]);if(!this.options.pullDrag&&this.drag.updatedX===this.pos.items[i]){this.transitionEnd()}this.drag.distance=0;this.off(n,this.dragType[1],this.e._onDragMove);this.off(n,this.dragType[2],this.e._onDragEnd)};d.prototype.removeClick=function(n){this.drag.targetEl=n;e(n).on("click.preventClick",this.e._preventClick);t.setTimeout(function(){e(n).off("click.preventClick")},300)};d.prototype.preventClick=function(t){if(t.preventDefault){t.preventDefault()}else{t.returnValue=false}if(t.stopPropagation){t.stopPropagation()}e(t.target).off("click.preventClick")};d.prototype.getTransformProperty=function(){var e=t.getComputedStyle(this.dom.stage,null).getPropertyValue(this.vendorName+"transform");e=e.replace(/matrix(3d)?\(|\)/g,"").split(",");var n=e.length===16;return n!==true?e[4]:e[12]};d.prototype.closest=function(e){var t=0,n=30;if(!this.options.freeDrag){for(var r=0;r<this.num.items;r++){if(e>this.pos.items[r]-n&&e<this.pos.items[r]+n){t=r}else if(this.op(e,"<",this.pos.items[r])&&this.op(e,">",this.pos.items[r+1||this.pos.items[r]-this.width.el])){t=this.state.direction==="left"?r+1:r}}}if(!this.options.loop){if(this.op(e,">",this.pos.minValue)){t=e=this.pos.min}else if(this.op(e,"<",this.pos.maxValue)){t=e=this.pos.max}}if(!this.options.freeDrag){this.pos.currentAbs=t;this.pos.current=this.dom.$items.eq(t).data("owl-item").index}else{this.updateItemState();return e}return t};d.prototype.animStage=function(e){if(this.speed.current!==0&&this.pos.currentAbs!==this.pos.min){this.fireCallback("onTransitionStart");this.state.inMotion=true}var t=this.pos.stage=e,n=this.dom.stage.style;if(this.support3d){translate="translate3d("+t+"px"+",0px, 0px)";n[this.transformVendor]=translate}else if(this.state.isTouch){n.left=t+"px"}else{this.dom.$stage.animate({left:t},this.speed.css2speed,this.options.fallbackEasing,function(){if(this.state.inMotion){this.transitionEnd()}}.bind(this))}this.onChange()};d.prototype.updatePosition=function(e){if(this.num.oItems===0){return false}if(e===r){return false}var t=e;this.pos.prev=this.pos.currentAbs;if(this.state.revert){this.pos.current=this.dom.$items.eq(t).data("owl-item").index;this.pos.currentAbs=t;return}if(!this.options.loop){if(this.options.navRewind){t=t>this.pos.max?this.pos.min:t<0?this.pos.max:t}else{t=t>this.pos.max?this.pos.max:t<=0?0:t}}else{t=t>=this.num.oItems?this.num.oItems-1:t}this.pos.current=this.dom.$oItems.eq(t).data("owl-item").index;this.pos.currentAbs=this.dom.$oItems.eq(t).data("owl-item").indexAbs};d.prototype.setSpeed=function(e,t,n){var i=e,s=t;if(i===false&&i!==0&&n!==true||i===r){var o=Math.abs(s-this.pos.prev);o=o===0?1:o;if(o>6){o=6}i=o*this.options.smartSpeed}if(i===false&&n===true){i=this.options.smartSpeed}if(i===0){i=0}if(this.support3d){var u=this.dom.stage.style;u.webkitTransitionDuration=u.MsTransitionDuration=u.msTransitionDuration=u.MozTransitionDuration=u.OTransitionDuration=u.transitionDuration=i/1e3+"s"}else{this.speed.css2speed=i}this.speed.current=i;return i};d.prototype.jumpTo=function(e,t){if(this.state.lazyContent){this.pos.goToLazyContent=e}this.updatePosition(e);this.setSpeed(0);this.animStage(this.pos.items[this.pos.currentAbs]);if(t!==true){this.updateItemState()}};d.prototype.goTo=function(e,t){if(this.state.lazyContent&&this.state.inMotion){return false}this.updatePosition(e);if(this.state.animate){t=0}this.setSpeed(t,this.pos.currentAbs);if(this.state.animate){this.animate()}this.animStage(this.pos.items[this.pos.currentAbs])};d.prototype.next=function(e){var t=e||this.options.navSpeed;if(this.options.loop&&!this.state.lazyContent){this.goToLoop(this.options.slideBy,t)}else{this.goTo(this.pos.current+this.options.slideBy,t)}};d.prototype.prev=function(e){var t=e||this.options.navSpeed;if(this.options.loop&&!this.state.lazyContent){this.goToLoop(-this.options.slideBy,t)}else{this.goTo(this.pos.current-this.options.slideBy,t)}};d.prototype.goToLoop=function(e,n){var r=this.pos.currentAbs,i=this.pos.currentAbs,s=this.pos.currentAbs+e,o=i-s<0?true:false;this.state.revert=true;if(s<this.options.items&&o===false){this.state.bypass=true;r=this.num.items-(this.options.items-i)-this.options.items;this.jumpTo(r,true)}else if(s>=this.num.items-this.options.items&&o===true){this.state.bypass=true;r=i-this.num.oItems;this.jumpTo(r,true)}t.clearTimeout(this.e._goToLoop);this.e._goToLoop=t.setTimeout(function(){this.state.bypass=false;this.goTo(r+e,n);this.state.revert=false}.bind(this),30)};d.prototype.initPosition=function(e){if(!this.dom.$oItems||!e||this.state.lazyContent){return false}var t=this.options.startPosition;if(this.options.startPosition==="URLHash"){t=this.options.startPosition=this.hashPosition()}else if(typeof this.options.startPosition!==Number&&!this.options.center){this.options.startPosition=0}this.dom.oStage.scrollLeft=0;this.jumpTo(t,true)};d.prototype.goToHash=function(){var e=this.hashPosition();if(e===false){e=0}this.dom.oStage.scrollLeft=0;this.goTo(e,this.options.navSpeed)};d.prototype.hashPosition=function(){var e=t.location.hash.substring(1),n;if(e===""){return false}for(var r=0;r<this.num.oItems;r++){if(e===this.dom.$oItems.eq(r).data("owl-item").hash){n=r}}return n};d.prototype.autoplay=function(){if(this.options.autoplay&&!this.state.videoPlay){t.clearInterval(this.e._autoplay);this.e._autoplay=t.setInterval(this.e._play,this.options.autoplayTimeout)}else{t.clearInterval(this.e._autoplay);this.state.autoplay=false}};d.prototype.play=function(e,r){if(n.hidden===true){return false}if(!this.options.autoplay){this._options.autoplay=this.options.autoplay=true;this._options.autoplayTimeout=this.options.autoplayTimeout=e||this.options.autoplayTimeout||4e3;this._options.autoplaySpeed=r||this.options.autoplaySpeed}if(this.options.autoplay===false||this.state.isTouch||this.state.isScrolling||this.state.isSwiping||this.state.inMotion){t.clearInterval(this.e._autoplay);return false}if(!this.options.loop&&this.pos.current>=this.pos.max){t.clearInterval(this.e._autoplay);this.goTo(0)}else{this.next(this.options.autoplaySpeed)}this.state.autoplay=true};d.prototype.stop=function(){this._options.autoplay=this.options.autoplay=false;this.state.autoplay=false;t.clearInterval(this.e._autoplay)};d.prototype.pause=function(){t.clearInterval(this.e._autoplay)};d.prototype.transitionEnd=function(e){if(e!==r){e.stopPropagation();var t=e.target||e.srcElement||e.originalTarget;if(t!==this.dom.stage){return false}}this.state.inMotion=false;this.updateItemState();this.autoplay();this.fireCallback("onTransitionEnd")};d.prototype.isElWidthChanged=function(){var e=this.dom.$el.width()-this.options.stagePadding,t=this.width.el+this.options.margin;return e!==t};d.prototype.windowWidth=function(){if(this.options.responsiveBaseElement!==t){this.width.window=e(this.options.responsiveBaseElement).width()}else if(t.innerWidth){this.width.window=t.innerWidth}else if(n.documentElement&&n.documentElement.clientWidth){this.width.window=n.documentElement.clientWidth}return this.width.window};d.prototype.controls=function(){var t=n.createElement("div");t.className=this.options.controlsClass;this.dom.$el.append(t);this.dom.$cc=e(t)};d.prototype.updateControls=function(){if(this.dom.$cc===null&&(this.options.nav||this.options.dots)){if(!this.options.navContainer||!this.options.dotsContainer){this.controls()}}if(this.dom.$nav===null&&this.options.nav){this.createNavigation()}if(this.dom.$page===null&&this.options.dots){this.createDots()}if(this.dom.$nav!==null){if(this.options.nav){this.dom.$nav.show();this.updateNavigation()}else{this.dom.$nav.hide()}}if(this.dom.$page!==null){if(this.options.dots){this.dom.$page.show();this.updateDots()}else{this.dom.$page.hide()}}};d.prototype.createNavigation=function(){var t=this.options.navContainer?e(this.options.navContainer).get(0):this.dom.$cc.get(0);var r=n.createElement("div");r.className=this.options.navContainerClass;t.appendChild(r);var i=n.createElement("div"),s=n.createElement("div");i.className=this.options.navClass[0];s.className=this.options.navClass[1];r.appendChild(i);r.appendChild(s);this.dom.$nav=e(r);this.dom.$navPrev=e(i).html(this.options.navText[0]);this.dom.$navNext=e(s).html(this.options.navText[1]);this.dom.$nav.on(this.dragType[2],"."+this.options.navClass[0],this.e._navPrev);this.dom.$nav.on(this.dragType[2],"."+this.options.navClass[1],this.e._navNext)};d.prototype.createDots=function(){function s(t){t.preventDefault();var n=e(this).data("page");i.goTo(n,i.options.dotsSpeed)}var t=this.options.dotsContainer?e(this.options.dotsContainer).get(0):this.dom.$cc.get(0);var r=n.createElement("div");r.className=this.options.dotsClass;t.appendChild(r);this.dom.$page=e(r);var i=this;this.dom.$page.on(this.dragType[2],"."+this.options.dotClass,s);this.rebuildDots()};d.prototype.rebuildDots=function(){if(this.dom.$page===null){return false}var t,r,i,s=0,o=0,u,a=0,f=0;t=this.options.dotsEach||this.options.items;if(this.options.center||this.options.dotData){t=1}this.dom.$page.html("");for(u=0;u<this.num.nav.length;u++){if(s>=t||s===0){r=n.createElement("div");r.className=this.options.dotClass;i=n.createElement("span");r.appendChild(i);var l=e(r);if(this.options.dotData){l.html(this.dom.$oItems.eq(u).data("owl-item").dot)}l.data("page",a);l.data("goToPage",f);this.dom.$page.append(r);s=0;f++}this.dom.$oItems.eq(u).data("owl-item").page=f-1;s+=this.num.nav[u];a++}if(!this.options.loop&&!this.options.center){for(var c=this.num.nav.length-1;c>=0;c--){o+=this.num.nav[c];this.dom.$oItems.eq(c).data("owl-item").page=f-1;if(o>=t){break}}}this.num.allPages=f-1};d.prototype.updateDots=function(){var e=this.dom.$page.children();var t=this.dom.$oItems.eq(this.pos.current).data("owl-item").page;for(var n=0;n<e.length;n++){var r=e.eq(n).data("goToPage");if(r===t){this.pos.currentPage=n;e.eq(n).addClass("active")}else{e.eq(n).removeClass("active")}}};d.prototype.updateNavigation=function(){var e=this.options.nav;this.dom.$navNext.toggleClass("disabled",!e);this.dom.$navPrev.toggleClass("disabled",!e);if(!this.options.loop&&e&&!this.options.navRewind){if(this.pos.current<=0){this.dom.$navPrev.addClass("disabled")}if(this.pos.current>=this.pos.max){this.dom.$navNext.addClass("disabled")}}};d.prototype.insertContent=function(e){this.dom.$stage.empty();this.fetchContent(e);this.refresh()};d.prototype.addItem=function(t,n){n=n||0;if(this.state.lazyContent){this.dom.$content=this.dom.$content.add(e(t));this.updateItemState(true)}else{var r=this.fillItem(t);if(this.dom.$oItems.length===0){this.dom.$stage.append(r)}else{var i=this.dom.$oItems.eq(n);if(n!==-1){i.before(r)}else{i.after(r)}}this.refresh()}};d.prototype.removeItem=function(e){if(this.state.lazyContent){this.dom.$content.splice(e,1);this.updateItemState(true)}else{this.dom.$oItems.eq(e).remove();this.refresh()}};d.prototype.addCustomEvents=function(){this.e.next=function(e,t){this.next(t)}.bind(this);this.e.prev=function(e,t){this.prev(t)}.bind(this);this.e.goTo=function(e,t,n){this.goTo(t,n)}.bind(this);this.e.jumpTo=function(e,t){this.jumpTo(t)}.bind(this);this.e.addItem=function(e,t,n){this.addItem(t,n)}.bind(this);this.e.removeItem=function(e,t){this.removeItem(t)}.bind(this);this.e.refresh=function(e){this.refresh()}.bind(this);this.e.destroy=function(e){this.destroy()}.bind(this);this.e.autoHeight=function(e){this.autoHeight(true)}.bind(this);this.e.stop=function(){this.stop()}.bind(this);this.e.play=function(e,t,n){this.play(t,n)}.bind(this);this.e.insertContent=function(e,t){this.insertContent(t)}.bind(this);this.dom.$el.on("next.owl",this.e.next);this.dom.$el.on("prev.owl",this.e.prev);this.dom.$el.on("goTo.owl",this.e.goTo);this.dom.$el.on("jumpTo.owl",this.e.jumpTo);this.dom.$el.on("addItem.owl",this.e.addItem);this.dom.$el.on("removeItem.owl",this.e.removeItem);this.dom.$el.on("destroy.owl",this.e.destroy);this.dom.$el.on("refresh.owl",this.e.refresh);this.dom.$el.on("autoHeight.owl",this.e.autoHeight);this.dom.$el.on("play.owl",this.e.play);this.dom.$el.on("stop.owl",this.e.stop);this.dom.$el.on("stopVideo.owl",this.e.stop);this.dom.$el.on("insertContent.owl",this.e.insertContent)};d.prototype.on=function(e,t,n,r){if(e.addEventListener){e.addEventListener(t,n,r)}else if(e.attachEvent){e.attachEvent("on"+t,n)}};d.prototype.off=function(e,t,n,r){if(e.removeEventListener){e.removeEventListener(t,n,r)}else if(e.detachEvent){e.detachEvent("on"+t,n)}};d.prototype.fireCallback=function(e,t){if(!this.options.callbacks){return}if(typeof this.options[e]==="function"){this.options[e].apply(this,[this.dom.el,this.info,e])}if(this.dom.el.dispatchEvent){var r=n.createEvent("CustomEvent");r.initCustomEvent(e,true,true,t);return this.dom.el.dispatchEvent(r)}else if(!this.dom.el.dispatchEvent){return this.dom.$el.trigger(e)}};d.prototype.watchVisibility=function(){function e(e){return e.offsetWidth>0&&e.offsetHeight>0}function n(){if(e(this.dom.el)){this.dom.$el.removeClass("owl-hidden");this.refresh();t.clearInterval(this.e._checkVisibile)}}if(!e(this.dom.el)){this.dom.$el.addClass("owl-hidden");t.clearInterval(this.e._checkVisibile);this.e._checkVisibile=t.setInterval(n.bind(this),500)}};d.prototype.onChange=function(){if(!this.state.isTouch&&!this.state.bypass&&!this.state.responsive){if(this.options.nav||this.options.dots){this.updateControls()}this.autoHeight();this.fireCallback("onChangeState")}if(!this.state.isTouch&&!this.state.bypass){if(!this.state.lazyContent){this.updateActiveItems()}this.storeInfo();if(this.state.videoPlay){this.stopVideo()}}};d.prototype.storeInfo=function(){var e=this.state.lazyContent?this.pos.lcCurrentAbs||0:this.pos.current;var t=this.state.lazyContent?this.dom.$content.length-1:this.num.oItems;this.info={items:this.options.items,allItems:t,currentPosition:e,currentPage:this.pos.currentPage,allPages:this.num.allPages,autoplay:this.state.autoplay,windowWidth:this.width.window,elWidth:this.width.el,breakpoint:this.num.breakpoint};if(typeof this.options.info==="function"){this.options.info.apply(this,[this.info,this.dom.el])}};d.prototype.autoHeight=function(e){if(this.options.autoHeight!==true&&e!==true){return false}if(!this.dom.$oStage.hasClass(this.options.autoHeightClass)){this.dom.$oStage.addClass(this.options.autoHeightClass)}var n=this.dom.$items.eq(this.pos.currentAbs);var r=this.dom.$oStage;var i=0;var s=t.setInterval(function(){i+=1;if(n.data("owl-item").loaded){r.height(n.height()+"px");clearInterval(s)}else if(i===500){clearInterval(s)}},100)};d.prototype.preloadAutoWidthImages=function(t){var n=0;var r=this;t.each(function(i,s){var o=e(s);var u=new Image;u.onload=function(){n++;o.attr("src",u.src);o.css("opacity",1);if(n>=t.length){r.state.imagesLoaded=true;r.init()}};u.src=o.attr("src")||o.attr("data-src")||o.attr("data-src-retina");})};d.prototype.lazyLoad=function(){var e=E()?"data-src-retina":"data-src";var t,n,r;for(r=0;r<this.num.items;r++){var i=this.dom.$items.eq(r);if(i.data("owl-item").current===true&&i.data("owl-item").loaded===false){n=i.find(".owl-lazy");t=n.attr(e);t=t||n.attr("data-src");if(t){n.css("opacity","0");this.preload(n,i)}}}};d.prototype.preload=function(t,n){var r=this;t.each(function(t,i){var s=e(i);var o=new Image;var u=E()?s.attr("data-src-retina"):s.attr("data-src");var u=u||s.attr("data-src");o.onload=function(){n.data("owl-item").loaded=true;if(s.is("img")){s.attr("src",o.src)}else{s.css("background-image","url("+o.src+")")}s.css("opacity",1);r.fireCallback("onLazyLoaded")};o.src=u})};d.prototype.animate=function(){var t=this.dom.$items.eq(this.pos.prev),n=Math.abs(t.data("owl-item").width)*this.pos.prev,r=this.dom.$items.eq(this.pos.currentAbs),i=Math.abs(r.data("owl-item").width)*this.pos.currentAbs;if(this.pos.currentAbs===this.pos.prev){return false}var s=i-n;var o=this.options.animateIn;var u=this.options.animateOut;var a=this;removeStyles=function(){e(this).css({left:""}).removeClass("animated owl-animated-out owl-animated-in").removeClass(o).removeClass(u);a.transitionEnd()};if(u){t.css({left:s+"px"}).addClass("animated owl-animated-out "+u).one("webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend",removeStyles)}if(o){r.addClass("animated owl-animated-in "+o).one("webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend",removeStyles)}};d.prototype.destroy=function(){t.clearInterval(this.e._autoplay);if(this.dom.$el.hasClass(this.options.themeClass)){this.dom.$el.removeClass(this.options.themeClass)}if(this.options.responsive!==false){this.off(t,"resize",this.e._resizer)}if(this.transitionEndVendor){this.off(this.dom.stage,this.transitionEndVendor,this.e._transitionEnd)}if(this.options.mouseDrag||this.options.touchDrag){this.off(this.dom.stage,this.dragType[0],this.e._onDragStart);if(this.options.mouseDrag){this.off(n,this.dragType[3],this.e._onDragStart)}if(this.options.mouseDrag){this.dom.$stage.off("dragstart",function(){return false});this.dom.stage.onselectstart=function(){}}}if(this.options.URLhashListener){this.off(t,"hashchange",this.e._goToHash)}this.dom.$el.off("next.owl",this.e.next);this.dom.$el.off("prev.owl",this.e.prev);this.dom.$el.off("goTo.owl",this.e.goTo);this.dom.$el.off("jumpTo.owl",this.e.jumpTo);this.dom.$el.off("addItem.owl",this.e.addItem);this.dom.$el.off("removeItem.owl",this.e.removeItem);this.dom.$el.off("refresh.owl",this.e.refresh);this.dom.$el.off("autoHeight.owl",this.e.autoHeight);this.dom.$el.off("play.owl",this.e.play);this.dom.$el.off("stop.owl",this.e.stop);this.dom.$el.off("stopVideo.owl",this.e.stop);this.dom.$stage.off("click",this.e._playVideo);if(this.dom.$cc!==null){this.dom.$cc.remove()}if(this.dom.$cItems!==null){this.dom.$cItems.remove()}this.e=null;this.dom.$el.data("owlCarousel",null);delete this.dom.el.owlCarousel;this.dom.$stage.unwrap();this.dom.$items.unwrap();this.dom.$items.contents().unwrap();this.dom=null};d.prototype.op=function(e,t,n){var r=this.options.rtl;switch(t){case"<":return r?e>n:e<n;case">":return r?e<n:e>n;case">=":return r?e<=n:e>=n;case"<=":return r?e>=n:e<=n;default:break}};d.prototype.browserSupport=function(){this.support3d=y();if(this.support3d){this.transformVendor=g();var e=["transitionend","webkitTransitionEnd","transitionend","oTransitionEnd"];this.transitionEndVendor=e[m()];this.vendorName=this.transformVendor.replace(/Transform/i,"");this.vendorName=this.vendorName!==""?"-"+this.vendorName.toLowerCase()+"-":""}this.state.orientation=t.orientation};e.fn.owlCarousel=function(t){return this.each(function(){if(!e(this).data("owlCarousel")){e(this).data("owlCarousel",new d(this,t))}})}})(window.Zepto||window.jQuery,window,document);if(!Function.prototype.bind){Function.prototype.bind=function(e){if(typeof this!=="function"){throw new TypeError("Function.prototype.bind - what is trying to be bound is not callable")}var t=Array.prototype.slice.call(arguments,1),n=this,r=function(){},i=function(){return n.apply(this instanceof r&&e?this:e,t.concat(Array.prototype.slice.call(arguments)))};r.prototype=this.prototype;i.prototype=new r;return i}};

/* Chosen v1.1.0 | (c) 2011-2013 by Harvest | MIT License, https://github.com/harvesthq/chosen/blob/master/LICENSE.md */

!function(){var a,AbstractChosen,Chosen,SelectParser,b,c={}.hasOwnProperty,d=function(a,b){function d(){this.constructor=a}for(var e in b)c.call(b,e)&&(a[e]=b[e]);return d.prototype=b.prototype,a.prototype=new d,a.__super__=b.prototype,a};SelectParser=function(){function SelectParser(){this.options_index=0,this.parsed=[]}return SelectParser.prototype.add_node=function(a){return"OPTGROUP"===a.nodeName.toUpperCase()?this.add_group(a):this.add_option(a)},SelectParser.prototype.add_group=function(a){var b,c,d,e,f,g;for(b=this.parsed.length,this.parsed.push({array_index:b,group:!0,label:this.escapeExpression(a.label),children:0,disabled:a.disabled}),f=a.childNodes,g=[],d=0,e=f.length;e>d;d++)c=f[d],g.push(this.add_option(c,b,a.disabled));return g},SelectParser.prototype.add_option=function(a,b,c){return"OPTION"===a.nodeName.toUpperCase()?(""!==a.text?(null!=b&&(this.parsed[b].children+=1),this.parsed.push({array_index:this.parsed.length,options_index:this.options_index,value:a.value,text:a.text,html:a.innerHTML,selected:a.selected,disabled:c===!0?c:a.disabled,group_array_index:b,classes:a.className,style:a.style.cssText})):this.parsed.push({array_index:this.parsed.length,options_index:this.options_index,empty:!0}),this.options_index+=1):void 0},SelectParser.prototype.escapeExpression=function(a){var b,c;return null==a||a===!1?"":/[\&\<\>\"\'\`]/.test(a)?(b={"<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},c=/&(?!\w+;)|[\<\>\"\'\`]/g,a.replace(c,function(a){return b[a]||"&amp;"})):a},SelectParser}(),SelectParser.select_to_array=function(a){var b,c,d,e,f;for(c=new SelectParser,f=a.childNodes,d=0,e=f.length;e>d;d++)b=f[d],c.add_node(b);return c.parsed},AbstractChosen=function(){function AbstractChosen(a,b){this.form_field=a,this.options=null!=b?b:{},AbstractChosen.browser_is_supported()&&(this.is_multiple=this.form_field.multiple,this.set_default_text(),this.set_default_values(),this.setup(),this.set_up_html(),this.register_observers())}return AbstractChosen.prototype.set_default_values=function(){var a=this;return this.click_test_action=function(b){return a.test_active_click(b)},this.activate_action=function(b){return a.activate_field(b)},this.active_field=!1,this.mouse_on_container=!1,this.results_showing=!1,this.result_highlighted=null,this.allow_single_deselect=null!=this.options.allow_single_deselect&&null!=this.form_field.options[0]&&""===this.form_field.options[0].text?this.options.allow_single_deselect:!1,this.disable_search_threshold=this.options.disable_search_threshold||0,this.disable_search=this.options.disable_search||!1,this.enable_split_word_search=null!=this.options.enable_split_word_search?this.options.enable_split_word_search:!0,this.group_search=null!=this.options.group_search?this.options.group_search:!0,this.search_contains=this.options.search_contains||!1,this.single_backstroke_delete=null!=this.options.single_backstroke_delete?this.options.single_backstroke_delete:!0,this.max_selected_options=this.options.max_selected_options||1/0,this.inherit_select_classes=this.options.inherit_select_classes||!1,this.display_selected_options=null!=this.options.display_selected_options?this.options.display_selected_options:!0,this.display_disabled_options=null!=this.options.display_disabled_options?this.options.display_disabled_options:!0},AbstractChosen.prototype.set_default_text=function(){return this.default_text=this.form_field.getAttribute("data-placeholder")?this.form_field.getAttribute("data-placeholder"):this.is_multiple?this.options.placeholder_text_multiple||this.options.placeholder_text||AbstractChosen.default_multiple_text:this.options.placeholder_text_single||this.options.placeholder_text||AbstractChosen.default_single_text,this.results_none_found=this.form_field.getAttribute("data-no_results_text")||this.options.no_results_text||AbstractChosen.default_no_result_text},AbstractChosen.prototype.mouse_enter=function(){return this.mouse_on_container=!0},AbstractChosen.prototype.mouse_leave=function(){return this.mouse_on_container=!1},AbstractChosen.prototype.input_focus=function(){var a=this;if(this.is_multiple){if(!this.active_field)return setTimeout(function(){return a.container_mousedown()},50)}else if(!this.active_field)return this.activate_field()},AbstractChosen.prototype.input_blur=function(){var a=this;return this.mouse_on_container?void 0:(this.active_field=!1,setTimeout(function(){return a.blur_test()},100))},AbstractChosen.prototype.results_option_build=function(a){var b,c,d,e,f;for(b="",f=this.results_data,d=0,e=f.length;e>d;d++)c=f[d],b+=c.group?this.result_add_group(c):this.result_add_option(c),(null!=a?a.first:void 0)&&(c.selected&&this.is_multiple?this.choice_build(c):c.selected&&!this.is_multiple&&this.single_set_selected_text(c.text));return b},AbstractChosen.prototype.result_add_option=function(a){var b,c;return a.search_match?this.include_option_in_results(a)?(b=[],a.disabled||a.selected&&this.is_multiple||b.push("active-result"),!a.disabled||a.selected&&this.is_multiple||b.push("disabled-result"),a.selected&&b.push("result-selected"),null!=a.group_array_index&&b.push("group-option"),""!==a.classes&&b.push(a.classes),c=document.createElement("li"),c.className=b.join(" "),c.style.cssText=a.style,c.setAttribute("data-option-array-index",a.array_index),c.innerHTML=a.search_text,this.outerHTML(c)):"":""},AbstractChosen.prototype.result_add_group=function(a){var b;return a.search_match||a.group_match?a.active_options>0?(b=document.createElement("li"),b.className="group-result",b.innerHTML=a.search_text,this.outerHTML(b)):"":""},AbstractChosen.prototype.results_update_field=function(){return this.set_default_text(),this.is_multiple||this.results_reset_cleanup(),this.result_clear_highlight(),this.results_build(),this.results_showing?this.winnow_results():void 0},AbstractChosen.prototype.reset_single_select_options=function(){var a,b,c,d,e;for(d=this.results_data,e=[],b=0,c=d.length;c>b;b++)a=d[b],a.selected?e.push(a.selected=!1):e.push(void 0);return e},AbstractChosen.prototype.results_toggle=function(){return this.results_showing?this.results_hide():this.results_show()},AbstractChosen.prototype.results_search=function(){return this.results_showing?this.winnow_results():this.results_show()},AbstractChosen.prototype.winnow_results=function(){var a,b,c,d,e,f,g,h,i,j,k,l,m;for(this.no_results_clear(),e=0,g=this.get_search_text(),a=g.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&"),d=this.search_contains?"":"^",c=new RegExp(d+a,"i"),j=new RegExp(a,"i"),m=this.results_data,k=0,l=m.length;l>k;k++)b=m[k],b.search_match=!1,f=null,this.include_option_in_results(b)&&(b.group&&(b.group_match=!1,b.active_options=0),null!=b.group_array_index&&this.results_data[b.group_array_index]&&(f=this.results_data[b.group_array_index],0===f.active_options&&f.search_match&&(e+=1),f.active_options+=1),(!b.group||this.group_search)&&(b.search_text=b.group?b.label:b.html,b.search_match=this.search_string_match(b.search_text,c),b.search_match&&!b.group&&(e+=1),b.search_match?(g.length&&(h=b.search_text.search(j),i=b.search_text.substr(0,h+g.length)+"</em>"+b.search_text.substr(h+g.length),b.search_text=i.substr(0,h)+"<em>"+i.substr(h)),null!=f&&(f.group_match=!0)):null!=b.group_array_index&&this.results_data[b.group_array_index].search_match&&(b.search_match=!0)));return this.result_clear_highlight(),1>e&&g.length?(this.update_results_content(""),this.no_results(g)):(this.update_results_content(this.results_option_build()),this.winnow_results_set_highlight())},AbstractChosen.prototype.search_string_match=function(a,b){var c,d,e,f;if(b.test(a))return!0;if(this.enable_split_word_search&&(a.indexOf(" ")>=0||0===a.indexOf("["))&&(d=a.replace(/\[|\]/g,"").split(" "),d.length))for(e=0,f=d.length;f>e;e++)if(c=d[e],b.test(c))return!0},AbstractChosen.prototype.choices_count=function(){var a,b,c,d;if(null!=this.selected_option_count)return this.selected_option_count;for(this.selected_option_count=0,d=this.form_field.options,b=0,c=d.length;c>b;b++)a=d[b],a.selected&&(this.selected_option_count+=1);return this.selected_option_count},AbstractChosen.prototype.choices_click=function(a){return a.preventDefault(),this.results_showing||this.is_disabled?void 0:this.results_show()},AbstractChosen.prototype.keyup_checker=function(a){var b,c;switch(b=null!=(c=a.which)?c:a.keyCode,this.search_field_scale(),b){case 8:if(this.is_multiple&&this.backstroke_length<1&&this.choices_count()>0)return this.keydown_backstroke();if(!this.pending_backstroke)return this.result_clear_highlight(),this.results_search();break;case 13:if(a.preventDefault(),this.results_showing)return this.result_select(a);break;case 27:return this.results_showing&&this.results_hide(),!0;case 9:case 38:case 40:case 16:case 91:case 17:break;default:return this.results_search()}},AbstractChosen.prototype.clipboard_event_checker=function(){var a=this;return setTimeout(function(){return a.results_search()},50)},AbstractChosen.prototype.container_width=function(){return null!=this.options.width?this.options.width:""+this.form_field.offsetWidth+"px"},AbstractChosen.prototype.include_option_in_results=function(a){return this.is_multiple&&!this.display_selected_options&&a.selected?!1:!this.display_disabled_options&&a.disabled?!1:a.empty?!1:!0},AbstractChosen.prototype.search_results_touchstart=function(a){return this.touch_started=!0,this.search_results_mouseover(a)},AbstractChosen.prototype.search_results_touchmove=function(a){return this.touch_started=!1,this.search_results_mouseout(a)},AbstractChosen.prototype.search_results_touchend=function(a){return this.touch_started?this.search_results_mouseup(a):void 0},AbstractChosen.prototype.outerHTML=function(a){var b;return a.outerHTML?a.outerHTML:(b=document.createElement("div"),b.appendChild(a),b.innerHTML)},AbstractChosen.browser_is_supported=function(){return"Microsoft Internet Explorer"===window.navigator.appName?document.documentMode>=8:/iP(od|hone)/i.test(window.navigator.userAgent)?!1:/Android/i.test(window.navigator.userAgent)&&/Mobile/i.test(window.navigator.userAgent)?!1:!0},AbstractChosen.default_multiple_text="Select Some Options",AbstractChosen.default_single_text="Select an Option",AbstractChosen.default_no_result_text="No results match",AbstractChosen}(),a=jQuery,a.fn.extend({chosen:function(b){return AbstractChosen.browser_is_supported()?this.each(function(){var c,d;c=a(this),d=c.data("chosen"),"destroy"===b&&d?d.destroy():d||c.data("chosen",new Chosen(this,b))}):this}}),Chosen=function(c){function Chosen(){return b=Chosen.__super__.constructor.apply(this,arguments)}return d(Chosen,c),Chosen.prototype.setup=function(){return this.form_field_jq=a(this.form_field),this.current_selectedIndex=this.form_field.selectedIndex,this.is_rtl=this.form_field_jq.hasClass("chosen-rtl")},Chosen.prototype.set_up_html=function(){var b,c;return b=["chosen-container"],b.push("chosen-container-"+(this.is_multiple?"multi":"single")),this.inherit_select_classes&&this.form_field.className&&b.push(this.form_field.className),this.is_rtl&&b.push("chosen-rtl"),c={"class":b.join(" "),style:"width: "+this.container_width()+";",title:this.form_field.title},this.form_field.id.length&&(c.id=this.form_field.id.replace(/[^\w]/g,"_")+"_chosen"),this.container=a("<div />",c),this.is_multiple?this.container.html('<ul class="chosen-choices"><li class="search-field"><input type="text" value="'+this.default_text+'" class="default" autocomplete="off" style="width:25px;" /></li></ul><div class="chosen-drop"><ul class="chosen-results"></ul></div>'):this.container.html('<a class="chosen-single chosen-default" tabindex="-1"><span>'+this.default_text+'</span><div><b></b></div></a><div class="chosen-drop"><div class="chosen-search"><input type="text" autocomplete="off" /></div><ul class="chosen-results"></ul></div>'),this.form_field_jq.hide().after(this.container),this.dropdown=this.container.find("div.chosen-drop").first(),this.search_field=this.container.find("input").first(),this.search_results=this.container.find("ul.chosen-results").first(),this.search_field_scale(),this.search_no_results=this.container.find("li.no-results").first(),this.is_multiple?(this.search_choices=this.container.find("ul.chosen-choices").first(),this.search_container=this.container.find("li.search-field").first()):(this.search_container=this.container.find("div.chosen-search").first(),this.selected_item=this.container.find(".chosen-single").first()),this.results_build(),this.set_tab_index(),this.set_label_behavior(),this.form_field_jq.trigger("chosen:ready",{chosen:this})},Chosen.prototype.register_observers=function(){var a=this;return this.container.bind("mousedown.chosen",function(b){a.container_mousedown(b)}),this.container.bind("mouseup.chosen",function(b){a.container_mouseup(b)}),this.container.bind("mouseenter.chosen",function(b){a.mouse_enter(b)}),this.container.bind("mouseleave.chosen",function(b){a.mouse_leave(b)}),this.search_results.bind("mouseup.chosen",function(b){a.search_results_mouseup(b)}),this.search_results.bind("mouseover.chosen",function(b){a.search_results_mouseover(b)}),this.search_results.bind("mouseout.chosen",function(b){a.search_results_mouseout(b)}),this.search_results.bind("mousewheel.chosen DOMMouseScroll.chosen",function(b){a.search_results_mousewheel(b)}),this.search_results.bind("touchstart.chosen",function(b){a.search_results_touchstart(b)}),this.search_results.bind("touchmove.chosen",function(b){a.search_results_touchmove(b)}),this.search_results.bind("touchend.chosen",function(b){a.search_results_touchend(b)}),this.form_field_jq.bind("chosen:updated.chosen",function(b){a.results_update_field(b)}),this.form_field_jq.bind("chosen:activate.chosen",function(b){a.activate_field(b)}),this.form_field_jq.bind("chosen:open.chosen",function(b){a.container_mousedown(b)}),this.form_field_jq.bind("chosen:close.chosen",function(b){a.input_blur(b)}),this.search_field.bind("blur.chosen",function(b){a.input_blur(b)}),this.search_field.bind("keyup.chosen",function(b){a.keyup_checker(b)}),this.search_field.bind("keydown.chosen",function(b){a.keydown_checker(b)}),this.search_field.bind("focus.chosen",function(b){a.input_focus(b)}),this.search_field.bind("cut.chosen",function(b){a.clipboard_event_checker(b)}),this.search_field.bind("paste.chosen",function(b){a.clipboard_event_checker(b)}),this.is_multiple?this.search_choices.bind("click.chosen",function(b){a.choices_click(b)}):this.container.bind("click.chosen",function(a){a.preventDefault()})},Chosen.prototype.destroy=function(){return a(this.container[0].ownerDocument).unbind("click.chosen",this.click_test_action),this.search_field[0].tabIndex&&(this.form_field_jq[0].tabIndex=this.search_field[0].tabIndex),this.container.remove(),this.form_field_jq.removeData("chosen"),this.form_field_jq.show()},Chosen.prototype.search_field_disabled=function(){return this.is_disabled=this.form_field_jq[0].disabled,this.is_disabled?(this.container.addClass("chosen-disabled"),this.search_field[0].disabled=!0,this.is_multiple||this.selected_item.unbind("focus.chosen",this.activate_action),this.close_field()):(this.container.removeClass("chosen-disabled"),this.search_field[0].disabled=!1,this.is_multiple?void 0:this.selected_item.bind("focus.chosen",this.activate_action))},Chosen.prototype.container_mousedown=function(b){return this.is_disabled||(b&&"mousedown"===b.type&&!this.results_showing&&b.preventDefault(),null!=b&&a(b.target).hasClass("search-choice-close"))?void 0:(this.active_field?this.is_multiple||!b||a(b.target)[0]!==this.selected_item[0]&&!a(b.target).parents("a.chosen-single").length||(b.preventDefault(),this.results_toggle()):(this.is_multiple&&this.search_field.val(""),a(this.container[0].ownerDocument).bind("click.chosen",this.click_test_action),this.results_show()),this.activate_field())},Chosen.prototype.container_mouseup=function(a){return"ABBR"!==a.target.nodeName||this.is_disabled?void 0:this.results_reset(a)},Chosen.prototype.search_results_mousewheel=function(a){var b;return a.originalEvent&&(b=-a.originalEvent.wheelDelta||a.originalEvent.detail),null!=b?(a.preventDefault(),"DOMMouseScroll"===a.type&&(b=40*b),this.search_results.scrollTop(b+this.search_results.scrollTop())):void 0},Chosen.prototype.blur_test=function(){return!this.active_field&&this.container.hasClass("chosen-container-active")?this.close_field():void 0},Chosen.prototype.close_field=function(){return a(this.container[0].ownerDocument).unbind("click.chosen",this.click_test_action),this.active_field=!1,this.results_hide(),this.container.removeClass("chosen-container-active"),this.clear_backstroke(),this.show_search_field_default(),this.search_field_scale()},Chosen.prototype.activate_field=function(){return this.container.addClass("chosen-container-active"),this.active_field=!0,this.search_field.val(this.search_field.val()),this.search_field.focus()},Chosen.prototype.test_active_click=function(b){var c;return c=a(b.target).closest(".chosen-container"),c.length&&this.container[0]===c[0]?this.active_field=!0:this.close_field()},Chosen.prototype.results_build=function(){return this.parsing=!0,this.selected_option_count=null,this.results_data=SelectParser.select_to_array(this.form_field),this.is_multiple?this.search_choices.find("li.search-choice").remove():this.is_multiple||(this.single_set_selected_text(),this.disable_search||this.form_field.options.length<=this.disable_search_threshold?(this.search_field[0].readOnly=!0,this.container.addClass("chosen-container-single-nosearch")):(this.search_field[0].readOnly=!1,this.container.removeClass("chosen-container-single-nosearch"))),this.update_results_content(this.results_option_build({first:!0})),this.search_field_disabled(),this.show_search_field_default(),this.search_field_scale(),this.parsing=!1},Chosen.prototype.result_do_highlight=function(a){var b,c,d,e,f;if(a.length){if(this.result_clear_highlight(),this.result_highlight=a,this.result_highlight.addClass("highlighted"),d=parseInt(this.search_results.css("maxHeight"),10),f=this.search_results.scrollTop(),e=d+f,c=this.result_highlight.position().top+this.search_results.scrollTop(),b=c+this.result_highlight.outerHeight(),b>=e)return this.search_results.scrollTop(b-d>0?b-d:0);if(f>c)return this.search_results.scrollTop(c)}},Chosen.prototype.result_clear_highlight=function(){return this.result_highlight&&this.result_highlight.removeClass("highlighted"),this.result_highlight=null},Chosen.prototype.results_show=function(){return this.is_multiple&&this.max_selected_options<=this.choices_count()?(this.form_field_jq.trigger("chosen:maxselected",{chosen:this}),!1):(this.container.addClass("chosen-with-drop"),this.results_showing=!0,this.search_field.focus(),this.search_field.val(this.search_field.val()),this.winnow_results(),this.form_field_jq.trigger("chosen:showing_dropdown",{chosen:this}))},Chosen.prototype.update_results_content=function(a){return this.search_results.html(a)},Chosen.prototype.results_hide=function(){return this.results_showing&&(this.result_clear_highlight(),this.container.removeClass("chosen-with-drop"),this.form_field_jq.trigger("chosen:hiding_dropdown",{chosen:this})),this.results_showing=!1},Chosen.prototype.set_tab_index=function(){var a;return this.form_field.tabIndex?(a=this.form_field.tabIndex,this.form_field.tabIndex=-1,this.search_field[0].tabIndex=a):void 0},Chosen.prototype.set_label_behavior=function(){var b=this;return this.form_field_label=this.form_field_jq.parents("label"),!this.form_field_label.length&&this.form_field.id.length&&(this.form_field_label=a("label[for='"+this.form_field.id+"']")),this.form_field_label.length>0?this.form_field_label.bind("click.chosen",function(a){return b.is_multiple?b.container_mousedown(a):b.activate_field()}):void 0},Chosen.prototype.show_search_field_default=function(){return this.is_multiple&&this.choices_count()<1&&!this.active_field?(this.search_field.val(this.default_text),this.search_field.addClass("default")):(this.search_field.val(""),this.search_field.removeClass("default"))},Chosen.prototype.search_results_mouseup=function(b){var c;return c=a(b.target).hasClass("active-result")?a(b.target):a(b.target).parents(".active-result").first(),c.length?(this.result_highlight=c,this.result_select(b),this.search_field.focus()):void 0},Chosen.prototype.search_results_mouseover=function(b){var c;return c=a(b.target).hasClass("active-result")?a(b.target):a(b.target).parents(".active-result").first(),c?this.result_do_highlight(c):void 0},Chosen.prototype.search_results_mouseout=function(b){return a(b.target).hasClass("active-result")?this.result_clear_highlight():void 0},Chosen.prototype.choice_build=function(b){var c,d,e=this;return c=a("<li />",{"class":"search-choice"}).html("<span>"+b.html+"</span>"),b.disabled?c.addClass("search-choice-disabled"):(d=a("<a />",{"class":"search-choice-close","data-option-array-index":b.array_index}),d.bind("click.chosen",function(a){return e.choice_destroy_link_click(a)}),c.append(d)),this.search_container.before(c)},Chosen.prototype.choice_destroy_link_click=function(b){return b.preventDefault(),b.stopPropagation(),this.is_disabled?void 0:this.choice_destroy(a(b.target))},Chosen.prototype.choice_destroy=function(a){return this.result_deselect(a[0].getAttribute("data-option-array-index"))?(this.show_search_field_default(),this.is_multiple&&this.choices_count()>0&&this.search_field.val().length<1&&this.results_hide(),a.parents("li").first().remove(),this.search_field_scale()):void 0},Chosen.prototype.results_reset=function(){return this.reset_single_select_options(),this.form_field.options[0].selected=!0,this.single_set_selected_text(),this.show_search_field_default(),this.results_reset_cleanup(),this.form_field_jq.trigger("change"),this.active_field?this.results_hide():void 0},Chosen.prototype.results_reset_cleanup=function(){return this.current_selectedIndex=this.form_field.selectedIndex,this.selected_item.find("abbr").remove()},Chosen.prototype.result_select=function(a){var b,c;return this.result_highlight?(b=this.result_highlight,this.result_clear_highlight(),this.is_multiple&&this.max_selected_options<=this.choices_count()?(this.form_field_jq.trigger("chosen:maxselected",{chosen:this}),!1):(this.is_multiple?b.removeClass("active-result"):this.reset_single_select_options(),c=this.results_data[b[0].getAttribute("data-option-array-index")],c.selected=!0,this.form_field.options[c.options_index].selected=!0,this.selected_option_count=null,this.is_multiple?this.choice_build(c):this.single_set_selected_text(c.text),(a.metaKey||a.ctrlKey)&&this.is_multiple||this.results_hide(),this.search_field.val(""),(this.is_multiple||this.form_field.selectedIndex!==this.current_selectedIndex)&&this.form_field_jq.trigger("change",{selected:this.form_field.options[c.options_index].value}),this.current_selectedIndex=this.form_field.selectedIndex,this.search_field_scale())):void 0},Chosen.prototype.single_set_selected_text=function(a){return null==a&&(a=this.default_text),a===this.default_text?this.selected_item.addClass("chosen-default"):(this.single_deselect_control_build(),this.selected_item.removeClass("chosen-default")),this.selected_item.find("span").text(a)},Chosen.prototype.result_deselect=function(a){var b;return b=this.results_data[a],this.form_field.options[b.options_index].disabled?!1:(b.selected=!1,this.form_field.options[b.options_index].selected=!1,this.selected_option_count=null,this.result_clear_highlight(),this.results_showing&&this.winnow_results(),this.form_field_jq.trigger("change",{deselected:this.form_field.options[b.options_index].value}),this.search_field_scale(),!0)},Chosen.prototype.single_deselect_control_build=function(){return this.allow_single_deselect?(this.selected_item.find("abbr").length||this.selected_item.find("span").first().after('<abbr class="search-choice-close"></abbr>'),this.selected_item.addClass("chosen-single-with-deselect")):void 0},Chosen.prototype.get_search_text=function(){return this.search_field.val()===this.default_text?"":a("<div/>").text(a.trim(this.search_field.val())).html()},Chosen.prototype.winnow_results_set_highlight=function(){var a,b;return b=this.is_multiple?[]:this.search_results.find(".result-selected.active-result"),a=b.length?b.first():this.search_results.find(".active-result").first(),null!=a?this.result_do_highlight(a):void 0},Chosen.prototype.no_results=function(b){var c;return c=a('<li class="no-results">'+this.results_none_found+' "<span></span>"</li>'),c.find("span").first().html(b),this.search_results.append(c),this.form_field_jq.trigger("chosen:no_results",{chosen:this})},Chosen.prototype.no_results_clear=function(){return this.search_results.find(".no-results").remove()},Chosen.prototype.keydown_arrow=function(){var a;return this.results_showing&&this.result_highlight?(a=this.result_highlight.nextAll("li.active-result").first())?this.result_do_highlight(a):void 0:this.results_show()},Chosen.prototype.keyup_arrow=function(){var a;return this.results_showing||this.is_multiple?this.result_highlight?(a=this.result_highlight.prevAll("li.active-result"),a.length?this.result_do_highlight(a.first()):(this.choices_count()>0&&this.results_hide(),this.result_clear_highlight())):void 0:this.results_show()},Chosen.prototype.keydown_backstroke=function(){var a;return this.pending_backstroke?(this.choice_destroy(this.pending_backstroke.find("a").first()),this.clear_backstroke()):(a=this.search_container.siblings("li.search-choice").last(),a.length&&!a.hasClass("search-choice-disabled")?(this.pending_backstroke=a,this.single_backstroke_delete?this.keydown_backstroke():this.pending_backstroke.addClass("search-choice-focus")):void 0)},Chosen.prototype.clear_backstroke=function(){return this.pending_backstroke&&this.pending_backstroke.removeClass("search-choice-focus"),this.pending_backstroke=null},Chosen.prototype.keydown_checker=function(a){var b,c;switch(b=null!=(c=a.which)?c:a.keyCode,this.search_field_scale(),8!==b&&this.pending_backstroke&&this.clear_backstroke(),b){case 8:this.backstroke_length=this.search_field.val().length;break;case 9:this.results_showing&&!this.is_multiple&&this.result_select(a),this.mouse_on_container=!1;break;case 13:a.preventDefault();break;case 38:a.preventDefault(),this.keyup_arrow();break;case 40:a.preventDefault(),this.keydown_arrow()}},Chosen.prototype.search_field_scale=function(){var b,c,d,e,f,g,h,i,j;if(this.is_multiple){for(d=0,h=0,f="position:absolute; left: -1000px; top: -1000px; display:none;",g=["font-size","font-style","font-weight","font-family","line-height","text-transform","letter-spacing"],i=0,j=g.length;j>i;i++)e=g[i],f+=e+":"+this.search_field.css(e)+";";return b=a("<div />",{style:f}),b.text(this.search_field.val()),a("body").append(b),h=b.width()+25,b.remove(),c=this.container.outerWidth(),h>c-10&&(h=c-10),this.search_field.css({width:h+"px"})}},Chosen}(AbstractChosen)}.call(this);

/*!
 * Retina.js v1.1.0
 *
 * Copyright 2013 Imulus, LLC
 * Released under the MIT license
 *
 * Retina.js is an open source script that makes it easy to serve
 * high-resolution images to devices with retina displays.
 */

(function(){function n(){}function r(e,t){this.path=e;if(typeof t!=="undefined"&&t!==null){this.at_2x_path=t;this.perform_check=false}else{this.at_2x_path=e.replace(/\.\w+$/,function(e){return"@2x"+e});this.perform_check=true}}function i(e){this.el=e;this.path=new r(this.el.getAttribute("src"),this.el.getAttribute("data-at2x"));var t=this;this.path.check_2x_variant(function(e){if(e)t.swap()})}var e=typeof exports=="undefined"?window:exports;var t={check_mime_type:true};e.Retina=n;n.configure=function(e){if(e==null)e={};for(var n in e)t[n]=e[n]};n.init=function(t){if(t==null)t=e;var n=t.onload||new Function;t.onload=function(){var e=document.getElementsByTagName("img"),t=[],r,s;for(r=0;r<e.length;r++){s=e[r];t.push(new i(s))}n()}};n.isRetina=function(){var t="(-webkit-min-device-pixel-ratio: 1.5),                      (min--moz-device-pixel-ratio: 1.5),                      (-o-min-device-pixel-ratio: 3/2),                      (min-resolution: 1.5dppx)";if(e.devicePixelRatio>1)return true;if(e.matchMedia&&e.matchMedia(t).matches)return true;return false};e.RetinaImagePath=r;r.confirmed_paths=[];r.prototype.is_external=function(){return!!(this.path.match(/^https?\:/i)&&!this.path.match("//"+document.domain))};r.prototype.check_2x_variant=function(e){var n,i=this;if(this.is_external()){return e(false)}else if(!this.perform_check&&typeof this.at_2x_path!=="undefined"&&this.at_2x_path!==null){return e(true)}else if(this.at_2x_path in r.confirmed_paths){return e(true)}else{n=new XMLHttpRequest;n.open("HEAD",this.at_2x_path);n.onreadystatechange=function(){if(n.readyState!=4){return e(false)}if(n.status>=200&&n.status<=399){if(t.check_mime_type){var s=n.getResponseHeader("Content-Type");if(s==null||!s.match(/^image/i)){return e(false)}}r.confirmed_paths.push(i.at_2x_path);return e(true)}else{return e(false)}};n.send()}};e.RetinaImage=i;i.prototype.swap=function(e){function n(){if(!t.el.complete){setTimeout(n,5)}else{t.el.setAttribute("width",t.el.offsetWidth);t.el.setAttribute("height",t.el.offsetHeight);t.el.setAttribute("src",e)}}if(typeof e=="undefined")e=this.path.at_2x_path;var t=this;n()};if(n.isRetina()){n.init(e)}})();

/* jquery.nicescroll
-- version 3.5.4
-- copyright 2013-11-13 InuYaksa*2013
-- licensed under the MIT
--
-- http://areaaperta.com/nicescroll
-- https://github.com/inuyaksa/jquery.nicescroll
--
*/

(function(e){"function"===typeof define&&define.amd?define(["jquery"],e):e(jQuery)})(function(e){var t=!1,n=!1,r=5e3,i=2e3,s=0,o=["ms","moz","webkit","o"],u=window.requestAnimationFrame||!1,a=window.cancelAnimationFrame||!1;if(!u)for(var f in o){var l=o[f];u||(u=window[l+"RequestAnimationFrame"]);a||(a=window[l+"CancelAnimationFrame"]||window[l+"CancelRequestAnimationFrame"])}var c=window.MutationObserver||window.WebKitMutationObserver||!1,h={zindex:"auto",cursoropacitymin:0,cursoropacitymax:1,cursorcolor:"#424242",cursorwidth:"5px",cursorborder:"1px solid #fff",cursorborderradius:"5px",scrollspeed:60,mousescrollstep:24,touchbehavior:!1,hwacceleration:!0,usetransition:!0,boxzoom:!1,dblclickzoom:!0,gesturezoom:!0,grabcursorenabled:!0,autohidemode:!0,background:"",iframeautoresize:!0,cursorminheight:32,preservenativescrolling:!0,railoffset:!1,bouncescroll:!0,spacebarenabled:!0,railpadding:{top:0,right:0,left:0,bottom:0},disableoutline:!0,horizrailenabled:!0,railalign:"right",railvalign:"bottom",enabletranslate3d:!0,enablemousewheel:!0,enablekeyboard:!0,smoothscroll:!0,sensitiverail:!0,enablemouselockapi:!0,cursorfixedheight:!1,directionlockdeadzone:6,hidecursordelay:400,nativeparentscrolling:!0,enablescrollonselection:!0,overflowx:!0,overflowy:!0,cursordragspeed:.3,rtlmode:"auto",cursordragontouch:!1,oneaxismousemode:"auto",scriptpath:function(){var e=document.getElementsByTagName("script"),e=e[e.length-1].src.split("?")[0];return 0<e.split("/").length?e.split("/").slice(0,-1).join("/")+"/":""}()},p=!1,d=function(){if(p)return p;var e=document.createElement("DIV"),t={haspointerlock:"pointerLockElement"in document||"mozPointerLockElement"in document||"webkitPointerLockElement"in document};t.isopera="opera"in window;t.isopera12=t.isopera&&"getUserMedia"in navigator;t.isoperamini="[object OperaMini]"===Object.prototype.toString.call(window.operamini);t.isie="all"in document&&"attachEvent"in e&&!t.isopera;t.isieold=t.isie&&!("msInterpolationMode"in e.style);t.isie7=t.isie&&!t.isieold&&(!("documentMode"in document)||7==document.documentMode);t.isie8=t.isie&&"documentMode"in document&&8==document.documentMode;t.isie9=t.isie&&"performance"in window&&9<=document.documentMode;t.isie10=t.isie&&"performance"in window&&10<=document.documentMode;t.isie9mobile=/iemobile.9/i.test(navigator.userAgent);t.isie9mobile&&(t.isie9=!1);t.isie7mobile=!t.isie9mobile&&t.isie7&&/iemobile/i.test(navigator.userAgent);t.ismozilla="MozAppearance"in e.style;t.iswebkit="WebkitAppearance"in e.style;t.ischrome="chrome"in window;t.ischrome22=t.ischrome&&t.haspointerlock;t.ischrome26=t.ischrome&&"transition"in e.style;t.cantouch="ontouchstart"in document.documentElement||"ontouchstart"in window;t.hasmstouch=window.navigator.msPointerEnabled||!1;t.ismac=/^mac$/i.test(navigator.platform);t.isios=t.cantouch&&/iphone|ipad|ipod/i.test(navigator.platform);t.isios4=t.isios&&!("seal"in Object);t.isandroid=/android/i.test(navigator.userAgent);t.trstyle=!1;t.hastransform=!1;t.hastranslate3d=!1;t.transitionstyle=!1;t.hastransition=!1;t.transitionend=!1;for(var n=["transform","msTransform","webkitTransform","MozTransform","OTransform"],r=0;r<n.length;r++)if("undefined"!=typeof e.style[n[r]]){t.trstyle=n[r];break}t.hastransform=!1!=t.trstyle;t.hastransform&&(e.style[t.trstyle]="translate3d(1px,2px,3px)",t.hastranslate3d=/translate3d/.test(e.style[t.trstyle]));t.transitionstyle=!1;t.prefixstyle="";t.transitionend=!1;for(var n="transition webkitTransition MozTransition OTransition OTransition msTransition KhtmlTransition".split(" "),i=" -webkit- -moz- -o- -o -ms- -khtml-".split(" "),s="transitionend webkitTransitionEnd transitionend otransitionend oTransitionEnd msTransitionEnd KhtmlTransitionEnd".split(" "),r=0;r<n.length;r++)if(n[r]in e.style){t.transitionstyle=n[r];t.prefixstyle=i[r];t.transitionend=s[r];break}t.ischrome26&&(t.prefixstyle=i[1]);t.hastransition=t.transitionstyle;e:{n=["-moz-grab","-webkit-grab","grab"];if(t.ischrome&&!t.ischrome22||t.isie)n=[];for(r=0;r<n.length;r++)if(i=n[r],e.style.cursor=i,e.style.cursor==i){n=i;break e}n="url(http://www.google.com/intl/en_ALL/mapfiles/openhand.cur),n-resize"}t.cursorgrabvalue=n;t.hasmousecapture="setCapture"in e;t.hasMutationObserver=!1!==c;return p=t},v=function(o,f){function l(){var e=y.win;if("zIndex"in e)return e.zIndex();for(;0<e.length&&9!=e[0].nodeType;){var t=e.css("zIndex");if(!isNaN(t)&&0!=t)return parseInt(t);e=e.parent()}return!1}function p(e,t,n){t=e.css(t);e=parseFloat(t);return isNaN(e)?(e=T[t]||0,n=3==e?n?y.win.outerHeight()-y.win.innerHeight():y.win.outerWidth()-y.win.innerWidth():1,y.isie8&&e&&(e+=1),n?e:0):e}function v(e,t,n,r){y._bind(e,t,function(r){r=r?r:window.event;var i={original:r,target:r.target||r.srcElement,type:"wheel",deltaMode:"MozMousePixelScroll"==r.type?0:1,deltaX:0,deltaZ:0,preventDefault:function(){r.preventDefault?r.preventDefault():r.returnValue=!1;return!1},stopImmediatePropagation:function(){r.stopImmediatePropagation?r.stopImmediatePropagation():r.cancelBubble=!0}};"mousewheel"==t?(i.deltaY=-.025*r.wheelDelta,r.wheelDeltaX&&(i.deltaX=-.025*r.wheelDeltaX)):i.deltaY=r.detail;return n.call(e,i)},r)}function g(e,t,n){var r,i;0==e.deltaMode?(r=-Math.floor(e.deltaX*(y.opt.mousescrollstep/54)),i=-Math.floor(e.deltaY*(y.opt.mousescrollstep/54))):1==e.deltaMode&&(r=-Math.floor(e.deltaX*y.opt.mousescrollstep),i=-Math.floor(e.deltaY*y.opt.mousescrollstep));t&&y.opt.oneaxismousemode&&0==r&&i&&(r=i,i=0);r&&(y.scrollmom&&y.scrollmom.stop(),y.lastdeltax+=r,y.debounced("mousewheelx",function(){var e=y.lastdeltax;y.lastdeltax=0;y.rail.drag||y.doScrollLeftBy(e)},15));if(i){if(y.opt.nativeparentscrolling&&n&&!y.ispage&&!y.zoomactive)if(0>i){if(y.getScrollTop()>=y.page.maxh)return!0}else if(0>=y.getScrollTop())return!0;y.scrollmom&&y.scrollmom.stop();y.lastdeltay+=i;y.debounced("mousewheely",function(){var e=y.lastdeltay;y.lastdeltay=0;y.rail.drag||y.doScrollBy(e)},15)}e.stopImmediatePropagation();return e.preventDefault()}var y=this;this.version="3.5.4";this.name="nicescroll";this.me=f;this.opt={doc:e("body"),win:!1};e.extend(this.opt,h);this.opt.snapbackspeed=80;if(o)for(var b in y.opt)"undefined"!=typeof o[b]&&(y.opt[b]=o[b]);this.iddoc=(this.doc=y.opt.doc)&&this.doc[0]?this.doc[0].id||"":"";this.ispage=/^BODY|HTML/.test(y.opt.win?y.opt.win[0].nodeName:this.doc[0].nodeName);this.haswrapper=!1!==y.opt.win;this.win=y.opt.win||(this.ispage?e(window):this.doc);this.docscroll=this.ispage&&!this.haswrapper?e(window):this.win;this.body=e("body");this.iframe=this.isfixed=this.viewport=!1;this.isiframe="IFRAME"==this.doc[0].nodeName&&"IFRAME"==this.win[0].nodeName;this.istextarea="TEXTAREA"==this.win[0].nodeName;this.forcescreen=!1;this.canshowonmouseevent="scroll"!=y.opt.autohidemode;this.page=this.view=this.onzoomout=this.onzoomin=this.onscrollcancel=this.onscrollend=this.onscrollstart=this.onclick=this.ongesturezoom=this.onkeypress=this.onmousewheel=this.onmousemove=this.onmouseup=this.onmousedown=!1;this.scroll={x:0,y:0};this.scrollratio={x:0,y:0};this.cursorheight=20;this.scrollvaluemax=0;this.observerremover=this.observer=this.scrollmom=this.scrollrunning=this.isrtlmode=!1;do this.id="ascrail"+i++;while(document.getElementById(this.id));this.hasmousefocus=this.hasfocus=this.zoomactive=this.zoom=this.selectiondrag=this.cursorfreezed=this.cursor=this.rail=!1;this.visibility=!0;this.hidden=this.locked=!1;this.cursoractive=!0;this.wheelprevented=!1;this.overflowx=y.opt.overflowx;this.overflowy=y.opt.overflowy;this.nativescrollingarea=!1;this.checkarea=0;this.events=[];this.saved={};this.delaylist={};this.synclist={};this.lastdeltay=this.lastdeltax=0;this.detected=d();var w=e.extend({},this.detected);this.ishwscroll=(this.canhwscroll=w.hastransform&&y.opt.hwacceleration)&&y.haswrapper;this.istouchcapable=!1;w.cantouch&&w.ischrome&&!w.isios&&!w.isandroid&&(this.istouchcapable=!0,w.cantouch=!1);w.cantouch&&w.ismozilla&&!w.isios&&!w.isandroid&&(this.istouchcapable=!0,w.cantouch=!1);y.opt.enablemouselockapi||(w.hasmousecapture=!1,w.haspointerlock=!1);this.delayed=function(e,t,n,r){var i=y.delaylist[e],s=(new Date).getTime();if(!r&&i&&i.tt)return!1;i&&i.tt&&clearTimeout(i.tt);if(i&&i.last+n>s&&!i.tt)y.delaylist[e]={last:s+n,tt:setTimeout(function(){y&&(y.delaylist[e].tt=0,t.call())},n)};else if(!i||!i.tt)y.delaylist[e]={last:s,tt:0},setTimeout(function(){t.call()},0)};this.debounced=function(e,t,n){var r=y.delaylist[e];(new Date).getTime();y.delaylist[e]=t;r||setTimeout(function(){var t=y.delaylist[e];y.delaylist[e]=!1;t.call()},n)};var E=!1;this.synched=function(e,t){y.synclist[e]=t;(function(){E||(u(function(){E=!1;for(e in y.synclist){var t=y.synclist[e];t&&t.call(y);y.synclist[e]=!1}}),E=!0)})();return e};this.unsynched=function(e){y.synclist[e]&&(y.synclist[e]=!1)};this.css=function(e,t){for(var n in t)y.saved.css.push([e,n,e.css(n)]),e.css(n,t[n])};this.scrollTop=function(e){return"undefined"==typeof e?y.getScrollTop():y.setScrollTop(e)};this.scrollLeft=function(e){return"undefined"==typeof e?y.getScrollLeft():y.setScrollLeft(e)};BezierClass=function(e,t,n,r,i,s,o){this.st=e;this.ed=t;this.spd=n;this.p1=r||0;this.p2=i||1;this.p3=s||0;this.p4=o||1;this.ts=(new Date).getTime();this.df=this.ed-this.st};BezierClass.prototype={B2:function(e){return 3*e*e*(1-e)},B3:function(e){return 3*e*(1-e)*(1-e)},B4:function(e){return(1-e)*(1-e)*(1-e)},getNow:function(){var e=1-((new Date).getTime()-this.ts)/this.spd,t=this.B2(e)+this.B3(e)+this.B4(e);return 0>e?this.ed:this.st+Math.round(this.df*t)},update:function(e,t){this.st=this.getNow();this.ed=e;this.spd=t;this.ts=(new Date).getTime();this.df=this.ed-this.st;return this}};if(this.ishwscroll){this.doc.translate={x:0,y:0,tx:"0px",ty:"0px"};w.hastranslate3d&&w.isios&&this.doc.css("-webkit-backface-visibility","hidden");var S=function(){var e=y.doc.css(w.trstyle);return e&&"matrix"==e.substr(0,6)?e.replace(/^.*\((.*)\)$/g,"$1").replace(/px/g,"").split(/, +/):!1};this.getScrollTop=function(e){if(!e){if(e=S())return 16==e.length?-e[13]:-e[5];if(y.timerscroll&&y.timerscroll.bz)return y.timerscroll.bz.getNow()}return y.doc.translate.y};this.getScrollLeft=function(e){if(!e){if(e=S())return 16==e.length?-e[12]:-e[4];if(y.timerscroll&&y.timerscroll.bh)return y.timerscroll.bh.getNow()}return y.doc.translate.x};this.notifyScrollEvent=document.createEvent?function(e){var t=document.createEvent("UIEvents");t.initUIEvent("scroll",!1,!0,window,1);e.dispatchEvent(t)}:document.fireEvent?function(e){var t=document.createEventObject();e.fireEvent("onscroll");t.cancelBubble=!0}:function(e,t){};w.hastranslate3d&&y.opt.enabletranslate3d?(this.setScrollTop=function(e,t){y.doc.translate.y=e;y.doc.translate.ty=-1*e+"px";y.doc.css(w.trstyle,"translate3d("+y.doc.translate.tx+","+y.doc.translate.ty+",0px)");t||y.notifyScrollEvent(y.win[0])},this.setScrollLeft=function(e,t){y.doc.translate.x=e;y.doc.translate.tx=-1*e+"px";y.doc.css(w.trstyle,"translate3d("+y.doc.translate.tx+","+y.doc.translate.ty+",0px)");t||y.notifyScrollEvent(y.win[0])}):(this.setScrollTop=function(e,t){y.doc.translate.y=e;y.doc.translate.ty=-1*e+"px";y.doc.css(w.trstyle,"translate("+y.doc.translate.tx+","+y.doc.translate.ty+")");t||y.notifyScrollEvent(y.win[0])},this.setScrollLeft=function(e,t){y.doc.translate.x=e;y.doc.translate.tx=-1*e+"px";y.doc.css(w.trstyle,"translate("+y.doc.translate.tx+","+y.doc.translate.ty+")");t||y.notifyScrollEvent(y.win[0])})}else this.getScrollTop=function(){return y.docscroll.scrollTop()},this.setScrollTop=function(e){return y.docscroll.scrollTop(e)},this.getScrollLeft=function(){return y.docscroll.scrollLeft()},this.setScrollLeft=function(e){return y.docscroll.scrollLeft(e)};this.getTarget=function(e){return!e?!1:e.target?e.target:e.srcElement?e.srcElement:!1};this.hasParent=function(e,t){if(!e)return!1;for(var n=e.target||e.srcElement||e||!1;n&&n.id!=t;)n=n.parentNode||!1;return!1!==n};var T={thin:1,medium:3,thick:5};this.getOffset=function(){if(y.isfixed)return{top:parseFloat(y.win.css("top")),left:parseFloat(y.win.css("left"))};if(!y.viewport)return y.win.offset();var e=y.win.offset(),t=y.viewport.offset();return{top:e.top-t.top+y.viewport.scrollTop(),left:e.left-t.left+y.viewport.scrollLeft()}};this.updateScrollBar=function(e){if(y.ishwscroll)y.rail.css({height:y.win.innerHeight()}),y.railh&&y.railh.css({width:y.win.innerWidth()});else{var t=y.getOffset(),n=t.top,r=t.left,n=n+p(y.win,"border-top-width",!0);y.win.outerWidth();y.win.innerWidth();var r=r+(y.rail.align?y.win.outerWidth()-p(y.win,"border-right-width")-y.rail.width:p(y.win,"border-left-width")),i=y.opt.railoffset;i&&(i.top&&(n+=i.top),y.rail.align&&i.left&&(r+=i.left));y.locked||y.rail.css({top:n,left:r,height:e?e.h:y.win.innerHeight()});y.zoom&&y.zoom.css({top:n+1,left:1==y.rail.align?r-20:r+y.rail.width+4});y.railh&&!y.locked&&(n=t.top,r=t.left,e=y.railh.align?n+p(y.win,"border-top-width",!0)+y.win.innerHeight()-y.railh.height:n+p(y.win,"border-top-width",!0),r+=p(y.win,"border-left-width"),y.railh.css({top:e,left:r,width:y.railh.width}))}};this.doRailClick=function(e,t,n){var r;y.locked||(y.cancelEvent(e),t?(t=n?y.doScrollLeft:y.doScrollTop,r=n?(e.pageX-y.railh.offset().left-y.cursorwidth/2)*y.scrollratio.x:(e.pageY-y.rail.offset().top-y.cursorheight/2)*y.scrollratio.y,t(r)):(t=n?y.doScrollLeftBy:y.doScrollBy,r=n?y.scroll.x:y.scroll.y,e=n?e.pageX-y.railh.offset().left:e.pageY-y.rail.offset().top,n=n?y.view.w:y.view.h,r>=e?t(n):t(-n)))};y.hasanimationframe=u;y.hascancelanimationframe=a;y.hasanimationframe?y.hascancelanimationframe||(a=function(){y.cancelAnimationFrame=!0}):(u=function(e){return setTimeout(e,15-Math.floor(+(new Date)/1e3)%16)},a=clearInterval);this.init=function(){y.saved.css=[];if(w.isie7mobile||w.isoperamini)return!0;w.hasmstouch&&y.css(y.ispage?e("html"):y.win,{"-ms-touch-action":"none"});y.zindex="auto";y.zindex=!y.ispage&&"auto"==y.opt.zindex?l()||"auto":y.opt.zindex;!y.ispage&&"auto"!=y.zindex&&y.zindex>s&&(s=y.zindex);y.isie&&0==y.zindex&&"auto"==y.opt.zindex&&(y.zindex="auto");if(!y.ispage||!w.cantouch&&!w.isieold&&!w.isie9mobile){var i=y.docscroll;y.ispage&&(i=y.haswrapper?y.win:y.doc);w.isie9mobile||y.css(i,{"overflow-y":"hidden"});y.ispage&&w.isie7&&("BODY"==y.doc[0].nodeName?y.css(e("html"),{"overflow-y":"hidden"}):"HTML"==y.doc[0].nodeName&&y.css(e("body"),{"overflow-y":"hidden"}));w.isios&&!y.ispage&&!y.haswrapper&&y.css(e("body"),{"-webkit-overflow-scrolling":"touch"});var o=e(document.createElement("div"));o.css({position:"relative",top:0,"float":"right",width:y.opt.cursorwidth,height:"0px","background-color":y.opt.cursorcolor,border:y.opt.cursorborder,"background-clip":"padding-box","-webkit-border-radius":y.opt.cursorborderradius,"-moz-border-radius":y.opt.cursorborderradius,"border-radius":y.opt.cursorborderradius});o.hborder=parseFloat(o.outerHeight()-o.innerHeight());y.cursor=o;var u=e(document.createElement("div"));u.attr("id",y.id);u.addClass("nicescroll-rails");var a,f,h=["left","right"],p;for(p in h)f=h[p],(a=y.opt.railpadding[f])?u.css("padding-"+f,a+"px"):y.opt.railpadding[f]=0;u.append(o);u.width=Math.max(parseFloat(y.opt.cursorwidth),o.outerWidth())+y.opt.railpadding.left+y.opt.railpadding.right;u.css({width:u.width+"px",zIndex:y.zindex,background:y.opt.background,cursor:"default"});u.visibility=!0;u.scrollable=!0;u.align="left"==y.opt.railalign?0:1;y.rail=u;o=y.rail.drag=!1;y.opt.boxzoom&&!y.ispage&&!w.isieold&&(o=document.createElement("div"),y.bind(o,"click",y.doZoom),y.zoom=e(o),y.zoom.css({cursor:"pointer","z-index":y.zindex,backgroundImage:"url("+y.opt.scriptpath+"zoomico.png)",height:18,width:18,backgroundPosition:"0px 0px"}),y.opt.dblclickzoom&&y.bind(y.win,"dblclick",y.doZoom),w.cantouch&&y.opt.gesturezoom&&(y.ongesturezoom=function(e){1.5<e.scale&&y.doZoomIn(e);.8>e.scale&&y.doZoomOut(e);return y.cancelEvent(e)},y.bind(y.win,"gestureend",y.ongesturezoom)));y.railh=!1;if(y.opt.horizrailenabled){y.css(i,{"overflow-x":"hidden"});o=e(document.createElement("div"));o.css({position:"relative",top:0,height:y.opt.cursorwidth,width:"0px","background-color":y.opt.cursorcolor,border:y.opt.cursorborder,"background-clip":"padding-box","-webkit-border-radius":y.opt.cursorborderradius,"-moz-border-radius":y.opt.cursorborderradius,"border-radius":y.opt.cursorborderradius});o.wborder=parseFloat(o.outerWidth()-o.innerWidth());y.cursorh=o;var d=e(document.createElement("div"));d.attr("id",y.id+"-hr");d.addClass("nicescroll-rails");d.height=Math.max(parseFloat(y.opt.cursorwidth),o.outerHeight());d.css({height:d.height+"px",zIndex:y.zindex,background:y.opt.background});d.append(o);d.visibility=!0;d.scrollable=!0;d.align="top"==y.opt.railvalign?0:1;y.railh=d;y.railh.drag=!1}y.ispage?(u.css({position:"fixed",top:"0px",height:"100%"}),u.align?u.css({right:"0px"}):u.css({left:"0px"}),y.body.append(u),y.railh&&(d.css({position:"fixed",left:"0px",width:"100%"}),d.align?d.css({bottom:"0px"}):d.css({top:"0px"}),y.body.append(d))):(y.ishwscroll?("static"==y.win.css("position")&&y.css(y.win,{position:"relative"}),i="HTML"==y.win[0].nodeName?y.body:y.win,y.zoom&&(y.zoom.css({position:"absolute",top:1,right:0,"margin-right":u.width+4}),i.append(y.zoom)),u.css({position:"absolute",top:0}),u.align?u.css({right:0}):u.css({left:0}),i.append(u),d&&(d.css({position:"absolute",left:0,bottom:0}),d.align?d.css({bottom:0}):d.css({top:0}),i.append(d))):(y.isfixed="fixed"==y.win.css("position"),i=y.isfixed?"fixed":"absolute",y.isfixed||(y.viewport=y.getViewport(y.win[0])),y.viewport&&(y.body=y.viewport,!1==/fixed|relative|absolute/.test(y.viewport.css("position"))&&y.css(y.viewport,{position:"relative"})),u.css({position:i}),y.zoom&&y.zoom.css({position:i}),y.updateScrollBar(),y.body.append(u),y.zoom&&y.body.append(y.zoom),y.railh&&(d.css({position:i}),y.body.append(d))),w.isios&&y.css(y.win,{"-webkit-tap-highlight-color":"rgba(0,0,0,0)","-webkit-touch-callout":"none"}),w.isie&&y.opt.disableoutline&&y.win.attr("hideFocus","true"),w.iswebkit&&y.opt.disableoutline&&y.win.css({outline:"none"}));!1===y.opt.autohidemode?(y.autohidedom=!1,y.rail.css({opacity:y.opt.cursoropacitymax}),y.railh&&y.railh.css({opacity:y.opt.cursoropacitymax})):!0===y.opt.autohidemode||"leave"===y.opt.autohidemode?(y.autohidedom=e().add(y.rail),w.isie8&&(y.autohidedom=y.autohidedom.add(y.cursor)),y.railh&&(y.autohidedom=y.autohidedom.add(y.railh)),y.railh&&w.isie8&&(y.autohidedom=y.autohidedom.add(y.cursorh))):"scroll"==y.opt.autohidemode?(y.autohidedom=e().add(y.rail),y.railh&&(y.autohidedom=y.autohidedom.add(y.railh))):"cursor"==y.opt.autohidemode?(y.autohidedom=e().add(y.cursor),y.railh&&(y.autohidedom=y.autohidedom.add(y.cursorh))):"hidden"==y.opt.autohidemode&&(y.autohidedom=!1,y.hide(),y.locked=!1);if(w.isie9mobile)y.scrollmom=new m(y),y.onmangotouch=function(e){e=y.getScrollTop();var t=y.getScrollLeft();if(e==y.scrollmom.lastscrolly&&t==y.scrollmom.lastscrollx)return!0;var n=e-y.mangotouch.sy,r=t-y.mangotouch.sx;if(0!=Math.round(Math.sqrt(Math.pow(r,2)+Math.pow(n,2)))){var i=0>n?-1:1,s=0>r?-1:1,o=+(new Date);y.mangotouch.lazy&&clearTimeout(y.mangotouch.lazy);80<o-y.mangotouch.tm||y.mangotouch.dry!=i||y.mangotouch.drx!=s?(y.scrollmom.stop(),y.scrollmom.reset(t,e),y.mangotouch.sy=e,y.mangotouch.ly=e,y.mangotouch.sx=t,y.mangotouch.lx=t,y.mangotouch.dry=i,y.mangotouch.drx=s,y.mangotouch.tm=o):(y.scrollmom.stop(),y.scrollmom.update(y.mangotouch.sx-r,y.mangotouch.sy-n),y.mangotouch.tm=o,n=Math.max(Math.abs(y.mangotouch.ly-e),Math.abs(y.mangotouch.lx-t)),y.mangotouch.ly=e,y.mangotouch.lx=t,2<n&&(y.mangotouch.lazy=setTimeout(function(){y.mangotouch.lazy=!1;y.mangotouch.dry=0;y.mangotouch.drx=0;y.mangotouch.tm=0;y.scrollmom.doMomentum(30)},100)))}},u=y.getScrollTop(),d=y.getScrollLeft(),y.mangotouch={sy:u,ly:u,dry:0,sx:d,lx:d,drx:0,lazy:!1,tm:0},y.bind(y.docscroll,"scroll",y.onmangotouch);else{if(w.cantouch||y.istouchcapable||y.opt.touchbehavior||w.hasmstouch){y.scrollmom=new m(y);y.ontouchstart=function(t){if(t.pointerType&&2!=t.pointerType)return!1;y.hasmoving=!1;if(!y.locked){if(w.hasmstouch)for(var n=t.target?t.target:!1;n;){var r=e(n).getNiceScroll();if(0<r.length&&r[0].me==y.me)break;if(0<r.length)return!1;if("DIV"==n.nodeName&&n.id==y.id)break;n=n.parentNode?n.parentNode:!1}y.cancelScroll();if((n=y.getTarget(t))&&/INPUT/i.test(n.nodeName)&&/range/i.test(n.type))return y.stopPropagation(t);!("clientX"in t)&&"changedTouches"in t&&(t.clientX=t.changedTouches[0].clientX,t.clientY=t.changedTouches[0].clientY);y.forcescreen&&(r=t,t={original:t.original?t.original:t},t.clientX=r.screenX,t.clientY=r.screenY);y.rail.drag={x:t.clientX,y:t.clientY,sx:y.scroll.x,sy:y.scroll.y,st:y.getScrollTop(),sl:y.getScrollLeft(),pt:2,dl:!1};if(y.ispage||!y.opt.directionlockdeadzone)y.rail.drag.dl="f";else{var r=e(window).width(),i=e(window).height(),s=Math.max(document.body.scrollWidth,document.documentElement.scrollWidth),o=Math.max(document.body.scrollHeight,document.documentElement.scrollHeight),i=Math.max(0,o-i),r=Math.max(0,s-r);y.rail.drag.ck=!y.rail.scrollable&&y.railh.scrollable?0<i?"v":!1:y.rail.scrollable&&!y.railh.scrollable?0<r?"h":!1:!1;y.rail.drag.ck||(y.rail.drag.dl="f")}y.opt.touchbehavior&&y.isiframe&&w.isie&&(r=y.win.position(),y.rail.drag.x+=r.left,y.rail.drag.y+=r.top);y.hasmoving=!1;y.lastmouseup=!1;y.scrollmom.reset(t.clientX,t.clientY);if(!w.cantouch&&!this.istouchcapable&&!w.hasmstouch){if(!n||!/INPUT|SELECT|TEXTAREA/i.test(n.nodeName))return!y.ispage&&w.hasmousecapture&&n.setCapture(),y.opt.touchbehavior?(n.onclick&&!n._onclick&&(n._onclick=n.onclick,n.onclick=function(e){if(y.hasmoving)return!1;n._onclick.call(this,e)}),y.cancelEvent(t)):y.stopPropagation(t);/SUBMIT|CANCEL|BUTTON/i.test(e(n).attr("type"))&&(pc={tg:n,click:!1},y.preventclick=pc)}}};y.ontouchend=function(e){if(e.pointerType&&2!=e.pointerType)return!1;if(y.rail.drag&&2==y.rail.drag.pt&&(y.scrollmom.doMomentum(),y.rail.drag=!1,y.hasmoving&&(y.lastmouseup=!0,y.hideCursor(),w.hasmousecapture&&document.releaseCapture(),!w.cantouch)))return y.cancelEvent(e)};var v=y.opt.touchbehavior&&y.isiframe&&!w.hasmousecapture;y.ontouchmove=function(t,n){if(t.pointerType&&2!=t.pointerType)return!1;if(y.rail.drag&&2==y.rail.drag.pt){if(w.cantouch&&"undefined"==typeof t.original)return!0;y.hasmoving=!0;y.preventclick&&!y.preventclick.click&&(y.preventclick.click=y.preventclick.tg.onclick||!1,y.preventclick.tg.onclick=y.onpreventclick);t=e.extend({original:t},t);"changedTouches"in t&&(t.clientX=t.changedTouches[0].clientX,t.clientY=t.changedTouches[0].clientY);if(y.forcescreen){var r=t;t={original:t.original?t.original:t};t.clientX=r.screenX;t.clientY=r.screenY}r=ofy=0;if(v&&!n){var i=y.win.position(),r=-i.left;ofy=-i.top}var s=t.clientY+ofy,i=s-y.rail.drag.y,o=t.clientX+r,u=o-y.rail.drag.x,a=y.rail.drag.st-i;y.ishwscroll&&y.opt.bouncescroll?0>a?a=Math.round(a/2):a>y.page.maxh&&(a=y.page.maxh+Math.round((a-y.page.maxh)/2)):(0>a&&(s=a=0),a>y.page.maxh&&(a=y.page.maxh,s=0));if(y.railh&&y.railh.scrollable){var f=y.rail.drag.sl-u;y.ishwscroll&&y.opt.bouncescroll?0>f?f=Math.round(f/2):f>y.page.maxw&&(f=y.page.maxw+Math.round((f-y.page.maxw)/2)):(0>f&&(o=f=0),f>y.page.maxw&&(f=y.page.maxw,o=0))}r=!1;if(y.rail.drag.dl)r=!0,"v"==y.rail.drag.dl?f=y.rail.drag.sl:"h"==y.rail.drag.dl&&(a=y.rail.drag.st);else{var i=Math.abs(i),u=Math.abs(u),l=y.opt.directionlockdeadzone;if("v"==y.rail.drag.ck){if(i>l&&u<=.3*i)return y.rail.drag=!1,!0;u>l&&(y.rail.drag.dl="f",e("body").scrollTop(e("body").scrollTop()))}else if("h"==y.rail.drag.ck){if(u>l&&i<=.3*u)return y.rail.drag=!1,!0;i>l&&(y.rail.drag.dl="f",e("body").scrollLeft(e("body").scrollLeft()))}}y.synched("touchmove",function(){y.rail.drag&&2==y.rail.drag.pt&&(y.prepareTransition&&y.prepareTransition(0),y.rail.scrollable&&y.setScrollTop(a),y.scrollmom.update(o,s),y.railh&&y.railh.scrollable?(y.setScrollLeft(f),y.showCursor(a,f)):y.showCursor(a),w.isie10&&document.selection.clear())});w.ischrome&&y.istouchcapable&&(r=!1);if(r)return y.cancelEvent(t)}}}y.onmousedown=function(e,t){if(!(y.rail.drag&&1!=y.rail.drag.pt)){if(y.locked)return y.cancelEvent(e);y.cancelScroll();y.rail.drag={x:e.clientX,y:e.clientY,sx:y.scroll.x,sy:y.scroll.y,pt:1,hr:!!t};var n=y.getTarget(e);!y.ispage&&w.hasmousecapture&&n.setCapture();y.isiframe&&!w.hasmousecapture&&(y.saved.csspointerevents=y.doc.css("pointer-events"),y.css(y.doc,{"pointer-events":"none"}));y.hasmoving=!1;return y.cancelEvent(e)}};y.onmouseup=function(e){if(y.rail.drag&&(w.hasmousecapture&&document.releaseCapture(),y.isiframe&&!w.hasmousecapture&&y.doc.css("pointer-events",y.saved.csspointerevents),1==y.rail.drag.pt))return y.rail.drag=!1,y.hasmoving&&y.triggerScrollEnd(),y.cancelEvent(e)};y.onmousemove=function(e){if(y.rail.drag&&1==y.rail.drag.pt){if(w.ischrome&&0==e.which)return y.onmouseup(e);y.cursorfreezed=!0;y.hasmoving=!0;if(y.rail.drag.hr){y.scroll.x=y.rail.drag.sx+(e.clientX-y.rail.drag.x);0>y.scroll.x&&(y.scroll.x=0);var t=y.scrollvaluemaxw;y.scroll.x>t&&(y.scroll.x=t)}else y.scroll.y=y.rail.drag.sy+(e.clientY-y.rail.drag.y),0>y.scroll.y&&(y.scroll.y=0),t=y.scrollvaluemax,y.scroll.y>t&&(y.scroll.y=t);y.synched("mousemove",function(){y.rail.drag&&1==y.rail.drag.pt&&(y.showCursor(),y.rail.drag.hr?y.doScrollLeft(Math.round(y.scroll.x*y.scrollratio.x),y.opt.cursordragspeed):y.doScrollTop(Math.round(y.scroll.y*y.scrollratio.y),y.opt.cursordragspeed))});return y.cancelEvent(e)}};if(w.cantouch||y.opt.touchbehavior)y.onpreventclick=function(e){if(y.preventclick)return y.preventclick.tg.onclick=y.preventclick.click,y.preventclick=!1,y.cancelEvent(e)},y.bind(y.win,"mousedown",y.ontouchstart),y.onclick=w.isios?!1:function(e){return y.lastmouseup?(y.lastmouseup=!1,y.cancelEvent(e)):!0},y.opt.grabcursorenabled&&w.cursorgrabvalue&&(y.css(y.ispage?y.doc:y.win,{cursor:w.cursorgrabvalue}),y.css(y.rail,{cursor:w.cursorgrabvalue}));else{var g=function(e){if(y.selectiondrag){if(e){var t=y.win.outerHeight();e=e.pageY-y.selectiondrag.top;0<e&&e<t&&(e=0);e>=t&&(e-=t);y.selectiondrag.df=e}0!=y.selectiondrag.df&&(y.doScrollBy(2*-Math.floor(y.selectiondrag.df/6)),y.debounced("doselectionscroll",function(){g()},50))}};y.hasTextSelected="getSelection"in document?function(){return 0<document.getSelection().rangeCount}:"selection"in document?function(){return"None"!=document.selection.type}:function(){return!1};y.onselectionstart=function(e){y.ispage||(y.selectiondrag=y.win.offset())};y.onselectionend=function(e){y.selectiondrag=!1};y.onselectiondrag=function(e){y.selectiondrag&&y.hasTextSelected()&&y.debounced("selectionscroll",function(){g(e)},250)}}w.hasmstouch&&(y.css(y.rail,{"-ms-touch-action":"none"}),y.css(y.cursor,{"-ms-touch-action":"none"}),y.bind(y.win,"MSPointerDown",y.ontouchstart),y.bind(document,"MSPointerUp",y.ontouchend),y.bind(document,"MSPointerMove",y.ontouchmove),y.bind(y.cursor,"MSGestureHold",function(e){e.preventDefault()}),y.bind(y.cursor,"contextmenu",function(e){e.preventDefault()}));this.istouchcapable&&(y.bind(y.win,"touchstart",y.ontouchstart),y.bind(document,"touchend",y.ontouchend),y.bind(document,"touchcancel",y.ontouchend),y.bind(document,"touchmove",y.ontouchmove));y.bind(y.cursor,"mousedown",y.onmousedown);y.bind(y.cursor,"mouseup",y.onmouseup);y.railh&&(y.bind(y.cursorh,"mousedown",function(e){y.onmousedown(e,!0)}),y.bind(y.cursorh,"mouseup",y.onmouseup));if(y.opt.cursordragontouch||!w.cantouch&&!y.opt.touchbehavior)y.rail.css({cursor:"default"}),y.railh&&y.railh.css({cursor:"default"}),y.jqbind(y.rail,"mouseenter",function(){if(!y.win.is(":visible"))return!1;y.canshowonmouseevent&&y.showCursor();y.rail.active=!0}),y.jqbind(y.rail,"mouseleave",function(){y.rail.active=!1;y.rail.drag||y.hideCursor()}),y.opt.sensitiverail&&(y.bind(y.rail,"click",function(e){y.doRailClick(e,!1,!1)}),y.bind(y.rail,"dblclick",function(e){y.doRailClick(e,!0,!1)}),y.bind(y.cursor,"click",function(e){y.cancelEvent(e)}),y.bind(y.cursor,"dblclick",function(e){y.cancelEvent(e)})),y.railh&&(y.jqbind(y.railh,"mouseenter",function(){if(!y.win.is(":visible"))return!1;y.canshowonmouseevent&&y.showCursor();y.rail.active=!0}),y.jqbind(y.railh,"mouseleave",function(){y.rail.active=!1;y.rail.drag||y.hideCursor()}),y.opt.sensitiverail&&(y.bind(y.railh,"click",function(e){y.doRailClick(e,!1,!0)}),y.bind(y.railh,"dblclick",function(e){y.doRailClick(e,!0,!0)}),y.bind(y.cursorh,"click",function(e){y.cancelEvent(e)}),y.bind(y.cursorh,"dblclick",function(e){y.cancelEvent(e)})));!w.cantouch&&!y.opt.touchbehavior?(y.bind(w.hasmousecapture?y.win:document,"mouseup",y.onmouseup),y.bind(document,"mousemove",y.onmousemove),y.onclick&&y.bind(document,"click",y.onclick),!y.ispage&&y.opt.enablescrollonselection&&(y.bind(y.win[0],"mousedown",y.onselectionstart),y.bind(document,"mouseup",y.onselectionend),y.bind(y.cursor,"mouseup",y.onselectionend),y.cursorh&&y.bind(y.cursorh,"mouseup",y.onselectionend),y.bind(document,"mousemove",y.onselectiondrag)),y.zoom&&(y.jqbind(y.zoom,"mouseenter",function(){y.canshowonmouseevent&&y.showCursor();y.rail.active=!0}),y.jqbind(y.zoom,"mouseleave",function(){y.rail.active=!1;y.rail.drag||y.hideCursor()}))):(y.bind(w.hasmousecapture?y.win:document,"mouseup",y.ontouchend),y.bind(document,"mousemove",y.ontouchmove),y.onclick&&y.bind(document,"click",y.onclick),y.opt.cursordragontouch&&(y.bind(y.cursor,"mousedown",y.onmousedown),y.bind(y.cursor,"mousemove",y.onmousemove),y.cursorh&&y.bind(y.cursorh,"mousedown",function(e){y.onmousedown(e,!0)}),y.cursorh&&y.bind(y.cursorh,"mousemove",y.onmousemove)));y.opt.enablemousewheel&&(y.isiframe||y.bind(w.isie&&y.ispage?document:y.win,"mousewheel",y.onmousewheel),y.bind(y.rail,"mousewheel",y.onmousewheel),y.railh&&y.bind(y.railh,"mousewheel",y.onmousewheelhr));!y.ispage&&!w.cantouch&&!/HTML|^BODY/.test(y.win[0].nodeName)&&(y.win.attr("tabindex")||y.win.attr({tabindex:r++}),y.jqbind(y.win,"focus",function(e){t=y.getTarget(e).id||!0;y.hasfocus=!0;y.canshowonmouseevent&&y.noticeCursor()}),y.jqbind(y.win,"blur",function(e){t=!1;y.hasfocus=!1}),y.jqbind(y.win,"mouseenter",function(e){n=y.getTarget(e).id||!0;y.hasmousefocus=!0;y.canshowonmouseevent&&y.noticeCursor()}),y.jqbind(y.win,"mouseleave",function(){n=!1;y.hasmousefocus=!1;y.rail.drag||y.hideCursor()}))}y.onkeypress=function(r){if(y.locked&&0==y.page.maxh)return!0;r=r?r:window.e;var i=y.getTarget(r);if(i&&/INPUT|TEXTAREA|SELECT|OPTION/.test(i.nodeName)&&(!i.getAttribute("type")&&!i.type||!/submit|button|cancel/i.tp)||e(i).attr("contenteditable"))return!0;if(y.hasfocus||y.hasmousefocus&&!t||y.ispage&&!t&&!n){i=r.keyCode;if(y.locked&&27!=i)return y.cancelEvent(r);var s=r.ctrlKey||!1,o=r.shiftKey||!1,u=!1;switch(i){case 38:case 63233:y.doScrollBy(72);u=!0;break;case 40:case 63235:y.doScrollBy(-72);u=!0;break;case 37:case 63232:y.railh&&(s?y.doScrollLeft(0):y.doScrollLeftBy(72),u=!0);break;case 39:case 63234:y.railh&&(s?y.doScrollLeft(y.page.maxw):y.doScrollLeftBy(-72),u=!0);break;case 33:case 63276:y.doScrollBy(y.view.h);u=!0;break;case 34:case 63277:y.doScrollBy(-y.view.h);u=!0;break;case 36:case 63273:y.railh&&s?y.doScrollPos(0,0):y.doScrollTo(0);u=!0;break;case 35:case 63275:y.railh&&s?y.doScrollPos(y.page.maxw,y.page.maxh):y.doScrollTo(y.page.maxh);u=!0;break;case 32:y.opt.spacebarenabled&&(o?y.doScrollBy(y.view.h):y.doScrollBy(-y.view.h),u=!0);break;case 27:y.zoomactive&&(y.doZoom(),u=!0)}if(u)return y.cancelEvent(r)}};y.opt.enablekeyboard&&y.bind(document,w.isopera&&!w.isopera12?"keypress":"keydown",y.onkeypress);y.bind(document,"keydown",function(e){e.ctrlKey&&(y.wheelprevented=!0)});y.bind(document,"keyup",function(e){e.ctrlKey||(y.wheelprevented=!1)});y.bind(window,"resize",y.lazyResize);y.bind(window,"orientationchange",y.lazyResize);y.bind(window,"load",y.lazyResize);if(w.ischrome&&!y.ispage&&!y.haswrapper){var b=y.win.attr("style"),u=parseFloat(y.win.css("width"))+1;y.win.css("width",u);y.synched("chromefix",function(){y.win.attr("style",b)})}y.onAttributeChange=function(e){y.lazyResize(250)};!y.ispage&&!y.haswrapper&&(!1!==c?(y.observer=new c(function(e){e.forEach(y.onAttributeChange)}),y.observer.observe(y.win[0],{childList:!0,characterData:!1,attributes:!0,subtree:!1}),y.observerremover=new c(function(e){e.forEach(function(e){if(0<e.removedNodes.length)for(var t in e.removedNodes)if(e.removedNodes[t]==y.win[0])return y.remove()})}),y.observerremover.observe(y.win[0].parentNode,{childList:!0,characterData:!1,attributes:!1,subtree:!1})):(y.bind(y.win,w.isie&&!w.isie9?"propertychange":"DOMAttrModified",y.onAttributeChange),w.isie9&&y.win[0].attachEvent("onpropertychange",y.onAttributeChange),y.bind(y.win,"DOMNodeRemoved",function(e){e.target==y.win[0]&&y.remove()})));!y.ispage&&y.opt.boxzoom&&y.bind(window,"resize",y.resizeZoom);y.istextarea&&y.bind(y.win,"mouseup",y.lazyResize);y.lazyResize(30)}if("IFRAME"==this.doc[0].nodeName){var E=function(t){y.iframexd=!1;try{var n="contentDocument"in this?this.contentDocument:this.contentWindow.document}catch(r){y.iframexd=!0,n=!1}if(y.iframexd)return"console"in window&&console.log("NiceScroll error: policy restriced iframe"),!0;y.forcescreen=!0;y.isiframe&&(y.iframe={doc:e(n),html:y.doc.contents().find("html")[0],body:y.doc.contents().find("body")[0]},y.getContentSize=function(){return{w:Math.max(y.iframe.html.scrollWidth,y.iframe.body.scrollWidth),h:Math.max(y.iframe.html.scrollHeight,y.iframe.body.scrollHeight)}},y.docscroll=e(y.iframe.body));!w.isios&&y.opt.iframeautoresize&&!y.isiframe&&(y.win.scrollTop(0),y.doc.height(""),t=Math.max(n.getElementsByTagName("html")[0].scrollHeight,n.body.scrollHeight),y.doc.height(t));y.lazyResize(30);w.isie7&&y.css(e(y.iframe.html),{"overflow-y":"hidden"});y.css(e(y.iframe.body),{"overflow-y":"hidden"});w.isios&&y.haswrapper&&y.css(e(n.body),{"-webkit-transform":"translate3d(0,0,0)"});"contentWindow"in this?y.bind(this.contentWindow,"scroll",y.onscroll):y.bind(n,"scroll",y.onscroll);y.opt.enablemousewheel&&y.bind(n,"mousewheel",y.onmousewheel);y.opt.enablekeyboard&&y.bind(n,w.isopera?"keypress":"keydown",y.onkeypress);if(w.cantouch||y.opt.touchbehavior)y.bind(n,"mousedown",y.ontouchstart),y.bind(n,"mousemove",function(e){y.ontouchmove(e,!0)}),y.opt.grabcursorenabled&&w.cursorgrabvalue&&y.css(e(n.body),{cursor:w.cursorgrabvalue});y.bind(n,"mouseup",y.ontouchend);y.zoom&&(y.opt.dblclickzoom&&y.bind(n,"dblclick",y.doZoom),y.ongesturezoom&&y.bind(n,"gestureend",y.ongesturezoom))};this.doc[0].readyState&&"complete"==this.doc[0].readyState&&setTimeout(function(){E.call(y.doc[0],!1)},500);y.bind(this.doc,"load",E)}};this.showCursor=function(e,t){y.cursortimeout&&(clearTimeout(y.cursortimeout),y.cursortimeout=0);if(y.rail){y.autohidedom&&(y.autohidedom.stop().css({opacity:y.opt.cursoropacitymax}),y.cursoractive=!0);if(!y.rail.drag||1!=y.rail.drag.pt)"undefined"!=typeof e&&!1!==e&&(y.scroll.y=Math.round(1*e/y.scrollratio.y)),"undefined"!=typeof t&&(y.scroll.x=Math.round(1*t/y.scrollratio.x));y.cursor.css({height:y.cursorheight,top:y.scroll.y});y.cursorh&&(!y.rail.align&&y.rail.visibility?y.cursorh.css({width:y.cursorwidth,left:y.scroll.x+y.rail.width}):y.cursorh.css({width:y.cursorwidth,left:y.scroll.x}),y.cursoractive=!0);y.zoom&&y.zoom.stop().css({opacity:y.opt.cursoropacitymax})}};this.hideCursor=function(e){!y.cursortimeout&&y.rail&&y.autohidedom&&!(y.hasmousefocus&&"leave"==y.opt.autohidemode)&&(y.cursortimeout=setTimeout(function(){if(!y.rail.active||!y.showonmouseevent)y.autohidedom.stop().animate({opacity:y.opt.cursoropacitymin}),y.zoom&&y.zoom.stop().animate({opacity:y.opt.cursoropacitymin}),y.cursoractive=!1;y.cursortimeout=0},e||y.opt.hidecursordelay))};this.noticeCursor=function(e,t,n){y.showCursor(t,n);y.rail.active||y.hideCursor(e)};this.getContentSize=y.ispage?function(){return{w:Math.max(document.body.scrollWidth,document.documentElement.scrollWidth),h:Math.max(document.body.scrollHeight,document.documentElement.scrollHeight)}}:y.haswrapper?function(){return{w:y.doc.outerWidth()+parseInt(y.win.css("paddingLeft"))+parseInt(y.win.css("paddingRight")),h:y.doc.outerHeight()+parseInt(y.win.css("paddingTop"))+parseInt(y.win.css("paddingBottom"))}}:function(){return{w:y.docscroll[0].scrollWidth,h:y.docscroll[0].scrollHeight}};this.onResize=function(e,t){if(!y||!y.win)return!1;if(!y.haswrapper&&!y.ispage){if("none"==y.win.css("display"))return y.visibility&&y.hideRail().hideRailHr(),!1;!y.hidden&&!y.visibility&&y.showRail().showRailHr()}var n=y.page.maxh,r=y.page.maxw,i=y.view.w;y.view={w:y.ispage?y.win.width():parseInt(y.win[0].clientWidth),h:y.ispage?y.win.height():parseInt(y.win[0].clientHeight)};y.page=t?t:y.getContentSize();y.page.maxh=Math.max(0,y.page.h-y.view.h);y.page.maxw=Math.max(0,y.page.w-y.view.w);if(y.page.maxh==n&&y.page.maxw==r&&y.view.w==i){if(y.ispage)return y;n=y.win.offset();if(y.lastposition&&(r=y.lastposition,r.top==n.top&&r.left==n.left))return y;y.lastposition=n}0==y.page.maxh?(y.hideRail(),y.scrollvaluemax=0,y.scroll.y=0,y.scrollratio.y=0,y.cursorheight=0,y.setScrollTop(0),y.rail.scrollable=!1):y.rail.scrollable=!0;0==y.page.maxw?(y.hideRailHr(),y.scrollvaluemaxw=0,y.scroll.x=0,y.scrollratio.x=0,y.cursorwidth=0,y.setScrollLeft(0),y.railh.scrollable=!1):y.railh.scrollable=!0;y.locked=0==y.page.maxh&&0==y.page.maxw;if(y.locked)return y.ispage||y.updateScrollBar(y.view),!1;!y.hidden&&!y.visibility?y.showRail().showRailHr():!y.hidden&&!y.railh.visibility&&y.showRailHr();y.istextarea&&y.win.css("resize")&&"none"!=y.win.css("resize")&&(y.view.h-=20);y.cursorheight=Math.min(y.view.h,Math.round(y.view.h*(y.view.h/y.page.h)));y.cursorheight=y.opt.cursorfixedheight?y.opt.cursorfixedheight:Math.max(y.opt.cursorminheight,y.cursorheight);y.cursorwidth=Math.min(y.view.w,Math.round(y.view.w*(y.view.w/y.page.w)));y.cursorwidth=y.opt.cursorfixedheight?y.opt.cursorfixedheight:Math.max(y.opt.cursorminheight,y.cursorwidth);y.scrollvaluemax=y.view.h-y.cursorheight-y.cursor.hborder;y.railh&&(y.railh.width=0<y.page.maxh?y.view.w-y.rail.width:y.view.w,y.scrollvaluemaxw=y.railh.width-y.cursorwidth-y.cursorh.wborder);y.ispage||y.updateScrollBar(y.view);y.scrollratio={x:y.page.maxw/y.scrollvaluemaxw,y:y.page.maxh/y.scrollvaluemax};y.getScrollTop()>y.page.maxh?y.doScrollTop(y.page.maxh):(y.scroll.y=Math.round(y.getScrollTop()*(1/y.scrollratio.y)),y.scroll.x=Math.round(y.getScrollLeft()*(1/y.scrollratio.x)),y.cursoractive&&y.noticeCursor());y.scroll.y&&0==y.getScrollTop()&&y.doScrollTo(Math.floor(y.scroll.y*y.scrollratio.y));return y};this.resize=y.onResize;this.lazyResize=function(e){e=isNaN(e)?30:e;y.delayed("resize",y.resize,e);return y};this._bind=function(e,t,n,r){y.events.push({e:e,n:t,f:n,b:r,q:!1});e.addEventListener?e.addEventListener(t,n,r||!1):e.attachEvent?e.attachEvent("on"+t,n):e["on"+t]=n};this.jqbind=function(t,n,r){y.events.push({e:t,n:n,f:r,q:!0});e(t).bind(n,r)};this.bind=function(e,t,n,r){var i="jquery"in e?e[0]:e;"mousewheel"==t?"onwheel"in y.win?y._bind(i,"wheel",n,r||!1):(e="undefined"!=typeof document.onmousewheel?"mousewheel":"DOMMouseScroll",v(i,e,n,r||!1),"DOMMouseScroll"==e&&v(i,"MozMousePixelScroll",n,r||!1)):i.addEventListener?(w.cantouch&&/mouseup|mousedown|mousemove/.test(t)&&y._bind(i,"mousedown"==t?"touchstart":"mouseup"==t?"touchend":"touchmove",function(e){if(e.touches){if(2>e.touches.length){var t=e.touches.length?e.touches[0]:e;t.original=e;n.call(this,t)}}else e.changedTouches&&(t=e.changedTouches[0],t.original=e,n.call(this,t))},r||!1),y._bind(i,t,n,r||!1),w.cantouch&&"mouseup"==t&&y._bind(i,"touchcancel",n,r||!1)):y._bind(i,t,function(e){if((e=e||window.event||!1)&&e.srcElement)e.target=e.srcElement;"pageY"in e||(e.pageX=e.clientX+document.documentElement.scrollLeft,e.pageY=e.clientY+document.documentElement.scrollTop);return!1===n.call(i,e)||!1===r?y.cancelEvent(e):!0})};this._unbind=function(e,t,n,r){e.removeEventListener?e.removeEventListener(t,n,r):e.detachEvent?e.detachEvent("on"+t,n):e["on"+t]=!1};this.unbindAll=function(){for(var e=0;e<y.events.length;e++){var t=y.events[e];t.q?t.e.unbind(t.n,t.f):y._unbind(t.e,t.n,t.f,t.b)}};this.cancelEvent=function(e){e=e.original?e.original:e?e:window.event||!1;if(!e)return!1;e.preventDefault&&e.preventDefault();e.stopPropagation&&e.stopPropagation();e.preventManipulation&&e.preventManipulation();e.cancelBubble=!0;e.cancel=!0;return e.returnValue=!1};this.stopPropagation=function(e){e=e.original?e.original:e?e:window.event||!1;if(!e)return!1;if(e.stopPropagation)return e.stopPropagation();e.cancelBubble&&(e.cancelBubble=!0);return!1};this.showRail=function(){if(0!=y.page.maxh&&(y.ispage||"none"!=y.win.css("display")))y.visibility=!0,y.rail.visibility=!0,y.rail.css("display","block");return y};this.showRailHr=function(){if(!y.railh)return y;if(0!=y.page.maxw&&(y.ispage||"none"!=y.win.css("display")))y.railh.visibility=!0,y.railh.css("display","block");return y};this.hideRail=function(){y.visibility=!1;y.rail.visibility=!1;y.rail.css("display","none");return y};this.hideRailHr=function(){if(!y.railh)return y;y.railh.visibility=!1;y.railh.css("display","none");return y};this.show=function(){y.hidden=!1;y.locked=!1;return y.showRail().showRailHr()};this.hide=function(){y.hidden=!0;y.locked=!0;return y.hideRail().hideRailHr()};this.toggle=function(){return y.hidden?y.show():y.hide()};this.remove=function(){y.stop();y.cursortimeout&&clearTimeout(y.cursortimeout);y.doZoomOut();y.unbindAll();w.isie9&&y.win[0].detachEvent("onpropertychange",y.onAttributeChange);!1!==y.observer&&y.observer.disconnect();!1!==y.observerremover&&y.observerremover.disconnect();y.events=null;y.cursor&&y.cursor.remove();y.cursorh&&y.cursorh.remove();y.rail&&y.rail.remove();y.railh&&y.railh.remove();y.zoom&&y.zoom.remove();for(var t=0;t<y.saved.css.length;t++){var n=y.saved.css[t];n[0].css(n[1],"undefined"==typeof n[2]?"":n[2])}y.saved=!1;y.me.data("__nicescroll","");var r=e.nicescroll;r.each(function(e){if(this&&this.id===y.id){delete r[e];for(var t=++e;t<r.length;t++,e++)r[e]=r[t];r.length--;r.length&&delete r[r.length]}});for(var i in y)y[i]=null,delete y[i];y=null};this.scrollstart=function(e){this.onscrollstart=e;return y};this.scrollend=function(e){this.onscrollend=e;return y};this.scrollcancel=function(e){this.onscrollcancel=e;return y};this.zoomin=function(e){this.onzoomin=e;return y};this.zoomout=function(e){this.onzoomout=e;return y};this.isScrollable=function(t){t=t.target?t.target:t;if("OPTION"==t.nodeName)return!0;for(;t&&1==t.nodeType&&!/^BODY|HTML/.test(t.nodeName);){var n=e(t),n=n.css("overflowY")||n.css("overflowX")||n.css("overflow")||"";if(/scroll|auto/.test(n))return t.clientHeight!=t.scrollHeight;t=t.parentNode?t.parentNode:!1}return!1};this.getViewport=function(t){for(t=t&&t.parentNode?t.parentNode:!1;t&&1==t.nodeType&&!/^BODY|HTML/.test(t.nodeName);){var n=e(t);if(/fixed|absolute/.test(n.css("position")))return n;var r=n.css("overflowY")||n.css("overflowX")||n.css("overflow")||"";if(/scroll|auto/.test(r)&&t.clientHeight!=t.scrollHeight||0<n.getNiceScroll().length)return n;t=t.parentNode?t.parentNode:!1}return t?e(t):!1};this.triggerScrollEnd=function(){if(y.onscrollend){var e=y.getScrollLeft(),t=y.getScrollTop();y.onscrollend.call(y,{type:"scrollend",current:{x:e,y:t},end:{x:e,y:t}})}};this.onmousewheel=function(e){if(!y.wheelprevented){if(y.locked)return y.debounced("checkunlock",y.resize,250),!0;if(y.rail.drag)return y.cancelEvent(e);"auto"==y.opt.oneaxismousemode&&0!=e.deltaX&&(y.opt.oneaxismousemode=!1);if(y.opt.oneaxismousemode&&0==e.deltaX&&!y.rail.scrollable)return y.railh&&y.railh.scrollable?y.onmousewheelhr(e):!0;var t=+(new Date),n=!1;y.opt.preservenativescrolling&&y.checkarea+600<t&&(y.nativescrollingarea=y.isScrollable(e),n=!0);y.checkarea=t;if(y.nativescrollingarea)return!0;if(e=g(e,!1,n))y.checkarea=0;return e}};this.onmousewheelhr=function(e){if(!y.wheelprevented){if(y.locked||!y.railh.scrollable)return!0;if(y.rail.drag)return y.cancelEvent(e);var t=+(new Date),n=!1;y.opt.preservenativescrolling&&y.checkarea+600<t&&(y.nativescrollingarea=y.isScrollable(e),n=!0);y.checkarea=t;return y.nativescrollingarea?!0:y.locked?y.cancelEvent(e):g(e,!0,n)}};this.stop=function(){y.cancelScroll();y.scrollmon&&y.scrollmon.stop();y.cursorfreezed=!1;y.scroll.y=Math.round(y.getScrollTop()*(1/y.scrollratio.y));y.noticeCursor();return y};this.getTransitionSpeed=function(e){var t=Math.round(10*y.opt.scrollspeed);e=Math.min(t,Math.round(e/20*y.opt.scrollspeed));return 20<e?e:0};y.opt.smoothscroll?y.ishwscroll&&w.hastransition&&y.opt.usetransition?(this.prepareTransition=function(e,t){var n=t?20<e?e:0:y.getTransitionSpeed(e),r=n?w.prefixstyle+"transform "+n+"ms ease-out":"";if(!y.lasttransitionstyle||y.lasttransitionstyle!=r)y.lasttransitionstyle=r,y.doc.css(w.transitionstyle,r);return n},this.doScrollLeft=function(e,t){var n=y.scrollrunning?y.newscrolly:y.getScrollTop();y.doScrollPos(e,n,t)},this.doScrollTop=function(e,t){var n=y.scrollrunning?y.newscrollx:y.getScrollLeft();y.doScrollPos(n,e,t)},this.doScrollPos=function(e,t,n){var r=y.getScrollTop(),i=y.getScrollLeft();(0>(y.newscrolly-r)*(t-r)||0>(y.newscrollx-i)*(e-i))&&y.cancelScroll();!1==y.opt.bouncescroll&&(0>t?t=0:t>y.page.maxh&&(t=y.page.maxh),0>e?e=0:e>y.page.maxw&&(e=y.page.maxw));if(y.scrollrunning&&e==y.newscrollx&&t==y.newscrolly)return!1;y.newscrolly=t;y.newscrollx=e;y.newscrollspeed=n||!1;if(y.timer)return!1;y.timer=setTimeout(function(){var n=y.getScrollTop(),r=y.getScrollLeft(),i,s;i=e-r;s=t-n;i=Math.round(Math.sqrt(Math.pow(i,2)+Math.pow(s,2)));i=y.newscrollspeed&&1<y.newscrollspeed?y.newscrollspeed:y.getTransitionSpeed(i);y.newscrollspeed&&1>=y.newscrollspeed&&(i*=y.newscrollspeed);y.prepareTransition(i,!0);y.timerscroll&&y.timerscroll.tm&&clearInterval(y.timerscroll.tm);0<i&&(!y.scrollrunning&&y.onscrollstart&&y.onscrollstart.call(y,{type:"scrollstart",current:{x:r,y:n},request:{x:e,y:t},end:{x:y.newscrollx,y:y.newscrolly},speed:i}),w.transitionend?y.scrollendtrapped||(y.scrollendtrapped=!0,y.bind(y.doc,w.transitionend,y.onScrollTransitionEnd,!1)):(y.scrollendtrapped&&clearTimeout(y.scrollendtrapped),y.scrollendtrapped=setTimeout(y.onScrollTransitionEnd,i)),y.timerscroll={bz:new BezierClass(n,y.newscrolly,i,0,0,.58,1),bh:new BezierClass(r,y.newscrollx,i,0,0,.58,1)},y.cursorfreezed||(y.timerscroll.tm=setInterval(function(){y.showCursor(y.getScrollTop(),y.getScrollLeft())},60)));y.synched("doScroll-set",function(){y.timer=0;y.scrollendtrapped&&(y.scrollrunning=!0);y.setScrollTop(y.newscrolly);y.setScrollLeft(y.newscrollx);if(!y.scrollendtrapped)y.onScrollTransitionEnd()})},50)},this.cancelScroll=function(){if(!y.scrollendtrapped)return!0;var e=y.getScrollTop(),t=y.getScrollLeft();y.scrollrunning=!1;w.transitionend||clearTimeout(w.transitionend);y.scrollendtrapped=!1;y._unbind(y.doc,w.transitionend,y.onScrollTransitionEnd);y.prepareTransition(0);y.setScrollTop(e);y.railh&&y.setScrollLeft(t);y.timerscroll&&y.timerscroll.tm&&clearInterval(y.timerscroll.tm);y.timerscroll=!1;y.cursorfreezed=!1;y.showCursor(e,t);return y},this.onScrollTransitionEnd=function(){y.scrollendtrapped&&y._unbind(y.doc,w.transitionend,y.onScrollTransitionEnd);y.scrollendtrapped=!1;y.prepareTransition(0);y.timerscroll&&y.timerscroll.tm&&clearInterval(y.timerscroll.tm);y.timerscroll=!1;var e=y.getScrollTop(),t=y.getScrollLeft();y.setScrollTop(e);y.railh&&y.setScrollLeft(t);y.noticeCursor(!1,e,t);y.cursorfreezed=!1;0>e?e=0:e>y.page.maxh&&(e=y.page.maxh);0>t?t=0:t>y.page.maxw&&(t=y.page.maxw);if(e!=y.newscrolly||t!=y.newscrollx)return y.doScrollPos(t,e,y.opt.snapbackspeed);y.onscrollend&&y.scrollrunning&&y.triggerScrollEnd();y.scrollrunning=!1}):(this.doScrollLeft=function(e,t){var n=y.scrollrunning?y.newscrolly:y.getScrollTop();y.doScrollPos(e,n,t)},this.doScrollTop=function(e,t){var n=y.scrollrunning?y.newscrollx:y.getScrollLeft();y.doScrollPos(n,e,t)},this.doScrollPos=function(e,t,n){function r(){if(y.cancelAnimationFrame)return!0;y.scrollrunning=!0;if(c=1-c)return y.timer=u(r)||1;var e=0,t=sy=y.getScrollTop();if(y.dst.ay){var t=y.bzscroll?y.dst.py+y.bzscroll.getNow()*y.dst.ay:y.newscrolly,n=t-sy;if(0>n&&t<y.newscrolly||0<n&&t>y.newscrolly)t=y.newscrolly;y.setScrollTop(t);t==y.newscrolly&&(e=1)}else e=1;var i=sx=y.getScrollLeft();if(y.dst.ax){i=y.bzscroll?y.dst.px+y.bzscroll.getNow()*y.dst.ax:y.newscrollx;n=i-sx;if(0>n&&i<y.newscrollx||0<n&&i>y.newscrollx)i=y.newscrollx;y.setScrollLeft(i);i==y.newscrollx&&(e+=1)}else e+=1;2==e?(y.timer=0,y.cursorfreezed=!1,y.bzscroll=!1,y.scrollrunning=!1,0>t?t=0:t>y.page.maxh&&(t=y.page.maxh),0>i?i=0:i>y.page.maxw&&(i=y.page.maxw),i!=y.newscrollx||t!=y.newscrolly?y.doScrollPos(i,t):y.onscrollend&&y.triggerScrollEnd()):y.timer=u(r)||1}t="undefined"==typeof t||!1===t?y.getScrollTop(!0):t;if(y.timer&&y.newscrolly==t&&y.newscrollx==e)return!0;y.timer&&a(y.timer);y.timer=0;var i=y.getScrollTop(),s=y.getScrollLeft();(0>(y.newscrolly-i)*(t-i)||0>(y.newscrollx-s)*(e-s))&&y.cancelScroll();y.newscrolly=t;y.newscrollx=e;if(!y.bouncescroll||!y.rail.visibility)0>y.newscrolly?y.newscrolly=0:y.newscrolly>y.page.maxh&&(y.newscrolly=y.page.maxh);if(!y.bouncescroll||!y.railh.visibility)0>y.newscrollx?y.newscrollx=0:y.newscrollx>y.page.maxw&&(y.newscrollx=y.page.maxw);y.dst={};y.dst.x=e-s;y.dst.y=t-i;y.dst.px=s;y.dst.py=i;var o=Math.round(Math.sqrt(Math.pow(y.dst.x,2)+Math.pow(y.dst.y,2)));y.dst.ax=y.dst.x/o;y.dst.ay=y.dst.y/o;var f=0,l=o;0==y.dst.x?(f=i,l=t,y.dst.ay=1,y.dst.py=0):0==y.dst.y&&(f=s,l=e,y.dst.ax=1,y.dst.px=0);o=y.getTransitionSpeed(o);n&&1>=n&&(o*=n);y.bzscroll=0<o?y.bzscroll?y.bzscroll.update(l,o):new BezierClass(f,l,o,0,1,0,1):!1;if(!y.timer){(i==y.page.maxh&&t>=y.page.maxh||s==y.page.maxw&&e>=y.page.maxw)&&y.checkContentSize();var c=1;y.cancelAnimationFrame=!1;y.timer=1;y.onscrollstart&&!y.scrollrunning&&y.onscrollstart.call(y,{type:"scrollstart",current:{x:s,y:i},request:{x:e,y:t},end:{x:y.newscrollx,y:y.newscrolly},speed:o});r();(i==y.page.maxh&&t>=i||s==y.page.maxw&&e>=s)&&y.checkContentSize();y.noticeCursor()}},this.cancelScroll=function(){y.timer&&a(y.timer);y.timer=0;y.bzscroll=!1;y.scrollrunning=!1;return y}):(this.doScrollLeft=function(e,t){var n=y.getScrollTop();y.doScrollPos(e,n,t)},this.doScrollTop=function(e,t){var n=y.getScrollLeft();y.doScrollPos(n,e,t)},this.doScrollPos=function(e,t,n){var r=e>y.page.maxw?y.page.maxw:e;0>r&&(r=0);var i=t>y.page.maxh?y.page.maxh:t;0>i&&(i=0);y.synched("scroll",function(){y.setScrollTop(i);y.setScrollLeft(r)})},this.cancelScroll=function(){});this.doScrollBy=function(e,t){var n=0,n=t?Math.floor((y.scroll.y-e)*y.scrollratio.y):(y.timer?y.newscrolly:y.getScrollTop(!0))-e;if(y.bouncescroll){var r=Math.round(y.view.h/2);n<-r?n=-r:n>y.page.maxh+r&&(n=y.page.maxh+r)}y.cursorfreezed=!1;py=y.getScrollTop(!0);if(0>n&&0>=py)return y.noticeCursor();if(n>y.page.maxh&&py>=y.page.maxh)return y.checkContentSize(),y.noticeCursor();y.doScrollTop(n)};this.doScrollLeftBy=function(e,t){var n=0,n=t?Math.floor((y.scroll.x-e)*y.scrollratio.x):(y.timer?y.newscrollx:y.getScrollLeft(!0))-e;if(y.bouncescroll){var r=Math.round(y.view.w/2);n<-r?n=-r:n>y.page.maxw+r&&(n=y.page.maxw+r)}y.cursorfreezed=!1;px=y.getScrollLeft(!0);if(0>n&&0>=px||n>y.page.maxw&&px>=y.page.maxw)return y.noticeCursor();y.doScrollLeft(n)};this.doScrollTo=function(e,t){t&&Math.round(e*y.scrollratio.y);y.cursorfreezed=!1;y.doScrollTop(e)};this.checkContentSize=function(){var e=y.getContentSize();(e.h!=y.page.h||e.w!=y.page.w)&&y.resize(!1,e)};y.onscroll=function(e){y.rail.drag||y.cursorfreezed||y.synched("scroll",function(){y.scroll.y=Math.round(y.getScrollTop()*(1/y.scrollratio.y));y.railh&&(y.scroll.x=Math.round(y.getScrollLeft()*(1/y.scrollratio.x)));y.noticeCursor()})};y.bind(y.docscroll,"scroll",y.onscroll);this.doZoomIn=function(t){if(!y.zoomactive){y.zoomactive=!0;y.zoomrestore={style:{}};var n="position top left zIndex backgroundColor marginTop marginBottom marginLeft marginRight".split(" "),r=y.win[0].style,i;for(i in n){var o=n[i];y.zoomrestore.style[o]="undefined"!=typeof r[o]?r[o]:""}y.zoomrestore.style.width=y.win.css("width");y.zoomrestore.style.height=y.win.css("height");y.zoomrestore.padding={w:y.win.outerWidth()-y.win.width(),h:y.win.outerHeight()-y.win.height()};w.isios4&&(y.zoomrestore.scrollTop=e(window).scrollTop(),e(window).scrollTop(0));y.win.css({position:w.isios4?"absolute":"fixed",top:0,left:0,"z-index":s+100,margin:"0px"});n=y.win.css("backgroundColor");(""==n||/transparent|rgba\(0, 0, 0, 0\)|rgba\(0,0,0,0\)/.test(n))&&y.win.css("backgroundColor","#fff");y.rail.css({"z-index":s+101});y.zoom.css({"z-index":s+102});y.zoom.css("backgroundPosition","0px -18px");y.resizeZoom();y.onzoomin&&y.onzoomin.call(y);return y.cancelEvent(t)}};this.doZoomOut=function(t){if(y.zoomactive)return y.zoomactive=!1,y.win.css("margin",""),y.win.css(y.zoomrestore.style),w.isios4&&e(window).scrollTop(y.zoomrestore.scrollTop),y.rail.css({"z-index":y.zindex}),y.zoom.css({"z-index":y.zindex}),y.zoomrestore=!1,y.zoom.css("backgroundPosition","0px 0px"),y.onResize(),y.onzoomout&&y.onzoomout.call(y),y.cancelEvent(t)};this.doZoom=function(e){return y.zoomactive?y.doZoomOut(e):y.doZoomIn(e)};this.resizeZoom=function(){if(y.zoomactive){var t=y.getScrollTop();y.win.css({width:e(window).width()-y.zoomrestore.padding.w+"px",height:e(window).height()-y.zoomrestore.padding.h+"px"});y.onResize();y.setScrollTop(Math.min(y.page.maxh,t))}};this.init();e.nicescroll.push(this)},m=function(e){var t=this;this.nc=e;this.steptime=this.lasttime=this.speedy=this.speedx=this.lasty=this.lastx=0;this.snapy=this.snapx=!1;this.demuly=this.demulx=0;this.lastscrolly=this.lastscrollx=-1;this.timer=this.chky=this.chkx=0;this.time=function(){return+(new Date)};this.reset=function(e,n){t.stop();var r=t.time();t.steptime=0;t.lasttime=r;t.speedx=0;t.speedy=0;t.lastx=e;t.lasty=n;t.lastscrollx=-1;t.lastscrolly=-1};this.update=function(e,n){var r=t.time();t.steptime=r-t.lasttime;t.lasttime=r;var r=n-t.lasty,i=e-t.lastx,s=t.nc.getScrollTop(),o=t.nc.getScrollLeft(),s=s+r,o=o+i;t.snapx=0>o||o>t.nc.page.maxw;t.snapy=0>s||s>t.nc.page.maxh;t.speedx=i;t.speedy=r;t.lastx=e;t.lasty=n};this.stop=function(){t.nc.unsynched("domomentum2d");t.timer&&clearTimeout(t.timer);t.timer=0;t.lastscrollx=-1;t.lastscrolly=-1};this.doSnapy=function(e,n){var r=!1;0>n?(n=0,r=!0):n>t.nc.page.maxh&&(n=t.nc.page.maxh,r=!0);0>e?(e=0,r=!0):e>t.nc.page.maxw&&(e=t.nc.page.maxw,r=!0);r?t.nc.doScrollPos(e,n,t.nc.opt.snapbackspeed):t.nc.triggerScrollEnd()};this.doMomentum=function(e){var n=t.time(),r=e?n+e:t.lasttime;e=t.nc.getScrollLeft();var i=t.nc.getScrollTop(),s=t.nc.page.maxh,o=t.nc.page.maxw;t.speedx=0<o?Math.min(60,t.speedx):0;t.speedy=0<s?Math.min(60,t.speedy):0;r=r&&60>=n-r;if(0>i||i>s||0>e||e>o)r=!1;e=t.speedx&&r?t.speedx:!1;if(t.speedy&&r&&t.speedy||e){var u=Math.max(16,t.steptime);50<u&&(e=u/50,t.speedx*=e,t.speedy*=e,u=50);t.demulxy=0;t.lastscrollx=t.nc.getScrollLeft();t.chkx=t.lastscrollx;t.lastscrolly=t.nc.getScrollTop();t.chky=t.lastscrolly;var a=t.lastscrollx,f=t.lastscrolly,l=function(){var e=600<t.time()-n?.04:.02;if(t.speedx&&(a=Math.floor(t.lastscrollx-t.speedx*(1-t.demulxy)),t.lastscrollx=a,0>a||a>o))e=.1;if(t.speedy&&(f=Math.floor(t.lastscrolly-t.speedy*(1-t.demulxy)),t.lastscrolly=f,0>f||f>s))e=.1;t.demulxy=Math.min(1,t.demulxy+e);t.nc.synched("domomentum2d",function(){t.speedx&&(t.nc.getScrollLeft()!=t.chkx&&t.stop(),t.chkx=a,t.nc.setScrollLeft(a));t.speedy&&(t.nc.getScrollTop()!=t.chky&&t.stop(),t.chky=f,t.nc.setScrollTop(f));t.timer||(t.nc.hideCursor(),t.doSnapy(a,f))});1>t.demulxy?t.timer=setTimeout(l,u):(t.stop(),t.nc.hideCursor(),t.doSnapy(a,f))};l()}else t.doSnapy(t.nc.getScrollLeft(),t.nc.getScrollTop())}},g=e.fn.scrollTop;e.cssHooks.pageYOffset={get:function(t,n,r){return(n=e.data(t,"__nicescroll")||!1)&&n.ishwscroll?n.getScrollTop():g.call(t)},set:function(t,n){var r=e.data(t,"__nicescroll")||!1;r&&r.ishwscroll?r.setScrollTop(parseInt(n)):g.call(t,n);return this}};e.fn.scrollTop=function(t){if("undefined"==typeof t){var n=this[0]?e.data(this[0],"__nicescroll")||!1:!1;return n&&n.ishwscroll?n.getScrollTop():g.call(this)}return this.each(function(){var n=e.data(this,"__nicescroll")||!1;n&&n.ishwscroll?n.setScrollTop(parseInt(t)):g.call(e(this),t)})};var y=e.fn.scrollLeft;e.cssHooks.pageXOffset={get:function(t,n,r){return(n=e.data(t,"__nicescroll")||!1)&&n.ishwscroll?n.getScrollLeft():y.call(t)},set:function(t,n){var r=e.data(t,"__nicescroll")||!1;r&&r.ishwscroll?r.setScrollLeft(parseInt(n)):y.call(t,n);return this}};e.fn.scrollLeft=function(t){if("undefined"==typeof t){var n=this[0]?e.data(this[0],"__nicescroll")||!1:!1;return n&&n.ishwscroll?n.getScrollLeft():y.call(this)}return this.each(function(){var n=e.data(this,"__nicescroll")||!1;n&&n.ishwscroll?n.setScrollLeft(parseInt(t)):y.call(e(this),t)})};var b=function(t){var n=this;this.length=0;this.name="nicescrollarray";this.each=function(e){for(var t=0,r=0;t<n.length;t++)e.call(n[t],r++);return n};this.push=function(e){n[n.length]=e;n.length++};this.eq=function(e){return n[e]};if(t)for(var r=0;r<t.length;r++){var i=e.data(t[r],"__nicescroll")||!1;i&&(this[this.length]=i,this.length++)}return this};(function(e,t,n){for(var r=0;r<t.length;r++)n(e,t[r])})(b.prototype,"show hide toggle onResize resize remove stop doScrollPos".split(" "),function(e,t){e[t]=function(){var e=arguments;return this.each(function(){this[t].apply(this,e)})}});e.fn.getNiceScroll=function(t){return"undefined"==typeof t?new b(this):this[t]&&e.data(this[t],"__nicescroll")||!1};e.extend(e.expr[":"],{nicescroll:function(t){return e.data(t,"__nicescroll")?!0:!1}});e.fn.niceScroll=function(t,n){"undefined"==typeof n&&"object"==typeof t&&!("jquery"in t)&&(n=t,t=!1);var r=new b;"undefined"==typeof n&&(n={});t&&(n.doc=e(t),n.win=e(this));var i=!("doc"in n);!i&&!("win"in n)&&(n.win=e(this));this.each(function(){var t=e(this).data("__nicescroll")||!1;t||(n.doc=i?e(this):n.doc,t=new v(n,e(this)),e(this).data("__nicescroll",t));r.push(t)});return 1==r.length?r[0]:r};window.NiceScroll={getjQuery:function(){return e}};e.nicescroll||(e.nicescroll=new b,e.nicescroll.options=h)});



/********************************************
	-	THEMEPUNCH TOOLS Ver. 1.0     -
	 Last Update of Tools 22.01.2013
*********************************************/

/*! Hammer.JS - v1.0.5 - 2013-04-07
 * http://eightmedia.github.com/hammer.js
 *
 * Copyright (c) 2013 Jorik Tangelder <j.tangelder@gmail.com>;
 * Licensed under the MIT license */

(function(t,e){"use strict";function n(){if(!i.READY){i.event.determineEventTypes();for(var t in i.gestures)i.gestures.hasOwnProperty(t)&&i.detection.register(i.gestures[t]);i.event.onTouch(i.DOCUMENT,i.EVENT_MOVE,i.detection.detect),i.event.onTouch(i.DOCUMENT,i.EVENT_END,i.detection.detect),i.READY=!0}}var i=function(t,e){return new i.Instance(t,e||{})};i.defaults={stop_browser_behavior:{userSelect:"none",touchAction:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},i.HAS_POINTEREVENTS=navigator.pointerEnabled||navigator.msPointerEnabled,i.HAS_TOUCHEVENTS="ontouchstart"in t,i.MOBILE_REGEX=/mobile|tablet|ip(ad|hone|od)|android/i,i.NO_MOUSEEVENTS=i.HAS_TOUCHEVENTS&&navigator.userAgent.match(i.MOBILE_REGEX),i.EVENT_TYPES={},i.DIRECTION_DOWN="down",i.DIRECTION_LEFT="left",i.DIRECTION_UP="up",i.DIRECTION_RIGHT="right",i.POINTER_MOUSE="mouse",i.POINTER_TOUCH="touch",i.POINTER_PEN="pen",i.EVENT_START="start",i.EVENT_MOVE="move",i.EVENT_END="end",i.DOCUMENT=document,i.plugins={},i.READY=!1,i.Instance=function(t,e){var r=this;return n(),this.element=t,this.enabled=!0,this.options=i.utils.extend(i.utils.extend({},i.defaults),e||{}),this.options.stop_browser_behavior&&i.utils.stopDefaultBrowserBehavior(this.element,this.options.stop_browser_behavior),i.event.onTouch(t,i.EVENT_START,function(t){r.enabled&&i.detection.startDetect(r,t)}),this},i.Instance.prototype={on:function(t,e){for(var n=t.split(" "),i=0;n.length>i;i++)this.element.addEventListener(n[i],e,!1);return this},off:function(t,e){for(var n=t.split(" "),i=0;n.length>i;i++)this.element.removeEventListener(n[i],e,!1);return this},trigger:function(t,e){var n=i.DOCUMENT.createEvent("Event");n.initEvent(t,!0,!0),n.gesture=e;var r=this.element;return i.utils.hasParent(e.target,r)&&(r=e.target),r.dispatchEvent(n),this},enable:function(t){return this.enabled=t,this}};var r=null,o=!1,s=!1;i.event={bindDom:function(t,e,n){for(var i=e.split(" "),r=0;i.length>r;r++)t.addEventListener(i[r],n,!1)},onTouch:function(t,e,n){var a=this;this.bindDom(t,i.EVENT_TYPES[e],function(c){var u=c.type.toLowerCase();if(!u.match(/mouse/)||!s){(u.match(/touch/)||u.match(/pointerdown/)||u.match(/mouse/)&&1===c.which)&&(o=!0),u.match(/touch|pointer/)&&(s=!0);var h=0;o&&(i.HAS_POINTEREVENTS&&e!=i.EVENT_END?h=i.PointerEvent.updatePointer(e,c):u.match(/touch/)?h=c.touches.length:s||(h=u.match(/up/)?0:1),h>0&&e==i.EVENT_END?e=i.EVENT_MOVE:h||(e=i.EVENT_END),h||null===r?r=c:c=r,n.call(i.detection,a.collectEventData(t,e,c)),i.HAS_POINTEREVENTS&&e==i.EVENT_END&&(h=i.PointerEvent.updatePointer(e,c))),h||(r=null,o=!1,s=!1,i.PointerEvent.reset())}})},determineEventTypes:function(){var t;t=i.HAS_POINTEREVENTS?i.PointerEvent.getEvents():i.NO_MOUSEEVENTS?["touchstart","touchmove","touchend touchcancel"]:["touchstart mousedown","touchmove mousemove","touchend touchcancel mouseup"],i.EVENT_TYPES[i.EVENT_START]=t[0],i.EVENT_TYPES[i.EVENT_MOVE]=t[1],i.EVENT_TYPES[i.EVENT_END]=t[2]},getTouchList:function(t){return i.HAS_POINTEREVENTS?i.PointerEvent.getTouchList():t.touches?t.touches:[{identifier:1,pageX:t.pageX,pageY:t.pageY,target:t.target}]},collectEventData:function(t,e,n){var r=this.getTouchList(n,e),o=i.POINTER_TOUCH;return(n.type.match(/mouse/)||i.PointerEvent.matchType(i.POINTER_MOUSE,n))&&(o=i.POINTER_MOUSE),{center:i.utils.getCenter(r),timeStamp:(new Date).getTime(),target:n.target,touches:r,eventType:e,pointerType:o,srcEvent:n,preventDefault:function(){this.srcEvent.preventManipulation&&this.srcEvent.preventManipulation(),this.srcEvent.preventDefault&&this.srcEvent.preventDefault()},stopPropagation:function(){this.srcEvent.stopPropagation()},stopDetect:function(){return i.detection.stopDetect()}}}},i.PointerEvent={pointers:{},getTouchList:function(){var t=this,e=[];return Object.keys(t.pointers).sort().forEach(function(n){e.push(t.pointers[n])}),e},updatePointer:function(t,e){return t==i.EVENT_END?this.pointers={}:(e.identifier=e.pointerId,this.pointers[e.pointerId]=e),Object.keys(this.pointers).length},matchType:function(t,e){if(!e.pointerType)return!1;var n={};return n[i.POINTER_MOUSE]=e.pointerType==e.MSPOINTER_TYPE_MOUSE||e.pointerType==i.POINTER_MOUSE,n[i.POINTER_TOUCH]=e.pointerType==e.MSPOINTER_TYPE_TOUCH||e.pointerType==i.POINTER_TOUCH,n[i.POINTER_PEN]=e.pointerType==e.MSPOINTER_TYPE_PEN||e.pointerType==i.POINTER_PEN,n[t]},getEvents:function(){return["pointerdown MSPointerDown","pointermove MSPointerMove","pointerup pointercancel MSPointerUp MSPointerCancel"]},reset:function(){this.pointers={}}},i.utils={extend:function(t,n,i){for(var r in n)t[r]!==e&&i||(t[r]=n[r]);return t},hasParent:function(t,e){for(;t;){if(t==e)return!0;t=t.parentNode}return!1},getCenter:function(t){for(var e=[],n=[],i=0,r=t.length;r>i;i++)e.push(t[i].pageX),n.push(t[i].pageY);return{pageX:(Math.min.apply(Math,e)+Math.max.apply(Math,e))/2,pageY:(Math.min.apply(Math,n)+Math.max.apply(Math,n))/2}},getVelocity:function(t,e,n){return{x:Math.abs(e/t)||0,y:Math.abs(n/t)||0}},getAngle:function(t,e){var n=e.pageY-t.pageY,i=e.pageX-t.pageX;return 180*Math.atan2(n,i)/Math.PI},getDirection:function(t,e){var n=Math.abs(t.pageX-e.pageX),r=Math.abs(t.pageY-e.pageY);return n>=r?t.pageX-e.pageX>0?i.DIRECTION_LEFT:i.DIRECTION_RIGHT:t.pageY-e.pageY>0?i.DIRECTION_UP:i.DIRECTION_DOWN},getDistance:function(t,e){var n=e.pageX-t.pageX,i=e.pageY-t.pageY;return Math.sqrt(n*n+i*i)},getScale:function(t,e){return t.length>=2&&e.length>=2?this.getDistance(e[0],e[1])/this.getDistance(t[0],t[1]):1},getRotation:function(t,e){return t.length>=2&&e.length>=2?this.getAngle(e[1],e[0])-this.getAngle(t[1],t[0]):0},isVertical:function(t){return t==i.DIRECTION_UP||t==i.DIRECTION_DOWN},stopDefaultBrowserBehavior:function(t,e){var n,i=["webkit","khtml","moz","ms","o",""];if(e&&t.style){for(var r=0;i.length>r;r++)for(var o in e)e.hasOwnProperty(o)&&(n=o,i[r]&&(n=i[r]+n.substring(0,1).toUpperCase()+n.substring(1)),t.style[n]=e[o]);"none"==e.userSelect&&(t.onselectstart=function(){return!1})}}},i.detection={gestures:[],current:null,previous:null,stopped:!1,startDetect:function(t,e){this.current||(this.stopped=!1,this.current={inst:t,startEvent:i.utils.extend({},e),lastEvent:!1,name:""},this.detect(e))},detect:function(t){if(this.current&&!this.stopped){t=this.extendEventData(t);for(var e=this.current.inst.options,n=0,r=this.gestures.length;r>n;n++){var o=this.gestures[n];if(!this.stopped&&e[o.name]!==!1&&o.handler.call(o,t,this.current.inst)===!1){this.stopDetect();break}}return this.current&&(this.current.lastEvent=t),t.eventType==i.EVENT_END&&!t.touches.length-1&&this.stopDetect(),t}},stopDetect:function(){this.previous=i.utils.extend({},this.current),this.current=null,this.stopped=!0},extendEventData:function(t){var e=this.current.startEvent;if(e&&(t.touches.length!=e.touches.length||t.touches===e.touches)){e.touches=[];for(var n=0,r=t.touches.length;r>n;n++)e.touches.push(i.utils.extend({},t.touches[n]))}var o=t.timeStamp-e.timeStamp,s=t.center.pageX-e.center.pageX,a=t.center.pageY-e.center.pageY,c=i.utils.getVelocity(o,s,a);return i.utils.extend(t,{deltaTime:o,deltaX:s,deltaY:a,velocityX:c.x,velocityY:c.y,distance:i.utils.getDistance(e.center,t.center),angle:i.utils.getAngle(e.center,t.center),direction:i.utils.getDirection(e.center,t.center),scale:i.utils.getScale(e.touches,t.touches),rotation:i.utils.getRotation(e.touches,t.touches),startEvent:e}),t},register:function(t){var n=t.defaults||{};return n[t.name]===e&&(n[t.name]=!0),i.utils.extend(i.defaults,n,!0),t.index=t.index||1e3,this.gestures.push(t),this.gestures.sort(function(t,e){return t.index<e.index?-1:t.index>e.index?1:0}),this.gestures}},i.gestures=i.gestures||{},i.gestures.Hold={name:"hold",index:10,defaults:{hold_timeout:500,hold_threshold:1},timer:null,handler:function(t,e){switch(t.eventType){case i.EVENT_START:clearTimeout(this.timer),i.detection.current.name=this.name,this.timer=setTimeout(function(){"hold"==i.detection.current.name&&e.trigger("hold",t)},e.options.hold_timeout);break;case i.EVENT_MOVE:t.distance>e.options.hold_threshold&&clearTimeout(this.timer);break;case i.EVENT_END:clearTimeout(this.timer)}}},i.gestures.Tap={name:"tap",index:100,defaults:{tap_max_touchtime:250,tap_max_distance:10,tap_always:!0,doubletap_distance:20,doubletap_interval:300},handler:function(t,e){if(t.eventType==i.EVENT_END){var n=i.detection.previous,r=!1;if(t.deltaTime>e.options.tap_max_touchtime||t.distance>e.options.tap_max_distance)return;n&&"tap"==n.name&&t.timeStamp-n.lastEvent.timeStamp<e.options.doubletap_interval&&t.distance<e.options.doubletap_distance&&(e.trigger("doubletap",t),r=!0),(!r||e.options.tap_always)&&(i.detection.current.name="tap",e.trigger(i.detection.current.name,t))}}},i.gestures.Swipe={name:"swipe",index:40,defaults:{swipe_max_touches:1,swipe_velocity:.7},handler:function(t,e){if(t.eventType==i.EVENT_END){if(e.options.swipe_max_touches>0&&t.touches.length>e.options.swipe_max_touches)return;(t.velocityX>e.options.swipe_velocity||t.velocityY>e.options.swipe_velocity)&&(e.trigger(this.name,t),e.trigger(this.name+t.direction,t))}}},i.gestures.Drag={name:"drag",index:50,defaults:{drag_min_distance:10,drag_max_touches:1,drag_block_horizontal:!1,drag_block_vertical:!1,drag_lock_to_axis:!1,drag_lock_min_distance:25},triggered:!1,handler:function(t,n){if(i.detection.current.name!=this.name&&this.triggered)return n.trigger(this.name+"end",t),this.triggered=!1,e;if(!(n.options.drag_max_touches>0&&t.touches.length>n.options.drag_max_touches))switch(t.eventType){case i.EVENT_START:this.triggered=!1;break;case i.EVENT_MOVE:if(t.distance<n.options.drag_min_distance&&i.detection.current.name!=this.name)return;i.detection.current.name=this.name,(i.detection.current.lastEvent.drag_locked_to_axis||n.options.drag_lock_to_axis&&n.options.drag_lock_min_distance<=t.distance)&&(t.drag_locked_to_axis=!0);var r=i.detection.current.lastEvent.direction;t.drag_locked_to_axis&&r!==t.direction&&(t.direction=i.utils.isVertical(r)?0>t.deltaY?i.DIRECTION_UP:i.DIRECTION_DOWN:0>t.deltaX?i.DIRECTION_LEFT:i.DIRECTION_RIGHT),this.triggered||(n.trigger(this.name+"start",t),this.triggered=!0),n.trigger(this.name,t),n.trigger(this.name+t.direction,t),(n.options.drag_block_vertical&&i.utils.isVertical(t.direction)||n.options.drag_block_horizontal&&!i.utils.isVertical(t.direction))&&t.preventDefault();break;case i.EVENT_END:this.triggered&&n.trigger(this.name+"end",t),this.triggered=!1}}},i.gestures.Transform={name:"transform",index:45,defaults:{transform_min_scale:.01,transform_min_rotation:1,transform_always_block:!1},triggered:!1,handler:function(t,n){if(i.detection.current.name!=this.name&&this.triggered)return n.trigger(this.name+"end",t),this.triggered=!1,e;if(!(2>t.touches.length))switch(n.options.transform_always_block&&t.preventDefault(),t.eventType){case i.EVENT_START:this.triggered=!1;break;case i.EVENT_MOVE:var r=Math.abs(1-t.scale),o=Math.abs(t.rotation);if(n.options.transform_min_scale>r&&n.options.transform_min_rotation>o)return;i.detection.current.name=this.name,this.triggered||(n.trigger(this.name+"start",t),this.triggered=!0),n.trigger(this.name,t),o>n.options.transform_min_rotation&&n.trigger("rotate",t),r>n.options.transform_min_scale&&(n.trigger("pinch",t),n.trigger("pinch"+(1>t.scale?"in":"out"),t));break;case i.EVENT_END:this.triggered&&n.trigger(this.name+"end",t),this.triggered=!1}}},i.gestures.Touch={name:"touch",index:-1/0,defaults:{prevent_default:!1,prevent_mouseevents:!1},handler:function(t,n){return n.options.prevent_mouseevents&&t.pointerType==i.POINTER_MOUSE?(t.stopDetect(),e):(n.options.prevent_default&&t.preventDefault(),t.eventType==i.EVENT_START&&n.trigger(this.name,t),e)}},i.gestures.Release={name:"release",index:1/0,handler:function(t,e){t.eventType==i.EVENT_END&&e.trigger(this.name,t)}},"object"==typeof module&&"object"==typeof module.exports?module.exports=i:(t.Hammer=i,"function"==typeof t.define&&t.define.amd&&t.define("hammer",[],function(){return i}))})(this),function(t,e){"use strict";t!==e&&(Hammer.event.bindDom=function(n,i,r){t(n).on(i,function(t){var n=t.originalEvent||t;n.pageX===e&&(n.pageX=t.pageX,n.pageY=t.pageY),n.target||(n.target=t.target),n.which===e&&(n.which=n.button),n.preventDefault||(n.preventDefault=t.preventDefault),n.stopPropagation||(n.stopPropagation=t.stopPropagation),r.call(this,n)})},Hammer.Instance.prototype.on=function(e,n){return t(this.element).on(e,n)},Hammer.Instance.prototype.off=function(e,n){return t(this.element).off(e,n)},Hammer.Instance.prototype.trigger=function(e,n){var i=t(this.element);return i.has(n.target).length&&(i=t(n.target)),i.trigger({type:e,gesture:n})},t.fn.hammer=function(e){return this.each(function(){var n=t(this),i=n.data("hammer");i?i&&e&&Hammer.utils.extend(i.options,e):n.data("hammer",new Hammer(this,e||{}))})})}(window.jQuery||window.Zepto);


/*!
 * VERSION: 1.11.5
 * DATE: 2014-02-20
 * UPDATES AND DOCS AT: http://www.greensock.com
 *
 * @license Copyright (c) 2008-2014, GreenSock. All rights reserved.
 * This work is subject to the terms at http://www.greensock.com/terms_of_use.html or for
 * Club GreenSock members, the software agreement that was issued with your membership.
 * 
 * @author: Jack Doyle, jack@greensock.com
 */
(function(t){"use strict";var e=t.GreenSockGlobals||t;if(!e.TweenLite){var i,s,r,n,a,o=function(t){var i,s=t.split("."),r=e;for(i=0;s.length>i;i++)r[s[i]]=r=r[s[i]]||{};return r},l=o("com.greensock"),h=1e-10,_=[].slice,u=function(){},m=function(){var t=Object.prototype.toString,e=t.call([]);return function(i){return null!=i&&(i instanceof Array||"object"==typeof i&&!!i.push&&t.call(i)===e)}}(),f={},p=function(i,s,r,n){this.sc=f[i]?f[i].sc:[],f[i]=this,this.gsClass=null,this.func=r;var a=[];this.check=function(l){for(var h,_,u,m,c=s.length,d=c;--c>-1;)(h=f[s[c]]||new p(s[c],[])).gsClass?(a[c]=h.gsClass,d--):l&&h.sc.push(this);if(0===d&&r)for(_=("com.greensock."+i).split("."),u=_.pop(),m=o(_.join("."))[u]=this.gsClass=r.apply(r,a),n&&(e[u]=m,"function"==typeof define&&define.amd?define((t.GreenSockAMDPath?t.GreenSockAMDPath+"/":"")+i.split(".").join("/"),[],function(){return m}):"undefined"!=typeof module&&module.exports&&(module.exports=m)),c=0;this.sc.length>c;c++)this.sc[c].check()},this.check(!0)},c=t._gsDefine=function(t,e,i,s){return new p(t,e,i,s)},d=l._class=function(t,e,i){return e=e||function(){},c(t,[],function(){return e},i),e};c.globals=e;var v=[0,0,1,1],g=[],T=d("easing.Ease",function(t,e,i,s){this._func=t,this._type=i||0,this._power=s||0,this._params=e?v.concat(e):v},!0),w=T.map={},P=T.register=function(t,e,i,s){for(var r,n,a,o,h=e.split(","),_=h.length,u=(i||"easeIn,easeOut,easeInOut").split(",");--_>-1;)for(n=h[_],r=s?d("easing."+n,null,!0):l.easing[n]||{},a=u.length;--a>-1;)o=u[a],w[n+"."+o]=w[o+n]=r[o]=t.getRatio?t:t[o]||new t};for(r=T.prototype,r._calcEnd=!1,r.getRatio=function(t){if(this._func)return this._params[0]=t,this._func.apply(null,this._params);var e=this._type,i=this._power,s=1===e?1-t:2===e?t:.5>t?2*t:2*(1-t);return 1===i?s*=s:2===i?s*=s*s:3===i?s*=s*s*s:4===i&&(s*=s*s*s*s),1===e?1-s:2===e?s:.5>t?s/2:1-s/2},i=["Linear","Quad","Cubic","Quart","Quint,Strong"],s=i.length;--s>-1;)r=i[s]+",Power"+s,P(new T(null,null,1,s),r,"easeOut",!0),P(new T(null,null,2,s),r,"easeIn"+(0===s?",easeNone":"")),P(new T(null,null,3,s),r,"easeInOut");w.linear=l.easing.Linear.easeIn,w.swing=l.easing.Quad.easeInOut;var y=d("events.EventDispatcher",function(t){this._listeners={},this._eventTarget=t||this});r=y.prototype,r.addEventListener=function(t,e,i,s,r){r=r||0;var o,l,h=this._listeners[t],_=0;for(null==h&&(this._listeners[t]=h=[]),l=h.length;--l>-1;)o=h[l],o.c===e&&o.s===i?h.splice(l,1):0===_&&r>o.pr&&(_=l+1);h.splice(_,0,{c:e,s:i,up:s,pr:r}),this!==n||a||n.wake()},r.removeEventListener=function(t,e){var i,s=this._listeners[t];if(s)for(i=s.length;--i>-1;)if(s[i].c===e)return s.splice(i,1),void 0},r.dispatchEvent=function(t){var e,i,s,r=this._listeners[t];if(r)for(e=r.length,i=this._eventTarget;--e>-1;)s=r[e],s.up?s.c.call(s.s||i,{type:t,target:i}):s.c.call(s.s||i)};var b=t.requestAnimationFrame,k=t.cancelAnimationFrame,A=Date.now||function(){return(new Date).getTime()},S=A();for(i=["ms","moz","webkit","o"],s=i.length;--s>-1&&!b;)b=t[i[s]+"RequestAnimationFrame"],k=t[i[s]+"CancelAnimationFrame"]||t[i[s]+"CancelRequestAnimationFrame"];d("Ticker",function(t,e){var i,s,r,o,l,h=this,_=A(),m=e!==!1&&b,f=function(t){S=A(),h.time=(S-_)/1e3;var e,n=h.time-l;(!i||n>0||t===!0)&&(h.frame++,l+=n+(n>=o?.004:o-n),e=!0),t!==!0&&(r=s(f)),e&&h.dispatchEvent("tick")};y.call(h),h.time=h.frame=0,h.tick=function(){f(!0)},h.sleep=function(){null!=r&&(m&&k?k(r):clearTimeout(r),s=u,r=null,h===n&&(a=!1))},h.wake=function(){null!==r&&h.sleep(),s=0===i?u:m&&b?b:function(t){return setTimeout(t,0|1e3*(l-h.time)+1)},h===n&&(a=!0),f(2)},h.fps=function(t){return arguments.length?(i=t,o=1/(i||60),l=this.time+o,h.wake(),void 0):i},h.useRAF=function(t){return arguments.length?(h.sleep(),m=t,h.fps(i),void 0):m},h.fps(t),setTimeout(function(){m&&(!r||5>h.frame)&&h.useRAF(!1)},1500)}),r=l.Ticker.prototype=new l.events.EventDispatcher,r.constructor=l.Ticker;var x=d("core.Animation",function(t,e){if(this.vars=e=e||{},this._duration=this._totalDuration=t||0,this._delay=Number(e.delay)||0,this._timeScale=1,this._active=e.immediateRender===!0,this.data=e.data,this._reversed=e.reversed===!0,Q){a||n.wake();var i=this.vars.useFrames?G:Q;i.add(this,i._time),this.vars.paused&&this.paused(!0)}});n=x.ticker=new l.Ticker,r=x.prototype,r._dirty=r._gc=r._initted=r._paused=!1,r._totalTime=r._time=0,r._rawPrevTime=-1,r._next=r._last=r._onUpdate=r._timeline=r.timeline=null,r._paused=!1;var C=function(){a&&A()-S>2e3&&n.wake(),setTimeout(C,2e3)};C(),r.play=function(t,e){return arguments.length&&this.seek(t,e),this.reversed(!1).paused(!1)},r.pause=function(t,e){return arguments.length&&this.seek(t,e),this.paused(!0)},r.resume=function(t,e){return arguments.length&&this.seek(t,e),this.paused(!1)},r.seek=function(t,e){return this.totalTime(Number(t),e!==!1)},r.restart=function(t,e){return this.reversed(!1).paused(!1).totalTime(t?-this._delay:0,e!==!1,!0)},r.reverse=function(t,e){return arguments.length&&this.seek(t||this.totalDuration(),e),this.reversed(!0).paused(!1)},r.render=function(){},r.invalidate=function(){return this},r.isActive=function(){var t,e=this._timeline,i=this._startTime;return!e||!this._gc&&!this._paused&&e.isActive()&&(t=e.rawTime())>=i&&i+this.totalDuration()/this._timeScale>t},r._enabled=function(t,e){return a||n.wake(),this._gc=!t,this._active=this.isActive(),e!==!0&&(t&&!this.timeline?this._timeline.add(this,this._startTime-this._delay):!t&&this.timeline&&this._timeline._remove(this,!0)),!1},r._kill=function(){return this._enabled(!1,!1)},r.kill=function(t,e){return this._kill(t,e),this},r._uncache=function(t){for(var e=t?this:this.timeline;e;)e._dirty=!0,e=e.timeline;return this},r._swapSelfInParams=function(t){for(var e=t.length,i=t.concat();--e>-1;)"{self}"===t[e]&&(i[e]=this);return i},r.eventCallback=function(t,e,i,s){if("on"===(t||"").substr(0,2)){var r=this.vars;if(1===arguments.length)return r[t];null==e?delete r[t]:(r[t]=e,r[t+"Params"]=m(i)&&-1!==i.join("").indexOf("{self}")?this._swapSelfInParams(i):i,r[t+"Scope"]=s),"onUpdate"===t&&(this._onUpdate=e)}return this},r.delay=function(t){return arguments.length?(this._timeline.smoothChildTiming&&this.startTime(this._startTime+t-this._delay),this._delay=t,this):this._delay},r.duration=function(t){return arguments.length?(this._duration=this._totalDuration=t,this._uncache(!0),this._timeline.smoothChildTiming&&this._time>0&&this._time<this._duration&&0!==t&&this.totalTime(this._totalTime*(t/this._duration),!0),this):(this._dirty=!1,this._duration)},r.totalDuration=function(t){return this._dirty=!1,arguments.length?this.duration(t):this._totalDuration},r.time=function(t,e){return arguments.length?(this._dirty&&this.totalDuration(),this.totalTime(t>this._duration?this._duration:t,e)):this._time},r.totalTime=function(t,e,i){if(a||n.wake(),!arguments.length)return this._totalTime;if(this._timeline){if(0>t&&!i&&(t+=this.totalDuration()),this._timeline.smoothChildTiming){this._dirty&&this.totalDuration();var s=this._totalDuration,r=this._timeline;if(t>s&&!i&&(t=s),this._startTime=(this._paused?this._pauseTime:r._time)-(this._reversed?s-t:t)/this._timeScale,r._dirty||this._uncache(!1),r._timeline)for(;r._timeline;)r._timeline._time!==(r._startTime+r._totalTime)/r._timeScale&&r.totalTime(r._totalTime,!0),r=r._timeline}this._gc&&this._enabled(!0,!1),(this._totalTime!==t||0===this._duration)&&this.render(t,e,!1)}return this},r.progress=r.totalProgress=function(t,e){return arguments.length?this.totalTime(this.duration()*t,e):this._time/this.duration()},r.startTime=function(t){return arguments.length?(t!==this._startTime&&(this._startTime=t,this.timeline&&this.timeline._sortChildren&&this.timeline.add(this,t-this._delay)),this):this._startTime},r.timeScale=function(t){if(!arguments.length)return this._timeScale;if(t=t||h,this._timeline&&this._timeline.smoothChildTiming){var e=this._pauseTime,i=e||0===e?e:this._timeline.totalTime();this._startTime=i-(i-this._startTime)*this._timeScale/t}return this._timeScale=t,this._uncache(!1)},r.reversed=function(t){return arguments.length?(t!=this._reversed&&(this._reversed=t,this.totalTime(this._timeline&&!this._timeline.smoothChildTiming?this.totalDuration()-this._totalTime:this._totalTime,!0)),this):this._reversed},r.paused=function(t){if(!arguments.length)return this._paused;if(t!=this._paused&&this._timeline){a||t||n.wake();var e=this._timeline,i=e.rawTime(),s=i-this._pauseTime;!t&&e.smoothChildTiming&&(this._startTime+=s,this._uncache(!1)),this._pauseTime=t?i:null,this._paused=t,this._active=this.isActive(),!t&&0!==s&&this._initted&&this.duration()&&this.render(e.smoothChildTiming?this._totalTime:(i-this._startTime)/this._timeScale,!0,!0)}return this._gc&&!t&&this._enabled(!0,!1),this};var R=d("core.SimpleTimeline",function(t){x.call(this,0,t),this.autoRemoveChildren=this.smoothChildTiming=!0});r=R.prototype=new x,r.constructor=R,r.kill()._gc=!1,r._first=r._last=null,r._sortChildren=!1,r.add=r.insert=function(t,e){var i,s;if(t._startTime=Number(e||0)+t._delay,t._paused&&this!==t._timeline&&(t._pauseTime=t._startTime+(this.rawTime()-t._startTime)/t._timeScale),t.timeline&&t.timeline._remove(t,!0),t.timeline=t._timeline=this,t._gc&&t._enabled(!0,!0),i=this._last,this._sortChildren)for(s=t._startTime;i&&i._startTime>s;)i=i._prev;return i?(t._next=i._next,i._next=t):(t._next=this._first,this._first=t),t._next?t._next._prev=t:this._last=t,t._prev=i,this._timeline&&this._uncache(!0),this},r._remove=function(t,e){return t.timeline===this&&(e||t._enabled(!1,!0),t.timeline=null,t._prev?t._prev._next=t._next:this._first===t&&(this._first=t._next),t._next?t._next._prev=t._prev:this._last===t&&(this._last=t._prev),this._timeline&&this._uncache(!0)),this},r.render=function(t,e,i){var s,r=this._first;for(this._totalTime=this._time=this._rawPrevTime=t;r;)s=r._next,(r._active||t>=r._startTime&&!r._paused)&&(r._reversed?r.render((r._dirty?r.totalDuration():r._totalDuration)-(t-r._startTime)*r._timeScale,e,i):r.render((t-r._startTime)*r._timeScale,e,i)),r=s},r.rawTime=function(){return a||n.wake(),this._totalTime};var D=d("TweenLite",function(e,i,s){if(x.call(this,i,s),this.render=D.prototype.render,null==e)throw"Cannot tween a null target.";this.target=e="string"!=typeof e?e:D.selector(e)||e;var r,n,a,o=e.jquery||e.length&&e!==t&&e[0]&&(e[0]===t||e[0].nodeType&&e[0].style&&!e.nodeType),l=this.vars.overwrite;if(this._overwrite=l=null==l?j[D.defaultOverwrite]:"number"==typeof l?l>>0:j[l],(o||e instanceof Array||e.push&&m(e))&&"number"!=typeof e[0])for(this._targets=a=_.call(e,0),this._propLookup=[],this._siblings=[],r=0;a.length>r;r++)n=a[r],n?"string"!=typeof n?n.length&&n!==t&&n[0]&&(n[0]===t||n[0].nodeType&&n[0].style&&!n.nodeType)?(a.splice(r--,1),this._targets=a=a.concat(_.call(n,0))):(this._siblings[r]=B(n,this,!1),1===l&&this._siblings[r].length>1&&q(n,this,null,1,this._siblings[r])):(n=a[r--]=D.selector(n),"string"==typeof n&&a.splice(r+1,1)):a.splice(r--,1);else this._propLookup={},this._siblings=B(e,this,!1),1===l&&this._siblings.length>1&&q(e,this,null,1,this._siblings);(this.vars.immediateRender||0===i&&0===this._delay&&this.vars.immediateRender!==!1)&&this.render(-this._delay,!1,!0)},!0),E=function(e){return e.length&&e!==t&&e[0]&&(e[0]===t||e[0].nodeType&&e[0].style&&!e.nodeType)},I=function(t,e){var i,s={};for(i in t)F[i]||i in e&&"x"!==i&&"y"!==i&&"width"!==i&&"height"!==i&&"className"!==i&&"border"!==i||!(!N[i]||N[i]&&N[i]._autoCSS)||(s[i]=t[i],delete t[i]);t.css=s};r=D.prototype=new x,r.constructor=D,r.kill()._gc=!1,r.ratio=0,r._firstPT=r._targets=r._overwrittenProps=r._startAt=null,r._notifyPluginsOfEnabled=!1,D.version="1.11.5",D.defaultEase=r._ease=new T(null,null,1,1),D.defaultOverwrite="auto",D.ticker=n,D.autoSleep=!0,D.selector=t.$||t.jQuery||function(e){return t.$?(D.selector=t.$,t.$(e)):t.document?t.document.getElementById("#"===e.charAt(0)?e.substr(1):e):e};var O=D._internals={isArray:m,isSelector:E},N=D._plugins={},L=D._tweenLookup={},U=0,F=O.reservedProps={ease:1,delay:1,overwrite:1,onComplete:1,onCompleteParams:1,onCompleteScope:1,useFrames:1,runBackwards:1,startAt:1,onUpdate:1,onUpdateParams:1,onUpdateScope:1,onStart:1,onStartParams:1,onStartScope:1,onReverseComplete:1,onReverseCompleteParams:1,onReverseCompleteScope:1,onRepeat:1,onRepeatParams:1,onRepeatScope:1,easeParams:1,yoyo:1,immediateRender:1,repeat:1,repeatDelay:1,data:1,paused:1,reversed:1,autoCSS:1},j={none:0,all:1,auto:2,concurrent:3,allOnStart:4,preexisting:5,"true":1,"false":0},G=x._rootFramesTimeline=new R,Q=x._rootTimeline=new R;Q._startTime=n.time,G._startTime=n.frame,Q._active=G._active=!0,x._updateRoot=function(){if(Q.render((n.time-Q._startTime)*Q._timeScale,!1,!1),G.render((n.frame-G._startTime)*G._timeScale,!1,!1),!(n.frame%120)){var t,e,i;for(i in L){for(e=L[i].tweens,t=e.length;--t>-1;)e[t]._gc&&e.splice(t,1);0===e.length&&delete L[i]}if(i=Q._first,(!i||i._paused)&&D.autoSleep&&!G._first&&1===n._listeners.tick.length){for(;i&&i._paused;)i=i._next;i||n.sleep()}}},n.addEventListener("tick",x._updateRoot);var B=function(t,e,i){var s,r,n=t._gsTweenID;if(L[n||(t._gsTweenID=n="t"+U++)]||(L[n]={target:t,tweens:[]}),e&&(s=L[n].tweens,s[r=s.length]=e,i))for(;--r>-1;)s[r]===e&&s.splice(r,1);return L[n].tweens},q=function(t,e,i,s,r){var n,a,o,l;if(1===s||s>=4){for(l=r.length,n=0;l>n;n++)if((o=r[n])!==e)o._gc||o._enabled(!1,!1)&&(a=!0);else if(5===s)break;return a}var _,u=e._startTime+h,m=[],f=0,p=0===e._duration;for(n=r.length;--n>-1;)(o=r[n])===e||o._gc||o._paused||(o._timeline!==e._timeline?(_=_||$(e,0,p),0===$(o,_,p)&&(m[f++]=o)):u>=o._startTime&&o._startTime+o.totalDuration()/o._timeScale>u&&((p||!o._initted)&&2e-10>=u-o._startTime||(m[f++]=o)));for(n=f;--n>-1;)o=m[n],2===s&&o._kill(i,t)&&(a=!0),(2!==s||!o._firstPT&&o._initted)&&o._enabled(!1,!1)&&(a=!0);return a},$=function(t,e,i){for(var s=t._timeline,r=s._timeScale,n=t._startTime;s._timeline;){if(n+=s._startTime,r*=s._timeScale,s._paused)return-100;s=s._timeline}return n/=r,n>e?n-e:i&&n===e||!t._initted&&2*h>n-e?h:(n+=t.totalDuration()/t._timeScale/r)>e+h?0:n-e-h};r._init=function(){var t,e,i,s,r=this.vars,n=this._overwrittenProps,a=this._duration,o=r.immediateRender,l=r.ease;if(r.startAt){if(this._startAt&&this._startAt.render(-1,!0),r.startAt.overwrite=0,r.startAt.immediateRender=!0,this._startAt=D.to(this.target,0,r.startAt),o)if(this._time>0)this._startAt=null;else if(0!==a)return}else if(r.runBackwards&&0!==a)if(this._startAt)this._startAt.render(-1,!0),this._startAt=null;else{i={};for(s in r)F[s]&&"autoCSS"!==s||(i[s]=r[s]);if(i.overwrite=0,i.data="isFromStart",this._startAt=D.to(this.target,0,i),r.immediateRender){if(0===this._time)return}else this._startAt.render(-1,!0)}if(this._ease=l?l instanceof T?r.easeParams instanceof Array?l.config.apply(l,r.easeParams):l:"function"==typeof l?new T(l,r.easeParams):w[l]||D.defaultEase:D.defaultEase,this._easeType=this._ease._type,this._easePower=this._ease._power,this._firstPT=null,this._targets)for(t=this._targets.length;--t>-1;)this._initProps(this._targets[t],this._propLookup[t]={},this._siblings[t],n?n[t]:null)&&(e=!0);else e=this._initProps(this.target,this._propLookup,this._siblings,n);if(e&&D._onPluginEvent("_onInitAllProps",this),n&&(this._firstPT||"function"!=typeof this.target&&this._enabled(!1,!1)),r.runBackwards)for(i=this._firstPT;i;)i.s+=i.c,i.c=-i.c,i=i._next;this._onUpdate=r.onUpdate,this._initted=!0},r._initProps=function(e,i,s,r){var n,a,o,l,h,_;if(null==e)return!1;this.vars.css||e.style&&e!==t&&e.nodeType&&N.css&&this.vars.autoCSS!==!1&&I(this.vars,e);for(n in this.vars){if(_=this.vars[n],F[n])_&&(_ instanceof Array||_.push&&m(_))&&-1!==_.join("").indexOf("{self}")&&(this.vars[n]=_=this._swapSelfInParams(_,this));else if(N[n]&&(l=new N[n])._onInitTween(e,this.vars[n],this)){for(this._firstPT=h={_next:this._firstPT,t:l,p:"setRatio",s:0,c:1,f:!0,n:n,pg:!0,pr:l._priority},a=l._overwriteProps.length;--a>-1;)i[l._overwriteProps[a]]=this._firstPT;(l._priority||l._onInitAllProps)&&(o=!0),(l._onDisable||l._onEnable)&&(this._notifyPluginsOfEnabled=!0)}else this._firstPT=i[n]=h={_next:this._firstPT,t:e,p:n,f:"function"==typeof e[n],n:n,pg:!1,pr:0},h.s=h.f?e[n.indexOf("set")||"function"!=typeof e["get"+n.substr(3)]?n:"get"+n.substr(3)]():parseFloat(e[n]),h.c="string"==typeof _&&"="===_.charAt(1)?parseInt(_.charAt(0)+"1",10)*Number(_.substr(2)):Number(_)-h.s||0;h&&h._next&&(h._next._prev=h)}return r&&this._kill(r,e)?this._initProps(e,i,s,r):this._overwrite>1&&this._firstPT&&s.length>1&&q(e,this,i,this._overwrite,s)?(this._kill(i,e),this._initProps(e,i,s,r)):o},r.render=function(t,e,i){var s,r,n,a,o=this._time,l=this._duration;if(t>=l)this._totalTime=this._time=l,this.ratio=this._ease._calcEnd?this._ease.getRatio(1):1,this._reversed||(s=!0,r="onComplete"),0===l&&(a=this._rawPrevTime,(0===t||0>a||a===h)&&a!==t&&(i=!0,a>h&&(r="onReverseComplete")),this._rawPrevTime=a=!e||t||0===a?t:h);else if(1e-7>t)this._totalTime=this._time=0,this.ratio=this._ease._calcEnd?this._ease.getRatio(0):0,(0!==o||0===l&&this._rawPrevTime>h)&&(r="onReverseComplete",s=this._reversed),0>t?(this._active=!1,0===l&&(this._rawPrevTime>=0&&(i=!0),this._rawPrevTime=a=!e||t||0===this._rawPrevTime?t:h)):this._initted||(i=!0);else if(this._totalTime=this._time=t,this._easeType){var _=t/l,u=this._easeType,m=this._easePower;(1===u||3===u&&_>=.5)&&(_=1-_),3===u&&(_*=2),1===m?_*=_:2===m?_*=_*_:3===m?_*=_*_*_:4===m&&(_*=_*_*_*_),this.ratio=1===u?1-_:2===u?_:.5>t/l?_/2:1-_/2}else this.ratio=this._ease.getRatio(t/l);if(this._time!==o||i){if(!this._initted){if(this._init(),!this._initted||this._gc)return;this._time&&!s?this.ratio=this._ease.getRatio(this._time/l):s&&this._ease._calcEnd&&(this.ratio=this._ease.getRatio(0===this._time?0:1))}for(this._active||!this._paused&&this._time!==o&&t>=0&&(this._active=!0),0===o&&(this._startAt&&(t>=0?this._startAt.render(t,e,i):r||(r="_dummyGS")),this.vars.onStart&&(0!==this._time||0===l)&&(e||this.vars.onStart.apply(this.vars.onStartScope||this,this.vars.onStartParams||g))),n=this._firstPT;n;)n.f?n.t[n.p](n.c*this.ratio+n.s):n.t[n.p]=n.c*this.ratio+n.s,n=n._next;this._onUpdate&&(0>t&&this._startAt&&this._startTime&&this._startAt.render(t,e,i),e||(this._time!==o||s)&&this._onUpdate.apply(this.vars.onUpdateScope||this,this.vars.onUpdateParams||g)),r&&(this._gc||(0>t&&this._startAt&&!this._onUpdate&&this._startTime&&this._startAt.render(t,e,i),s&&(this._timeline.autoRemoveChildren&&this._enabled(!1,!1),this._active=!1),!e&&this.vars[r]&&this.vars[r].apply(this.vars[r+"Scope"]||this,this.vars[r+"Params"]||g),0===l&&this._rawPrevTime===h&&a!==h&&(this._rawPrevTime=0)))}},r._kill=function(t,e){if("all"===t&&(t=null),null==t&&(null==e||e===this.target))return this._enabled(!1,!1);e="string"!=typeof e?e||this._targets||this.target:D.selector(e)||e;var i,s,r,n,a,o,l,h;if((m(e)||E(e))&&"number"!=typeof e[0])for(i=e.length;--i>-1;)this._kill(t,e[i])&&(o=!0);else{if(this._targets){for(i=this._targets.length;--i>-1;)if(e===this._targets[i]){a=this._propLookup[i]||{},this._overwrittenProps=this._overwrittenProps||[],s=this._overwrittenProps[i]=t?this._overwrittenProps[i]||{}:"all";break}}else{if(e!==this.target)return!1;a=this._propLookup,s=this._overwrittenProps=t?this._overwrittenProps||{}:"all"}if(a){l=t||a,h=t!==s&&"all"!==s&&t!==a&&("object"!=typeof t||!t._tempKill);for(r in l)(n=a[r])&&(n.pg&&n.t._kill(l)&&(o=!0),n.pg&&0!==n.t._overwriteProps.length||(n._prev?n._prev._next=n._next:n===this._firstPT&&(this._firstPT=n._next),n._next&&(n._next._prev=n._prev),n._next=n._prev=null),delete a[r]),h&&(s[r]=1);!this._firstPT&&this._initted&&this._enabled(!1,!1)}}return o},r.invalidate=function(){return this._notifyPluginsOfEnabled&&D._onPluginEvent("_onDisable",this),this._firstPT=null,this._overwrittenProps=null,this._onUpdate=null,this._startAt=null,this._initted=this._active=this._notifyPluginsOfEnabled=!1,this._propLookup=this._targets?{}:[],this},r._enabled=function(t,e){if(a||n.wake(),t&&this._gc){var i,s=this._targets;if(s)for(i=s.length;--i>-1;)this._siblings[i]=B(s[i],this,!0);else this._siblings=B(this.target,this,!0)}return x.prototype._enabled.call(this,t,e),this._notifyPluginsOfEnabled&&this._firstPT?D._onPluginEvent(t?"_onEnable":"_onDisable",this):!1},D.to=function(t,e,i){return new D(t,e,i)},D.from=function(t,e,i){return i.runBackwards=!0,i.immediateRender=0!=i.immediateRender,new D(t,e,i)},D.fromTo=function(t,e,i,s){return s.startAt=i,s.immediateRender=0!=s.immediateRender&&0!=i.immediateRender,new D(t,e,s)},D.delayedCall=function(t,e,i,s,r){return new D(e,0,{delay:t,onComplete:e,onCompleteParams:i,onCompleteScope:s,onReverseComplete:e,onReverseCompleteParams:i,onReverseCompleteScope:s,immediateRender:!1,useFrames:r,overwrite:0})},D.set=function(t,e){return new D(t,0,e)},D.getTweensOf=function(t,e){if(null==t)return[];t="string"!=typeof t?t:D.selector(t)||t;var i,s,r,n;if((m(t)||E(t))&&"number"!=typeof t[0]){for(i=t.length,s=[];--i>-1;)s=s.concat(D.getTweensOf(t[i],e));for(i=s.length;--i>-1;)for(n=s[i],r=i;--r>-1;)n===s[r]&&s.splice(i,1)}else for(s=B(t).concat(),i=s.length;--i>-1;)(s[i]._gc||e&&!s[i].isActive())&&s.splice(i,1);return s},D.killTweensOf=D.killDelayedCallsTo=function(t,e,i){"object"==typeof e&&(i=e,e=!1);for(var s=D.getTweensOf(t,e),r=s.length;--r>-1;)s[r]._kill(i,t)};var M=d("plugins.TweenPlugin",function(t,e){this._overwriteProps=(t||"").split(","),this._propName=this._overwriteProps[0],this._priority=e||0,this._super=M.prototype},!0);if(r=M.prototype,M.version="1.10.1",M.API=2,r._firstPT=null,r._addTween=function(t,e,i,s,r,n){var a,o;return null!=s&&(a="number"==typeof s||"="!==s.charAt(1)?Number(s)-i:parseInt(s.charAt(0)+"1",10)*Number(s.substr(2)))?(this._firstPT=o={_next:this._firstPT,t:t,p:e,s:i,c:a,f:"function"==typeof t[e],n:r||e,r:n},o._next&&(o._next._prev=o),o):void 0},r.setRatio=function(t){for(var e,i=this._firstPT,s=1e-6;i;)e=i.c*t+i.s,i.r?e=0|e+(e>0?.5:-.5):s>e&&e>-s&&(e=0),i.f?i.t[i.p](e):i.t[i.p]=e,i=i._next},r._kill=function(t){var e,i=this._overwriteProps,s=this._firstPT;if(null!=t[this._propName])this._overwriteProps=[];else for(e=i.length;--e>-1;)null!=t[i[e]]&&i.splice(e,1);for(;s;)null!=t[s.n]&&(s._next&&(s._next._prev=s._prev),s._prev?(s._prev._next=s._next,s._prev=null):this._firstPT===s&&(this._firstPT=s._next)),s=s._next;return!1},r._roundProps=function(t,e){for(var i=this._firstPT;i;)(t[this._propName]||null!=i.n&&t[i.n.split(this._propName+"_").join("")])&&(i.r=e),i=i._next},D._onPluginEvent=function(t,e){var i,s,r,n,a,o=e._firstPT;if("_onInitAllProps"===t){for(;o;){for(a=o._next,s=r;s&&s.pr>o.pr;)s=s._next;(o._prev=s?s._prev:n)?o._prev._next=o:r=o,(o._next=s)?s._prev=o:n=o,o=a}o=e._firstPT=r}for(;o;)o.pg&&"function"==typeof o.t[t]&&o.t[t]()&&(i=!0),o=o._next;return i},M.activate=function(t){for(var e=t.length;--e>-1;)t[e].API===M.API&&(N[(new t[e])._propName]=t[e]);return!0},c.plugin=function(t){if(!(t&&t.propName&&t.init&&t.API))throw"illegal plugin definition.";var e,i=t.propName,s=t.priority||0,r=t.overwriteProps,n={init:"_onInitTween",set:"setRatio",kill:"_kill",round:"_roundProps",initAll:"_onInitAllProps"},a=d("plugins."+i.charAt(0).toUpperCase()+i.substr(1)+"Plugin",function(){M.call(this,i,s),this._overwriteProps=r||[]},t.global===!0),o=a.prototype=new M(i);o.constructor=a,a.API=t.API;for(e in n)"function"==typeof t[e]&&(o[n[e]]=t[e]);return a.version=t.version,M.activate([a]),a},i=t._gsQueue){for(s=0;i.length>s;s++)i[s]();for(r in f)f[r].func||t.console.log("GSAP encountered missing dependency: com.greensock."+r)}a=!1}})(window);


/*!
 * VERSION: 1.11.5
 * DATE: 2014-02-20
 * UPDATES AND DOCS AT: http://www.greensock.com
 *
 * @license Copyright (c) 2008-2014, GreenSock. All rights reserved.
 * This work is subject to the terms at http://www.greensock.com/terms_of_use.html or for
 * Club GreenSock members, the software agreement that was issued with your membership.
 * 
 * @author: Jack Doyle, jack@greensock.com
 */
(window._gsQueue||(window._gsQueue=[])).push(function(){"use strict";window._gsDefine("TimelineLite",["core.Animation","core.SimpleTimeline","TweenLite"],function(t,e,i){var s=function(t){e.call(this,t),this._labels={},this.autoRemoveChildren=this.vars.autoRemoveChildren===!0,this.smoothChildTiming=this.vars.smoothChildTiming===!0,this._sortChildren=!0,this._onUpdate=this.vars.onUpdate;var i,s,r=this.vars;for(s in r)i=r[s],a(i)&&-1!==i.join("").indexOf("{self}")&&(r[s]=this._swapSelfInParams(i));a(r.tweens)&&this.add(r.tweens,0,r.align,r.stagger)},r=1e-10,n=i._internals.isSelector,a=i._internals.isArray,o=[],h=function(t){var e,i={};for(e in t)i[e]=t[e];return i},l=function(t,e,i,s){t._timeline.pause(t._startTime),e&&e.apply(s||t._timeline,i||o)},_=o.slice,u=s.prototype=new e;return s.version="1.11.5",u.constructor=s,u.kill()._gc=!1,u.to=function(t,e,s,r){return e?this.add(new i(t,e,s),r):this.set(t,s,r)},u.from=function(t,e,s,r){return this.add(i.from(t,e,s),r)},u.fromTo=function(t,e,s,r,n){return e?this.add(i.fromTo(t,e,s,r),n):this.set(t,r,n)},u.staggerTo=function(t,e,r,a,o,l,u,p){var f,c=new s({onComplete:l,onCompleteParams:u,onCompleteScope:p,smoothChildTiming:this.smoothChildTiming});for("string"==typeof t&&(t=i.selector(t)||t),n(t)&&(t=_.call(t,0)),a=a||0,f=0;t.length>f;f++)r.startAt&&(r.startAt=h(r.startAt)),c.to(t[f],e,h(r),f*a);return this.add(c,o)},u.staggerFrom=function(t,e,i,s,r,n,a,o){return i.immediateRender=0!=i.immediateRender,i.runBackwards=!0,this.staggerTo(t,e,i,s,r,n,a,o)},u.staggerFromTo=function(t,e,i,s,r,n,a,o,h){return s.startAt=i,s.immediateRender=0!=s.immediateRender&&0!=i.immediateRender,this.staggerTo(t,e,s,r,n,a,o,h)},u.call=function(t,e,s,r){return this.add(i.delayedCall(0,t,e,s),r)},u.set=function(t,e,s){return s=this._parseTimeOrLabel(s,0,!0),null==e.immediateRender&&(e.immediateRender=s===this._time&&!this._paused),this.add(new i(t,0,e),s)},s.exportRoot=function(t,e){t=t||{},null==t.smoothChildTiming&&(t.smoothChildTiming=!0);var r,n,a=new s(t),o=a._timeline;for(null==e&&(e=!0),o._remove(a,!0),a._startTime=0,a._rawPrevTime=a._time=a._totalTime=o._time,r=o._first;r;)n=r._next,e&&r instanceof i&&r.target===r.vars.onComplete||a.add(r,r._startTime-r._delay),r=n;return o.add(a,0),a},u.add=function(r,n,o,h){var l,_,u,p,f,c;if("number"!=typeof n&&(n=this._parseTimeOrLabel(n,0,!0,r)),!(r instanceof t)){if(r instanceof Array||r&&r.push&&a(r)){for(o=o||"normal",h=h||0,l=n,_=r.length,u=0;_>u;u++)a(p=r[u])&&(p=new s({tweens:p})),this.add(p,l),"string"!=typeof p&&"function"!=typeof p&&("sequence"===o?l=p._startTime+p.totalDuration()/p._timeScale:"start"===o&&(p._startTime-=p.delay())),l+=h;return this._uncache(!0)}if("string"==typeof r)return this.addLabel(r,n);if("function"!=typeof r)throw"Cannot add "+r+" into the timeline; it is not a tween, timeline, function, or string.";r=i.delayedCall(0,r)}if(e.prototype.add.call(this,r,n),(this._gc||this._time===this._duration)&&!this._paused&&this._duration<this.duration())for(f=this,c=f.rawTime()>r._startTime;f._timeline;)c&&f._timeline.smoothChildTiming?f.totalTime(f._totalTime,!0):f._gc&&f._enabled(!0,!1),f=f._timeline;return this},u.remove=function(e){if(e instanceof t)return this._remove(e,!1);if(e instanceof Array||e&&e.push&&a(e)){for(var i=e.length;--i>-1;)this.remove(e[i]);return this}return"string"==typeof e?this.removeLabel(e):this.kill(null,e)},u._remove=function(t,i){e.prototype._remove.call(this,t,i);var s=this._last;return s?this._time>s._startTime+s._totalDuration/s._timeScale&&(this._time=this.duration(),this._totalTime=this._totalDuration):this._time=this._totalTime=this._duration=this._totalDuration=0,this},u.append=function(t,e){return this.add(t,this._parseTimeOrLabel(null,e,!0,t))},u.insert=u.insertMultiple=function(t,e,i,s){return this.add(t,e||0,i,s)},u.appendMultiple=function(t,e,i,s){return this.add(t,this._parseTimeOrLabel(null,e,!0,t),i,s)},u.addLabel=function(t,e){return this._labels[t]=this._parseTimeOrLabel(e),this},u.addPause=function(t,e,i,s){return this.call(l,["{self}",e,i,s],this,t)},u.removeLabel=function(t){return delete this._labels[t],this},u.getLabelTime=function(t){return null!=this._labels[t]?this._labels[t]:-1},u._parseTimeOrLabel=function(e,i,s,r){var n;if(r instanceof t&&r.timeline===this)this.remove(r);else if(r&&(r instanceof Array||r.push&&a(r)))for(n=r.length;--n>-1;)r[n]instanceof t&&r[n].timeline===this&&this.remove(r[n]);if("string"==typeof i)return this._parseTimeOrLabel(i,s&&"number"==typeof e&&null==this._labels[i]?e-this.duration():0,s);if(i=i||0,"string"!=typeof e||!isNaN(e)&&null==this._labels[e])null==e&&(e=this.duration());else{if(n=e.indexOf("="),-1===n)return null==this._labels[e]?s?this._labels[e]=this.duration()+i:i:this._labels[e]+i;i=parseInt(e.charAt(n-1)+"1",10)*Number(e.substr(n+1)),e=n>1?this._parseTimeOrLabel(e.substr(0,n-1),0,s):this.duration()}return Number(e)+i},u.seek=function(t,e){return this.totalTime("number"==typeof t?t:this._parseTimeOrLabel(t),e!==!1)},u.stop=function(){return this.paused(!0)},u.gotoAndPlay=function(t,e){return this.play(t,e)},u.gotoAndStop=function(t,e){return this.pause(t,e)},u.render=function(t,e,i){this._gc&&this._enabled(!0,!1);var s,n,a,h,l,_=this._dirty?this.totalDuration():this._totalDuration,u=this._time,p=this._startTime,f=this._timeScale,c=this._paused;if(t>=_?(this._totalTime=this._time=_,this._reversed||this._hasPausedChild()||(n=!0,h="onComplete",0===this._duration&&(0===t||0>this._rawPrevTime||this._rawPrevTime===r)&&this._rawPrevTime!==t&&this._first&&(l=!0,this._rawPrevTime>r&&(h="onReverseComplete"))),this._rawPrevTime=this._duration||!e||t||0===this._rawPrevTime?t:r,t=_+1e-4):1e-7>t?(this._totalTime=this._time=0,(0!==u||0===this._duration&&(this._rawPrevTime>r||0>t&&this._rawPrevTime>=0))&&(h="onReverseComplete",n=this._reversed),0>t?(this._active=!1,0===this._duration&&this._rawPrevTime>=0&&this._first&&(l=!0),this._rawPrevTime=t):(this._rawPrevTime=this._duration||!e||t||0===this._rawPrevTime?t:r,t=0,this._initted||(l=!0))):this._totalTime=this._time=this._rawPrevTime=t,this._time!==u&&this._first||i||l){if(this._initted||(this._initted=!0),this._active||!this._paused&&this._time!==u&&t>0&&(this._active=!0),0===u&&this.vars.onStart&&0!==this._time&&(e||this.vars.onStart.apply(this.vars.onStartScope||this,this.vars.onStartParams||o)),this._time>=u)for(s=this._first;s&&(a=s._next,!this._paused||c);)(s._active||s._startTime<=this._time&&!s._paused&&!s._gc)&&(s._reversed?s.render((s._dirty?s.totalDuration():s._totalDuration)-(t-s._startTime)*s._timeScale,e,i):s.render((t-s._startTime)*s._timeScale,e,i)),s=a;else for(s=this._last;s&&(a=s._prev,!this._paused||c);)(s._active||u>=s._startTime&&!s._paused&&!s._gc)&&(s._reversed?s.render((s._dirty?s.totalDuration():s._totalDuration)-(t-s._startTime)*s._timeScale,e,i):s.render((t-s._startTime)*s._timeScale,e,i)),s=a;this._onUpdate&&(e||this._onUpdate.apply(this.vars.onUpdateScope||this,this.vars.onUpdateParams||o)),h&&(this._gc||(p===this._startTime||f!==this._timeScale)&&(0===this._time||_>=this.totalDuration())&&(n&&(this._timeline.autoRemoveChildren&&this._enabled(!1,!1),this._active=!1),!e&&this.vars[h]&&this.vars[h].apply(this.vars[h+"Scope"]||this,this.vars[h+"Params"]||o)))}},u._hasPausedChild=function(){for(var t=this._first;t;){if(t._paused||t instanceof s&&t._hasPausedChild())return!0;t=t._next}return!1},u.getChildren=function(t,e,s,r){r=r||-9999999999;for(var n=[],a=this._first,o=0;a;)r>a._startTime||(a instanceof i?e!==!1&&(n[o++]=a):(s!==!1&&(n[o++]=a),t!==!1&&(n=n.concat(a.getChildren(!0,e,s)),o=n.length))),a=a._next;return n},u.getTweensOf=function(t,e){for(var s=i.getTweensOf(t),r=s.length,n=[],a=0;--r>-1;)(s[r].timeline===this||e&&this._contains(s[r]))&&(n[a++]=s[r]);return n},u._contains=function(t){for(var e=t.timeline;e;){if(e===this)return!0;e=e.timeline}return!1},u.shiftChildren=function(t,e,i){i=i||0;for(var s,r=this._first,n=this._labels;r;)r._startTime>=i&&(r._startTime+=t),r=r._next;if(e)for(s in n)n[s]>=i&&(n[s]+=t);return this._uncache(!0)},u._kill=function(t,e){if(!t&&!e)return this._enabled(!1,!1);for(var i=e?this.getTweensOf(e):this.getChildren(!0,!0,!1),s=i.length,r=!1;--s>-1;)i[s]._kill(t,e)&&(r=!0);return r},u.clear=function(t){var e=this.getChildren(!1,!0,!0),i=e.length;for(this._time=this._totalTime=0;--i>-1;)e[i]._enabled(!1,!1);return t!==!1&&(this._labels={}),this._uncache(!0)},u.invalidate=function(){for(var t=this._first;t;)t.invalidate(),t=t._next;return this},u._enabled=function(t,i){if(t===this._gc)for(var s=this._first;s;)s._enabled(t,!0),s=s._next;return e.prototype._enabled.call(this,t,i)},u.duration=function(t){return arguments.length?(0!==this.duration()&&0!==t&&this.timeScale(this._duration/t),this):(this._dirty&&this.totalDuration(),this._duration)},u.totalDuration=function(t){if(!arguments.length){if(this._dirty){for(var e,i,s=0,r=this._last,n=999999999999;r;)e=r._prev,r._dirty&&r.totalDuration(),r._startTime>n&&this._sortChildren&&!r._paused?this.add(r,r._startTime-r._delay):n=r._startTime,0>r._startTime&&!r._paused&&(s-=r._startTime,this._timeline.smoothChildTiming&&(this._startTime+=r._startTime/this._timeScale),this.shiftChildren(-r._startTime,!1,-9999999999),n=0),i=r._startTime+r._totalDuration/r._timeScale,i>s&&(s=i),r=e;this._duration=this._totalDuration=s,this._dirty=!1}return this._totalDuration}return 0!==this.totalDuration()&&0!==t&&this.timeScale(this._totalDuration/t),this},u.usesFrames=function(){for(var e=this._timeline;e._timeline;)e=e._timeline;return e===t._rootFramesTimeline},u.rawTime=function(){return this._paused?this._totalTime:(this._timeline.rawTime()-this._startTime)*this._timeScale},s},!0)}),window._gsDefine&&window._gsQueue.pop()();



/*!
 * VERSION: beta 1.9.3
 * DATE: 2013-04-02
 * UPDATES AND DOCS AT: http://www.greensock.com
 *
 * @license Copyright (c) 2008-2014, GreenSock. All rights reserved.
 * This work is subject to the terms at http://www.greensock.com/terms_of_use.html or for
 * Club GreenSock members, the software agreement that was issued with your membership.
 * 
 * @author: Jack Doyle, jack@greensock.com
 **/
(window._gsQueue||(window._gsQueue=[])).push(function(){"use strict";window._gsDefine("easing.Back",["easing.Ease"],function(t){var e,i,s,r=window.GreenSockGlobals||window,n=r.com.greensock,a=2*Math.PI,o=Math.PI/2,h=n._class,l=function(e,i){var s=h("easing."+e,function(){},!0),r=s.prototype=new t;return r.constructor=s,r.getRatio=i,s},_=t.register||function(){},u=function(t,e,i,s){var r=h("easing."+t,{easeOut:new e,easeIn:new i,easeInOut:new s},!0);return _(r,t),r},c=function(t,e,i){this.t=t,this.v=e,i&&(this.next=i,i.prev=this,this.c=i.v-e,this.gap=i.t-t)},p=function(e,i){var s=h("easing."+e,function(t){this._p1=t||0===t?t:1.70158,this._p2=1.525*this._p1},!0),r=s.prototype=new t;return r.constructor=s,r.getRatio=i,r.config=function(t){return new s(t)},s},f=u("Back",p("BackOut",function(t){return(t-=1)*t*((this._p1+1)*t+this._p1)+1}),p("BackIn",function(t){return t*t*((this._p1+1)*t-this._p1)}),p("BackInOut",function(t){return 1>(t*=2)?.5*t*t*((this._p2+1)*t-this._p2):.5*((t-=2)*t*((this._p2+1)*t+this._p2)+2)})),m=h("easing.SlowMo",function(t,e,i){e=e||0===e?e:.7,null==t?t=.7:t>1&&(t=1),this._p=1!==t?e:0,this._p1=(1-t)/2,this._p2=t,this._p3=this._p1+this._p2,this._calcEnd=i===!0},!0),d=m.prototype=new t;return d.constructor=m,d.getRatio=function(t){var e=t+(.5-t)*this._p;return this._p1>t?this._calcEnd?1-(t=1-t/this._p1)*t:e-(t=1-t/this._p1)*t*t*t*e:t>this._p3?this._calcEnd?1-(t=(t-this._p3)/this._p1)*t:e+(t-e)*(t=(t-this._p3)/this._p1)*t*t*t:this._calcEnd?1:e},m.ease=new m(.7,.7),d.config=m.config=function(t,e,i){return new m(t,e,i)},e=h("easing.SteppedEase",function(t){t=t||1,this._p1=1/t,this._p2=t+1},!0),d=e.prototype=new t,d.constructor=e,d.getRatio=function(t){return 0>t?t=0:t>=1&&(t=.999999999),(this._p2*t>>0)*this._p1},d.config=e.config=function(t){return new e(t)},i=h("easing.RoughEase",function(e){e=e||{};for(var i,s,r,n,a,o,h=e.taper||"none",l=[],_=0,u=0|(e.points||20),p=u,f=e.randomize!==!1,m=e.clamp===!0,d=e.template instanceof t?e.template:null,g="number"==typeof e.strength?.4*e.strength:.4;--p>-1;)i=f?Math.random():1/u*p,s=d?d.getRatio(i):i,"none"===h?r=g:"out"===h?(n=1-i,r=n*n*g):"in"===h?r=i*i*g:.5>i?(n=2*i,r=.5*n*n*g):(n=2*(1-i),r=.5*n*n*g),f?s+=Math.random()*r-.5*r:p%2?s+=.5*r:s-=.5*r,m&&(s>1?s=1:0>s&&(s=0)),l[_++]={x:i,y:s};for(l.sort(function(t,e){return t.x-e.x}),o=new c(1,1,null),p=u;--p>-1;)a=l[p],o=new c(a.x,a.y,o);this._prev=new c(0,0,0!==o.t?o:o.next)},!0),d=i.prototype=new t,d.constructor=i,d.getRatio=function(t){var e=this._prev;if(t>e.t){for(;e.next&&t>=e.t;)e=e.next;e=e.prev}else for(;e.prev&&e.t>=t;)e=e.prev;return this._prev=e,e.v+(t-e.t)/e.gap*e.c},d.config=function(t){return new i(t)},i.ease=new i,u("Bounce",l("BounceOut",function(t){return 1/2.75>t?7.5625*t*t:2/2.75>t?7.5625*(t-=1.5/2.75)*t+.75:2.5/2.75>t?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375}),l("BounceIn",function(t){return 1/2.75>(t=1-t)?1-7.5625*t*t:2/2.75>t?1-(7.5625*(t-=1.5/2.75)*t+.75):2.5/2.75>t?1-(7.5625*(t-=2.25/2.75)*t+.9375):1-(7.5625*(t-=2.625/2.75)*t+.984375)}),l("BounceInOut",function(t){var e=.5>t;return t=e?1-2*t:2*t-1,t=1/2.75>t?7.5625*t*t:2/2.75>t?7.5625*(t-=1.5/2.75)*t+.75:2.5/2.75>t?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375,e?.5*(1-t):.5*t+.5})),u("Circ",l("CircOut",function(t){return Math.sqrt(1-(t-=1)*t)}),l("CircIn",function(t){return-(Math.sqrt(1-t*t)-1)}),l("CircInOut",function(t){return 1>(t*=2)?-.5*(Math.sqrt(1-t*t)-1):.5*(Math.sqrt(1-(t-=2)*t)+1)})),s=function(e,i,s){var r=h("easing."+e,function(t,e){this._p1=t||1,this._p2=e||s,this._p3=this._p2/a*(Math.asin(1/this._p1)||0)},!0),n=r.prototype=new t;return n.constructor=r,n.getRatio=i,n.config=function(t,e){return new r(t,e)},r},u("Elastic",s("ElasticOut",function(t){return this._p1*Math.pow(2,-10*t)*Math.sin((t-this._p3)*a/this._p2)+1},.3),s("ElasticIn",function(t){return-(this._p1*Math.pow(2,10*(t-=1))*Math.sin((t-this._p3)*a/this._p2))},.3),s("ElasticInOut",function(t){return 1>(t*=2)?-.5*this._p1*Math.pow(2,10*(t-=1))*Math.sin((t-this._p3)*a/this._p2):.5*this._p1*Math.pow(2,-10*(t-=1))*Math.sin((t-this._p3)*a/this._p2)+1},.45)),u("Expo",l("ExpoOut",function(t){return 1-Math.pow(2,-10*t)}),l("ExpoIn",function(t){return Math.pow(2,10*(t-1))-.001}),l("ExpoInOut",function(t){return 1>(t*=2)?.5*Math.pow(2,10*(t-1)):.5*(2-Math.pow(2,-10*(t-1)))})),u("Sine",l("SineOut",function(t){return Math.sin(t*o)}),l("SineIn",function(t){return-Math.cos(t*o)+1}),l("SineInOut",function(t){return-.5*(Math.cos(Math.PI*t)-1)})),h("easing.EaseLookup",{find:function(e){return t.map[e]}},!0),_(r.SlowMo,"SlowMo","ease,"),_(i,"RoughEase","ease,"),_(e,"SteppedEase","ease,"),f},!0)}),window._gsDefine&&window._gsQueue.pop()();


/*!
 * VERSION: 1.11.5
 * DATE: 2014-02-20
 * UPDATES AND DOCS AT: http://www.greensock.com
 *
 * @license Copyright (c) 2008-2014, GreenSock. All rights reserved.
 * This work is subject to the terms at http://www.greensock.com/terms_of_use.html or for
 * Club GreenSock members, the software agreement that was issued with your membership.
 * 
 * @author: Jack Doyle, jack@greensock.com
 */
(window._gsQueue||(window._gsQueue=[])).push(function(){"use strict";window._gsDefine("plugins.CSSPlugin",["plugins.TweenPlugin","TweenLite"],function(t,e){var i,r,s,n,a=function(){t.call(this,"css"),this._overwriteProps.length=0,this.setRatio=a.prototype.setRatio},o={},l=a.prototype=new t("css");l.constructor=a,a.version="1.11.5",a.API=2,a.defaultTransformPerspective=0,l="px",a.suffixMap={top:l,right:l,bottom:l,left:l,width:l,height:l,fontSize:l,padding:l,margin:l,perspective:l,lineHeight:""};var h,u,_,p,f,c,d=/(?:\d|\-\d|\.\d|\-\.\d)+/g,m=/(?:\d|\-\d|\.\d|\-\.\d|\+=\d|\-=\d|\+=.\d|\-=\.\d)+/g,g=/(?:\+=|\-=|\-|\b)[\d\-\.]+[a-zA-Z0-9]*(?:%|\b)/gi,v=/[^\d\-\.]/g,y=/(?:\d|\-|\+|=|#|\.)*/g,T=/opacity *= *([^)]*)/,x=/opacity:([^;]*)/,w=/alpha\(opacity *=.+?\)/i,b=/^(rgb|hsl)/,P=/([A-Z])/g,S=/-([a-z])/gi,R=/(^(?:url\(\"|url\())|(?:(\"\))$|\)$)/gi,k=function(t,e){return e.toUpperCase()},C=/(?:Left|Right|Width)/i,A=/(M11|M12|M21|M22)=[\d\-\.e]+/gi,O=/progid\:DXImageTransform\.Microsoft\.Matrix\(.+?\)/i,D=/,(?=[^\)]*(?:\(|$))/gi,M=Math.PI/180,L=180/Math.PI,N={},X=document,I=X.createElement("div"),E=X.createElement("img"),F=a._internals={_specialProps:o},Y=navigator.userAgent,z=function(){var t,e=Y.indexOf("Android"),i=X.createElement("div");return _=-1!==Y.indexOf("Safari")&&-1===Y.indexOf("Chrome")&&(-1===e||Number(Y.substr(e+8,1))>3),f=_&&6>Number(Y.substr(Y.indexOf("Version/")+8,1)),p=-1!==Y.indexOf("Firefox"),/MSIE ([0-9]{1,}[\.0-9]{0,})/.exec(Y)&&(c=parseFloat(RegExp.$1)),i.innerHTML="<a style='top:1px;opacity:.55;'>a</a>",t=i.getElementsByTagName("a")[0],t?/^0.55/.test(t.style.opacity):!1}(),U=function(t){return T.test("string"==typeof t?t:(t.currentStyle?t.currentStyle.filter:t.style.filter)||"")?parseFloat(RegExp.$1)/100:1},B=function(t){window.console&&console.log(t)},j="",W="",V=function(t,e){e=e||I;var i,r,s=e.style;if(void 0!==s[t])return t;for(t=t.charAt(0).toUpperCase()+t.substr(1),i=["O","Moz","ms","Ms","Webkit"],r=5;--r>-1&&void 0===s[i[r]+t];);return r>=0?(W=3===r?"ms":i[r],j="-"+W.toLowerCase()+"-",W+t):null},q=X.defaultView?X.defaultView.getComputedStyle:function(){},H=a.getStyle=function(t,e,i,r,s){var n;return z||"opacity"!==e?(!r&&t.style[e]?n=t.style[e]:(i=i||q(t,null))?(t=i.getPropertyValue(e.replace(P,"-$1").toLowerCase()),n=t||i.length?t:i[e]):t.currentStyle&&(n=t.currentStyle[e]),null==s||n&&"none"!==n&&"auto"!==n&&"auto auto"!==n?n:s):U(t)},Q=function(t,e,i,r,s){if("px"===r||!r)return i;if("auto"===r||!i)return 0;var n,a=C.test(e),o=t,l=I.style,h=0>i;return h&&(i=-i),"%"===r&&-1!==e.indexOf("border")?n=i/100*(a?t.clientWidth:t.clientHeight):(l.cssText="border:0 solid red;position:"+H(t,"position")+";line-height:0;","%"!==r&&o.appendChild?l[a?"borderLeftWidth":"borderTopWidth"]=i+r:(o=t.parentNode||X.body,l[a?"width":"height"]=i+r),o.appendChild(I),n=parseFloat(I[a?"offsetWidth":"offsetHeight"]),o.removeChild(I),0!==n||s||(n=Q(t,e,i,r,!0))),h?-n:n},Z=function(t,e,i){if("absolute"!==H(t,"position",i))return 0;var r="left"===e?"Left":"Top",s=H(t,"margin"+r,i);return t["offset"+r]-(Q(t,e,parseFloat(s),s.replace(y,""))||0)},$=function(t,e){var i,r,s={};if(e=e||q(t,null))if(i=e.length)for(;--i>-1;)s[e[i].replace(S,k)]=e.getPropertyValue(e[i]);else for(i in e)s[i]=e[i];else if(e=t.currentStyle||t.style)for(i in e)"string"==typeof i&&void 0===s[i]&&(s[i.replace(S,k)]=e[i]);return z||(s.opacity=U(t)),r=be(t,e,!1),s.rotation=r.rotation,s.skewX=r.skewX,s.scaleX=r.scaleX,s.scaleY=r.scaleY,s.x=r.x,s.y=r.y,we&&(s.z=r.z,s.rotationX=r.rotationX,s.rotationY=r.rotationY,s.scaleZ=r.scaleZ),s.filters&&delete s.filters,s},G=function(t,e,i,r,s){var n,a,o,l={},h=t.style;for(a in i)"cssText"!==a&&"length"!==a&&isNaN(a)&&(e[a]!==(n=i[a])||s&&s[a])&&-1===a.indexOf("Origin")&&("number"==typeof n||"string"==typeof n)&&(l[a]="auto"!==n||"left"!==a&&"top"!==a?""!==n&&"auto"!==n&&"none"!==n||"string"!=typeof e[a]||""===e[a].replace(v,"")?n:0:Z(t,a),void 0!==h[a]&&(o=new _e(h,a,h[a],o)));if(r)for(a in r)"className"!==a&&(l[a]=r[a]);return{difs:l,firstMPT:o}},K={width:["Left","Right"],height:["Top","Bottom"]},J=["marginLeft","marginRight","marginTop","marginBottom"],te=function(t,e,i){var r=parseFloat("width"===e?t.offsetWidth:t.offsetHeight),s=K[e],n=s.length;for(i=i||q(t,null);--n>-1;)r-=parseFloat(H(t,"padding"+s[n],i,!0))||0,r-=parseFloat(H(t,"border"+s[n]+"Width",i,!0))||0;return r},ee=function(t,e){(null==t||""===t||"auto"===t||"auto auto"===t)&&(t="0 0");var i=t.split(" "),r=-1!==t.indexOf("left")?"0%":-1!==t.indexOf("right")?"100%":i[0],s=-1!==t.indexOf("top")?"0%":-1!==t.indexOf("bottom")?"100%":i[1];return null==s?s="0":"center"===s&&(s="50%"),("center"===r||isNaN(parseFloat(r))&&-1===(r+"").indexOf("="))&&(r="50%"),e&&(e.oxp=-1!==r.indexOf("%"),e.oyp=-1!==s.indexOf("%"),e.oxr="="===r.charAt(1),e.oyr="="===s.charAt(1),e.ox=parseFloat(r.replace(v,"")),e.oy=parseFloat(s.replace(v,""))),r+" "+s+(i.length>2?" "+i[2]:"")},ie=function(t,e){return"string"==typeof t&&"="===t.charAt(1)?parseInt(t.charAt(0)+"1",10)*parseFloat(t.substr(2)):parseFloat(t)-parseFloat(e)},re=function(t,e){return null==t?e:"string"==typeof t&&"="===t.charAt(1)?parseInt(t.charAt(0)+"1",10)*Number(t.substr(2))+e:parseFloat(t)},se=function(t,e,i,r){var s,n,a,o,l=1e-6;return null==t?o=e:"number"==typeof t?o=t:(s=360,n=t.split("_"),a=Number(n[0].replace(v,""))*(-1===t.indexOf("rad")?1:L)-("="===t.charAt(1)?0:e),n.length&&(r&&(r[i]=e+a),-1!==t.indexOf("short")&&(a%=s,a!==a%(s/2)&&(a=0>a?a+s:a-s)),-1!==t.indexOf("_cw")&&0>a?a=(a+9999999999*s)%s-(0|a/s)*s:-1!==t.indexOf("ccw")&&a>0&&(a=(a-9999999999*s)%s-(0|a/s)*s)),o=e+a),l>o&&o>-l&&(o=0),o},ne={aqua:[0,255,255],lime:[0,255,0],silver:[192,192,192],black:[0,0,0],maroon:[128,0,0],teal:[0,128,128],blue:[0,0,255],navy:[0,0,128],white:[255,255,255],fuchsia:[255,0,255],olive:[128,128,0],yellow:[255,255,0],orange:[255,165,0],gray:[128,128,128],purple:[128,0,128],green:[0,128,0],red:[255,0,0],pink:[255,192,203],cyan:[0,255,255],transparent:[255,255,255,0]},ae=function(t,e,i){return t=0>t?t+1:t>1?t-1:t,0|255*(1>6*t?e+6*(i-e)*t:.5>t?i:2>3*t?e+6*(i-e)*(2/3-t):e)+.5},oe=function(t){var e,i,r,s,n,a;return t&&""!==t?"number"==typeof t?[t>>16,255&t>>8,255&t]:(","===t.charAt(t.length-1)&&(t=t.substr(0,t.length-1)),ne[t]?ne[t]:"#"===t.charAt(0)?(4===t.length&&(e=t.charAt(1),i=t.charAt(2),r=t.charAt(3),t="#"+e+e+i+i+r+r),t=parseInt(t.substr(1),16),[t>>16,255&t>>8,255&t]):"hsl"===t.substr(0,3)?(t=t.match(d),s=Number(t[0])%360/360,n=Number(t[1])/100,a=Number(t[2])/100,i=.5>=a?a*(n+1):a+n-a*n,e=2*a-i,t.length>3&&(t[3]=Number(t[3])),t[0]=ae(s+1/3,e,i),t[1]=ae(s,e,i),t[2]=ae(s-1/3,e,i),t):(t=t.match(d)||ne.transparent,t[0]=Number(t[0]),t[1]=Number(t[1]),t[2]=Number(t[2]),t.length>3&&(t[3]=Number(t[3])),t)):ne.black},le="(?:\\b(?:(?:rgb|rgba|hsl|hsla)\\(.+?\\))|\\B#.+?\\b";for(l in ne)le+="|"+l+"\\b";le=RegExp(le+")","gi");var he=function(t,e,i,r){if(null==t)return function(t){return t};var s,n=e?(t.match(le)||[""])[0]:"",a=t.split(n).join("").match(g)||[],o=t.substr(0,t.indexOf(a[0])),l=")"===t.charAt(t.length-1)?")":"",h=-1!==t.indexOf(" ")?" ":",",u=a.length,_=u>0?a[0].replace(d,""):"";return u?s=e?function(t){var e,p,f,c;if("number"==typeof t)t+=_;else if(r&&D.test(t)){for(c=t.replace(D,"|").split("|"),f=0;c.length>f;f++)c[f]=s(c[f]);return c.join(",")}if(e=(t.match(le)||[n])[0],p=t.split(e).join("").match(g)||[],f=p.length,u>f--)for(;u>++f;)p[f]=i?p[0|(f-1)/2]:a[f];return o+p.join(h)+h+e+l+(-1!==t.indexOf("inset")?" inset":"")}:function(t){var e,n,p;if("number"==typeof t)t+=_;else if(r&&D.test(t)){for(n=t.replace(D,"|").split("|"),p=0;n.length>p;p++)n[p]=s(n[p]);return n.join(",")}if(e=t.match(g)||[],p=e.length,u>p--)for(;u>++p;)e[p]=i?e[0|(p-1)/2]:a[p];return o+e.join(h)+l}:function(t){return t}},ue=function(t){return t=t.split(","),function(e,i,r,s,n,a,o){var l,h=(i+"").split(" ");for(o={},l=0;4>l;l++)o[t[l]]=h[l]=h[l]||h[(l-1)/2>>0];return s.parse(e,o,n,a)}},_e=(F._setPluginRatio=function(t){this.plugin.setRatio(t);for(var e,i,r,s,n=this.data,a=n.proxy,o=n.firstMPT,l=1e-6;o;)e=a[o.v],o.r?e=e>0?0|e+.5:0|e-.5:l>e&&e>-l&&(e=0),o.t[o.p]=e,o=o._next;if(n.autoRotate&&(n.autoRotate.rotation=a.rotation),1===t)for(o=n.firstMPT;o;){if(i=o.t,i.type){if(1===i.type){for(s=i.xs0+i.s+i.xs1,r=1;i.l>r;r++)s+=i["xn"+r]+i["xs"+(r+1)];i.e=s}}else i.e=i.s+i.xs0;o=o._next}},function(t,e,i,r,s){this.t=t,this.p=e,this.v=i,this.r=s,r&&(r._prev=this,this._next=r)}),pe=(F._parseToProxy=function(t,e,i,r,s,n){var a,o,l,h,u,_=r,p={},f={},c=i._transform,d=N;for(i._transform=null,N=e,r=u=i.parse(t,e,r,s),N=d,n&&(i._transform=c,_&&(_._prev=null,_._prev&&(_._prev._next=null)));r&&r!==_;){if(1>=r.type&&(o=r.p,f[o]=r.s+r.c,p[o]=r.s,n||(h=new _e(r,"s",o,h,r.r),r.c=0),1===r.type))for(a=r.l;--a>0;)l="xn"+a,o=r.p+"_"+l,f[o]=r.data[l],p[o]=r[l],n||(h=new _e(r,l,o,h,r.rxp[l]));r=r._next}return{proxy:p,end:f,firstMPT:h,pt:u}},F.CSSPropTween=function(t,e,r,s,a,o,l,h,u,_,p){this.t=t,this.p=e,this.s=r,this.c=s,this.n=l||e,t instanceof pe||n.push(this.n),this.r=h,this.type=o||0,u&&(this.pr=u,i=!0),this.b=void 0===_?r:_,this.e=void 0===p?r+s:p,a&&(this._next=a,a._prev=this)}),fe=a.parseComplex=function(t,e,i,r,s,n,a,o,l,u){i=i||n||"",a=new pe(t,e,0,0,a,u?2:1,null,!1,o,i,r),r+="";var _,p,f,c,g,v,y,T,x,w,P,S,R=i.split(", ").join(",").split(" "),k=r.split(", ").join(",").split(" "),C=R.length,A=h!==!1;for((-1!==r.indexOf(",")||-1!==i.indexOf(","))&&(R=R.join(" ").replace(D,", ").split(" "),k=k.join(" ").replace(D,", ").split(" "),C=R.length),C!==k.length&&(R=(n||"").split(" "),C=R.length),a.plugin=l,a.setRatio=u,_=0;C>_;_++)if(c=R[_],g=k[_],T=parseFloat(c),T||0===T)a.appendXtra("",T,ie(g,T),g.replace(m,""),A&&-1!==g.indexOf("px"),!0);else if(s&&("#"===c.charAt(0)||ne[c]||b.test(c)))S=","===g.charAt(g.length-1)?"),":")",c=oe(c),g=oe(g),x=c.length+g.length>6,x&&!z&&0===g[3]?(a["xs"+a.l]+=a.l?" transparent":"transparent",a.e=a.e.split(k[_]).join("transparent")):(z||(x=!1),a.appendXtra(x?"rgba(":"rgb(",c[0],g[0]-c[0],",",!0,!0).appendXtra("",c[1],g[1]-c[1],",",!0).appendXtra("",c[2],g[2]-c[2],x?",":S,!0),x&&(c=4>c.length?1:c[3],a.appendXtra("",c,(4>g.length?1:g[3])-c,S,!1)));else if(v=c.match(d)){if(y=g.match(m),!y||y.length!==v.length)return a;for(f=0,p=0;v.length>p;p++)P=v[p],w=c.indexOf(P,f),a.appendXtra(c.substr(f,w-f),Number(P),ie(y[p],P),"",A&&"px"===c.substr(w+P.length,2),0===p),f=w+P.length;a["xs"+a.l]+=c.substr(f)}else a["xs"+a.l]+=a.l?" "+c:c;if(-1!==r.indexOf("=")&&a.data){for(S=a.xs0+a.data.s,_=1;a.l>_;_++)S+=a["xs"+_]+a.data["xn"+_];a.e=S+a["xs"+_]}return a.l||(a.type=-1,a.xs0=a.e),a.xfirst||a},ce=9;for(l=pe.prototype,l.l=l.pr=0;--ce>0;)l["xn"+ce]=0,l["xs"+ce]="";l.xs0="",l._next=l._prev=l.xfirst=l.data=l.plugin=l.setRatio=l.rxp=null,l.appendXtra=function(t,e,i,r,s,n){var a=this,o=a.l;return a["xs"+o]+=n&&o?" "+t:t||"",i||0===o||a.plugin?(a.l++,a.type=a.setRatio?2:1,a["xs"+a.l]=r||"",o>0?(a.data["xn"+o]=e+i,a.rxp["xn"+o]=s,a["xn"+o]=e,a.plugin||(a.xfirst=new pe(a,"xn"+o,e,i,a.xfirst||a,0,a.n,s,a.pr),a.xfirst.xs0=0),a):(a.data={s:e+i},a.rxp={},a.s=e,a.c=i,a.r=s,a)):(a["xs"+o]+=e+(r||""),a)};var de=function(t,e){e=e||{},this.p=e.prefix?V(t)||t:t,o[t]=o[this.p]=this,this.format=e.formatter||he(e.defaultValue,e.color,e.collapsible,e.multi),e.parser&&(this.parse=e.parser),this.clrs=e.color,this.multi=e.multi,this.keyword=e.keyword,this.dflt=e.defaultValue,this.pr=e.priority||0},me=F._registerComplexSpecialProp=function(t,e,i){"object"!=typeof e&&(e={parser:i});var r,s,n=t.split(","),a=e.defaultValue;for(i=i||[a],r=0;n.length>r;r++)e.prefix=0===r&&e.prefix,e.defaultValue=i[r]||a,s=new de(n[r],e)},ge=function(t){if(!o[t]){var e=t.charAt(0).toUpperCase()+t.substr(1)+"Plugin";me(t,{parser:function(t,i,r,s,n,a,l){var h=(window.GreenSockGlobals||window).com.greensock.plugins[e];return h?(h._cssRegister(),o[r].parse(t,i,r,s,n,a,l)):(B("Error: "+e+" js file not loaded."),n)}})}};l=de.prototype,l.parseComplex=function(t,e,i,r,s,n){var a,o,l,h,u,_,p=this.keyword;if(this.multi&&(D.test(i)||D.test(e)?(o=e.replace(D,"|").split("|"),l=i.replace(D,"|").split("|")):p&&(o=[e],l=[i])),l){for(h=l.length>o.length?l.length:o.length,a=0;h>a;a++)e=o[a]=o[a]||this.dflt,i=l[a]=l[a]||this.dflt,p&&(u=e.indexOf(p),_=i.indexOf(p),u!==_&&(i=-1===_?l:o,i[a]+=" "+p));e=o.join(", "),i=l.join(", ")}return fe(t,this.p,e,i,this.clrs,this.dflt,r,this.pr,s,n)},l.parse=function(t,e,i,r,n,a){return this.parseComplex(t.style,this.format(H(t,this.p,s,!1,this.dflt)),this.format(e),n,a)},a.registerSpecialProp=function(t,e,i){me(t,{parser:function(t,r,s,n,a,o){var l=new pe(t,s,0,0,a,2,s,!1,i);return l.plugin=o,l.setRatio=e(t,r,n._tween,s),l},priority:i})};var ve="scaleX,scaleY,scaleZ,x,y,z,skewX,rotation,rotationX,rotationY,perspective".split(","),ye=V("transform"),Te=j+"transform",xe=V("transformOrigin"),we=null!==V("perspective"),be=function(t,e,i,r){if(t._gsTransform&&i&&!r)return t._gsTransform;var s,n,o,l,h,u,_,p,f,c,d,m,g,v=i?t._gsTransform||{skewY:0}:{skewY:0},y=0>v.scaleX,T=2e-5,x=1e5,w=179.99,b=w*M,P=we?parseFloat(H(t,xe,e,!1,"0 0 0").split(" ")[2])||v.zOrigin||0:0;for(ye?s=H(t,Te,e,!0):t.currentStyle&&(s=t.currentStyle.filter.match(A),s=s&&4===s.length?[s[0].substr(4),Number(s[2].substr(4)),Number(s[1].substr(4)),s[3].substr(4),v.x||0,v.y||0].join(","):""),n=(s||"").match(/(?:\-|\b)[\d\-\.e]+\b/gi)||[],o=n.length;--o>-1;)l=Number(n[o]),n[o]=(h=l-(l|=0))?(0|h*x+(0>h?-.5:.5))/x+l:l;if(16===n.length){var S=n[8],R=n[9],k=n[10],C=n[12],O=n[13],D=n[14];if(v.zOrigin&&(D=-v.zOrigin,C=S*D-n[12],O=R*D-n[13],D=k*D+v.zOrigin-n[14]),!i||r||null==v.rotationX){var N,X,I,E,F,Y,z,U=n[0],B=n[1],j=n[2],W=n[3],V=n[4],q=n[5],Q=n[6],Z=n[7],$=n[11],G=Math.atan2(Q,k),K=-b>G||G>b;v.rotationX=G*L,G&&(E=Math.cos(-G),F=Math.sin(-G),N=V*E+S*F,X=q*E+R*F,I=Q*E+k*F,S=V*-F+S*E,R=q*-F+R*E,k=Q*-F+k*E,$=Z*-F+$*E,V=N,q=X,Q=I),G=Math.atan2(S,U),v.rotationY=G*L,G&&(Y=-b>G||G>b,E=Math.cos(-G),F=Math.sin(-G),N=U*E-S*F,X=B*E-R*F,I=j*E-k*F,R=B*F+R*E,k=j*F+k*E,$=W*F+$*E,U=N,B=X,j=I),G=Math.atan2(B,q),v.rotation=G*L,G&&(z=-b>G||G>b,E=Math.cos(-G),F=Math.sin(-G),U=U*E+V*F,X=B*E+q*F,q=B*-F+q*E,Q=j*-F+Q*E,B=X),z&&K?v.rotation=v.rotationX=0:z&&Y?v.rotation=v.rotationY=0:Y&&K&&(v.rotationY=v.rotationX=0),v.scaleX=(0|Math.sqrt(U*U+B*B)*x+.5)/x,v.scaleY=(0|Math.sqrt(q*q+R*R)*x+.5)/x,v.scaleZ=(0|Math.sqrt(Q*Q+k*k)*x+.5)/x,v.skewX=0,v.perspective=$?1/(0>$?-$:$):0,v.x=C,v.y=O,v.z=D}}else if(!(we&&!r&&n.length&&v.x===n[4]&&v.y===n[5]&&(v.rotationX||v.rotationY)||void 0!==v.x&&"none"===H(t,"display",e))){var J=n.length>=6,te=J?n[0]:1,ee=n[1]||0,ie=n[2]||0,re=J?n[3]:1;v.x=n[4]||0,v.y=n[5]||0,u=Math.sqrt(te*te+ee*ee),_=Math.sqrt(re*re+ie*ie),p=te||ee?Math.atan2(ee,te)*L:v.rotation||0,f=ie||re?Math.atan2(ie,re)*L+p:v.skewX||0,c=u-Math.abs(v.scaleX||0),d=_-Math.abs(v.scaleY||0),Math.abs(f)>90&&270>Math.abs(f)&&(y?(u*=-1,f+=0>=p?180:-180,p+=0>=p?180:-180):(_*=-1,f+=0>=f?180:-180)),m=(p-v.rotation)%180,g=(f-v.skewX)%180,(void 0===v.skewX||c>T||-T>c||d>T||-T>d||m>-w&&w>m&&false|m*x||g>-w&&w>g&&false|g*x)&&(v.scaleX=u,v.scaleY=_,v.rotation=p,v.skewX=f),we&&(v.rotationX=v.rotationY=v.z=0,v.perspective=parseFloat(a.defaultTransformPerspective)||0,v.scaleZ=1)}v.zOrigin=P;for(o in v)T>v[o]&&v[o]>-T&&(v[o]=0);return i&&(t._gsTransform=v),v},Pe=function(t){var e,i,r=this.data,s=-r.rotation*M,n=s+r.skewX*M,a=1e5,o=(0|Math.cos(s)*r.scaleX*a)/a,l=(0|Math.sin(s)*r.scaleX*a)/a,h=(0|Math.sin(n)*-r.scaleY*a)/a,u=(0|Math.cos(n)*r.scaleY*a)/a,_=this.t.style,p=this.t.currentStyle;if(p){i=l,l=-h,h=-i,e=p.filter,_.filter="";var f,d,m=this.t.offsetWidth,g=this.t.offsetHeight,v="absolute"!==p.position,x="progid:DXImageTransform.Microsoft.Matrix(M11="+o+", M12="+l+", M21="+h+", M22="+u,w=r.x,b=r.y;if(null!=r.ox&&(f=(r.oxp?.01*m*r.ox:r.ox)-m/2,d=(r.oyp?.01*g*r.oy:r.oy)-g/2,w+=f-(f*o+d*l),b+=d-(f*h+d*u)),v?(f=m/2,d=g/2,x+=", Dx="+(f-(f*o+d*l)+w)+", Dy="+(d-(f*h+d*u)+b)+")"):x+=", sizingMethod='auto expand')",_.filter=-1!==e.indexOf("DXImageTransform.Microsoft.Matrix(")?e.replace(O,x):x+" "+e,(0===t||1===t)&&1===o&&0===l&&0===h&&1===u&&(v&&-1===x.indexOf("Dx=0, Dy=0")||T.test(e)&&100!==parseFloat(RegExp.$1)||-1===e.indexOf("gradient("&&e.indexOf("Alpha"))&&_.removeAttribute("filter")),!v){var P,S,R,k=8>c?1:-1;for(f=r.ieOffsetX||0,d=r.ieOffsetY||0,r.ieOffsetX=Math.round((m-((0>o?-o:o)*m+(0>l?-l:l)*g))/2+w),r.ieOffsetY=Math.round((g-((0>u?-u:u)*g+(0>h?-h:h)*m))/2+b),ce=0;4>ce;ce++)S=J[ce],P=p[S],i=-1!==P.indexOf("px")?parseFloat(P):Q(this.t,S,parseFloat(P),P.replace(y,""))||0,R=i!==r[S]?2>ce?-r.ieOffsetX:-r.ieOffsetY:2>ce?f-r.ieOffsetX:d-r.ieOffsetY,_[S]=(r[S]=Math.round(i-R*(0===ce||2===ce?1:k)))+"px"}}},Se=function(){var t,e,i,r,s,n,a,o,l,h,u,_,f,c,d,m,g,v,y,T,x,w,b,P=this.data,S=this.t.style,R=P.rotation*M,k=P.scaleX,C=P.scaleY,A=P.scaleZ,O=P.perspective;if(p){var D=1e-4;D>k&&k>-D&&(k=A=2e-5),D>C&&C>-D&&(C=A=2e-5),!O||P.z||P.rotationX||P.rotationY||(O=0)}if(R||P.skewX)v=Math.cos(R),y=Math.sin(R),t=v,s=y,P.skewX&&(R-=P.skewX*M,v=Math.cos(R),y=Math.sin(R)),e=-y,n=v;else{if(!(P.rotationY||P.rotationX||1!==A||O))return S[ye]="translate3d("+P.x+"px,"+P.y+"px,"+P.z+"px)"+(1!==k||1!==C?" scale("+k+","+C+")":""),void 0;t=n=1,e=s=0}u=1,i=r=a=o=l=h=_=f=c=0,d=O?-1/O:0,m=P.zOrigin,g=1e5,R=P.rotationY*M,R&&(v=Math.cos(R),y=Math.sin(R),l=u*-y,f=d*-y,i=t*y,a=s*y,u*=v,d*=v,t*=v,s*=v),R=P.rotationX*M,R&&(v=Math.cos(R),y=Math.sin(R),T=e*v+i*y,x=n*v+a*y,w=h*v+u*y,b=c*v+d*y,i=e*-y+i*v,a=n*-y+a*v,u=h*-y+u*v,d=c*-y+d*v,e=T,n=x,h=w,c=b),1!==A&&(i*=A,a*=A,u*=A,d*=A),1!==C&&(e*=C,n*=C,h*=C,c*=C),1!==k&&(t*=k,s*=k,l*=k,f*=k),m&&(_-=m,r=i*_,o=a*_,_=u*_+m),r=(T=(r+=P.x)-(r|=0))?(0|T*g+(0>T?-.5:.5))/g+r:r,o=(T=(o+=P.y)-(o|=0))?(0|T*g+(0>T?-.5:.5))/g+o:o,_=(T=(_+=P.z)-(_|=0))?(0|T*g+(0>T?-.5:.5))/g+_:_,S[ye]="matrix3d("+[(0|t*g)/g,(0|s*g)/g,(0|l*g)/g,(0|f*g)/g,(0|e*g)/g,(0|n*g)/g,(0|h*g)/g,(0|c*g)/g,(0|i*g)/g,(0|a*g)/g,(0|u*g)/g,(0|d*g)/g,r,o,_,O?1+-_/O:1].join(",")+")"},Re=function(t){var e,i,r,s,n,a=this.data,o=this.t,l=o.style;return a.rotationX||a.rotationY||a.z||a.force3D?(this.setRatio=Se,Se.call(this,t),void 0):(a.rotation||a.skewX?(e=a.rotation*M,i=e-a.skewX*M,r=1e5,s=a.scaleX*r,n=a.scaleY*r,l[ye]="matrix("+(0|Math.cos(e)*s)/r+","+(0|Math.sin(e)*s)/r+","+(0|Math.sin(i)*-n)/r+","+(0|Math.cos(i)*n)/r+","+a.x+","+a.y+")"):l[ye]="matrix("+a.scaleX+",0,0,"+a.scaleY+","+a.x+","+a.y+")",void 0)};me("transform,scale,scaleX,scaleY,scaleZ,x,y,z,rotation,rotationX,rotationY,rotationZ,skewX,skewY,shortRotation,shortRotationX,shortRotationY,shortRotationZ,transformOrigin,transformPerspective,directionalRotation,parseTransform,force3D",{parser:function(t,e,i,r,n,a,o){if(r._transform)return n;var l,h,u,_,p,f,c,d=r._transform=be(t,s,!0,o.parseTransform),m=t.style,g=1e-6,v=ve.length,y=o,T={};if("string"==typeof y.transform&&ye)u=m.cssText,m[ye]=y.transform,m.display="block",l=be(t,null,!1),m.cssText=u;else if("object"==typeof y){if(l={scaleX:re(null!=y.scaleX?y.scaleX:y.scale,d.scaleX),scaleY:re(null!=y.scaleY?y.scaleY:y.scale,d.scaleY),scaleZ:re(y.scaleZ,d.scaleZ),x:re(y.x,d.x),y:re(y.y,d.y),z:re(y.z,d.z),perspective:re(y.transformPerspective,d.perspective)},c=y.directionalRotation,null!=c)if("object"==typeof c)for(u in c)y[u]=c[u];else y.rotation=c;l.rotation=se("rotation"in y?y.rotation:"shortRotation"in y?y.shortRotation+"_short":"rotationZ"in y?y.rotationZ:d.rotation,d.rotation,"rotation",T),we&&(l.rotationX=se("rotationX"in y?y.rotationX:"shortRotationX"in y?y.shortRotationX+"_short":d.rotationX||0,d.rotationX,"rotationX",T),l.rotationY=se("rotationY"in y?y.rotationY:"shortRotationY"in y?y.shortRotationY+"_short":d.rotationY||0,d.rotationY,"rotationY",T)),l.skewX=null==y.skewX?d.skewX:se(y.skewX,d.skewX),l.skewY=null==y.skewY?d.skewY:se(y.skewY,d.skewY),(h=l.skewY-d.skewY)&&(l.skewX+=h,l.rotation+=h)}for(we&&null!=y.force3D&&(d.force3D=y.force3D,f=!0),p=d.force3D||d.z||d.rotationX||d.rotationY||l.z||l.rotationX||l.rotationY||l.perspective,p||null==y.scale||(l.scaleZ=1);--v>-1;)i=ve[v],_=l[i]-d[i],(_>g||-g>_||null!=N[i])&&(f=!0,n=new pe(d,i,d[i],_,n),i in T&&(n.e=T[i]),n.xs0=0,n.plugin=a,r._overwriteProps.push(n.n));return _=y.transformOrigin,(_||we&&p&&d.zOrigin)&&(ye?(f=!0,i=xe,_=(_||H(t,i,s,!1,"50% 50%"))+"",n=new pe(m,i,0,0,n,-1,"transformOrigin"),n.b=m[i],n.plugin=a,we?(u=d.zOrigin,_=_.split(" "),d.zOrigin=(_.length>2&&(0===u||"0px"!==_[2])?parseFloat(_[2]):u)||0,n.xs0=n.e=m[i]=_[0]+" "+(_[1]||"50%")+" 0px",n=new pe(d,"zOrigin",0,0,n,-1,n.n),n.b=u,n.xs0=n.e=d.zOrigin):n.xs0=n.e=m[i]=_):ee(_+"",d)),f&&(r._transformType=p||3===this._transformType?3:2),n},prefix:!0}),me("boxShadow",{defaultValue:"0px 0px 0px 0px #999",prefix:!0,color:!0,multi:!0,keyword:"inset"}),me("borderRadius",{defaultValue:"0px",parser:function(t,e,i,n,a){e=this.format(e);var o,l,h,u,_,p,f,c,d,m,g,v,y,T,x,w,b=["borderTopLeftRadius","borderTopRightRadius","borderBottomRightRadius","borderBottomLeftRadius"],P=t.style;for(d=parseFloat(t.offsetWidth),m=parseFloat(t.offsetHeight),o=e.split(" "),l=0;b.length>l;l++)this.p.indexOf("border")&&(b[l]=V(b[l])),_=u=H(t,b[l],s,!1,"0px"),-1!==_.indexOf(" ")&&(u=_.split(" "),_=u[0],u=u[1]),p=h=o[l],f=parseFloat(_),v=_.substr((f+"").length),y="="===p.charAt(1),y?(c=parseInt(p.charAt(0)+"1",10),p=p.substr(2),c*=parseFloat(p),g=p.substr((c+"").length-(0>c?1:0))||""):(c=parseFloat(p),g=p.substr((c+"").length)),""===g&&(g=r[i]||v),g!==v&&(T=Q(t,"borderLeft",f,v),x=Q(t,"borderTop",f,v),"%"===g?(_=100*(T/d)+"%",u=100*(x/m)+"%"):"em"===g?(w=Q(t,"borderLeft",1,"em"),_=T/w+"em",u=x/w+"em"):(_=T+"px",u=x+"px"),y&&(p=parseFloat(_)+c+g,h=parseFloat(u)+c+g)),a=fe(P,b[l],_+" "+u,p+" "+h,!1,"0px",a);return a},prefix:!0,formatter:he("0px 0px 0px 0px",!1,!0)}),me("backgroundPosition",{defaultValue:"0 0",parser:function(t,e,i,r,n,a){var o,l,h,u,_,p,f="background-position",d=s||q(t,null),m=this.format((d?c?d.getPropertyValue(f+"-x")+" "+d.getPropertyValue(f+"-y"):d.getPropertyValue(f):t.currentStyle.backgroundPositionX+" "+t.currentStyle.backgroundPositionY)||"0 0"),g=this.format(e);if(-1!==m.indexOf("%")!=(-1!==g.indexOf("%"))&&(p=H(t,"backgroundImage").replace(R,""),p&&"none"!==p)){for(o=m.split(" "),l=g.split(" "),E.setAttribute("src",p),h=2;--h>-1;)m=o[h],u=-1!==m.indexOf("%"),u!==(-1!==l[h].indexOf("%"))&&(_=0===h?t.offsetWidth-E.width:t.offsetHeight-E.height,o[h]=u?parseFloat(m)/100*_+"px":100*(parseFloat(m)/_)+"%");m=o.join(" ")}return this.parseComplex(t.style,m,g,n,a)},formatter:ee}),me("backgroundSize",{defaultValue:"0 0",formatter:ee}),me("perspective",{defaultValue:"0px",prefix:!0}),me("perspectiveOrigin",{defaultValue:"50% 50%",prefix:!0}),me("transformStyle",{prefix:!0}),me("backfaceVisibility",{prefix:!0}),me("userSelect",{prefix:!0}),me("margin",{parser:ue("marginTop,marginRight,marginBottom,marginLeft")}),me("padding",{parser:ue("paddingTop,paddingRight,paddingBottom,paddingLeft")}),me("clip",{defaultValue:"rect(0px,0px,0px,0px)",parser:function(t,e,i,r,n,a){var o,l,h;return 9>c?(l=t.currentStyle,h=8>c?" ":",",o="rect("+l.clipTop+h+l.clipRight+h+l.clipBottom+h+l.clipLeft+")",e=this.format(e).split(",").join(h)):(o=this.format(H(t,this.p,s,!1,this.dflt)),e=this.format(e)),this.parseComplex(t.style,o,e,n,a)}}),me("textShadow",{defaultValue:"0px 0px 0px #999",color:!0,multi:!0}),me("autoRound,strictUnits",{parser:function(t,e,i,r,s){return s}}),me("border",{defaultValue:"0px solid #000",parser:function(t,e,i,r,n,a){return this.parseComplex(t.style,this.format(H(t,"borderTopWidth",s,!1,"0px")+" "+H(t,"borderTopStyle",s,!1,"solid")+" "+H(t,"borderTopColor",s,!1,"#000")),this.format(e),n,a)},color:!0,formatter:function(t){var e=t.split(" ");return e[0]+" "+(e[1]||"solid")+" "+(t.match(le)||["#000"])[0]}}),me("borderWidth",{parser:ue("borderTopWidth,borderRightWidth,borderBottomWidth,borderLeftWidth")}),me("float,cssFloat,styleFloat",{parser:function(t,e,i,r,s){var n=t.style,a="cssFloat"in n?"cssFloat":"styleFloat";return new pe(n,a,0,0,s,-1,i,!1,0,n[a],e)}});var ke=function(t){var e,i=this.t,r=i.filter||H(this.data,"filter"),s=0|this.s+this.c*t;100===s&&(-1===r.indexOf("atrix(")&&-1===r.indexOf("radient(")&&-1===r.indexOf("oader(")?(i.removeAttribute("filter"),e=!H(this.data,"filter")):(i.filter=r.replace(w,""),e=!0)),e||(this.xn1&&(i.filter=r=r||"alpha(opacity="+s+")"),-1===r.indexOf("opacity")?0===s&&this.xn1||(i.filter=r+" alpha(opacity="+s+")"):i.filter=r.replace(T,"opacity="+s))};me("opacity,alpha,autoAlpha",{defaultValue:"1",parser:function(t,e,i,r,n,a){var o=parseFloat(H(t,"opacity",s,!1,"1")),l=t.style,h="autoAlpha"===i;return"string"==typeof e&&"="===e.charAt(1)&&(e=("-"===e.charAt(0)?-1:1)*parseFloat(e.substr(2))+o),h&&1===o&&"hidden"===H(t,"visibility",s)&&0!==e&&(o=0),z?n=new pe(l,"opacity",o,e-o,n):(n=new pe(l,"opacity",100*o,100*(e-o),n),n.xn1=h?1:0,l.zoom=1,n.type=2,n.b="alpha(opacity="+n.s+")",n.e="alpha(opacity="+(n.s+n.c)+")",n.data=t,n.plugin=a,n.setRatio=ke),h&&(n=new pe(l,"visibility",0,0,n,-1,null,!1,0,0!==o?"inherit":"hidden",0===e?"hidden":"inherit"),n.xs0="inherit",r._overwriteProps.push(n.n),r._overwriteProps.push(i)),n}});var Ce=function(t,e){e&&(t.removeProperty?t.removeProperty(e.replace(P,"-$1").toLowerCase()):t.removeAttribute(e))},Ae=function(t){if(this.t._gsClassPT=this,1===t||0===t){this.t.className=0===t?this.b:this.e;for(var e=this.data,i=this.t.style;e;)e.v?i[e.p]=e.v:Ce(i,e.p),e=e._next;1===t&&this.t._gsClassPT===this&&(this.t._gsClassPT=null)}else this.t.className!==this.e&&(this.t.className=this.e)};me("className",{parser:function(t,e,r,n,a,o,l){var h,u,_,p,f,c=t.className,d=t.style.cssText;if(a=n._classNamePT=new pe(t,r,0,0,a,2),a.setRatio=Ae,a.pr=-11,i=!0,a.b=c,u=$(t,s),_=t._gsClassPT){for(p={},f=_.data;f;)p[f.p]=1,f=f._next;_.setRatio(1)}return t._gsClassPT=a,a.e="="!==e.charAt(1)?e:c.replace(RegExp("\\s*\\b"+e.substr(2)+"\\b"),"")+("+"===e.charAt(0)?" "+e.substr(2):""),n._tween._duration&&(t.className=a.e,h=G(t,u,$(t),l,p),t.className=c,a.data=h.firstMPT,t.style.cssText=d,a=a.xfirst=n.parse(t,h.difs,a,o)),a}});var Oe=function(t){if((1===t||0===t)&&this.data._totalTime===this.data._totalDuration&&"isFromStart"!==this.data.data){var e,i,r,s,n=this.t.style,a=o.transform.parse;if("all"===this.e)n.cssText="",s=!0;else for(e=this.e.split(","),r=e.length;--r>-1;)i=e[r],o[i]&&(o[i].parse===a?s=!0:i="transformOrigin"===i?xe:o[i].p),Ce(n,i);s&&(Ce(n,ye),this.t._gsTransform&&delete this.t._gsTransform)}};for(me("clearProps",{parser:function(t,e,r,s,n){return n=new pe(t,r,0,0,n,2),n.setRatio=Oe,n.e=e,n.pr=-10,n.data=s._tween,i=!0,n}}),l="bezier,throwProps,physicsProps,physics2D".split(","),ce=l.length;ce--;)ge(l[ce]);l=a.prototype,l._firstPT=null,l._onInitTween=function(t,e,o){if(!t.nodeType)return!1;this._target=t,this._tween=o,this._vars=e,h=e.autoRound,i=!1,r=e.suffixMap||a.suffixMap,s=q(t,""),n=this._overwriteProps;var l,p,c,d,m,g,v,y,T,w=t.style;if(u&&""===w.zIndex&&(l=H(t,"zIndex",s),("auto"===l||""===l)&&(w.zIndex=0)),"string"==typeof e&&(d=w.cssText,l=$(t,s),w.cssText=d+";"+e,l=G(t,l,$(t)).difs,!z&&x.test(e)&&(l.opacity=parseFloat(RegExp.$1)),e=l,w.cssText=d),this._firstPT=p=this.parse(t,e,null),this._transformType){for(T=3===this._transformType,ye?_&&(u=!0,""===w.zIndex&&(v=H(t,"zIndex",s),("auto"===v||""===v)&&(w.zIndex=0)),f&&(w.WebkitBackfaceVisibility=this._vars.WebkitBackfaceVisibility||(T?"visible":"hidden"))):w.zoom=1,c=p;c&&c._next;)c=c._next;y=new pe(t,"transform",0,0,null,2),this._linkCSSP(y,null,c),y.setRatio=T&&we?Se:ye?Re:Pe,y.data=this._transform||be(t,s,!0),n.pop()}if(i){for(;p;){for(g=p._next,c=d;c&&c.pr>p.pr;)c=c._next;(p._prev=c?c._prev:m)?p._prev._next=p:d=p,(p._next=c)?c._prev=p:m=p,p=g}this._firstPT=d}return!0},l.parse=function(t,e,i,n){var a,l,u,_,p,f,c,d,m,g,v=t.style;for(a in e)f=e[a],l=o[a],l?i=l.parse(t,f,a,this,i,n,e):(p=H(t,a,s)+"",m="string"==typeof f,"color"===a||"fill"===a||"stroke"===a||-1!==a.indexOf("Color")||m&&b.test(f)?(m||(f=oe(f),f=(f.length>3?"rgba(":"rgb(")+f.join(",")+")"),i=fe(v,a,p,f,!0,"transparent",i,0,n)):!m||-1===f.indexOf(" ")&&-1===f.indexOf(",")?(u=parseFloat(p),c=u||0===u?p.substr((u+"").length):"",(""===p||"auto"===p)&&("width"===a||"height"===a?(u=te(t,a,s),c="px"):"left"===a||"top"===a?(u=Z(t,a,s),c="px"):(u="opacity"!==a?0:1,c="")),g=m&&"="===f.charAt(1),g?(_=parseInt(f.charAt(0)+"1",10),f=f.substr(2),_*=parseFloat(f),d=f.replace(y,"")):(_=parseFloat(f),d=m?f.substr((_+"").length)||"":""),""===d&&(d=a in r?r[a]:c),f=_||0===_?(g?_+u:_)+d:e[a],c!==d&&""!==d&&(_||0===_)&&(u||0===u)&&(u=Q(t,a,u,c),"%"===d?(u/=Q(t,a,100,"%")/100,e.strictUnits!==!0&&(p=u+"%")):"em"===d?u/=Q(t,a,1,"em"):(_=Q(t,a,_,d),d="px"),g&&(_||0===_)&&(f=_+u+d)),g&&(_+=u),!u&&0!==u||!_&&0!==_?void 0!==v[a]&&(f||"NaN"!=f+""&&null!=f)?(i=new pe(v,a,_||u||0,0,i,-1,a,!1,0,p,f),i.xs0="none"!==f||"display"!==a&&-1===a.indexOf("Style")?f:p):B("invalid "+a+" tween value: "+e[a]):(i=new pe(v,a,u,_-u,i,0,a,h!==!1&&("px"===d||"zIndex"===a),0,p,f),i.xs0=d)):i=fe(v,a,p,f,!0,null,i,0,n)),n&&i&&!i.plugin&&(i.plugin=n);return i},l.setRatio=function(t){var e,i,r,s=this._firstPT,n=1e-6;if(1!==t||this._tween._time!==this._tween._duration&&0!==this._tween._time)if(t||this._tween._time!==this._tween._duration&&0!==this._tween._time||this._tween._rawPrevTime===-1e-6)for(;s;){if(e=s.c*t+s.s,s.r?e=e>0?0|e+.5:0|e-.5:n>e&&e>-n&&(e=0),s.type)if(1===s.type)if(r=s.l,2===r)s.t[s.p]=s.xs0+e+s.xs1+s.xn1+s.xs2;else if(3===r)s.t[s.p]=s.xs0+e+s.xs1+s.xn1+s.xs2+s.xn2+s.xs3;else if(4===r)s.t[s.p]=s.xs0+e+s.xs1+s.xn1+s.xs2+s.xn2+s.xs3+s.xn3+s.xs4;else if(5===r)s.t[s.p]=s.xs0+e+s.xs1+s.xn1+s.xs2+s.xn2+s.xs3+s.xn3+s.xs4+s.xn4+s.xs5;else{for(i=s.xs0+e+s.xs1,r=1;s.l>r;r++)i+=s["xn"+r]+s["xs"+(r+1)];s.t[s.p]=i}else-1===s.type?s.t[s.p]=s.xs0:s.setRatio&&s.setRatio(t);else s.t[s.p]=e+s.xs0;s=s._next}else for(;s;)2!==s.type?s.t[s.p]=s.b:s.setRatio(t),s=s._next;else for(;s;)2!==s.type?s.t[s.p]=s.e:s.setRatio(t),s=s._next},l._enableTransforms=function(t){this._transformType=t||3===this._transformType?3:2,this._transform=this._transform||be(this._target,s,!0)},l._linkCSSP=function(t,e,i,r){return t&&(e&&(e._prev=t),t._next&&(t._next._prev=t._prev),t._prev?t._prev._next=t._next:this._firstPT===t&&(this._firstPT=t._next,r=!0),i?i._next=t:r||null!==this._firstPT||(this._firstPT=t),t._next=e,t._prev=i),t},l._kill=function(e){var i,r,s,n=e;if(e.autoAlpha||e.alpha){n={};for(r in e)n[r]=e[r];n.opacity=1,n.autoAlpha&&(n.visibility=1)}return e.className&&(i=this._classNamePT)&&(s=i.xfirst,s&&s._prev?this._linkCSSP(s._prev,i._next,s._prev._prev):s===this._firstPT&&(this._firstPT=i._next),i._next&&this._linkCSSP(i._next,i._next._next,s._prev),this._classNamePT=null),t.prototype._kill.call(this,n)};var De=function(t,e,i){var r,s,n,a;if(t.slice)for(s=t.length;--s>-1;)De(t[s],e,i);else for(r=t.childNodes,s=r.length;--s>-1;)n=r[s],a=n.type,n.style&&(e.push($(n)),i&&i.push(n)),1!==a&&9!==a&&11!==a||!n.childNodes.length||De(n,e,i)};return a.cascadeTo=function(t,i,r){var s,n,a,o=e.to(t,i,r),l=[o],h=[],u=[],_=[],p=e._internals.reservedProps;for(t=o._targets||o.target,De(t,h,_),o.render(i,!0),De(t,u),o.render(0,!0),o._enabled(!0),s=_.length;--s>-1;)if(n=G(_[s],h[s],u[s]),n.firstMPT){n=n.difs;for(a in r)p[a]&&(n[a]=r[a]);l.push(e.to(_[s],i,n))}return l},t.activate([a]),a},!0)}),window._gsDefine&&window._gsQueue.pop()();

// WAIT FOR IMAGES
/*
 * waitForImages 1.4
 * -----------------
 * Provides a callback when all images have loaded in your given selector.
 * http://www.alexanderdickson.com/
 *
 *
 * Copyright (c) 2011 Alex Dickson
 * Licensed under the MIT licenses.
 * See website for more info.
 *
 */

(function(e,t){
		e.waitForImages={hasImageProperties:["backgroundImage","listStyleImage","borderImage","borderCornerImage"]};e.expr[":"].uncached=function(t){var n=document.createElement("img");n.src=t.src;return e(t).is('img[src!=""]')&&!n.complete};e.fn.waitForImages=function(t,n,r){if(e.isPlainObject(arguments[0])){n=t.each;r=t.waitForAll;t=t.finished}t=t||e.noop;n=n||e.noop;r=!!r;if(!e.isFunction(t)||!e.isFunction(n)){throw new TypeError("An invalid callback was supplied.")}return this.each(function(){var i=e(this),s=[];if(r){var o=e.waitForImages.hasImageProperties||[],u=/url\((['"]?)(.*?)\1\)/g;i.find("*").each(function(){var t=e(this);if(t.is("img:uncached")){s.push({src:t.attr("src"),element:t[0]})}e.each(o,function(e,n){var r=t.css(n);if(!r){return true}var i;while(i=u.exec(r)){s.push({src:i[2],element:t[0]})}})})}else{i.find("img:uncached").each(function(){s.push({src:this.src,element:this})})}var f=s.length,l=0;if(f==0){t.call(i[0])}e.each(s,function(r,s){var o=new Image;e(o).bind("load error",function(e){l++;n.call(s.element,l,f,e.type=="load");if(l==f){t.call(i[0]);return false}});o.src=s.src})})};		
})(jQuery);

/*global jQuery */
/*jshint multistr:true browser:true */
/*!
 * FitVids 1.0.3
 *
 * Copyright 2013, Chris Coyier - http://css-tricks.com + Dave Rupert - http://daverupert.com
 * Credit to Thierry Koblentz - http://www.alistapart.com/articles/creating-intrinsic-ratios-for-video/
 * Released under the WTFPL license - http://sam.zoy.org/wtfpl/
 *
 * Date: Thu Sept 01 18:00:00 2011 -0500
 */

(function(e){"use strict";e.fn.fitVids=function(t){var n={customSelector:null};if(!document.getElementById("fit-vids-style")){var r=document.createElement("div"),i=document.getElementsByTagName("base")[0]||document.getElementsByTagName("script")[0],s="&shy;<style>.fluid-width-video-wrapper{width:100%;position:relative;padding:0;}.fluid-width-video-wrapper iframe,.fluid-width-video-wrapper object,.fluid-width-video-wrapper embed {position:absolute;top:0;left:0;width:100%;height:100%;}</style>";r.className="fit-vids-style";r.id="fit-vids-style";r.style.display="none";r.innerHTML=s;i.parentNode.insertBefore(r,i)}if(t){e.extend(n,t)}return this.each(function(){var t=["iframe[src*='player.vimeo.com']","iframe[src*='youtube.com']","iframe[src*='youtube-nocookie.com']","iframe[src*='kickstarter.com'][src*='video.html']","object","embed"];if(n.customSelector){t.push(n.customSelector)}var r=e(this).find(t.join(","));r=r.not("object object");r.each(function(){var t=e(this);if(this.tagName.toLowerCase()==="embed"&&t.parent("object").length||t.parent(".fluid-width-video-wrapper").length){return}var n=this.tagName.toLowerCase()==="object"||t.attr("height")&&!isNaN(parseInt(t.attr("height"),10))?parseInt(t.attr("height"),10):t.height(),r=!isNaN(parseInt(t.attr("width"),10))?parseInt(t.attr("width"),10):t.width(),i=n/r;if(!t.attr("id")){var s="fitvid"+Math.floor(Math.random()*999999);t.attr("id",s)}t.wrap('<div class="fluid-width-video-wrapper"></div>').parent(".fluid-width-video-wrapper").css("padding-top",i*100+"%");t.removeAttr("height").removeAttr("width")})})}})(window.jQuery||window.Zepto);